<?php
/**
* Modul Admin Index
*
* CMS Administration
*
* @copyright     ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH 
* @author        Astalavista Engineering Team  
* @module        adminAPI
* @modulegroup   admin   
* @version       $Id:    Exp $     
*/

//-------------------------------------------------------
// Set error reporting
//-------------------------------------------------------
//error_reporting (E_ALL ^ E_NOTICE);


$startTime = gettimeofday();
$adminPage = true;

require_once '../config/configuration.php';

//-------------------------------------------------------
// Check if system is installed
//-------------------------------------------------------
if (CONTEXX_INSTALLED === false) {
	header("Location: ../installer/index.php");
}


require_once '../core/API.php';

$objInit= new InitCMS($mode="backend");

$sessionObj= &new cmsSession();
$sessionObj->cmsSessionStatusUpdate($status="backend");

$objInit->_initBackendLanguage();
$objInit->getUserFrontendLangId();

$_CONFIG = $objInit->loadConfiguration();
$_LANGID = $objInit->getBackendLangId();
$_FRONTEND_LANGID = $objInit->userFrontendLangId;

//-------------------------------------------------------
// language array for the core system
//-------------------------------------------------------
$_CORELANG = $objInit->loadLanguageData('core');

//-------------------------------------------------------
// language array for all modules
//-------------------------------------------------------
$_ARRAYLANG = $objInit->loadLanguageData();
$_ARRAYLANG = array_merge($_ARRAYLANG, $_CORELANG);

$cmd = isset($_REQUEST['cmd']) ? $_REQUEST['cmd'] : "";

// This template system will replace the old PHPlib template system
$objTemplate = &new HTML_Template_Sigma(ASCMS_ADMIN_TEMPLATE_PATH);
$objTemplate->setErrorHandling(PEAR_ERROR_DIE);	

$template = &new Template(ASCMS_ADMIN_TEMPLATE_PATH);
$template->debug = 0;

// old database object
$db =&new astalavistaDB;

// new database link object
$objDb =&new astalavistaDB;

// language object from the Framework
$objLanguage = &new FWLanguage();

// Module object
$objModules = &new ModuleChecker();	

$objAuth =&new Auth($type='backend');
$objPerm =&new Permission($type='backend');

//-----------------------------------------------------------------------------------------------
// Authentification start
//-----------------------------------------------------------------------------------------------
if (!$objAuth->checkAuth()){
	$modulespath = ASCMS_CORE_PATH . "/imagecreator.php";
    if (file_exists($modulespath)) require_once($modulespath);
    else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
	
	switch($cmd){
		case "secure":
			$_SESSION['auth']['secid'] = strtoupper(substr(md5(microtime()), 0, 4));	
		    getSecurityImage($id=$_SESSION['auth']['secid']);	
			exit;
		    break;	
		case "lostpw":	
		   	$objTemplate->loadTemplateFile('login_index.html',true,true);			
			$objTemplate->addBlockfile('CONTENT_FILE', 'CONTENT_BLOCK', 'login_lostpw.html');
			
			$objTemplate->setVariable(array(
			    'TXT_EMAIL'               => $_CORELANG['TXT_EMAIL'],
			    'TXT_LOST_PW_TEXT'               => $_CORELANG['TXT_LOST_PW_TEXT'],
			    'TXT_RESET'             => $_CORELANG['TXT_RESET'],
			    'TITLE'                   => $_CORELANG['TXT_RESTORE_PASSWORD'],
			    'LOGIN_ERROR_MESSAGE'     => $objAuth->errorMessage()
			    ));

			$objTemplate->show();
			exit;
		    break;	 
		case "restorepw":	
		   	$objTemplate->loadTemplateFile('login_index.html',true,true);			
			$objTemplate->addBlockfile('CONTENT_FILE', 'CONTENT_BLOCK', 'login_newpw.html');
			
			$userName = $objAuth->restorepw();
			
			$objTemplate->setVariable(array(
			    'TXT_USER_NAME'           => $_CORELANG['TXT_USER_NAME'],
			    'USER_NAME'               => $userName,
			    'RESTORE_KEY'             => htmlspecialchars($_GET['key']),
			    'TXT_PASSWORD'            => $_CORELANG['TXT_PASSWORD'],
			    'TXT_CONFIRM_PASSWORD'    => $_CORELANG['TXT_CONFIRM_PASSWORD'],
			    'TXT_RESTORE'             => $_CORELANG['TXT_CHANGE'],
			    'TITLE'                   => $_CORELANG['TXT_CHANGE_PASSWORD'],
			    'TXT_PW_TO_SHORT'         => $_CORELANG['TXT_PW_TO_SHORT'],
			    'TXT_PW_DONOT_MATCH'      => $_CORELANG['TXT_PW_DONOT_MATCH'],
			    'LOGIN_ERROR_MESSAGE'     => $objAuth->errorMessage()
			    ));

			$objTemplate->show();
			exit;
		    break;
		default:		    		
		    if(checkGDExtension()) {
		    	$loginSecurityCode = "<img src=\"index.php?cmd=secure\" alt=\"Security Code\" />";
		    } else { 
		    	$_SESSION['auth']['secid'] = strtoupper(substr(md5(microtime()), 0, 4));
		    	$loginSecurityCode = $_SESSION['auth']['secid'];
		    }	
		    
		    $objAuth->lostpw();	
		    $objAuth->newpw();	
            
			$objTemplate->loadTemplateFile('login_index.html',true,true);			
			$objTemplate->addBlockfile('CONTENT_FILE', 'CONTENT_BLOCK', 'login.html');

			$objTemplate->setVariable(array(
			    'TXT_SECURITY_CODE'       => $_CORELANG['TXT_SECURITY_CODE'],
			    'TXT_ENTER_SECURITY_CODE' => $_CORELANG['TXT_ENTER_SECURITY_CODE'],
			    'TXT_USER_NAME'           => $_CORELANG['TXT_USER_NAME'],
			    'TXT_PASSWORD'            => $_CORELANG['TXT_PASSWORD'],
			    'TXT_LOGIN'               => $_CORELANG['TXT_LOGIN'],
			    'UID'                     => $_COOKIE['username'],
			    'TITLE'                   => $_CORELANG['TXT_LOGIN'],
			    'LOGIN_IMAGE'             => $loginSecurityCode,
			    'LOGIN_ERROR_MESSAGE'     => $objAuth->errorMessage()
			    ));

			$objTemplate->show();
			exit;
	}
}

//-----------------------------------------------------------------------------------------------
// Site start
//-----------------------------------------------------------------------------------------------
$template->set_file("INDEX", "index.html");
$template->set_file("QUICKLINKS", "quicklinks.html");	

switch($cmd) {
//-----------------------------------------------------------------------------------------------
// usermanagement
//-----------------------------------------------------------------------------------------------
	case "user":
	    //$objPerm->checkPerm(18);
	    $subMenuTitle = $_CORELANG['TXT_USER_ADMINISTRATION'];
		$modulespath = ASCMS_CORE_PATH . "/usermanagement.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);	
		$template->set_file("CONTENT_MASTER","content_master.html");			
		$objUsers = &new userManagement();
	    $template->set_var("ADMIN_CONTENT",$objUsers->getPage());   
	break;
		
//-----------------------------------------------------------------------------------------------
// feed
//-----------------------------------------------------------------------------------------------
	case "feed":
	    $objPerm->checkPerm(27);
		$modulespath = ASCMS_MODULE_PATH . "/feed/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle  = $_CORELANG['TXT_NEWS_SYNDICATION'];		
		$template->set_file("CONTENT_MASTER", "content_master.html");
 		$objFeed  = &new feedManager();
	    $template->set_var("ADMIN_CONTENT", $objFeed->getFeedPage());
	    break;		    
	

//-----------------------------------------------------------------------------------------------
// news-management
//-----------------------------------------------------------------------------------------------
	case "server":
	    $objPerm->checkPerm(4);
	    $subMenuTitle = $_CORELANG['TXT_SERVER_INFO'];
		$modulespath = ASCMS_CORE_PATH . "/serverSettings.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);	
		$template->set_file("CONTENT_MASTER","content_master.html");			
		$objServer = &new serverSettings();
	    $template->set_var("ADMIN_CONTENT",$objServer->getPage());   
	break;
	
//-----------------------------------------------------------------------------------------------
// log manager
//-----------------------------------------------------------------------------------------------		
    case "log":
        $objPerm->checkPerm(18);
        $subMenuTitle = $_CORELANG['TXT_LOG_ADMINISTRATION'];
		$modulespath = ASCMS_CORE_PATH . "/log.class.php";
		if (file_exists($modulespath)) require_once($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);	
		$template->set_file("CONTENT_MASTER","content_master.html");
		$objLogManager = &new logmanager($template);
		$template->set_var("CONTENT_MASTER",$objLogManager->getLogPage());	
        break;
        
//-----------------------------------------------------------------------------------------------
// module manager
//-----------------------------------------------------------------------------------------------		
    case "shop":
        $objPerm->checkPerm(13);
        $subMenuTitle = $_CORELANG['TXT_SHOP_ADMINISTRATION'];
		$modulespath = ASCMS_MODULE_PATH . "/shop/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$template->set_file("CONTENT_MASTER","content_master.html");
		$objShopManager = &new shopmanager($template);
		$template->set_var("ADMIN_CONTENT",$objShopManager->getShopPage());	
        break;      
	
//-----------------------------------------------------------------------------------------------
// themes: skins
//-----------------------------------------------------------------------------------------------
	case "skins":
	    //$objPerm->checkPerm(18);
	    $subMenuTitle = $_CORELANG['TXT_DESIGN_MANAGEMENT'];
		$modulespath = ASCMS_CORE_PATH . "/skins.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);	
		$template->set_file("CONTENT_MASTER","content_master.html");			
		$objUsers = &new skins();
	    $template->set_var("ADMIN_CONTENT",$objUsers->getPage());   
	break;
    
//-----------------------------------------------------------------------------------------------
// content management
//-----------------------------------------------------------------------------------------------
	case "content":
	    $subMenuTitle = $_CORELANG['TXT_CONTENT_MANAGER'];
		$modulespath = ASCMS_CORE_PATH . "/ContentManager.class.php";		
		if (file_exists($modulespath)) require_once($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$objContent = &new ContentManager();				
		$template->set_file("CONTENT_MASTER","content_master.html");		
	    $template->set_var("ADMIN_CONTENT",$objContent->getPage());	    
	    break; 	        
	    
//-----------------------------------------------------------------------------------------------
// Document System Module
//-----------------------------------------------------------------------------------------------
	case "docsys":
	    $objPerm->checkPerm(11);
		$modulespath = ASCMS_MODULE_PATH . "/docsys/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_DOC_SYS_MANAGER'];
		$objDocSys = &new docSysManager();
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $template->set_var("ADMIN_CONTENT",$objDocSys->getDocSysPage());
	break;
        
//-----------------------------------------------------------------------------------------------
// news-management
//-----------------------------------------------------------------------------------------------
	case "news":
	    $objPerm->checkPerm(10);
		$modulespath = ASCMS_CORE_MODULE_PATH . "/news/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_NEWS_MANAGER'];
		$objNews = &new NewsManager();
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $template->set_var("ADMIN_CONTENT",$objNews->getPage());
	break;
	

	
//-----------------------------------------------------------------------------------------------
// news-management
//-----------------------------------------------------------------------------------------------
	case "contact":
	    // $objPerm->checkPerm(10);
		$modulespath = ASCMS_CORE_MODULE_PATH . "/contact/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		
		$subMenuTitle = "Kontaktmanager";
		
		$objContact = &new contactManager();
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $template->set_var("ADMIN_CONTENT",$objContact->getPage());
	break;
	
//-----------------------------------------------------------------------------------------------
// guestbook
//-----------------------------------------------------------------------------------------------
	case "guestbook":
	    $objPerm->checkPerm(9);
	    $subMenuTitle = $_CORELANG['TXT_GUESTBOOK'];
		$modulespath = ASCMS_MODULE_PATH . "/guestbook/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$objGuestbook = &new GuestbookManager();
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $template->set_var("ADMIN_CONTENT", $objGuestbook->getPage());
	break;

//-----------------------------------------------------------------------------------------------
// media manager
//-----------------------------------------------------------------------------------------------
	case "media":
	   $objPerm->checkPerm(7);
		$subMenuTitle  = $_CORELANG['TXT_MEDIA_MANAGER'];
		$modulespath = ASCMS_CORE_MODULE_PATH . "/media/admin.class.php";
		if(file_exists($modulespath)){
		    include($modulespath);
		} else {
		    die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		}
		$template->set_file("CONTENT_MASTER", "content_master.html");
 		$objMedia  = &new MediaManager();
	    $template->set_var("ADMIN_CONTENT", $objMedia->getMediaPage());
	break;
	
	
//-----------------------------------------------------------------------------------------------
// backup
//-----------------------------------------------------------------------------------------------
	case "backup":
	    $objPerm->checkPerm(20);
	    $modulespath = ASCMS_CORE_PATH . "/backup.class.php";
	    if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $subMenuTitle= $_CORELANG['TXT_BACKUP_MANAGEMENT'];	

	    if(!isset($_GET['act'])){
	        $_GET['act']="";	
	    }
	       	
		switch($_GET['act']){
			case "create":
			    $objPerm->checkPerm(41);
				$tstatustxt=backup_create();				
			break;
			case "restore":
			    $objPerm->checkPerm(42);
				$tstatustxt=backup_restore();				
			break;
			case "delete":
			    $objPerm->checkPerm(43);
				$tstatustxt=backup_delete();				
			break;
			case "view":
			    $objPerm->checkPerm(45);	   
				$othertxt=backup_view();	
			break;
			case "viewtables":
			    $objPerm->checkPerm(45);					   
				$othertxt=backup_viewTables();	
			break;
			case "download":
			    $objPerm->checkPerm(44);
				backup_download();	
			break;			
		}
				
		$template->set_var("CONTENT_STATUS_MESSAGE",$statustxt); 
		$template->set_var("CONTENT_TITLE",$_CORELANG['txtDatabaseBackup']);  // N/A  txtDatabaseBackup
	    $template->set_var("CONTENT_NAVIGATION","<a href='?cmd=backup'>[".$_CORELANG['TXT_BACKUP_MANAGEMENT']."]</a>");				  		 
		if (isset($othertxt)){
		    $template->set_var("ADMIN_CONTENT",$othertxt); 
		} else {
		    $template->set_var("CONTENT_BACKUP", backup_showList());
			$template->parse("ADMIN_CONTENT","CONTENT_BACKUP");
		}
	break;
//----------------------------------------------------------------------------------------------
//stats
//----------------------------------------------------------------------------------------------
	case "stats":
	    $objPerm->checkPerm(19);
		$modulespath = ASCMS_CORE_MODULE_PATH . "/stats/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_STATISTIC'];
		$template->set_file("CONTENT_MASTER","content_master.html");
		$statistic= &new stats();
		$template->set_var("ADMIN_CONTENT", $statistic->getContent());
		break;
		
		
	case "searchstats":
		$modulespath = ASCMS_CORE_MODULE_PATH . "/stats/searchstats.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$searchstats= &new searchstats("stats_search.html",$_GET['action']);
        $template->set_var("CONTENT", $searchstats->getSearchResults($_GET['searchquery'],intval($_GET['pos'])));
		$subMenuTitle  =  $_CORELANG['TXT_SEARCH_STATISTIC'];
		$template->parse("CONTENT_MASTER","CONTENT");
		break;
//-----------------------------------------------------------------------------------------------
// nettools
//-----------------------------------------------------------------------------------------------
	case "nettools":
		$objPerm->checkPerm(54);
		$modulespath = ASCMS_CORE_MODULE_PATH."/nettools/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_NETWORK_TOOLS'];
		$template->set_file("CONTENT_MASTER","content_master.html");
		$nettools = &new netTools();
		$template->set_var("ADMIN_CONTENT", $nettools->getContent());
		break;
//-----------------------------------------------------------------------------------------------
// newsletter
//-----------------------------------------------------------------------------------------------
	case "newsletter":
	    $objPerm->checkPerm(25);
	    $modulespath = ASCMS_MODULE_PATH . "/newsletter/admin.class.php";	    
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);		
		$subMenuTitle = $_CORELANG['TXT_NEWSLETTER'];		
		$template->set_file("CONTENT_MASTER","content_master.html");
		$newslettermanager= &new newslettermanager($template);		
        $template->set_var("CONTENT_MASTER", $newslettermanager->getNewsletterPage());	
		break;
		
//-----------------------------------------------------------------------------------------------
// settings
//-----------------------------------------------------------------------------------------------
	case "settings":
	    $objPerm->checkPerm(17);
		$modulespath = ASCMS_CORE_PATH . "/settings.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_SYSTEM_SETTINGS'];
		$objSettings = &new settingsManager();
	    $template->set_var("CONTENT_MASTER",$objSettings->getSettingsPage());		
	break;

//-----------------------------------------------------------------------------------------------
// language management
//-----------------------------------------------------------------------------------------------
	case "language":
	    $objPerm->checkPerm(22);
	    $subMenuTitle = $_CORELANG['TXT_LANGUAGE_SETTINGS'];
		$modulespath = ASCMS_CORE_PATH . "/language.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$objLanguage = &new LanguageManager();
		$template->set_file("CONTENT_MASTER","content_master.html");
	    $template->set_var("ADMIN_CONTENT", $objLanguage->getLanguagePage());
	break;
		
//-----------------------------------------------------------------------------------------------
// module manager
//-----------------------------------------------------------------------------------------------		
    case "modulemanager":
        $objPerm->checkPerm(23);
		$modulespath = ASCMS_CORE_PATH . "/modulemanager.class.php";
		$subMenuTitle  = $_CORELANG['TXT_MODULE_MANAGER'];
		if (file_exists($modulespath)) require_once($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$template->set_file("CONTENT_MASTER","content_master.html");
		$objModuleManager = &new modulemanager($template);
		$template->set_var("CONTENT_MASTER",$objModuleManager->getModulesPage());	
        break;
        
//-----------------------------------------------------------------------------------------------
// voting
//-----------------------------------------------------------------------------------------------
	case "voting":
	    $objPerm->checkPerm(14);
		$modulespath = ASCMS_MODULE_PATH . "/voting/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle  = $_CORELANG['TXT_CONTENT_MANAGER'];
		$template->set_file("CONTENT_MASTER","content_master.html");
 		$objvoting  = &new votingmanager($template);
	    $template->set_var("CONTENT_MASTER",$objvoting->getVotingPage());
	    break;

//-----------------------------------------------------------------------------------------------
// calendar
//-----------------------------------------------------------------------------------------------
	case "calendar":
	    $objPerm->checkPerm(16);
		$modulespath = ASCMS_MODULE_PATH . "/calendar/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle  = $_CORELANG['TXT_CALENDAR'];
		$template->set_file("CONTENT_MASTER","content_master.html");
 		$objCalendar  = &new calendarManager($template);
	    $template->set_var("CONTENT_MASTER",$objCalendar->getCalendarPage());
	    break;	  
    
//-----------------------------------------------------------------------------------------------
// forum
//-----------------------------------------------------------------------------------------------
	case "forum":
	    $objPerm->checkPerm(15);
		$modulespath = ASCMS_MODULE_PATH . "/forum/admin.class.php";
		if (file_exists($modulespath)) include($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle  = $_CORELANG['TXT_FORUM'];
		$template->set_file("CONTENT_MASTER","content_master.html");
 		$objforum  = &new forummanager($template);
	    $template->set_var("CONTENT_MASTER",$objforum->getForumPage());
	    break;
	   
//-----------------------------------------------------------------------------------------------
// thumbnail gallery
//-----------------------------------------------------------------------------------------------	
    case "gallery":
        $objPerm->checkPerm(12);       
		$modulespath = ASCMS_MODULE_PATH . "/gallery/admin.class.php";
		if (file_exists($modulespath)) require_once($modulespath);
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		$subMenuTitle = $_CORELANG['TXT_GALLERY_TITLE'];
		$objGallery = &new galleryManager();
		$template->set_file("CONTENT_MASTER","content_master.html");		
		$template->set_var("ADMIN_CONTENT",$objGallery->getPage());		
        break;
        
//-----------------------------------------------------------------------------------------------
// ftp check
//-----------------------------------------------------------------------------------------------	
    case "check_ftp":
        //$objPerm->checkPerm(12);   
        $subMenuTitle = "FTP Check";    
		$modulespath = ASCMS_CORE_PATH . "/checkFTP.class.php";
		if (file_exists($modulespath)) require_once($modulespath);		
		else die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);	
		$template->set_file("CONTENT_MASTER","content_master.html");			
		$objUsers = &new checkFTP();
	    $template->set_var("ADMIN_CONTENT",$objUsers->getPage());   
	    break; 

//-----------------------------------------------------------------------------------------------
// access denied
//-----------------------------------------------------------------------------------------------	
	case "noaccess":
	    //Temporary no-acces-file and comment
		$template->set_file("CONTENT_MASTER","content_master.html");
		$template->set_var("CONTENT_TITLE",$_CORELANG['TXT_ACCESS_DENIED']);
		$subMenuTitle=$_CORELANG['TXT_ACCESS_DENIED'];
		$template->set_var("CONTENT_NAVIGATION",$_CONFIG['coreCmsName']);
		$template->set_var("CONTENT_STATUS_MESSAGE","");
		$template->set_var("ADMIN_CONTENT","<img src='images/stop_hand.gif' alt='' /><br /><br />".$_CORELANG['TXT_ACCESS_DENIED_DESCRIPTION']);
	break;
	
//-----------------------------------------------------------------------------------------------
// logout
//-----------------------------------------------------------------------------------------------
	case "logout":
		$objAuth->logout();
		exit;
	break;	

//-----------------------------------------------------------------------------------------------
// show default admin page
//-----------------------------------------------------------------------------------------------	
	default:	   
    $subMenuTitle = $_CORELANG['TXT_ADMINISTRATION_INDEX'];
    $modulePath = ASCMS_CORE_PATH . "/myAdmin.class.php";
	if (file_exists($modulePath)) {
		require_once($modulePath);
	} else {
		die($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
	}
	$template->set_file("CONTENT_MASTER","content_master.html");
	$objMyAdmin = &new myAdminManager($template);	
	$template->set_var("CONTENT_MASTER",$objMyAdmin->getPage());	
	break;		
}

//-----------------------------------------------------------------------------------------------
// page parsing
//-----------------------------------------------------------------------------------------------

$objAdminNav = &new adminMenu($objTemplate);
$finishTime  = gettimeofday();
$parsingTime = round(($finishTime['sec'] + $finishTime['usec'] / 1000000) - ($startTime['sec'] + $startTime['usec'] / 1000000), 5);
$template->set_var(array(
	  'SUB_MENU_TITLE'	            => $subMenuTitle,
	  'FRONTEND_LANG_MENU'          => $objInit->getUserFrontendLangMenu(),
	  'TXT_GENERATED_IN'            => $_CORELANG['TXT_GENERATED_IN'],
	  'TXT_SECONDS'                 => $_CORELANG['TXT_SECONDS'],
	  'TXT_PAGE_ID'                 => $_CORELANG['TXT_PAGE_ID'],
	  'TXT_LOGOUT_WARNING'          => $_CORELANG['TXT_LOGOUT_WARNING'],
	  'PARSING_TIME'	            => $parsingTime,
	  'LOGGED_NAME'                 => $_SESSION['auth']['name'],
	  'TXT_LOGGED_IN_AS'            => $_CORELANG['TXT_LOGGED_IN_AS'],
	  'TXT_LOG_OUT'	                => $_CORELANG['TXT_LOG_OUT'],
	  'CONTENT_WYSIWYG_CODE'        => get_wysiwyg_code(),
	  'NAVIGATION_OUTPUT'           => $objAdminNav->getAdminNavbar(),
));
$template->parse('QUICKLINKS_CONTENT','QUICKLINKS');
$template->parse('CONTENT_OUTPUT','CONTENT_MASTER');
$template->parse('OUT','INDEX');
$template->p('OUT');
?>
