<?php
/**
* Class System
*
* Checks for activated modules and plugins
*
* @copyright   CONTREXX CMS - 2005 Astalavista IT Engineering GmbH Thun
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>              
* @module      system
* @modulegroup core
*/

class ModuleChecker
{
	/**
	* Contains the array of the core modules name
	* @access public
	* @var array
	* @see __construct()
	*/    
	var $coreModules = array('contact','core', 'error', 'ids', 'login', 'home', 'news','media','nettools','search','sitemap','stats');
    var $arrModules = array();
    var $arrActiveModulesById = array();
    var $arrActiveModulesByName = array();
    var $arrInstalledModules = array();
    var $arrUsedModules = array();
    var $objDB;
    var $langId;
    var $existsModuleFolders = false;
    

	/**
    * Constructor 
    * @access public
    */   
    function ModuleChecker(){ 
    	$this->__construct();    
    }
    
    
    /**
     * PHP5 constructor     
     * @access public     
     */
    function __construct(){ 
    	global $objInit;
    	
    	$this->langId=$objInit->userFrontendLangId;	   	
    	$this->objDb = &new astalavistaDB;
    	$this->init();
    	$this->moduleFoldersCheck();    	  
    }
    
    
    function init() 
    {
    	// check the content for installed and used modules
    	if($this->objDb->query("SELECT module FROM ".DBPREFIX."content_navigation 
    	                         WHERE module<>0 AND lang=".$this->langId." GROUP BY module")) {
    	
    	    while($this->objDb->next_record()) {
    	    	$this->arrUsedModules[] = $this->objDb->f('module');
    	    }
    	}

    		
    	
    	// check the module database tables for required modules   	
    	if($this->objDb->query("SELECT id,name,is_core,is_required FROM ".DBPREFIX."modules")) {
    		while($this->objDb->next_record()) { 
    			$moduleName = $this->objDb->f("name"); 			
    			if(!empty($moduleName)) {
    				$this->arrModules[$this->objDb->f("id")]=$this->objDb->f("name"); 
    			}   					    
    			if($this->objDb->f("is_core")=="1" OR $this->objDb->f("is_required")=="1") {
    				
					$this->arrActiveModulesById[$this->objDb->f("id")]=$this->objDb->f("name");
					$this->arrActiveModulesByName[$this->objDb->f("name")]=$this->objDb->f("id");
				} else {
					if(in_array($this->objDb->f("id"), $this->arrUsedModules)) {
					    if(is_dir(ASCMS_MODULE_PATH.'/'.$this->objDb->f("name"))) {
                            $this->arrActiveModulesById[$this->objDb->f("id")]=$this->objDb->f("name");
                            $this->arrActiveModulesByName[$this->objDb->f("name")]=$this->objDb->f("id");
					    }  				
				    } 			    	
    			} // end if
    		} // end while
    	}    	   	
    }
    
    
    
    function moduleFoldersCheck()
    {   	
    	foreach($this->arrModules AS $id => $moduleName ) {
		    if(is_dir(ASCMS_MODULE_PATH.'/'.$moduleName)) {
	            $this->existsModuleFolders = true;
		    } 
    	}	
    }
    
    
    

	function getModuleStatusById($moduleId)
	{
		if (in_array($moduleId,$this->arrActiveModulesByName))
			return (boolean) true;
		else 
			return (boolean) false;		
	}
    
    
	function getModuleStatusByName($moduleName)
	{
		if (in_array($moduleName, $this->arrActiveModulesById)) {
			return (boolean) true;
		} else 
			return (boolean) false;		
	}	
}