<?php
/**
* Admin CP navigation
*
* Class for the Admin CP navigation
*
* @copyright    ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering GmbH
* @author       Ivan Schmid <ivan.schmid@astalavista.ch>  
* @module       admin
* @modulegroup  core 
* @version      $Id:  Exp $  
*/

// error_reporting(E_ALL);


class adminMenu
{
	//var $objTemplate;
	var $arrMenuItems = array();	
	var $arrMenuGroups = array();
	var $statusMessage;
	var $objTemplate;
	
	
    /**
    * Constructor
    *
    * @version 1.0    initial version
    * @param  $objTemplate  
    * @access public
    */
	
	function adminMenu($objTemplate)
	{
    	$this->objTemplate = $objTemplate;
    	$this->init();	
	}	
	
	
       
    function getAdminNavbar()
    { 
        $this->getMenu();		
		$this->objTemplate->setVariable("STATUS_MESSAGE",trim($this->statusMessage));
		return $this->objTemplate->get();                
    } 
    
    
    function init()
    {        
    	global $db, $_CORELANG;
		
		$db->query("SELECT areas.area_id AS area_id,
		                   areas.parent_area_id AS parent_area_id,
		                   areas.area_name AS area_name,
		                   areas.module_id AS module_id,
		                   areas.type AS type,
		                   areas.uri AS uri,
		                   areas.target AS target,
		                   modules.id AS id,
		                   modules.name AS module_name 	
		              FROM  ".DBPREFIX."backend_areas AS areas,
		                    ".DBPREFIX."modules AS modules 
		             WHERE is_active=1 
		               AND modules.id=areas.module_id
		          ORDER BY order_id ASC");				
		
		while ($db->next_record())
		{			                                               
			if($db->f('type')=="group") {
				$this->arrMenuGroups[$db->f('area_id')]=$db->f('area_name');				
			}
			$this->arrMenuItems[$db->f('area_id')] = array($db->f('parent_area_id'),
			                                               $_CORELANG[$db->f('area_name')],
			                                               $db->f('uri'),
			                                               $db->f('target'),
			                                               $db->f('module_name'));					
		}		
			
    }  

	
	/**
	* gets the administration menu by user rights
	*
	* creates the navigation by userright
	*
	* @global	 array      $_CORELANG[*] 
	* @global	 array      $_SESSION[*] 
	* @param     string     $navScetion
	* @return    array      $navigation
	*/
	function getMenu()
	{
		global $objModules, $_CORELANG;	
				
		// initialise variables
		$navigation ="";		
		
		$this->objTemplate->loadTemplateFile('index_navigation.html',true,true);

		//ksort($this->arrMenuItems);
		reset($this->arrMenuItems);
		
		foreach ( $this->arrMenuGroups as $group_id => $group_data ){
		   $navigationStyle = "none";
		   $this->objTemplate->setCurrentBlock('navigationRow');
		   $this->objTemplate->setVariable('NAVIGATION_GROUP_NAME',$_CORELANG[$group_data]);
		   $this->objTemplate->setVariable('NAVIGATION_ID',$group_id);
		   $this->objTemplate->setVariable('TXT_LOGOUT', $_CORELANG['TXT_LOGOUT']);
		   
		   if($group_id==2 && !$objModules->existsModuleFolders) {
		   	   	continue;
		   }
		   
		   if(isset($_COOKIE['navigation_'.$group_id])){
		       $navigationStyle = $_COOKIE['navigation_'.$group_id];	  
		   }
		   $this->objTemplate->setVariable('NAVIGATION_STYLE',$navigationStyle);
		   
		   foreach ( $this->arrMenuItems as $link_data ){
		     if ( $link_data[0] == $group_id ){
		        if($this->moduleExists($link_data[4])){
		     	    $navigation.= "<li><a href='".htmlspecialchars($link_data[2])."' title='".$link_data[1]."' target='".$link_data[3]."'>&nbsp;".$link_data[1]."</a></li>\n";		       
		        }
		     }
		     $this->objTemplate->setGlobalVariable('NAVIGATION_MENU',$navigation);
		   }
		   $navigation = "";
		   $this->objTemplate->parseCurrentBlock();		   
		   
		   
		     
		} 		
	}

	
	
	
	function moduleExists($moduleFolderName)
	{		
		global $objModules;
		if(empty($moduleFolderName)) {
			return true;
		} else { 
			return $objModules->getModuleStatusByName($moduleFolderName);
		}		
	}			
}
?>