<?php
/**
* Module Backup
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering
* @author      Leandro Nery <neryd@astalavista.com>             
* @module      backup
* @modulegroup core                                                                                     
* @version	   $Id:1.0    Exp $
*/  


//Security-Check
if (eregi("backup.class.php",$_SERVER['PHP_SELF'])) 
{
    Header("Location: index.php");
    die();
}



/**
* Function backup_create
*
* @global    object     $db
* @global    array      $_POST[*]
* @global    array      $_CORELANG
* @return    return     status_result                                                                             
*/
function backup_create()
{	
	GLOBAL $db, $_CORELANG;
	
	$time_now=time();
	$cur_time=date("YmdHis",$time_now);	
	$newfile="# ASTALAVISTA secure CMS database backup file created on ".date(ASCMS_DATE_FORMAT ,$time_now)."\r\n";
	$description=$_POST['description'];
	
	if (isset($_POST["backup_default"])){
		$table_array=explode(";",$_POST["default_tables"]);
		if (empty($_POST['description'])){
			$description=$_CORELANG['TXT_CONTENT_BACKUP'];
		}
	}
	elseif (isset($_POST["backup_shop"]))
	{
		$table_array=explode(";",$_POST["shop_tables"]);
		if (empty($_POST['description'])){
			$description=$_CORELANG['TXT_SHOP_BACKUP'];
		}
	}
	else {	
		$table_array=$_POST["tables"];
	}
	
	if (!empty($table_array)) 		
	{
		$implode_tables=implode(";",$table_array);
		$i=0;
		foreach($table_array as $table_name){	  	
		   $newfile.= "\n# ----------------------------------------------------------\n#\n";
		   $newfile.= "# structur for table '$table_name'\n#\n";
		   $newfile.= backup_getDBTables($table_name);
		   $newfile.= "\n\n";
		   $newfile.= "#\n# data for table '$table_name'\n#\n";
		   $newfile.= backup_getDBContent($table_name);
		   $newfile.= "\n\n";							
		}
	
		$dumbfilename=$cur_time.".sql";	
		$fp=fopen( ASCMS_BACKUP_PATH .'/'.$dumbfilename,"w") OR die ("Could not create the database backup file.\n (Check the file permission chmod 777)"); 
		fwrite ($fp,$newfile);
		fclose ($fp);
			
	    $filesize = filesize (ASCMS_BACKUP_PATH. '/' .$dumbfilename);
	   	
		$query = "INSERT INTO ".DBPREFIX."backups
			                    SET date=FROM_UNIXTIME($time_now)+0,
		                            description='$description',
			                        usedtables='$implode_tables',
									size=$filesize";
			                     
		if($db->query($query)){
		    return $_CORELANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL']; 
		}
		else {
			return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
		}	
	}
	else {
	    return $_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];	
	}
}




/**
* Function backup_recover
* 
* @global    object     $db
* @global    array      $_CORELANG
* @return    string     status_result                                                                             
*/
function backup_restore()		
{	
	global $db, $_CORELANG;
	
	$id=$_REQUEST["backupid"];
	if (empty($id)) return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
	
	$db->query("SELECT UNIX_TIMESTAMP(date) as datesec FROM ".DBPREFIX."backups WHERE id=$id");
	if ($db->next_record())
	{
		$filename=date("YmdHis",$db->f("datesec")).".sql";
		ob_start();
		@ob_implicit_flush(0);	
		readfile(ASCMS_BACKUP_PATH.'/'.$filename);	
		$contents = ob_get_contents();
		ob_end_clean();
		
		$error_log = array();
		if (!empty($contents)) {									
			$contents = preg_replace("/\r/s", "\n", $contents);
			$contents = preg_replace("/[\n]{2,}/s", "\n", $contents);
			$lines = explode("\n", $contents);
			$queries = array();
			$in_query = 0;
			$i = 0;
			foreach ($lines as $line)
			{
				$line = trim($line);
				if (!$in_query) {
					if (preg_match("/^CREATE/i", $line)) {
				    	$in_query= 1;
				    	$split_file[$i]= $line;
				  	}	
				  	elseif (!empty($line) && $line[0]!="#") {
				    	$split_file[$i]= preg_replace("/;$/i", "", $line);
				    	$i++;
				  	}
				}
				elseif ($in_query){					
					if (preg_match("/^[\)]/", $line)) {
				    	$in_query = 0;
				    	$split_file[$i].= preg_replace("/;$/i", "", $line);
				    	$i++;
				  	}
				  	elseif (!empty($line) && $line[0]!="#") {
				    	$split_file[$i].= $line;
				  	}
				}
			}						
			foreach ($split_file as $sql) {
				$sql = trim($sql);
			  	if (!empty($sql) && $sql[0]!= "#") {
			    	@set_time_limit(1200);
			    	if (!$db->query($sql)) 
			    	{
			      		$error_log[]= $sql;
			    	}
			  	}
			}
		}			
		if (!empty($error_log)) 
		{
			$msg= $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			$msg.= "<ol>";
			foreach ($error_log as $val) {
				$msg.= sprintf("<li>%s</li>", $val);
			}
			$msg.= "</ol>";
		}
		else {
			$msg= $_CORELANG['TXT_DATA_RECORD_RESTORE_SUCCESSFUL'];
		}	
	}
	return $msg;
}


/**
* Function backup_delete
* 
* @global    object     $db
* @global    array      $_CORELANG
* @return    string     status_result                                                                             
*/
function backup_delete()				
{	
	global $db, $_CORELANG;
	
	$id=$_REQUEST["backupid"];
	if (empty($id)) return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
	$db->query("SELECT UNIX_TIMESTAMP(date) as datesec FROM ".DBPREFIX."backups WHERE id=$id");
	if ($db->next_record())
	{
		$filename=date("YmdHis",$db->f("datesec")).".sql";
		if (file_exists($filename)) {
			if (@unlink(ASCMS_BACKUP_PATH.'/'.$filename)) {
				if ($db->query("DELETE FROM ".DBPREFIX."backups WHERE id=$id")) {
				   return $_CORELANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
				} else {
					return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
				}
			} else {
				return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			}
		} else {
			if ($db->query("DELETE FROM ".DBPREFIX."backups WHERE id=$id")) {
			   return $_CORELANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL']; 
			} else {
				return $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			}
		}
	}
}


/**
* Function backup_view
*
* @version   1.0        initial version  
* @global    object     $db
* @global    array      $_CORELANG
* @return    string     output                                                                           
*/
function backup_view()	
{	
	global $db;
		
	$id=$_REQUEST["backupid"];
	if (empty($id)) return "";
	$db->query("SELECT UNIX_TIMESTAMP(date) as datesec FROM ".DBPREFIX."backups WHERE id=$id");
	if ($db->next_record())
	{
		$filename=date("YmdHis",$db->f("datesec")).".sql";
		ob_start();
		@ob_implicit_flush(0);	
		readfile(ASCMS_BACKUP_PATH.'/'.$filename);		
		$contents = ob_get_contents();
		ob_end_clean();
		return "<pre>".preg_replace('/\{([A-Z0-9_]*?)\}/','[[\\1]]',htmlspecialchars($contents))."</pre>";		
	}			
}


/**
* Function backup_viewTables
*
* @version   1.0        initial version  
* @global    object     $db
* @global    array      $_CORELANG
* @return    string     output                                                                             
*/
function backup_viewTables()	
{	
	global $db, $_CORELANG;
		
	$id=$_REQUEST["backupid"];
	if (empty($id)){
		return "";
	}
	$db->query("SELECT usedtables FROM ".DBPREFIX."backups WHERE id=$id");
	if ($db->next_record()){
		$tables=explode(";",$db->f("usedtables"));
		$output=$_CORELANG['TXT_TABLES'].":<br>";
		foreach($tables as $value){
			$output.="<br>".$value;
		}		
		return $output;		
	}			
}


/**
* Function backup_download
* 
* @global    object     $db                                                                       
*/
function backup_download()
{	
	global $db;
	
	$id= intval($_REQUEST['backupid']);
	if (empty($id)) 
	{
		return false;
	}
	$db->query("SELECT UNIX_TIMESTAMP(date) as datesec FROM ".DBPREFIX."backups WHERE id=$id");
	if ($db->next_record())
	{
		$filename= date("YmdHis",$db->f("datesec")).".sql";
		$size= @filesize(ASCMS_BACKUP_PATH.'/'.$filename);
		header("Content-type: application/x-unknown");
  		header("Content-length: $size\n");
  		header("Content-Disposition: attachment; filename=$filename\n");
		readfile(ASCMS_BACKUP_PATH.'/'.$filename);
		exit;
	} 
}


/**
* Function backup_showList
*
* @global    object     $db
* @global    array      $_CORELANG
* @global    object     $template
* @return    object     template                                                                             
*/
    
function backup_showList()
{	
	global $template,$_CORELANG, $db;
	
	$tables="";		
	$database_size_prefix=0;
	$database_number_prefix=0;	
	
	$template->set_file("CONTENT_FORM_BACKUP", "backup.html");	
	$table_array=$db->table_names();									
	$defaulttables=array();
		
	foreach ($table_array as $table_atrib)
	{    	
        if (preg_match("/\b".DBPREFIX."/i", $table_atrib['table_name']) && !preg_match("/\b".DBPREFIX."backups\b/i", $table_atrib['table_name'])){
        	$tables.="<option value='".$table_atrib['table_name']."'>".$table_atrib['table_name']."</option>";	
        }
        if (preg_match("/".DBPREFIX."content_navigation\b/i", $table_atrib['table_name']) 
         || preg_match("/".DBPREFIX."content\b/i", $table_atrib['table_name'])) {
            $defaulttables[]=$table_atrib['table_name'];
        }
        elseif (preg_match("/".DBPREFIX."module_shop_settings\b/i", $table_atrib['table_name']) 
             || preg_match("/".DBPREFIX."module_shop_products\b/i", $table_atrib['table_name'])
             || preg_match("/".DBPREFIX."module_shop_orders\b/i", $table_atrib['table_name'])
             || preg_match("/".DBPREFIX."module_shop_order_items\b/i", $table_atrib['table_name'])
             || preg_match("/".DBPREFIX."module_shop_mail\b/i", $table_atrib['table_name'])
             || preg_match("/".DBPREFIX."module_shop_customers\b/i", $table_atrib['table_name'])            
             || preg_match("/".DBPREFIX."module_shop_categories\b/i", $table_atrib['table_name']))
        {
        	$shoptables[]=$table_atrib['table_name'];
        }
	}
	
	$template->set_var(array(
	    'TXT_BACKUP_LIST'  	  	     => $_CORELANG['TXT_BACKUP_LIST'],
	    'TXT_DATE'       		  	 => $_CORELANG['TXT_DATE'],
	    'TXT_NAME'    		         => $_CORELANG['TXT_NAME'],
	    'TXT_DESCRIPTION'       	 => $_CORELANG['TXT_DESCRIPTION'],
	    'TXT_TABLES'            	 => $_CORELANG['TXT_TABLES'],
	    'TXT_SIZE'              	 => $_CORELANG['TXT_SIZE'],
	    'TXT_ACTION'            	 => $_CORELANG['TXT_ACTION'],
	    'TXT_BACKUP_CREATE'          => $_CORELANG['TXT_BACKUP_CREATE'],
	    'TXT_BACKUP_SUBMIT'          => $_CORELANG['TXT_BACKUP_SUBMIT'],
	    'TXT_SELECT_ALL'             => $_CORELANG['TXT_SELECT_ALL'],
		'TXT_DESELECT_ALL'           => $_CORELANG['TXT_DESELECT_ALL'],
		'TXT_CONFIRM_RESTORE_DATA'   => $_CORELANG['TXT_CONFIRM_RESTORE_DATA'],
		'TXT_CONFIRM_DELETE_DATA'    => $_CORELANG['TXT_CONFIRM_DELETE_DATA'],
		'TXT_ACTION_IS_IRREVERSIBLE' => $_CORELANG['TXT_ACTION_IS_IRREVERSIBLE'],	
		'TXT_DATABASE'	             => $_CORELANG['TXT_DATABASE'],	
		'TXT_DEFAULT_BACKUP'         => $_CORELANG['TXT_CONTENT_BACKUP'],	
		'TXT_RESTORE'                => $_CORELANG['TXT_RESTORE'],			
		'TXT_DOWNLOAD'               => $_CORELANG['TXT_DOWNLOAD'],	
		'TXT_DELETE'                 => $_CORELANG['TXT_DELETE'],
		'TXT_VIEW'                   => $_CORELANG['TXT_VIEW'],
		'TXT_SHOP_BACKUP'            => $_CORELANG['TXT_SHOP_BACKUP'],		
	));	
  	
  	$template->set_block("CONTENT_FORM_BACKUP","backupRow","handle");
  	
  	$db->query("SELECT id, 
  	                   UNIX_TIMESTAMP(date) as datesec, 
  	                   description, 
  	                   usedtables, 
  	                   size 
  	              FROM ".DBPREFIX."backups 
  	          ORDER BY date DESC");
  	$j=0;
  	while ($db->next_record())
  	{
		if (($j% 2)==0)
		{
			$class="row1";
		}
		else
		{
			$class="row2";
		}	
			
		$description= ($db->f("description")=="") ? "-" : stripslashes($db->f("description"));
		$filesize=size_format($db->f("size"));
	    $tablecount= count(explode(";",$db->f("usedtables")));
	    
		$template->set_var("BACKUP_ID",$db->f("id"));		
		$template->set_var("BACKUP_DATE", date(ASCMS_DATE_FORMAT , $db->f("datesec")));	
		$template->set_var("BACKUP_DESCRIPTION",$description);	
		$template->set_var("BACKUP_TABLES",$tablecount);	
		$template->set_var("BACKUP_SIZE",$filesize);											
  		$template->set_var("BACKUP_ROWCLASS",$class);	  		
  		
  		$template->parse("handle","backupRow",true);	
  		$j++;  		
  	}	  	 	
	
    
    // $db->query("SHOW TABLE STATUS FROM $db->Database");
    $db->query("SHOW TABLE STATUS");    
    while ($db->next_record()) 
    {    	
        if (eregi('^(MyISAM|ISAM|HEAP|InnoDB)$', $db->f('Type')))
        {                  	
        	if (preg_match("/\b".DBPREFIX."/",$db->f("Name"))) 
        	{
          		$database_size_prefix+= $db->f("Data_length")+$db->f("Index_length");
          		$database_number_prefix++;
        	}
                	         	
        }
    }        
    
    $template->set_var("DB_NAME",$db->Database);	
  	$template->set_var("CMS_SIZE",size_format($database_size_prefix)."( $database_number_prefix ".$_CORELANG['TXT_TABLES'].")");	
 	$template->set_var("BACKUP_TABLE_OPTIONS",$tables);	
	$template->set_var("DEFAULT_TABLES",implode(";",$defaulttables));	
	$template->set_var("SHOP_TABLES", is_array($shoptables) ? implode(";",$shoptables) : $shoptables);	
	return $template->parse('OUT','CONTENT_FORM_BACKUP');
}


/**
* Function backup_showList
*
* @version   1.0        initial version  
* @global    object     $db
* @return    string     def                                                                             
*/
function backup_getDBTables($table) 
{
	global $db;
		
	$alltablesstructure = '';
	$fieldnames     = array();
	$structurelines = array();
	$tablekeys    = array();
	$uniquekeys   = array();
	$fulltextkeys = array();
	
	$db->query("SHOW FIELDS FROM $table");
	while ($db->next_record())
	{
		$structureline= $db->f("Field");
		$structureline.= ' '.$db->f("Type");
		$structureline.= ' '.($db->f("Null") ? '' : 'NOT ').'NULL';
		$default=$db->f("Default");
		if (isset($default)) 
		{
			switch ($db->f("Type"))
			{
				case 'tinytext':
				case 'tinyblob':
				case 'text':
				case 'blob':
				case 'mediumtext':
				case 'mediumblob':
				case 'longtext':
				case 'longblob':
					// no default values
					break;
				default:
					$structureline.= ' default \''.$db->f("Default").'\'';
					break;
			}
		}
		$structureline .= ($db->f("Extra") ? ' '.$db->f("Extra") : '');
		$structurelines[] = $structureline;

		$fieldnames[] = $db->f("Field");
	}	
				
	$db->query("SHOW KEYS FROM $table");
		
	while ($db->next_record())
	{
		$key_name=$db->f("Key_name");
		$seqindex=$db->f("Seq_in_index");
		$uniquekeys[$key_name] = FALSE;
		if ($db->f("Non_unique") == 0) {
			$uniquekeys[$key_name] = TRUE;
		}
		$fulltextkeys[$key_name] = FALSE;
		if ($db->f("Comment") == 'FULLTEXT' || $db->f("Index_type") == 'FULLTEXT') {
			$fulltextkeys[$key_name] = TRUE;
		}
		$tablekeys[$key_name][$seqindex] = $db->f("Column_name");
		ksort($tablekeys[$key_name]);
	}
		
	foreach ($tablekeys as $keyname => $keyfieldnames) {
		$structureline  = '';
		if ($keyname == 'PRIMARY') {
			$structureline .= 'PRIMARY ';
		} else {
			$structureline .= ($fulltextkeys[$keyname] ? 'FULLTEXT ' : '');
			$structureline .= ($uniquekeys[$keyname]   ? 'UNIQUE '   : '');
		}
		$structureline .= 'KEY'.(($keyname == 'PRIMARY') ? '' : ' '.$keyname);
		$structureline .= ' ('.implode(',', $keyfieldnames).')';
		$structurelines[] = $structureline;
	}

	$tablestructure  = "DROP TABLE IF EXISTS $table;\n";
	$tablestructure .= "CREATE TABLE ".$db->Database.".".$table." (";
	$tablestructure .= "\n".implode(", \n", $structurelines);
	$tablestructure .= "\n);";

	$alltablesstructure .= str_replace(' ,', ',', $tablestructure);
	return $alltablesstructure;		
}


        
/**
* Function backup_getDBContent
*
* @version   1.0        initial version  
* @global    object     $db
* @return    string     output                                                                             
*/
function backup_getDBContent($table) 
{
	global $db;
	$output= "";
	$search = array ("\x00", "\x0a", "\x0d", "\x1a"); 
    $replace= array ('\0', '\n', '\r', '\Z');
    
	$field_array=$db->metadata($table,$full=false);
	$db->query("SELECT * FROM $table");
	while($db->next_record()) {     
		$content = "INSERT INTO $table VALUES (";
		for($j=0; $j<count($field_array);$j++) {
			$field_curr=$field_array[$j]["name"];
			$aux=$db->f($field_curr);	
			if(!isset($aux)){
				$content .= "NULL,";
			}
			elseif($db->f($field_curr) != ""){
				$content .= "'".addslashes($db->f($field_curr))."',";
			}
			else{
				$content .= "'',";
			}
	    }
		$content = ereg_replace(",$","",$content);
		$content = str_replace($search, $replace, $content);
		$content .= ");\n";
		$output .= $content;
	}
	return $output;
}



/**
* Function size_format
*
* @version   1.0        initial version  
* @return    string     size                                                                             
*/
function size_format($filesize)
{
    $type = Array ('bytes', 'Kbytes', 'Mbytes', 'Gbytes');	    
    for ($i=0; $filesize>1024; $i++){
        $filesize/= 1024;
    }
    return (round ($filesize, 2)." $type[$i]"); 
}	
?>