<?php
/**
* Class Themes
*
* @copyright     	ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH  
* @version  		2.0       
* @module    	 	themes
* @modulegroups  	core                    
* @author        	Janik Tschanz <janik.tschanz@astalavista.ch>             
* @version       	$Id:  Exp $                                         
*/

require_once ASCMS_LIBRARY_PATH . '/pclzip/pclzip.lib.php';
require_once ASCMS_LIBRARY_PATH . '/FRAMEWORK/File.class.php';


class checkFTP
{		
	var $_objTpl;
	var $conn_id;						   // current Connections ID
	var $login_result;					   // current Login 
	
	var $ftp_is_activated;                 // FTP is activated ( true/false )
	var $ftpHost;                          // FTP Host 
	var $ftpUserName;                      // FTP User Name
	var $ftpUserPass;                      // FTP Password
	var $ftpDirectory;                     // FTP start directory (htdocs)
	
	var $saveMode;						   // save_mode is true/false
	var $is_php5;
	
	var $ftpConnection;
	var $ftpSupport;
	
	
	
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function checkFTP()
    { 
    	global $objDb, $_ARRAYLANG, $template, $objInit, $_FTPCONFIG;
        
		$this->_objTpl = &new HTML_Template_Sigma(ASCMS_ADMIN_TEMPLATE_PATH);
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
		
		$this->ftp_is_activated = $_FTPCONFIG['is_activated'];
		$this->ftpHost = $_FTPCONFIG['host'];
		$this->ftpUserName = $_FTPCONFIG['username'];
		$this->ftpUserPass = $_FTPCONFIG['password'];
		$this->ftpDirectory = $_FTPCONFIG['path'];
		$this->saveMode = @ini_get('safe_mode');	
		$this->is_php5 = (phpversion()<5) ? false : true;

	    $template->set_var("CONTENT_NAVIGATION",
	                       "<a href='index.php?cmd=check_ftp'>[FTP Einstellungen]</a>&nbsp;
	                       <a href='index.php?cmd=check_ftp&amp;act=#'>[Einstellungen ndern]</a>&nbsp;"); 
		
		
		//crate baseconnection
		$this->conn_id = @ftp_connect($this->ftpHost); 
		
		//logon with user and password
		$this->login_result = @ftp_login($this->conn_id, $this->ftpUserName, $this->ftpUserPass); 

		$this->checkSettings();
    }

    
    
    /**
    * Gets the requested methods
    *   
    * @global	 array     $_CORELANG
    * @return    string    parsed content                                                                               
    */
    function getPage()
    {
    	global $_CORELANG, $template, $objPerm;
    	
    	if(!isset($_GET['act'])) {
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{
			case "changeSettings":			     
			    //leer  	
			break;												    								
			default:
			    $objPerm->checkPerm(47);   
			    $this->ftpSettings();   		        
		}
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		

		
		return $this->_objTpl->get(); 
    }
    
    
    /**
    * ftpOverview
    *
    * @access   public
    * @global   object   $db
    */
    function ftpSettings()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		
		if($this->ftp_is_activated == true){
			$is_activated = "aktiviert";
		}else{
			$is_activated = "nicht aktiviert";
		}
		
	    // initialize variables	
		$this->_objTpl->loadTemplateFile('checkFTP_settings.html',true,true); 
		$this->pageTitle = "FTP Einstellungen"; 
		$this->_objTpl->setVariable(array(
		    'TXT_FTP_SETTINGS'       	=>     	"FTP Einstellungen (config)",
		    'TXT_FTP_CHECK'       		=>     	"FTP Prfen",
		    'TXT_FTP_IS_ACTIVATED'      => 		"Aktiviert",
			'TXT_FTP_HOST'       		=>		"Host",
			'TXT_FTP_USER'       		=>		"Username",
			'TXT_FTP_PASSWORD'       	=>		"Passwort",
			'TXT_FTP_PATH'       		=>		"Pfad",
		    'FTP_IS_ACTIVATED'      	=> 		$is_activated,
			'FTP_HOST'       			=>		$this->ftpHost,
			'FTP_USER'       			=>		$this->ftpUserName,
			'FTP_PASSWORD'       		=>		$this->ftpUserPass,
			'FTP_PATH'       			=>		$this->ftpDirectory,
			'TXT_WEBSERVER'       		=>     	"Webserver", 
		    'WEBSERVER'       			=>     	$this->getServerSoftware(),
		    'TXT_FTP_CONNECTION'       	=>     	"Verbindung", 
		    'FTP_CONNECTION'       		=>     	$this->ftpConnection,
		    'TXT_SAVE_MODE'       		=>     	"SaveMode", 
		    'SAVE_MODE'       			=>     	$this->saveMode,  
		)); 
		
		
		$structure = $this->getServerStructure(".");
		
		print_r("<pre>");
		print_r($structure);
		print_r("</pre>");
		
		$this->_objTpl->setVariable(array(
				'FTP_SERVER_ROOT'			=>	"root"
		));
		
		$this->_objTpl->setCurrentBlock("importDirectoryTree");
			
		foreach($structure as $dirKey => $dirName){
			$i++;
			$class = ($i % 2) ? 'row2' : 'row1';
			$array = explode(" ",$dirName); 
			$x = count($array)-1;
			$dirName = $array[$x];
			
			if($dirName != ".." && $dirName != "."){
				$this->_objTpl->setVariable(array(
					'FTP_ROW_CLASS'			=>	$class,
					'FTP_ROW_TEST'			=>	$dirName,
					'FTP_ROW_KEY'			=>	$dirKey
					));
				$this->_objTpl->parseCurrentBlock("importDirectoryTree");
			}
		}	
    }
    
    
    
    function checkSettings()
	{
		//check connection
		if ((!$this->conn_id) || (!$this->login_result)) { 
			$this->ftpConnection = "Konnte keine Verbindung herstellen";
			//$this->ftpSupport = "FTP wird nicht untersttzt";
		} else {
			$this->ftpConnection = "Verbindung konnte erfolgreich hergestellt werden";
			//$this->ftpSupport = "FTP wird untersttzt";
		}
		
		if($this->saveMode == true){
			$this->saveMode = "on";
		}else{
			$this->saveMode = "off";
		}
	}
	
	
	
	function getServerSoftware() 
	{
		if (isset($_SERVER['SERVER_SOFTWARE'])) 
		{
			return $_SERVER['SERVER_SOFTWARE'];
		} 
		else if (($sf = getenv('SERVER_SOFTWARE'))) 
		{
			return $sf;
		} 
		else 
		{
			return 'n/a';
		}
	}  
	
	
	function getServerStructure($dir)
	{
		$serverStructure = ftp_rawlist($this->conn_id, $dir);
		
		return $serverStructure;
	}
}
?>