<?php
/**
* Class Logging manager 
*
* Class to see logging 
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>              
* @module      logmanager
* @modulegroup core                                                                                     
* @version	   $Id: log.class.php,v 1.00 $
*/

/*
CREATE TABLE astalavista_log (
  id smallint(6) NOT NULL auto_increment,
  userid smallint(6) default NULL,
  datetime datetime NOT NULL,
  useragent varchar(100) default NULL,
  userlanguage varchar(25) default NULL,
  remote_addr varchar(250) default NULL,
  remote_host varchar(250) default NULL,
  http_via varchar(250) NOT NULL default '',
  http_client_ip varchar(250) NOT NULL default '',
  http_x_forwarded_for varchar(250) NOT NULL default '',
  referer varchar(250) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=MyISAM;
*/ 

class logmanager
{
    var $objTemplate;
    var $statusMessage = "";

    /**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function logmanager($objTemplate)
    {
    	global $_CORELANG;   	
		$this->objTemplate = $objTemplate;
    	$this->objTemplate->set_var(array(
    	    'CONTENT_TITLE'      => $_CORELANG['TXT_LOG_ADMINISTRATION'],
    	    'CONTENT_NAVIGATION' => "<a href='?cmd=log'>[".$_CORELANG['TXT_LOG_INDEX']."]</a>"
    	));
    }
       
    function getLogPage()
    {
    	global $_CORELANG;

        switch($_GET['act'])
		{	
		    case "del":
			    $this->deleteLog();
                $action = $this->showLogs();
                return $this->returnParsedContent();
			    break;	
		    case "details":
                $action = $this->showDetails();
                return $this->returnParsedContent();
			    break;	
		    case "stats":
                $action = $this->showStats();
                return $this->returnParsedContent();
			    break;				    			    			    			    			    		    	    
			default:    	
                $action = $this->showLogs();
                return $this->returnParsedContent();
			    break;
		}
    }
    
    function returnParsedContent()
    {
    	$this->objTemplate->set_var("CONTENT_STATUS_MESSAGE",trim($this->statusMessage));
    	$this->objTemplate->parse("ADMIN_CONTENT", "CONTENT");
        return $this->objTemplate->parse("CONTENT_OUT","CONTENT_MASTER");
    }


    
   
    function deleteLog()
    {
    	global $db, $_CORELANG;

		if(!empty($_REQUEST['logId']))
		{		
			$db->query("DELETE FROM ".DBPREFIX."log WHERE id={$_REQUEST['logId']}");  		
	    	if(!$db)
	    	{
		    	$this->errorHandling();
		        return false;
	    	} 	    		    		    	
	    	return true;
		}
		else 
		{
			return false;
		}	
    }    

    
    
	/*
	* Show Logs
	*
    */
    function showLogs()
    {
    	global $db, $_CORELANG, $_CONFIG;

    	$this->objTemplate->set_file("CONTENT","log.html");
    	$this->objTemplate->set_var(array(   	   	
				'TXT_CONFIRM_DELETE_DATA'    => $_CORELANG['TXT_CONFIRM_DELETE_DATA'],
				'TXT_ACTION_IS_IRREVERSIBLE' => $_CORELANG['TXT_ACTION_IS_IRREVERSIBLE'],
				'TXT_HOSTNAME'               => $_CORELANG['TXT_HOSTNAME'],    	    
				'TXT_USER_NAME'			     => $_CORELANG['TXT_USERNAME'],
				'TXT_LOGTIME'                => $_CORELANG['TXT_LOGTIME'],				
				'TXT_USERAGENT'              => $_CORELANG['TXT_USERAGENT'],
				'TXT_BROWSERLANGUAGE'        => $_CORELANG['TXT_BROWSERLANGUAGE'],	
				'TXT_ACTION'                 => $_CORELANG['TXT_ACTION'],
				'TXT_SEARCH'				 => $_CORELANG['TXT_SEARCH'], 																							
				)); 				
				
		$term = mysql_escape_string( stripslashes( trim($_REQUEST['term']) ) );		
    	$this->objTemplate->set_var("LOG_SEARCHTERM", $term);     	   	  	
		$q_search = "";		
		if(!empty($term))
		{                                 
		   $q_search = "AND ( log.id LIKE '%$term%' 
		                   OR log.userid LIKE '%$term%'
		                   OR log.useragent LIKE '%$term%'
		                   OR log.userlanguage LIKE '%$term%' 
		                   OR log.remote_addr LIKE '%$term%'
		                   OR log.remote_host LIKE '%$term%'  
		                   OR log.http_via LIKE '%$term%'
		                   OR log.http_client_ip LIKE '%$term%'
		                   OR log.http_x_forwarded_for LIKE '%$term%' 
		                   OR log.referer LIKE '%$term%'
		                   OR users.username LIKE '%$term%'		   		       
		               )";
		}
		 
		$q = "SELECT log.id AS id, 
					 log.userid AS userid,
		             log.datetime AS datetime,
					 log.useragent AS useragent,
					 log.userlanguage AS userlanguage, 
					 log.remote_addr AS remote_addr,
					 log.remote_host AS remote_host,  
					 log.http_via AS http_via,
					 log.http_client_ip AS http_client_ip,
					 log.http_x_forwarded_for AS http_x_forwarded_for, 
					 log.referer AS referer,			
					 users.id AS uid,			
					 users.username AS username					
		        FROM ".DBPREFIX."log AS log,
		             ".DBPREFIX."users AS users
		       WHERE log.userid=users.id " . $q_search .
		    "ORDER BY log.id DESC";		 		        	    
		    
		if(!$db->query($q))		
		{ 
		    $this->errorHandling();
			return false;
		}
		
		$pos = intval($_GET[pos]);
		$count = $db->num_rows();
		
		if(!empty($term))
		{ 
		    $paging = getPaging($count, $pos, "&cmd=log&term=$term", "<b>".$_CORELANG['TXT_LOG_ENTRIES']."</b>", true);			
		}
		else 
		{
		    $paging = getPaging($count, $pos, "&cmd=log", "<b>".$_CORELANG['TXT_LOG_ENTRIES']."</b>", true);
		}
		$q .= " LIMIT $pos, {$_CONFIG['corePagingLimit']}";	
		
		if(!$db->query($q))		
		{ 
		    $this->errorHandling();
			return false;
		}
		
		$this->objTemplate->set_var("LOG_PAGING", $paging); 
		$this->objTemplate->set_var("LOG_TOTAL", $count); 
		$this->objTemplate->set_block("CONTENT","logRow","handle");
		while($db->next_record())
		{			
			if (($i % 2) == 0) {$class="row1";} else {$class="row2";}
			$this->objTemplate->set_var(array(
			    'LOG_ROWCLASS' 		  => $class,
			    'LOG_ID' 			  => $db->f('id'),
			    'LOG_USERID' 		  => $db->f('userid'),
			    'LOG_USERNAME'	 	  => $db->f('username'),			    			    			    
			    'LOG_TIME' 		 	  => $db->f('datetime'),
			    'LOG_USERAGENT'	 	  => substr_replace ($db->f('useragent'),' ...', 40),
			    'LOG_USERLANGUAGE' 	  => substr_replace ($db->f('userlanguage'),' ...', 5),
			    'LOG_REMOTE_ADDR'	  => $db->f('remote_addr'),
			    'LOG_REMOTE_HOST'	  => substr_replace ($db->f('remote_host'),'', 40),
			    'LOG_HTTP_VIA'     	  => $db->f('http_via'),
			    'LOG_CLIENT_IP'	  	  => $db->f('http_client_ip'),		    
			    'LOG_X_FORWARDED_FOR' => $db->f('http_x_forwarded_for'),
			    'LOG_REFERER' 		  => $db->f('referer')
             ));             
			$this->objTemplate->parse("handle","logRow",true);
			$i++;
		}
		$this->objTemplate->parse('OUT','CONTENT');  		   	
    }	

    
    
    
    /**
    * Set the error Message (void())
    *
    * @global    array      $_CORELANG                                                                         
    */
    function errorHandling(){
    	global $_CORELANG;
        $this->statusMessage .= $_CORELANG['TXT_DATABASE_QUERY_ERROR']."<br>";
    }
}
?>