<?php
/**
* Class Modulemanager 
*
* This class manages the CMS Modules
*
* @copyright   ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering GmbH
* @author      Astalavista DEV Team <thun@astalavista.ch>              
* @module      modulemanager
* @modulegroup core                                                                                     
*/

class modulemanager
{
    var $objTemplate;
    var $statusMessage = "";
    var $txtInstalledModules = "";
    var $txtRemovedModules = "";
    var $arrayInstalledModules = array();
    var $arrayRemovedModules = array();
    var $langId;
    var $defaultOrderValue = 111;
    
    /**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function modulemanager($objTemplate)
    {
    	global $_CORELANG, $objInit;
    	
    	$this->objTemplate = $objTemplate;
    	$this->objTemplate->set_file("CONTENT","module_manager.html");

    	$this->objTemplate->set_var(array(
    	    'TXT_NAME'                   => $_CORELANG['TXT_NAME'],
    	    'TXT_CONFIRM_DELETE_DATA'    => $_CORELANG['TXT_CONFIRM_DELETE_DATA'],
    	    'TXT_ACTION_IS_IRREVERSIBLE' => $_CORELANG['TXT_ACTION_IS_IRREVERSIBLE'],
    	    'TXT_DESCRIPTION'            => $_CORELANG['TXT_DESCRIPTION'],
    	    'TXT_STATUS'                 => $_CORELANG['TXT_STATUS'],
    	    'TXT_INSTALL_MODULE'         => $_CORELANG['TXT_INSTALL_MODULE'],
    	    'TXT_PROVIDE_MODULE'         => $_CORELANG['TXT_PROVIDE_MODULE'],
    	    'TXT_REMOVE_MODULE'          => $_CORELANG['TXT_REMOVE_MODULE'],
    	    'TXT_ACCEPT_CHANGES'         => $_CORELANG['TXT_ACCEPT_CHANGES'],
    	    'TXT_APPLICATION' => $_CORELANG['TXT_APPLICATION'],
    	));

    	$this->objTemplate->set_var(array(
    	    'CONTENT_TITLE'      => $_CORELANG['TXT_MODULE_MANAGER'],
    	    'CONTENT_NAVIGATION' => "<a href='index.php?cmd=modulemanager'>[".$_CORELANG['TXT_MODULE_MANAGER']."]</a>"
    	                             //<a href='index.php?cmd=modulemanager&act=manage'>[".$_CORELANG['TXT_MODULE_ACTIVATION']."]</a>"
    	));
    	
    	$this->langId=$objInit->userFrontendLangId;
    }
    
    
    function getModulesPage()
    {
    	global $objPerm, $_CORELANG;
    	
    	if(!isset($_GET['act'])) {
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act']){
			case "manage":
			    $objPerm->checkPerm(51);
                $this->manageModules();
			    break;
			    
			case "edit":
			    $objPerm->checkPerm(52);
                $this->modModules();
                $this->showModules();
			    break;
			default:    	
    	        $objPerm->checkPerm(23);
                $this->showModules();
			    break;
		}
		
    	$this->objTemplate->set_var("CONTENT_STATUS_MESSAGE",trim($this->statusMessage));
    	$this->objTemplate->parse("ADMIN_CONTENT", "CONTENT");
        return $this->objTemplate->parse("CONTENT_OUT","CONTENT_MASTER");		
		
    }
    
    
    
    function showModules()
    {
    	global $db, $_CORELANG, $_LANGID;
    	
    	$this->objTemplate->set_var("MODULE_ACTION","edit");
    	$arrayInstalledModules = array();
    	
    	$query = "SELECT module 
    	            FROM ".DBPREFIX."content_navigation 
    	           WHERE module<>0
    	             AND lang=".$this->langId."
    	        GROUP BY module";
    	
    	if($db->query($query)){
    		$i=0;
    		while ($db->next_record()){
    		    $arrayInstalledModules[$i] = $db->f('module');	
    		    $i++;
    		}
    	}
    	$query = "SELECT id,
    	                 name, 
    	                 description_variable,
    	                 is_core,
    	                 is_required
    	            FROM ".DBPREFIX."modules 
    	           WHERE status = 'y' 
    	        ORDER BY is_required DESC, id DESC";
    	$i=0;
    	if($db->query($query)){
    		$this->objTemplate->set_block("CONTENT","moduleRow","handle");
    		
    		while ($db->next_record()){
    			$class = (($i % 2) == 0) ? "row1" : "row2";     			
    		    if(in_array($db->f('id'),$arrayInstalledModules)) {
    		    	$this->objTemplate->set_var("MODULE_REMOVE","<input type='checkbox' name='removeModule[".$db->f('id')."]' value='0' />");
    		    	$this->objTemplate->set_var("MODULE_INSTALL","&nbsp;");
    		    	$this->objTemplate->set_var("MODULE_STATUS","<img src='images/icons/led_green.gif' alt='' />");
                } else  {
    		    	$this->objTemplate->set_var("MODULE_INSTALL","<input type='checkbox' name='installModule[".$db->f('id')."]' value='1' />");
    		    	$this->objTemplate->set_var("MODULE_REMOVE","&nbsp;");
    		    	$this->objTemplate->set_var("MODULE_STATUS","<img src='images/icons/led_red.gif' alt='' />");
    		    } 
    		    
    		    // core Modules
    		    if($db->f('is_core')==1){
    		    	$this->objTemplate->set_var("MODULE_NAME", $db->f('name')." (core)");    		    	
    		    } else {
    		    	$this->objTemplate->set_var("MODULE_NAME", $db->f('name'));    		    	
    		    }  	
    		    
    		    // Required Modules
    		    if($db->f('is_required')==1){
    		    	$class = "highlighted";
    		    	$this->objTemplate->set_var("MODULE_REQUIRED", $_CORELANG['TXT_REQUIRED']); 
    		    	$this->objTemplate->set_var("MODULE_REMOVE","&nbsp;");   		    	
    		    } else {
    		    	$this->objTemplate->set_var("MODULE_REQUIRED", $_CORELANG['TXT_OPTIONAL']);    		    	
    		    }     		    
 		                  
    		    $this->objTemplate->set_var(array(
    		        'MODULE_ROWCLASS'   => $class,
    		        'MODULE_DESCRIPTON' => $_CORELANG[$db->f('description_variable')],
    		        'MODULE_ID'         => $db->f('id')
    		    ));
    		    $this->objTemplate->parse("handle","moduleRow",true);
    		    $i++;
    		}
    		$this->objTemplate->parse("OUT","CONTENT");
    		
    	}    
    }

    
    
    
    function modModules()
    {
    	global $_CORELANG;
    	//$installedModules = "";
    	if($this->installModules()){
    		foreach ($this->arrayInstalledModules AS $key => $elem){
    		    $installedModules .= $key.", ";
    		}
    	     $this->statusMessage.="".sprintf($_CORELANG['TXT_MODULES_INSTALLED_SUCCESFULL'],$installedModules." ");
    	}
    	if($this->removeModules()){
    		foreach ($this->arrayRemovedModules AS $key => $elem){
    		   $removedModules .= $key.", ";
    		}
    		$this->statusMessage.=" ".sprintf($_CORELANG['TXT_MODULES_REMOVED_SUCCESSFUL'],$removedModules." ");
    	}
    }

    
    
    
    function installModules()
    {
    	global $db,$_CORELANG;
    	$db1 = &new astalavistaDB;
    	$alreadyexist = false;
    	$i = 1;
    	
   	    if(is_array($_POST['installModule'])) {   	
    		$currentTime = time();	
    	    foreach ($_POST['installModule'] AS $key => $elem) {           	    
    	    	$id = intval($key); 
    	    	if($db->query("SELECT name FROM ".DBPREFIX."modules WHERE id = $id")) {
    	    		if($db->next_record()) {
    	    			$module_name = $db->f('name');
    	    		}
    	    	} else {
    	    		$this->errorHandling();
	                return false;
    	    	} 
    	    	  	    	
	    		$query= "SELECT *
	    		         FROM ".DBPREFIX."module_repository
	    	             WHERE moduleid=".$id."
	    		         ORDER BY parid ASC";
	    		
	    		/* removed! Each language has the same repository!
	    		$query= "SELECT *
	    		         FROM ".DBPREFIX."module_repository
	    	             WHERE moduleid=$id
	    		         AND lang=$this->langId
	    		         ORDER BY parid ASC";	    		
	    		*/
	    		
	    	    if($db->query($query)) {
    	    	    while($db->next_record()){    
    	    		    if ($paridarray[$db->f('parid')]) {							
					        $parcat= $paridarray[$db->f('parid')];
					    } else {
						    if (!$alreadyexist) 
						    {
							    $db1->query("SELECT catid FROM ".DBPREFIX."content_navigation WHERE module=".$id." AND lang=".$this->langId );
							    if($db1->next_record()){								
							        $db1->query("DELETE FROM ".DBPREFIX."content WHERE id='".$db1->f('catid')."'");		
							    }
							    $db1->query("DELETE FROM ".DBPREFIX."content_navigation WHERE module=".$id." AND lang=".$this->langId );
						    }
						    $alreadyexist=true;
				            $parcat= 0;				
					    }    			    	
	    		   	    $this->arrayInstalledModules[$module_name]=true;
	    	            $moduleid= $db->f('moduleid');	
	    	            $content= addslashes($db->f('content'));
	    	            $title= addslashes($db->f('title'));
	    	            $cmd= $db->f('cmd');	
	    	            $displaystatus= $db->f('displaystatus');	
	    	            $expertmode= $db->f('expertmode');
	    	            
	    	            // Set displayorder to a high value for the parent module page
	    	            $displayorder= ($i == 1) ? $this->defaultOrderValue : $db->f('displayorder');
	    	                	        
	    	            $langId= $db->f('lang');
	    	            $parid= $db->f('parid');
	    	            $modulerepid= $db->f('id');
	    	            $username= $db->f('username');
	    	             	        
	    	            $query= "INSERT INTO ".DBPREFIX."content_navigation SET
					    	    	        parcat='$parcat',
	    	        						catname='$title',
					    	    	        module='$moduleid',
	    	     						    cmd='$cmd', 					    	    	  
					    	    	        displayorder='$displayorder',
					    	    	        username='$username',
					    	    	        changelog='$currentTime',
					    	    	        protected='0',
	    	        						displaystatus='$displaystatus',
					    	    	        lang=".$this->langId;
	    	            	    	           	    	            	    	        
	                    if($db1->query($query)){    	                 	        	       
	                	    $catid= $paridarray[$modulerepid]= $db1->insert_id();
	        	    	    $query= "INSERT INTO ".DBPREFIX."content SET
				    	        	       id=$catid,
				    	        	       content='$content',
				    	        	       title='$title',
				    	        	       metadesc='$title',
				    	        	       metakeys='$title',
				    	        	       metarobots='index',
				    	        	       expertmode='$expertmode'";
	        	    	    
	        	            if(!$db1->query($query)) {
	                	        $this->errorHandling();
	                            return false;
	                        }	
	        	            $parcat= $catid;
	                    } else {
	                	    $this->errorHandling();
	                        return false;
	                    }
	                    $i++;	    		   	    	        	    	    	    	
    	    	    }
    	        } else {
	    		    $this->errorHandling();
	                return false;	
    	        }
    	        $i = 1;
    	    } // end foreach
    	    	
	    	if (!$alreadyexist){
	    		$db->query("SELECT name FROM ".DBPREFIX."modules WHERE id=$id");
	    		if ($db->next_record()) {
	    			$name=$db->f('name');	    				    			
	    		}	    			    			    		
	    		$username= $_SESSION['auth']['username']; 
	    		$query= "INSERT INTO ".DBPREFIX."content_navigation SET
					    	    	        parcat='0',
	    									catname='$name',
					    	    	        module='$id', 
					    	    	        username='$username',
					    	    	        changelog='$currentTime',
					    	    	        lang=".$this->langId;
                if($db1->query($query)){    	                 	        	       
                	$catid= $db1->insert_id();
        	    	$query= "INSERT INTO ".DBPREFIX."content SET
			    	        	       id=$catid,			    	        	    
			    	        	       title='$name'";        	    	
        	        $db1->query($query);
	    	   		return true;	
    	    	}else{
					$this->errorHandling();
					return false;		
    	    	}    	    	    	       	
	 	   }
	       return true;
    	}
    	else {
    	    return false;	
    	}
    	
    }
    
    
    
    
    function removeModules()
    {
    	global $db;
    	$db1 = new astalavistaDB;
    	if(is_array($_POST['removeModule'])){
    	    foreach ($_POST['removeModule'] AS $key => $elem){
    	    	$id = intval($key);
    	    	
    	    	$query = "SELECT catid,
    	    	                 name 
    	    	            FROM ".DBPREFIX."content_navigation,
    	    	                 ".DBPREFIX."modules 
    	    	           WHERE module = '$id' 
    	    	             AND module = id
    	    	             AND lang=".$this->langId;
    	    	
    	    	if($db->query($query)){
    	            while ($db->next_record()){
    	            	$this->arrayRemovedModules[$db->f('name')]=true;
    	            	$catid = $db->f('catid');
    	            	$query = "DELETE FROM ".DBPREFIX."content_navigation WHERE catid = '$catid'";
    	            	if(!$db1->query($query)){
    	            		$this->errorHandling();
    	            		return false;
    	            	}
    	            	$query = "DELETE FROM ".DBPREFIX."content WHERE id = '$catid'";
    	            	if(!$db1->query($query))
    	            	{
    	            		$this->errorHandling();
    	            		return false;
    	            	}
    	            }
    	    	}
    	    	else {
    	    		$this->errorHandling();
    	    		return false;
    	    	}    	    
    	    	
    	    }
    	    return true;
    	}
    	else 
    	{
    	    return false;	
    	}
    	
    }

    
    
    
    
    function manageModules()
    {
    	global $db, $_CORELANG;
    	$this->objTemplate->set_var("MODULE_ACTION","manage");
    	
    	if(isset($_POST['installModule']) AND is_array($_POST['installModule'])){
    	    foreach ($_POST['installModule'] AS $key => $elem){
    	    	$id = intval($key);
    	    	$addOnValue= intval($elem);
    	    	$query = "UPDATE ".DBPREFIX."modules SET is_required = $addOnValue WHERE id = $id";
    	    	$db->query($query);
    	    }
    	}
    	
    	if(isset($_POST['removeModule']) AND is_array($_POST['removeModule'])){
    		foreach ($_POST['removeModule'] AS $key => $elem){
    	    	$id = intval($key);
    	    	$addOnValue= intval($elem);
    	    	$query = "UPDATE ".DBPREFIX."modules SET is_required = $addOnValue WHERE id = $id";
    	    	$db->query($query);
    	    }
    	}
    	$query = "SELECT id,name, description_variable,is_required FROM ".DBPREFIX."modules WHERE id<>0 GROUP BY id";
    	if($db->query($query)){
    		$this->objTemplate->set_block("CONTENT","moduleRow","handle");
    		while ($db->next_record()){
               if($db->f('is_required')==1){
    		    	$this->objTemplate->set_var("MODULE_REMOVE","<input type='checkbox' name='removeModule[".$db->f('id')."]' value='0' />");
    		    	$this->objTemplate->set_var("MODULE_INSTALL","&nbsp;");
    		    	$this->objTemplate->set_var("MODULE_STATUS","<img src='images/icons/led_green.gif' alt='' />");
                }else {
    		    	$this->objTemplate->set_var("MODULE_INSTALL","<input type='checkbox' name='installModule[".$db->f('id')."]' value='1' />");
    		    	$this->objTemplate->set_var("MODULE_REMOVE","&nbsp;");
    		    	$this->objTemplate->set_var("MODULE_STATUS","<img src='images/icons/led_red.gif' alt='' />");
    		    }
    		    if (($i % 2) == 0) {$class="row1";} else {$class="row2";}	
    		    $this->objTemplate->set_var(array(
    		        'MODULE_ROWCLASS' => $class,
    		        'MODULE_NAME' => $db->f('name'),
    		        'MODULE_DESCRIPTON' => $_CORELANG[$db->f('description_variable')],
    		        'MODULE_ID'         => $db->f('id')
    		    ));
    		    $this->objTemplate->parse("handle","moduleRow",true);
    		    $i++;
    		}
    		$this->objTemplate->parse("OUT","CONTENT");
    		
    	} else {
    	    $this->errorHandling();
    	    return false;	
    	}
    }    
    
    
    function errorHandling(){
    	global $_CORELANG;
        $this->statusMessage.= " ".$_CORELANG['TXT_DATABASE_QUERY_ERROR']." ";
    }
}