<?php
//Security-Check
if (eregi("paging.class.php",$_SERVER['PHP_SELF'])) 
{
    Header("Location: index.php");
    die();
}


/**
* Function getPaging
*
* helping function for the Paging class
*
* @copyright   ASTALAVISTA SECURE CMS - 2003 Astalavista Group GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>             
* @module      paging
* @modulegroup core                                                                                     
* @version	   1.0      initial version
* @global      array    $_CONFIG
* @global      array    $_CORELANG[core*]
* @param       integer  $count 
* @param       integer  $pos
* @param       string   $extargv
* @param       string   $paging_text
* @param       boolean  $showeverytime
* @return      string   result
*/
function getPaging($count, $pos, $extargv, $paging_text, $showeverytime = false)
{
		global $_CONFIG, $_CORELANG;
		if ($count > 0)
		{			
			$int_num_result = intval($_CONFIG['corePagingLimit']);

			if (($count > $int_num_result) OR ($showeverytime == true))
			{			
				$p = new Paging( $count, $pos, $int_num_result, $extargv );
				$array_paging = $p->getPagingArray();
				$array_row_paging = $p->getPagingRowArray();		
				$paging = $paging_text." ".$array_paging['lower']." ".$_CORELANG['TXT_TO']." ".$array_paging['upper']." ".$_CORELANG['TXT_FROM']." ". $array_paging['total'];

				//$paging .= "&nbsp;&nbsp;[&nbsp;". $array_paging['previous_link'] ."".$_CORELANG['txtBack']."</a>&nbsp;&nbsp;" ;
				$paging .= "&nbsp;&nbsp;[&nbsp;".$array_paging['first']."&lt;&lt;</a>&nbsp;&nbsp;" ;

				$currpage=$p->getCurrentPage();
				$totalpages=sizeof($array_row_paging);
		//		if ($currpage>2 && $totalpages>3) $paging .="..";

		        if ($currpage>2) $paging .= $array_row_paging[$currpage-3] ."&nbsp;";	     
				if ($currpage>1) $paging .= $array_row_paging[$currpage-2] ."&nbsp;";			
				if ($currpage>0) $paging .= $array_row_paging[$currpage-1] ."&nbsp;";
					
									
				$paging .= $array_row_paging[$currpage] ."&nbsp;";
										
				if ($currpage!=$totalpages) $paging .= $array_row_paging[$currpage+1] ."&nbsp;";			
				if ($currpage!=$totalpages-1) $paging .= $array_row_paging[$currpage+2] ."&nbsp;";	
				if ($currpage!=$totalpages-2) $paging .= $array_row_paging[$currpage+3] ."&nbsp;";							

		//		if ($currpage<$totalpages-3 && $totalpages>3) $paging .="..";								
				//$paging .= "&nbsp;". $array_paging['next_link'] ."".$_CORELANG['txtForward']."</a>&nbsp;]";
				$paging .= $array_paging['last'] ."&gt;&gt;</a>&nbsp;]";
				return $paging;	
			}
			else
				return "";					
		}
		else
			return "";
}

/**
* Class Paging
*
* Creates the link for paging
*
* @copyright   ASTALAVISTA SECURE CMS - 2003 Astalavista Group GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>             
* @module      paging
* @modulegroup core                                                                                     
* @version	   $Id:    Exp $
*/
class Paging
{
  var $result_per_page;
  var $row;
  var $cur_position;
  var $ext_argv;

  
  /**
  * Constructor
  *
  * @version   1.0      initial version
  * @param     integer  $row
  * @param     integer  $cur_position
  * @param     integer  $result_per_page
  * @param     string   $ext_argv
  */
  function Paging( $row, $cur_position, $result_per_page = 30, $ext_argv = "" )
  {
    $this->row = $row;
    $this->result_per_page = $result_per_page;
    $this->cur_position = $cur_position;
    $this->ext_argv = urldecode( $ext_argv );
  }


  /**
  * Get the number of page
  *
  * This function returns the total number of page to display.
  *
  * @version   1.0      initial version
  * @return    integer  $int_nbr_page
  */
  function getNumberOfPage()
  {
    $int_nbr_page = $this->row / $this->result_per_page;
    return $int_nbr_page;
  }


  /**
  * Get the number of page
  *
  * This function returns the current page number.
  *
  * @version   1.0      initial version
  * @return    integer  number_format
  */
  function getCurrentPage()
  {
    $int_cur_page = ( $this->cur_position * $this->getNumberOfPage() ) / $this->row;
    return number_format( $int_cur_page, 0 );
  }


  /**
  * Get the paging array
  *
  * This function print the paging to the screen. 
  *
  * @return    array    $array_paging
  */
  function getPagingArray()
  {
    $array_paging['lower'] = ( $this->cur_position + 1 );

    if( $this->cur_position + $this->result_per_page >= $this->row ){
      $array_paging['upper'] = $this->row;
    }else{
      $array_paging['upper'] = ( $this->cur_position + $this->result_per_page );
    }

    $array_paging['total'] = $this->row;
	$array_paging['first'] = "<a href=\"". $_SERVER['PHP_SELF'] ."?pos=0".$this->ext_argv ."\">";
	
	if ($this->row % $this->result_per_page ==0)
	{
	   $corr_value=$this->result_per_page;
	}
	else 
	{
	   $corr_value=$this->row % $this->result_per_page;
	}
	$array_paging['last'] = "<a href=\"". $_SERVER['PHP_SELF'] ."?pos=". ($this->row - $corr_value).$this->ext_argv ."\">";

    if ( $this->cur_position != 0 ){
      $array_paging['previous_link'] = "<a href=\"". $_SERVER['PHP_SELF'] ."?pos=". ( $this->cur_position - $this->result_per_page ).$this->ext_argv ."\">";
    }			

    if( ( $this->row - $this->cur_position ) > $this->result_per_page )
	{
      $int_new_position = $this->cur_position + $this->result_per_page;	
      $array_paging['next_link'] = "<a href=\"". $_SERVER['PHP_SELF'] ."?pos=$int_new_position". $this->ext_argv ."\">";
	}
	
    return $array_paging;
  }


  /**
  * Get the paging row array
  *
  * This function returns an array of string (href link with the page number)
  *
  * @return    array    $array_all_page
  */
  function getPagingRowArray()
  {
    for( $i=0; $i<$this->getNumberOfPage(); $i++ )
	{
		  if( $i == $this->getCurrentPage() )
		  {
			$array_all_page[$i] = "<b>". ($i+1) ."</b>";
		  }
		  else
		  {
			$int_new_position 	= ( $i * $this->result_per_page );
			$array_all_page[$i] = "<a href=\"". $_SERVER['PHP_SELF'] ."?pos=$int_new_position$this->ext_argv\">". ($i+1) ."</a>";
		  }
    }
    return $array_all_page;
  }
};