<?php
/**
* Permission class
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>  
* @module      permission
* @modulegroup core                                                                                     
* @version	   $Id:    Exp $
*/ 

// error_reporting(E_ALL);

class Permission
{
	var $_db;
	var $type;
	var $backendGroups = array();
	var $publicGroups = array();	
	var $userGroups =array();
	var $areaId;
	var $allAccess = 0;
	var $is_permitted = false;	
	

	
	function Permission($permType='frontend')
	{	
		$this->_db = &new astalavistaDB;		
		$this->type=$permType;		

		if(isset($_SESSION['auth']['is_admin']) && $_SESSION['auth']['is_admin']==1){
			$this->allAccess=1;
		}				
		
		if($this->type=='frontend') {
            $this->initPublicGroups();				
		} else {
		    $this->initBackendGroups();	
		}				
	}
	

	/**
	* check the user session and returns the group ids as an array
	* 
	*/  	
	
	function getUserGroups()
	{
		if(isset($_SESSION['auth']['groups']) && !empty($_SESSION['auth']['groups']))
		{
		    $this->userGroups=explode(",",$_SESSION['auth']['groups']);
		    // print_r($this->userGroups);
		}		
	}	
	
	
	
	function checkPerm($id)
	{		
		$this->globalCheck($id);
		if($this->type=='frontend') {
			return $this->is_permitted;			
		} else {
			if(!$this->is_permitted) {
				header("Location: index.php?cmd=noaccess");
				break;	
			}		    		
		}
	}	
	

	
	function globalCheck($id)
	{
		$this->is_permitted =false;
		$id=intval($id);
		if($this->allAccess==1){
			$this->is_permitted=true;
		} else {
			if($this->type=='frontend'){
	            // $groups is an array with pageids
	            $groups=$this->publicGroups;	            				
			} else {
			    $groups=$this->backendGroups;	
			}			
			$in_area=array();		
			foreach($groups AS $data)
			{		
				$in_area =explode(",",$data);
				if(in_array($id, $in_area)) {
					$this->is_permitted=true;
					return true;
				}
			}
		}	    
	}	
	
	
	/**
	* checks if the sesssion group ids matches the group id of the selected page
	* returns an array with page catids
	*/  	
	function initPublicGroups()
	{
		// init vars
		$groupsInThisPage=array();
		
		$this->getUserGroups();
		$this->_db->query("SELECT catid, frontend_groups FROM ".DBPREFIX."content_navigation WHERE protected='1'");		
		while($this->_db->next_record())
		{			
			$groupsInThisPage =explode(",",$this->_db->f('frontend_groups'));		
			foreach($this->userGroups AS $groupId) {					
				if(in_array($groupId, $groupsInThisPage)) {
		            $this->publicGroups[]=$this->_db->f('catid');
				}			
			}			
		}
		unset($groupsInThisPage);	
	}	

	
	
	
	
	function initBackendGroups()
	{		
		$this->getUserGroups();
		$this->_db->query("SELECT u.group_id AS group_id,
		                          p.area_ids AS areas
		                     FROM ".DBPREFIX."user_groups AS u,
		                          ".DBPREFIX."group_backend_permissions AS p
		                    WHERE u.type='".$this->type."'
		                      AND u.is_active=1
		                      AND u.group_id=p.group_id");
		
		while($this->_db->next_record())
		{
			foreach($this->userGroups AS $id)
			{		
				if( $id == $this->_db->f('group_id'))
				{
		            $this->backendGroups[$this->_db->f('group_id')]=$this->_db->f('areas');
				}
			}
		}	
	}
	
}
?>