<?php
/**
* Class Settings
*
* @copyright     ASTALAVISTA SECURE CMS - 2004 Astalavista Group GmbH          
* @module    	 settings
* @modulegroups  core                    
* @author        Ivan Schmid <ivan.schmid@astalavista.ch>           
* @version       $Id:  Exp $                                         
*/
class serverSettings
{
    var $_objTpl;
	var $pageTitle="";
	var $statusMessage="";
	
	var $conn_id;						   // current Connections ID
	var $login_result;					   // current Login 
	
	var $ftp_is_activated;                 // FTP is activated ( true/false )
	var $ftpHost;                          // FTP Host 
	var $ftpUserName;                      // FTP User Name
	var $ftpUserPass;                      // FTP Password
	var $ftpDirectory;                     // FTP start directory (htdocs)
	
	var $saveMode;						   // save_mode is true/false
	var $is_php5;
	
	var $ftpConnection;
	var $ftpSupport;
		
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function serverSettings()
    { 
    	global  $_CORELANG, $template, $_FTPCONFIG;
        
		$this->_objTpl = &new HTML_Template_Sigma(ASCMS_ADMIN_TEMPLATE_PATH);
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);	  
        
        $template->set_var("CONTENT_NAVIGATION","<a href='?cmd=server'>[".$_CORELANG['TXT_OVERVIEW']."]</a>
                                                <a href='?cmd=server&act=phpinfo'>[".$_CORELANG['TXT_PHP_INFO']."]</a>");    
    }

    
    /**
    * Gets the requested methods
    *  
    * @global	 array     $_CORELANG
    * @return    string    parsed content                                                                               
    */
    function getPage()
    {
    	global $_CORELANG, $template;
    	
    	if(!isset($_GET['act']))
    	{
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{
			case "phpinfo":
			    $this->_objTpl->loadTemplateFile('server_phpinfo.html',true,true); 
			    $this->pageTitle = $_CORELANG['TXT_PHP_INFO'];            
			    $this->showPHPInfo();		        	
			break;
			case "ftp":        
			    $this->ftpSettings();		        	
			break;							    								
			default:
			    $this->_objTpl->loadTemplateFile('server_settings.html',true,true); 
			    $this->pageTitle = $_CORELANG['TXT_OVERVIEW'];            
			    $this->showServerInfo();
			break;        	     		        
		}
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->$statusMessage); 			

		return $this->_objTpl->get(); 
    }

    
    
   
	function showServerInfo()
	{
		global $_CORELANG, $_CONFIG;	
		  		 	
    	$this->_objTpl->setVariable(array(
				'ADMIN_CMS_NAME'           => $_CONFIG['coreCmsName'],
				'ADMIN_CMS_VERSION'        => $_CONFIG['coreCmsVersion'],	
				'MYADMIN_DB_VERSION'       => mysql_get_server_info(),
				'MYADMIN_PHP_VERSION'      => phpversion(),
				'MYADMIN_WEBSERVER'        => $this->getServerSoftware(),
				'MYADMIN_PHP_BUILDON'      => php_uname(),
				'MYADMIN_PHP_INTERFACE'    => php_sapi_name(),	
				'MYADMIN_ZEND_VERSION'     => @zend_version(),															
				));
	}
	

	function showPHPInfo()
	{			
		ob_start();
		phpinfo(INFO_GENERAL | INFO_CONFIGURATION | INFO_MODULES);
		$phpinfo = ob_get_contents();
		ob_end_clean();
		preg_match_all('#<body[^>]*>(.*)</body>#siU', $phpinfo, $output);
		$output = preg_replace('#<table#', '<table class="adminlist"', $output[1][0]);
		$output = preg_replace('#(\w),(\w)#', '\1, \2', $output);
		//$output = preg_replace('#border="0" cellpadding="3" width="600"#', 'border="0" cellspacing="0" cellpadding="4" width="600"', $output);
		$output = preg_replace('#<hr />#', '', $output);
    	$this->_objTpl->setVariable('SERVER_PHPINFO',$output);			
	}

	
	
	
	function getServerSoftware() 
	{
		if (isset($_SERVER['SERVER_SOFTWARE'])) 
		{
			return $_SERVER['SERVER_SOFTWARE'];
		} 
		else if (($sf = getenv('SERVER_SOFTWARE'))) 
		{
			return $sf;
		} 
		else 
		{
			return 'n/a';
		}
	}  

	/**
    * ftpOverview
    *
    * @access   public
    * @global   object   $db
    */
    function ftpSettings()
    { 
		global $_CONFIG, $db, $_CORELANG, $template, $_FTPCONFIG;
		
		$this->ftp_is_activated = $_FTPCONFIG['is_activated'];
		$this->ftpHost = $_FTPCONFIG['host'];
		$this->ftpUserName = $_FTPCONFIG['username'];
		$this->ftpUserPass = $_FTPCONFIG['password'];
		$this->ftpDirectory = $_FTPCONFIG['path'];
		$this->saveMode = @ini_get('safe_mode');	
		$this->is_php5 = (phpversion()<5) ? false : true; 
		
		//crate baseconnection
		$this->conn_id = @ftp_connect($this->ftpHost); 
		
		//logon with user and password
		$this->login_result = @ftp_login($this->conn_id, $this->ftpUserName, $this->ftpUserPass); 

		$this->checkSettings();  
		
		if($this->ftp_is_activated == true){
			$is_activated = "aktiviert";
		}else{
			$is_activated = "nicht aktiviert";
		}
		
	    // initialize variables	
		$this->_objTpl->loadTemplateFile('checkFTP_settings.html',true,true); 
		$this->pageTitle = "FTP Einstellungen"; 
		$this->_objTpl->setVariable(array(
		    'TXT_FTP_SETTINGS'       	=>     	"FTP Einstellungen (config)",
		    'TXT_FTP_CHECK'       		=>     	"FTP Prfen",
		    'TXT_FTP_IS_ACTIVATED'      => 		"Aktiviert",
			'TXT_FTP_HOST'       		=>		"Host",
			'TXT_FTP_USER'       		=>		"Username",
			'TXT_FTP_PASSWORD'       	=>		"Passwort",
			'TXT_FTP_PATH'       		=>		"Pfad",
		    'FTP_IS_ACTIVATED'      	=> 		$is_activated,
			'FTP_HOST'       			=>		$this->ftpHost,
			'FTP_USER'       			=>		$this->ftpUserName,
			'FTP_PASSWORD'       		=>		$this->ftpUserPass,
			'FTP_PATH'       			=>		$this->ftpDirectory,
			'TXT_WEBSERVER'       		=>     	"Webserver", 
		    'WEBSERVER'       			=>     	$this->getServerSoftware(),
		    'TXT_FTP_CONNECTION'       	=>     	"Verbindung", 
		    'FTP_CONNECTION'       		=>     	$this->ftpConnection,
		    'TXT_SAVE_MODE'       		=>     	"SaveMode", 
		    'SAVE_MODE'       			=>     	$this->saveMode,  
		)); 
		
		
		$structure = $this->getServerStructure(".");
		
		/*print_r("<pre>");
		print_r($structure);
		print_r("</pre>");*/
		
		$this->_objTpl->setVariable(array(
				'FTP_SERVER_ROOT'			=>	"root"
		));
		
		$this->_objTpl->setCurrentBlock("importDirectoryTree");
			
		foreach($structure as $dirKey => $dirName){
			$i++;
			$class = ($i % 2) ? 'row2' : 'row1';
			$array = explode(" ",$dirName); 
			$x = count($array)-1;
			$dirName = $array[$x];
			
			if($dirName != ".." && $dirName != "."){
				
				if(is_dir($dirName) == true) {
					echo $dirName;
				}
				
				$structure2 = $this->getServerStructure($dirName);
			
				/*print_r("<pre>");
				print_r($structure2);
				print_r("</pre>");*/
				
				
				
				$this->_objTpl->setVariable(array(
					'FTP_ROW_CLASS'			=>	$class,
					'FTP_ROW_TEST'			=>	$dirName,
					'FTP_ROW_KEY'			=>	$dirKey
					));
				$this->_objTpl->parseCurrentBlock("importDirectoryTree");
			}
		}	
    }
    
    
    
    function checkSettings()
	{
		//check connection
		if ((!$this->conn_id) || (!$this->login_result)) { 
			$this->ftpConnection = "Konnte keine Verbindung herstellen";
			//$this->ftpSupport = "FTP wird nicht untersttzt";
		} else {
			$this->ftpConnection = "Verbindung konnte erfolgreich hergestellt werden";
			//$this->ftpSupport = "FTP wird untersttzt";
		}
		
		if($this->saveMode == true){
			$this->saveMode = "on";
		}else{
			$this->saveMode = "off";
		}
	}
	
	
	function getServerStructure($dir)
	{
		$serverStructure = ftp_rawlist($this->conn_id, $dir);
		
		return $serverStructure;
	}
}
?>