<?php
/**
* Module Session
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering
* @author      Leandro Nery <nery@astalavista.com> 
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>        
* @module      session
* @modulegroup core                                                                                     
* @version	   $Id:    Exp $
*/  


class cmsSession
{	
	var $sessionid;
	var $status;
	var $username;
	var $lifetime;	 
	var $db;	
	
	function cmsSession($status="")
	{	
		global $_CONFIG;
		
		if (intval($_CONFIG['sessionLifeTime'])==0 || empty($_CONFIG['sessionLifeTime'])){
			$this->lifetime=3600;
		}  else {
			$this->lifetime=intval($_CONFIG['sessionLifeTime']);
		}   		
		
		if (session_set_save_handler(
        	array(& $this, 'cmsSessionOpen'), 
        	array(& $this, 'cmsSessionClose'), 
        	array(& $this, 'cmsSessionRead'), 
        	array(& $this, 'cmsSessionWrite'), 
        	array(& $this, 'cmsSessionDestroy'), 
        	array(& $this, 'cmsSessionGc')))
        {			       
	       	$this->status=$status;	        
	        $this->db=&new astalavistaDB;  	        	        
	        session_start();        
        } else {
        	$this->cmsSessionError();
        }             	       
	}
		
	function cmsSessionOpen($aSavaPath, $aSessionName)
	{	      
	       $this->cmsSessionGc($this->lifetime);
	       return true;
	}
	
	function cmsSessionClose()
	{
	       return true;
	}
	
	function cmsSessionRead( $aKey )
	{			   	  
		   $this->sessionid=$aKey;
	       $query = "SELECT datavalue, username, status FROM ".DBPREFIX."sessions WHERE sessionid='$aKey'";	       	       
	       $this->db->query($query);
	       if($this->db->num_rows() == 1)
	       {        
	      	     $this->db->next_record();
	      	     $this->username=$this->db->f('username');
	      	     $this->status=$this->db->f('status');	      	      
	             return $this->db->f('datavalue');
	       } 
	       else 
	       {
	             $query = "INSERT INTO ".DBPREFIX."sessions (sessionid, startdate, lastupdated, status, username, datavalue)
	                       VALUES ('$aKey', NOW()+0, NOW()+0, '".($this->status)."', '".($this->username)."', '')";
	             $this->db->query($query);
	             return "";
	       }
	}
	
	function cmsSessionWrite( $aKey, $aVal ) 
	{
	       $aVal = addslashes( $aVal );
	       $query = "UPDATE ".DBPREFIX."sessions SET datavalue = '$aVal', lastupdated = NOW()+0  WHERE sessionid = '$aKey'";
	       $this->db->query($query);
	       return true;
	}
	
	function cmsSessionDestroy( $aKey ) 
	{
	       $query = "DELETE FROM ".DBPREFIX."sessions WHERE sessionid = '$aKey'";
	       $this->db->query($query);
	       return true;
	}
	
	function cmsSessionGc( $aMaxLifeTime ) 
	{	  	  
		   if (empty($aMaxLifeTime)) return true;
	       $query = "DELETE FROM ".DBPREFIX."sessions WHERE UNIX_TIMESTAMP(NOW()) - UNIX_TIMESTAMP(lastupdated) > $aMaxLifeTime";
	       $this->db->query($query);
	       return true;
	}
	
	function cmsSessionUserUpdate($username="") {	
		   $this->username=$username;     
	       $query = "UPDATE ".DBPREFIX."sessions SET username ='".$username."' WHERE sessionid = '$this->sessionid'";
	       $this->db->query($query);
	       return true;
	}
	
	function cmsSessionStatusUpdate($status="")
	{	
		   $this->status=$status;     
	       $query = "UPDATE ".DBPREFIX."sessions SET status ='".$status."' WHERE sessionid = '$this->sessionid'";
	       $this->db->query($query);
	       return true;
	}	
	
	function cmsSessionError() {    	
        die ("Session Handler Error");
    }	

}
?>