<?php
/**
* Class Settings
*
* @copyright     ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH          
* @module    	 settings
* @modulegroups  core                    
* @author        Ivan Schmid <ivan.schmid@astalavista.ch>           
* @version       $Id:  Exp $                                         
*/
class settingsManager
{
    var $_objTpl;
	var $pagetitle;
	var $pageContent;
	var $statusMessage="";
	var $_selectedLang;
		
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function settingsManager()
    { 
    	global  $_CORELANG;
        $this->_objTpl = &new Template(ASCMS_ADMIN_TEMPLATE_PATH);
        $this->_objTpl->debug = 0;
        $this->_objTpl->set_file("CONTENT_MASTER","content_master.html");
        $this->_objTpl->set_var("CONTENT_NAVIGATION","<a href='?cmd=settings'>[".$_CORELANG['TXT_SYSTEM_SETTINGS']."]</a>");
        $this->pagetitle = $_CORELANG['TXT_SYSTEM_SETTINGS'];
    }

    
    
    /**
    * Gets the requested methods
    *  
    * @global	 array     $_CORELANG
    * @return    string    parsed content                                                                               
    */
    function getSettingsPage()
    {
    	global $_CORELANG;
    	
    	if(!isset($_GET['act']))
    	{
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{
			case "add":
		        $this->add();
		        $this->showSettings();
		        return $this->returnParsedContent();	
			break;									    
			
			case "delete":
			    $this->delete();
			    $this->showSettings();
			    return $this->returnParsedContent();
			break;
			
			case "update":
			    $this->update();
			    $this->showSettings();
			    return $this->returnParsedContent();
			break;			
								
			default:             
			    $this->showSettings();
                return $this->returnParsedContent();	        	     		        
		}
    }
    
    
    
    /*
	* Returns the parsed content
    *
    */ 	
    function returnParsedContent()
    {
    	$this->_objTpl->set_var("CONTENT_STATUS_MESSAGE",ltrim($this->statusMessage));
    	$this->_objTpl->parse("ADMIN_CONTENT","CONTENT");
        return $this->_objTpl->parse("CONTENT_OUT","CONTENT_MASTER");
    }       
      
    
	/**
	* Get settings
	*
	* Gets all Vars from the DB and creates a overview of them.
	* (Attention: The Template-File is needed!!!)
	*
	* @version   1.0        initial version  
	* @global    object     $db
	* @global    string     $template
	* @global    array      $_GET[*]                                                                         
	*/
	function showSettings()
	{
		global $db, $_CORELANG;	
		
		$i=0;	
		
    	$this->_objTpl->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage);
    	$this->_objTpl->set_var("CONTENT_TITLE",$_CORELANG['TXT_SYSTEM_SETTINGS']);
    	$this->_objTpl->set_file("CONTENT","settings.html");		

		$this->_objTpl->set_var(array(	
		    'TXT_NAME'                      => $_CORELANG['TXT_NAME'],
		    'TXT_VALUE'                     => $_CORELANG['TXT_VALUE'],
		    'TXT_SYSTEM_VARIABLES_OVERVIEW' => $_CORELANG['TXT_SYSTEM_VARIABLES_OVERVIEW'], 
		    'TXT_MODULE'                    => $_CORELANG['TXT_MODULE'],
		    'TXT_SAVE_CHANGES'              => $_CORELANG['TXT_SAVE_CHANGES'],
		));	
		
		$db->query("SELECT * 
		            FROM ".DBPREFIX."settings AS settings, 
		                 ".DBPREFIX."modules AS modules
		            WHERE settings.setmodule=modules.id
		            ORDER BY settings.setname ASC");	

		$this->_objTpl->set_block("CONTENT","settingsOutput","handle");
				
		while($db->next_record())
		{
			(($i % 2) == 0)? $class="row1" : $class="row2";									
			$this->_objTpl->set_var("SETTINGS_ROWCLASS",$class);					
			$this->_objTpl->set_var("SETTINGS_SETNAME",$db->f('setname'));
			
			if (strlen($db->f('setvalue'))>250)
			{
				$setValueField = "<textarea name=\"setvalue[".$db->f('setid')."]\" cols='70' wrap='VIRTUAL' rows='4' >".$db->f('setvalue')."</textarea>";
			}
			else
			{		
	            $setValueField = "<input type=\"text\" name=\"setvalue[".$db->f('setid')."]\" value=\"".$db->f('setvalue')."\" size='70' maxlength='250'>";			
			}			
			$this->_objTpl->set_var("SETTINGS_SETVALUE",$setValueField);
			$this->_objTpl->set_var("SETTINGS_SETMODULE",$db->f('name'));		
			$this->_objTpl->parse("handle","settingsOutput",true);			
			$i++;
		}
		$this->_objTpl->parse("OUT","CONTENT");
	}

	/**
	* Update settings value
	*
	* Update setting variables
	*
	* @version   1.0        initial version  
	* @global    object     $db
	* @global    array      $_POST[*]                                                                         
	*/
	function update()
	{
		global $db;
		
		foreach ($_POST['setvalue'] as $id => $value) 
		{
			$value = htmlspecialchars($value);
			$db->query("UPDATE ".DBPREFIX."settings SET setvalue='$value' WHERE setid=$id");		
		}				
	}


	/**
	* Delete setting vars
	*
	* @version   1.0        initial version  
	* @global    object     $db
	* @global    array      $_GET[*]                                                                         
	*/
	function delete()
	{
		global $db;
		$setid = intval($_GET['setid']);
		$db->query("DELETE FROM ".DBPREFIX."settings WHERE setid=$setid");
	}
	

	
	/**
	* Add a Var into the DB
	*
	* @version   1.0        initial version  
	* @global    object     $db
	* @global    array      $_POST[*]                                                                         
	*/
	function add()
	{
		global $db;
		if (!empty($_POST['setname']) AND !empty($_POST['setvalue']) AND !empty($_POST['setmodule']))
		{
			$db->query("INSERT INTO ".DBPREFIX."settings SET setname='{$_POST['setname']}',
															  setvalue='{$_POST['setvalue']}',
															  setmodule='{$_POST['setmodule']}'");
		}
	
	}
}
?>