<?php
/**
* Class Themes
*
* @copyright     	ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH  
* @version  		2.0       
* @module    	 	themes
* @modulegroups  	core                    
* @author        	Janik Tschanz <janik.tschanz@astalavista.ch>             
* @version       	$Id:  Exp $                                         
*/

require_once ASCMS_LIBRARY_PATH . '/FRAMEWORK/File.class.php';


class skins
{		
	var $_objTpl;                          // var for the template object
	var $pageTitle;                        // var for the title of the active page
	var $statusMessage;                    // var for the status message
	
	var $arrPaths;                         // array paths
	var $arrWebPaths;                      // array web paths
	
	var $getAct;                           // $_GET['act']
	var $getPath;                          // $_GET['path']
	
	var $path;                             // current path
	var $folderName;                       // Folder Name 
	var $dirLog;                           // Dir Log
	var $webPath;                          // current web path
	
	var $tableExists;                      // Table exists
	var $oldTable;                         // old Theme-Table name
	
	var $filenames = array("index.html","content.html","home.html","navbar.html","subnavbar.html","sidebar.html","shopnavbar.html","headlines.html","javascript.js","style.css","buildin_style.css",);
	var $fileextensions = array("html", "txt", "css", "js", "htm", "php", "java", "tpl", "xml");
	
	
	
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function skins()
    { 
    	global  $_CORELANG, $_FTPCONFIG, $template, $db;
        
		$this->_objTpl = &new HTML_Template_Sigma(ASCMS_ADMIN_TEMPLATE_PATH);
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
			 
		// get path variables                            
	    $this->arrWebPaths  = array(ASCMS_THEMES_WEB_PATH.'/');
	    $this->arrPaths     = array(ASCMS_THEMES_PATH. '/');
	    
	    
	    $this->webPath = $this->arrWebPaths[0];
	    
	    if(substr($this->webPath, -1) != '/'){
            $this->webPath = $this->webPath . '/';
        }
	   
    	//$this->path = ASCMS_PATH_OFFSET.ASCMS_THEMES_PATH. '/';
    	$this->path = ASCMS_THEMES_PATH. '/';

	    $template->set_var("CONTENT_NAVIGATION",
	                       "<a href='index.php?cmd=skins'>[".$_CORELANG['TXT_DESIGN_OVERVIEW']."]</a>&nbsp;
	                       <a href='index.php?cmd=skins&amp;act=newDir'>[".$_CORELANG['TXT_NEW_DESIGN']."]</a>&nbsp;
	                       <a href='index.php?cmd=skins&amp;act=activate'>[".$_CORELANG['TXT_ACTIVATE_DESIGN']."]</a>&nbsp;
	                       <a href='index.php?cmd=media&path=".$this->webPath."'>[".$_CORELANG['TXT_DESIGN_FILES_ADMINISTRATION']."]</a>&nbsp;
                           <a href='index.php?cmd=skins&amp;act=examples'>[".$_CORELANG['TXT_DESIGN_REPLACEMENTS_DIR']."]</a>");                 
	                       
	    $db->query("OPTIMIZE TABLE ".DBPREFIX."users");
	    $db->query("OPTIMIZE TABLE ".DBPREFIX."user_groups");
	    
    	$this->oldTable = DBPREFIX."themes";
    	
    	$obj_file = &new File();
        $obj_file->setChmod($this->path, $this->webPath, "");
    }

    
    
    /**
    * Gets the requested methods
    *   
    * @global	 array     $_CORELANG
    * @return    string    parsed content                                                                               
    */
    function getPage()
    {
    	global $_CORELANG, $template, $objPerm;
    	
    	if(!isset($_GET['act'])) {
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{
			case "activate":			     
			    $objPerm->checkPerm(46);		     
			    $this->activate();       	
			break;		
			case "examples":
			    $objPerm->checkPerm(47);		     
			    $this->examples();      	
			break;	
			case "upload":
			    $objPerm->checkPerm(47);		     
			    $this->upload(); 
			    $this->overview();      	
			break;		
			case "update":
			    $objPerm->checkPerm(47);		     
			    $this->update();   
			    $this->overview();    	
			break;	
			case "newDir":
			    $objPerm->checkPerm(47);		     
			    $this->newdir();      	
			break;	
			case "createDir":
				$objPerm->checkPerm(47);	
				$this->createdir();
				$this->overview();
			break;	
			case "newFile":
			    $objPerm->checkPerm(47);		     
			    $this->newfile(); 
			    $this->overview();      	
			break;	
			case "export":
			    $objPerm->checkPerm(47);		     
			    $this->export();  
			    //$this->exportFile("xhtml_silver");
			break;	
			case "import":
			    $objPerm->checkPerm(47);		     
			    $this->import();   	
			break;															    								
			default:
			    $objPerm->checkPerm(47);            
			    $this->newfile();  
			    $this->delfile();    
			    $this->deldir(); 
			    $this->overview();   		        
		}
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		

		return $this->_objTpl->get(); 
    }
    
    
    /**
    * skinsOverview
    *
    * @access   public
    * @global   object   $db
    */
    function overview()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		
	    // initialize variables	
		$this->_objTpl->loadTemplateFile('skins_content.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_OVERVIEW']; 
		$this->_objTpl->setVariable(array(
		    'TXT_CHOOSE_TEMPLATE_GROUP'       =>     $_CORELANG['TXT_CHOOSE_TEMPLATE_GROUP'], 
		    'TXT_SELECT_FILE'                 =>     $_CORELANG['TXT_SELECT_FILE'],
		    'TXT_DESIGN_FOLDER'               =>     $_CORELANG['TXT_DESIGN_FOLDER'], 
		    'TXT_TEMPLATE_FILES'              =>     $_CORELANG['TXT_TEMPLATE_FILES'], 
		    'TXT_FILE_EDITOR'                 =>     $_CORELANG['TXT_FILE_EDITOR'],
		    'TXT_UPLOAD_FILES'    	    	  => 	 $_CORELANG['TXT_UPLOAD_FILES'],
    	    'TXT_CREATE_FILE'  => $_CORELANG['TXT_CREATE_FILE'],
    	    'TXT_DELETE'               		  =>     $_CORELANG['TXT_DELETE'],
    	    'TXT_STORE'               		  =>     $_CORELANG['TXT_STORE'],
    	    'TXT_RESET'               		  =>     $_CORELANG['TXT_RESET'],
    	    'TXT_SELECT_ALL'                  =>     $_CORELANG['TXT_SELECT_ALL'],
    	    'TXT_MANAGE_FILES'                =>     $_CORELANG['TXT_MANAGE_FILES'],
    	    'TXT_SELECT_THEME'                =>     $_CORELANG['TXT_SELECT_THEME'],	
    	    'TXT_THEME_NAME'                  =>     $_CORELANG['TXT_THEME_NAME'],
    	    'TXT_DESIGN_OVERVIEW'             =>     $_CORELANG['TXT_DESIGN_OVERVIEW'],
    	    'TXT_MODE'						  =>     $_CORELANG['TXT_MODE']
		)); 	
		
		$this->checkMode($_POST['themes']);
		$this->getDropdownContent();
    }
      
    
    
    /**
    * Gets the themes assigning page
    *
    * @access   public
    * @global   object   $db
    * @param    string   $page_content
    * @return   string   parsed content
    */
	function activate()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		
		$this->_objTpl->loadTemplateFile('skins_activate.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_ACTIVATE_DESIGN']; 		
		$this->_objTpl->setVariable(array(
		    'TXT_ACTIVATE_DESIGN'      => $_CORELANG['TXT_ACTIVATE_DESIGN'],
		    'TXT_ID'                   => $_CORELANG['TXT_ID'],
		    'TXT_LANGUAGE'             => $_CORELANG['TXT_LANGUAGE'],
		    'TXT_ACTIVE_TEMPLATE'      => $_CORELANG['TXT_ACTIVE_TEMPLATE'],
		    'TXT_ACCEPT_ALLOCATION'    => $_CORELANG['TXT_ACCEPT_ALLOCATION'],
		));
		$i=0;

		if(isset($_POST['themesId'])) {
			foreach ($_POST['themesId'] as $langid => $themesId) {
			    $db->query("UPDATE ".DBPREFIX."languages SET themesid='$themesId' WHERE id=$langid");
			}
		}
				
		$db->query("SELECT id,lang,name,themesid FROM ".DBPREFIX."languages ORDER BY id");
		while($db->next_record()){
			if (($i % 2) == 0) {$class="row1";} else {$class="row2";}
			$this->_objTpl->setVariable("THEMES_ROWCLASS",$class);					
			$this->_objTpl->setVariable("THEMES_LANG_ID",$db->f('id'));
			$this->_objTpl->setVariable("THEMES_LANG_SHORTNAME",$db->f('lang'));
			$this->_objTpl->setVariable("THEMES_LANG_NAME",$db->f('name'));
			$this->_objTpl->setVariable("THEMES_TEMPLATE_MENU",$this->getDropdownActivated($db->f('themesid')));
			$this->_objTpl->parse('themesLangRow');
			$i++;
		}	
	}
	
	
	/**
    * Gets the themes exampele page
    *
    * @access   public
    * @global   object   $db
    */
    function examples()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
	    // initialize variables	
		$this->_objTpl->loadTemplateFile('skins_examples.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_DESIGN_VARIABLES_LIST'];	
		$this->_objTpl->setVariable(array(		    
		    'TXT_STANDARD_TEMPLATE_STRUCTURE' => $_CORELANG['TXT_STANDARD_TEMPLATE_STRUCTURE'], 
		    'TXT_STARTPAGE'                   => $_CORELANG['TXT_STARTPAGE'], 
		    'TXT_STANDARD_PAGES'              => $_CORELANG['TXT_STANDARD_PAGES'],
		    'TXT_REPLACEMENT_LIST'            => $_CORELANG['TXT_REPLACEMENT_LIST'],			    
		    'TXT_FILES'                       => $_CORELANG['TXT_FILES'],
		    'TXT_CONTENTS'                    => $_CORELANG['TXT_CONTENTS'],			    	    	    
		)); 
		       	
    }
    
    /**
    * create skin folder page
    *
    * @access   public
    * @global   object   $db
    */
    function newdir()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
	 	$this->webPath = $this->arrWebPaths[0];
	 	
		// initialize variables	
		$this->_objTpl->loadTemplateFile('skins_create.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_NEW_DIRECTORY'];	
		
		$obj_file = new File();
		$test=$obj_file->checkConnection();
		
		
		$this->_objTpl->setVariable(array(		    
		    'TXT_NEW_DIRECTORY'       => $_CORELANG['TXT_NEW_DIRECTORY'],
		    'TXT_EXISTING_DIR_NAME'   => $_CORELANG['TXT_EXISTING_DIR_NAME'],
    	    'CREATE_DIR_ACTION'       => 'index.php?cmd=skins&amp;act=createDir&amp;path=' . $this->webPath,
    	    'TXT_DIR_NAME'            => $_CORELANG['TXT_DIR_NAME'],
    	    'TXT_DB_NAME'             => $_CORELANG['TXT_DB_NAME'],
    	    'TXT_DESCRIPTION'         => $this->webPath,
    	    'TXT_SELECT_DIR'          => $_CORELANG['TXT_SELECT_DIR'],
    	    'TXT_CREATE'              => $_CORELANG['TXT_CREATE'],	
    	    'TXT_FROM_TEMPLATE'       => $_CORELANG['TXT_FROM_TEMPLATE'],
    	    'THEMES_TEMPLATE_MENU'	  => $this->getThemesDropdown(""),
    	    'TXT_FTP_STATUS'  	      => $test
		)); 
		
		$this->_objTpl->setVariable("THEMES_MENU",$this->getDropdownNotInDb());
		$this->checkTable($this->oldTable);
    }
    
    
     
    /**
    * create skin folder 
    *
    * @access   public
    * @global   object   $db
    */
    function createdir()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
		if($_POST['dbName'] != "") {
			if(($_POST['dirName']!= "") && ($_POST['existingdirName'] == "")) {
		    	
				$dirName = $this->replaceCharacters($_POST['dirName']);		    
	        	
		    	$obj_file = new File();
		    	
    			if($_POST['fromTheme'] == "" && $_POST['fromDB'] == "") {
        			$this->dirLog=$obj_file->mkDir($this->path, $this->webPath, $dirName);
        			if($this->dirLog != "error") {
        				$this->insertIntoDb($_POST['dbName'], $this->dirLog, $_POST['fromDB']);
    					$this->createDefaultFiles($this->dirLog);
        			}
        		} elseif($_POST['fromTheme'] != "" && $_POST['fromDB'] == "") {
        			$this->dirLog=$obj_file->copyDir($this->path, $this->webPath, $_POST['fromTheme'], $this->path, $this->webPath, $dirName);
        			if($this->dirLog != "error") {
        				$this->insertIntoDb($_POST['dbName'], $this->dirLog, $_POST['fromDB']);
        			}
        		} elseif($_POST['fromTheme'] == "" && $_POST['fromDB'] != "") {
        			$this->dirLog=$obj_file->mkDir($this->path, $this->webPath, $dirName);
        			if($this->dirLog != "error") {
        				$this->insertIntoDb($_POST['dbName'], $this->dirLog, $_POST['fromDB']);
    					$this->createFilesFromDB($this->dirLog, $_POST['fromDB']);
        			}
        		}
	        	
			} elseif(($_POST['dirName'] == "") && ($_POST['existingdirName'] != "")) {
				$this->insertIntoDb($_POST['dbName'], $_POST['existingdirName']); 	
				$status = $_POST['existingdirName']." ". $_CORELANG['TXT_STATUS_SUCCESSFULLY_CREATE'];
				$this->statusMessage  = $status;
			} else {
				$this->statusMessage = $_CORELANG['TXT_STATUS_CHECK_INPUTS']."1";
			}
		} else {
			$this->statusMessage = $_CORELANG['TXT_STATUS_CHECK_INPUTS']."2";
		}
    }
    
    
    
    /**
    * Gets the dir dropdown menu witch are not in the DB
    *
    * @access   public
    * @global   object   $db
    * @return   string   $nadm
    */
	function getDropdownNotInDb()
	{
		global $_CONFIG, $db, $_CORELANG;
		
		$objDb = &new astalavistaDB;   
		$activatedThemes = array();
		
		$db->query("SELECT id,foldername FROM ".DBPREFIX."skins ORDER BY id");
		$i=0;
		while($db->next_record()) {
			$activatedThemes[$i] = $db->f('foldername');
			$i++;
		}
		
		$dir = ($this->path);
				
		$dh=opendir($dir);
		while ($file=readdir($dh)) {
			if($file!="." && $file!=".." && $file != "zip") {	
				if(!in_array($file, $activatedThemes)) {
					$selected="";		
					$nadm .="<option value='".$file."' $selected>".$file."</option>\n";
				}
			}
		}
		closedir($dh);
		
		return $nadm;
	}
	
	
    
    /**
    * upload skin file
    *
    * @access   public
    * @param    string   $themes
    * @global   object   $db
    */
    function upload()
    { 
		global $_CONFIG, $db, $_CORELANG;
		   
		// initialize variables	
    	$this->statusMessage = 'Upload noch nicht implementiert.';
    }
    
    
    
    /**
    * export skin themes page
    *
    * @access   public
    * @param    string   $themes
    * @global   object   $db
    */
    function export()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
		// initialize variables	
		$this->_objTpl->loadTemplateFile('skins_export.html',true,true); 
		$this->pageTitle = 'Themes exportieren';	
    	
    	$this->_objTpl->setVariable(array(
		    'TXT_ID'                   => $_CORELANG['TXT_ID'],
		));
		$i=0;
		
		
				
		$db->query("SELECT id,themesname,foldername FROM ".DBPREFIX."skins ORDER BY id");
		while($db->next_record()){
			if (($i % 2) == 0) {$class="row1";} else {$class="row2";}
			$this->_objTpl->setVariable("THEMES_ROWCLASS",$class);					
			$this->_objTpl->setVariable("THEMES_ID",$db->f('id'));
			$this->_objTpl->setVariable("THEMES_NAME",$db->f('themesname'));
			$this->_objTpl->setVariable("THEMES_FOLDERNAME",$db->f('foldername'));
			$this->_objTpl->setVariable("THEMES_DOWNLOAD_LINK",$this->exportFile($db->f('foldername')));
			$this->_objTpl->parse('themesRow');
			$i++;
		}
    }
    
    
    
    /**
    * export skin themes 
    *
    * @access   public
    * @param    string   $themes
    * @global   object   $db
    */
    function exportFile($theme)
    { 
		global $_CONFIG, $db, $_CORELANG;
		
		$archive = new PclZip($this->path.'zip/'.$theme.'.zip');
        $v_list = $archive->add($this->path.$theme, PCLZIP_OPT_REMOVE_PATH, $this->path.'/'.$theme.'/');
        
  		$link = $this->webPath.'zip/'.$theme.'.zip';

		return $link;

    }
    
    
    
    /**
    * import skin themes
    *
    * @access   public
    * @param    string   $themes
    * @global   object   $db
    */
    function import()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
		// initialize variables	
		$this->_objTpl->loadTemplateFile('skins_import.html',true,true); 
		$this->pageTitle = 'Themes importieren';	
    	$this->statusMessage = 'import noch in testphase.';
    	$this->_objTpl->setVariable(array(		    
		    'TXT_IMPORT_THEME'      => 'Designs importieren',
		    'TXT_SELECT_ARCHIVE'    => 'Designarchiv auswhlen',
    	    'THEMES_ARCHIVES'       => 'hallo',
    	    'TXT_IMPORT'            => 'Importieren',   	    
		)); 
    	
    	//$this->uncompress(".zip");
    }
    
    
  	function uncompress($file)
	{
		$folder = substr($file, 0, -4);
		
		$archive = new PclZip($this->path.'/zip/'.$file);
		//$archive = new PclZip("C:\Dokumente und Einstellungen\Janik Tschanz\Desktop\xhtml_silver.zip");
		$list = $archive->extract(PCLZIP_OPT_PATH, $this->path, PCLZIP_OPT_REMOVE_PATH, "data", PCLZIP_OPT_EXTRACT_AS_STRING);
                                
        $dirName = $this->_replaceCharacters($folder);
    	$this->_createNewDir($this->path, $dirName, true);
    	if($this->errorLog != "error") {
    		$this->insertIntoDb($folder, $this->folderName);   
    	}
		
		for($x = 0; $x < count($list); $x++) {
			$fp = fopen ($this->path.$this->folderName."/".$list[$x]['filename'] ,"w");
			fwrite($fp,$list[$x]['content']);
			fclose($fp);
       	}
       	
       	
	}
    
    /**
    * update skin file
    *
    * @access   public
    * @global   object   $db
    */
    function update()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		
	    $themes = $_POST['themes'];
	    $themesPage = $_POST['themesPage'];
	    $pageContent = $_POST['html'];	    
	    $pageContent = preg_replace('/\[\[([A-Z0-9_]*?)\]\]/', '{\\1}' ,$pageContent);		
		
	    //$this->changeMode(); 
	    
		$fp = fopen ($this->path.$themes."/".$themesPage ,"w");
		fwrite($fp, $pageContent);
		fclose($fp);   	
    }
    
    
    
    /**
    * insert Skin into DB 
    *
    * @global   object   $db
    * @param    string   $path 
    * @param    string   $folder
    * @param    string   $themesname
    * @access   public
    * @global   object   $db
    */
    function insertIntoDb($themesName, $themesFolder, $oldId="")
    { 
		global  $objDb;
		
		if(($themesName != "") && ($themesFolder != "")) {
			$objDb->query("INSERT INTO ".DBPREFIX."skins (themesname, foldername, expert) VALUES ('$themesName','$themesFolder', '1')");
			$newId = $objDb->insert_id();
			
			$objDb->query("UPDATE ".DBPREFIX."content_navigation SET themes_id='$newId' WHERE themes_id='$oldId' AND themes_id!='0';");
			
			// initialize variables	
			$this->newdir(); 		
		}      	
		
		
    }
    
    
    
    /**
    * add new skin file
    *
    * @access   public
    * @global   object   $db
    */
    function newfile()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		 
		$themes = $_POST['themes'];
        
        $themesFile = $this->replaceCharacters($_POST['themesNewFileName']);
			
        if(($themesFile!="") AND ($themes!="")) {
			$fp = fopen ($this->path.$themes."/".$themesFile ,"w");
			fwrite($fp,"");
			fclose($fp);
	  	
			// initialize variables	
			$this->statusMessage = $themesFile." ".$_CORELANG['TXT_STATUS_SUCCESSFULLY_CREATE'];
        }	       	
    }
    
    
    
    /**
    * del skin file
    *
    * @access   public
    * @global   object   $db
    */
    function delfile()
    { 
		global $_CONFIG, $db, $_CORELANG, $template;
		
		$themesFile = $_POST['themesDelFileName']; 
		$themes = $_POST['themes'];
			
        if(($themesFile!="") AND ($themes!=""))
        {
        	if($_POST['themesPage'] != $themesFile) {
        		
        		$obj_file = new File();
		    	$this->dirLog = $obj_file->delFile($this->path, $this->webPath, $themes."/".$themesFile);

		    	if($this->dirLog != "error") {
					$this->statusMessage = $themesFile." ".$_CORELANG['TXT_STATUS_SUCCESSFULLY_DELETE'];
		    	}
             } else {
             	$this->statusMessage = $_CORELANG['TXT_STATUS_FILE_CURRENTLY_OPEN']; 
             }
        }     	
    }
    
    
    
    /**
    * del skin folder and all files in it
    *
    * @access   public
    * @global   object   $db
    */
    function deldir()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
		$themes = $_POST['themesDelName'];
			
        if($themes!="") {
        	if($_POST['themes'] != $themes) {
				$dir = ($this->path.$themes);
		    	if(file_exists($dir)) {
					
		    		//del hole folder with subfolders
		    		$obj_file = new File();
    				$this->dirLog = $obj_file->delDir($this->path, $this->webPath, $themes);
	   
	   				if($this->dirLog != "error") {
	   					$db->query("SELECT id FROM ".DBPREFIX."skins WHERE foldername = '$themes'");	
	   					while($db->next_record()) {		
							$themesId = $db->f('id');		
						}
						$db->query("UPDATE ".DBPREFIX."content_navigation SET themes_id ='0' WHERE themes_id  = '$themesId'");
	   					$db->query("DELETE FROM ".DBPREFIX."skins WHERE foldername = '$themes'");
	   					$this->statusMessage = $themes." ".$_CORELANG['TXT_STATUS_SUCCESSFULLY_DELETE'];
				   	} else {
						$this->statusMessage = $themes." ".$_CORELANG['TXT_STATUS_CANNOT_DELETE'];
				   	}
		    	} else {
		    		$db->query("SELECT id FROM ".DBPREFIX."skins WHERE foldername = '$themes'");	
   					while($db->next_record()) {		
						$themesId = $db->f('id');		
					}
					$db->query("UPDATE ".DBPREFIX."content_navigation SET themes_id ='0' WHERE themes_id  = '$themesId'");
   					$db->query("DELETE FROM ".DBPREFIX."skins WHERE foldername = '$themes'");
   					$this->statusMessage = $themes." ".$_CORELANG['TXT_STATUS_SUCCESSFULLY_DELETE'];
					$this->statusMessage = $themes." ".$_CORELANG['TXT_STATUS_SUCCESSFULLY_DELETE'];
		    	}
             } else {
             	$this->statusMessage = $_CORELANG['TXT_STATUS_FILE_CURRENTLY_OPEN']; 
             }
        }     	
    }
    
    
    /**
    * Gets the dropdown menus content
    *
    * @access   public
    */
	function getDropdownContent()
	{
		$this->_objTpl->setVariable("THEMES_PAGES_MENU", $this->getFilesDropdown($_POST['themes'], $_POST['themesPage']));
		$this->_objTpl->setVariable("THEMES_MENU", $this->getThemesDropdown($_POST['themes']));
		$this->_objTpl->setVariable("THEMES_PAGE_VALUE", $this->getFilesContent($_POST['themes'], $_POST['themesPage']));
		$this->_objTpl->setVariable("THEMES_PAGE_DEL_VALUE", $this->getFilesDropdownDel($_POST['themes']));
		$this->_objTpl->setVariable("THEMES_MENU_DEL", $this->getThemesDropdownDel());
	}
	
	
	
	/**
    * Gets the activated themes dropdown menu
    *
    * @access   public
    * @global   object   $db
    * @param    string   $themes (optional)
    * @return   string   $atdm
    */
	function getDropdownActivated($themesId)
	{
		global $_CONFIG, $db, $_CORELANG;
		
		$objDb = &new astalavistaDB;             
		$objDb->query("SELECT id,themesname FROM ".DBPREFIX."skins ORDER BY id");		
		while($objDb->next_record()) {				
			$selected="";
			if($objDb->f('id')==intval($themesId))	$selected = "selected";							
			$atdm .="<option value='".$objDb->f(id)."' $selected>".$objDb->f('themesname')."</option>\n";
		}
		return $atdm;
	}
      
    
	
	/**
    * Gets the themes dropdown menu
    *
    * @access   public
    * @global   object   $db
    * @param    string   $themes (optional)
    * @return   string   $tdm
    */
	function getThemesDropdown($themes)
	{
		global $_CONFIG, $db, $_CORELANG;
		
		if(!isset($themes)) {
            $themes = $this->selectTheme();
		}
		
		$defaultTheme = $this->selectTheme();
		
		$db->query("SELECT id,themesname,foldername FROM ".DBPREFIX."skins ORDER BY id");
		while($db->next_record()) {
			$selected="";
			$default = "";
			if($db->f('foldername') == $defaultTheme) $default = "(".$_CORELANG['TXT_DEFAULT'].")";	
			if($themes == $db->f('foldername')) $selected = "selected";	
			$tdm .="<option value='".$db->f('foldername')."' $selected>".$db->f('themesname')." ".$default."</option>\n";	
		}
		
		return $tdm;
	}
	
	
	
	/**
    * Gets the themes dropdown menu
    *
    * @access   public
    * @global   object   $db
    * @param    string   $themes (optional)
    * @return   string   $tdm
    */
	function getThemesDropdownDel()
	{
		global $_CONFIG, $db, $_CORELANG;
		$activatedThemes = array();
		
		$db->query("SELECT id,themesid,is_default FROM ".DBPREFIX."languages ORDER BY id");
		$i=0;
		while($db->next_record()) {	
			$activatedThemes[$i] = $db->f('themesid');
			$i++;
		}
		
		$db->query("SELECT id,themesname,foldername FROM ".DBPREFIX."skins ORDER BY id");
		while($db->next_record()) {
			if(!in_array($db->f('id'), $activatedThemes)) {
				$selected="";
				$tdm .="<option value='".$db->f('foldername')."'>".$db->f('themesname')."</option>\n";	
			}
		}
		
		return $tdm;
	}
	
	
	/**
    * Gets the themes pages dropdown menu
    *
    * @access   public
    * @param    string   $themes
    * @param    string   $themesPage (optional)
    * @return   string   $fdm
    */
	function getFilesDropdown($themes="", $themesPage="")
	{
		global $_CONFIG, $db, $_CORELANG;
		
		if(!isset($themes)) {
            $themes = $this->selectTheme();
		}
		
		if(!isset($themesPage)) {
            $themesPage = "index.html";
		}
		
		$defaultFiles = array();
		
		if($themes != "") {
	    	$file = $this->path.$themes;
	    	if(file_exists($file)) {
				$skin_folder_page = opendir ($file);
				while ($page = readdir ($skin_folder_page)) {
			    	$extension = split("[.]",$page);
			    	$x = count($extension)-1; 
			    	
			    	if(in_array($extension[$x], $this->fileextensions))	{
				    	if(in_array($page, $this->filenames)) {
					     	if($page != "." && $page != "..") {						
								$defaultFiles[] = $page;
						    } 
						} else {
							if($page != "." && $page != "..") {
				            	$selected="";
								if($themesPage==$page) $selected = "selected";							
								$special .="<option value='".$page."' $selected>".$page."</option>\n";	
						    }
						}
					}
		        }
		        closedir($skin_folder_page); 
		        
		        //sort files
		        sort($defaultFiles);
		        foreach ($defaultFiles as $id => $page){
		        	$selected="";
		        	if($themesPage==$page) $selected = "selected";
					$default .="<option value='".$page."' $selected>".$page."</option>\n";
		        }
		        
		        //create dropdown
		        $seperator = "<option value=''>--------------------------------------------------</option>\n";		        
		        $fdm =$default.$seperator.$special;
        	} else {
	    		$this->statusMessage = $_CORELANG['TXT_STATUS_CANNOT_OPEN'];	    		
	    	}
		   
	    } else {
	    	$fdm .="<option value='1' $selected>".$_CORELANG['TXT_CHOOSE_DESIGN']."</option>\n";
	    	
	    }
	    return $fdm;
	}	
	
	
	
	/**
    * Gets the themes pages dropdown menu del
    *
    * @access   public
    * @return   string   $fdmd
    */
	function getFilesDropdownDel($themes="")
	{
		global $_CONFIG, $db, $_CORELANG;
		
		if(!isset($themes)) {
            $themes = $this->selectTheme();
		}

		if($themes != "") {
			$file = $this->path.$themes;
	    	if(file_exists($file)) {
	    		$themesPage = opendir ($file);
				while ($page = readdir ($themesPage)) {
					$extension = split("[.]",$page);
			    	$x = count($extension)-1; 
			    	
			    	if(in_array($extension[$x], $this->fileextensions))	{
				     	if(($page != ".") && ($page != "..") && (!in_array($page, $this->filenames))) {						
							$fdmd .="<option value='".$page."' $selected>".$page."</option>\n";
					    }
			    	}
		        }
			    closedir($themesPage);
	    	}
		} else {
	    	$fdmd .="<option value='1' $selected>".$_CORELANG['TXT_CHOOSE_DESIGN']."</option>\n";
	    	
	    } 
	    return $fdmd;
	}
	
	
	/**
    * Gets the themes pages file content
    *
    * @access   public
    * @param    string   $themes
    * @param    string   $themesPage
    * @return   string   $fileContent
    */
	function getFilesContent($themes="", $themesPage="")
	{
		global $_CONFIG, $db, $_CORELANG;
		
		if(!isset($themes)) {
            $themes = $this->selectTheme();
		}
		
		if(!isset($themesPage)) {
            $themesPage = "index.html";
		}
		
		if($themes != "" && $themesPage != "")
	    {
	    	$file = $this->path.$themes.'/'.$themesPage;
	    	if(file_exists($file)) {
				$contenthtml = file_get_contents($file);	
				$contenthtml= stripslashes($contenthtml);									
				$contenthtml = preg_replace('/\{([A-Z0-9_]*?)\}/', '[[\\1]]' ,$contenthtml);
				
				$db->query("SELECT id,expert FROM ".DBPREFIX."skins WHERE foldername = '$themes'");
				while($db->next_record()) {
					$expert = $db->f('expert');
				}
				
				if($expert == 1) {
					$ed = get_wysiwyg_editor('html',$contenthtml, 'html');
				} else {
					 $ed = get_wysiwyg_editor('html',$contenthtml,'active');	
				}
				
				$this->_objTpl->setVariable(array(
				    'THEMES_SELECTED_THEME'         =>     $themes, 
				    'THEMES_SELECTED_PAGENAME'      =>     $themesPage,
				    'THEMES_FULL_PATH'              =>     $this->webPath.$themes.'/'.$themesPage,
				    'CONTENT_HTML'	 				=>     $ed,
				)); 
												
				//return $fileContent;
	    	}
	    }
	}	
	
	/**
    * replaces some characters
    *
    * @access   public
    * @param    string   $themes
    */
    function replaceCharacters($string)
    {
    	global $_CONFIG, $db, $_CORELANG;
    	
        // replace $change with ''
        $change = array('+', '', '"', '@', '*', '#', '', '%', '', '&', '', '/', '|', '(', '', ')', '=', '?', '\'', '', '`', '^', '~', '!', '', '[', ']', '{', '}', '', '$', '-', '<', '>', '\\', ';', ',', ':');
        // replace $signs1 with $signs
        $signs1 = array(' ', '', '', '', '');
        $signs2 = array('_', 'ae', 'oe', 'ue', 'c');
        
        $string = strtolower($string);
        foreach($change as $str) {
		    $string = str_replace($str, '', $string);
        }
        for($x = 0; $x < count($signs1); $x++) {
            $string = str_replace($signs1[$x], $signs2[$x], $string);
        }
        $string = str_replace('__', '_', $string);
        
        if(strlen($string) > 40) {
            $info       = pathinfo($string);
            $stringExt  = $info['extension'];
            
            $stringName = substr($string, 0, strlen($string) - (strlen($stringExt) + 1));
            $stringName = substr($stringName, 0, 40 - (strlen($stringExt) + 1));
            $string     = $stringName . '.' . $stringExt;
        }
        
        return $string;        
    }
    
    
    
    /**
    * if not isset themes
    *
    * @access   public
    * @return   string   $themes
    */
    function selectTheme()
    {
    	global $_CONFIG, $db, $_CORELANG;

    	$db->query("SELECT id,themesid,is_default FROM ".DBPREFIX."languages WHERE is_default='true' ORDER BY id");
		while($db->next_record()) {	
			$themeId = $db->f('themesid');
		}	
		
		$db->query("SELECT id,foldername FROM ".DBPREFIX."skins WHERE id=$themeId ORDER BY id");
		while($db->next_record()) {
			$themes = $db->f('foldername');
		}
		
		return $themes; 
    }
    
    /**
    * selectDefaultTheme
    *
    * @access   public
    * @return   string   $themes
    */
    function selectDefaultTheme()
    {
    	global $objDb;

    	$objDb->query("SELECT id,themesid,is_default FROM ".DBPREFIX."languages WHERE is_default='true' ORDER BY id");
		while($objDb->next_record()) {	
			$themeId = $objDb->f('themesid');
		}
		
		return $themeId; 
    }
    
    
    
    /**
    * create default themepages
    *
    * @access   public
    * @param    string   $themes
    */
    function createDefaultFiles($themes)
    {
    	for($x = 0; $x < count($this->filenames); $x++) {
            $fp = @fopen ($this->path.$themes."/".$this->filenames[$x] ,"w");
			@fwrite($fp,"");
			@fclose($fp);
        }
	    	
    }
    
    
    
    /**
    * check editor mode
    *
    * @access   public
    * @param    string   $mode
    */
    function checkMode($themes)
    {
    	global $_CONFIG, $db, $_CORELANG;
    	
    	if(!isset($themes)) {
            $themes = $this->selectTheme();
		}
		
		$db->query("SELECT id, expert FROM ".DBPREFIX."skins WHERE foldername = '$themes'");
		while($db->next_record()){
			if($db->f('expert') == 1){
				$this->_objTpl->setVariable("TXT_HTML","checked");
				$this->_objTpl->setVariable("TXT_DESIGN_MODE",1);
			} else {
				$this->_objTpl->setVariable("TXT_EDITOR","checked");
				$this->_objTpl->setVariable("TXT_DESIGN_MODE",0);
			}
		}
    }
    
    /**
    * change editor mode
    *
    * @access   public
    * @param    string   $mode
    */
    function changeMode()
    {
    	global $_CONFIG, $db, $_CORELANG;
    	$mode = $_POST['mode'];
    	$themes = $_POST['themes'];
    	
    	$db->query("UPDATE ".DBPREFIX."skins SET expert='$mode' WHERE foldername = '$themes';");	
    }

    
    ################# OLD ##########################
    /**
    * create theme files from theme
    *
    * @access   public
    * @param    string   $themes
    * @param    string   $fromTheme
    */
    function createFilesFromTheme($themes, $fromTheme)
    {
    	/*$file = $this->path."/".$fromTheme;
    	if(file_exists($file)) {
    		$themesPage = opendir ($file);
			while ($page = readdir ($themesPage)) {
		     	if($page != "." && $page != "..") {
		     		$file = $this->path."/".$fromTheme."/".$page;
		     		@copy($file, $this->path."/".$themes."/".$page);	
			    }
	        }
		    closedir($themesPage);
    	}*/
    	
    	/*$copyDir = new File();
    	$copyDir->copyDir($this->path, $this->webPath, $fromTheme, $this->path, $this->webPath, $themes);*/
    }
    ################# OLD ##########################
    
    
    
    /**
    * check iftable exists
    *
    * @access   public
    * @param    string   $table
    */
    function checkTable($table)
    {	
	    global $_CONFIG, $db, $_CORELANG;
	    
		$arrTables = array();
		
		// get tables in database
		if($db->query("SHOW TABLES")){
			$arrMetadata = $db->metadata();
			while ($db->next_record()){
				array_push($arrTables,$db->f($arrMetadata[0]['name']));
			}
		}
		
		if(in_array($table, $arrTables)) {
			$this->tableExists = "tblexists";
			$this->getDbDropdown($table);
			$this->dropTable($this->oldTable);	
		}	
    }
    
    
    
    /**
    * create db themes dropdownmenu
    *
    * @access   public
    * @param    string   $table
    */
    function getDbDropdown()
    {	
	    global $db, $_CORELANG;
	    
	    if($this->tableExists == "tblexists") {
	    	$tdm = "<select name='fromDB' onchange='existingdirNameValue2()' size='1' style='WIDTH: 150px'>";  
	    	$tdm .="<option value=''>--- Aus Datenbank ----------</option>";                
			$db->query("SELECT id,themesname FROM $this->oldTable ORDER BY id");	
			$defaultThemeId = $this->selectDefaultTheme();
			
			while($db->next_record())
			{	
				if($db->f('id') == $defaultThemeId) $default = "(".$_CORELANG['TXT_DEFAULT'].")";										
				$tdm .="<option value='".$db->f(id)."'>".$db->f('themesname')." ".$default."</option>\n";
				$default='';
			}
			$tdm .="</select>";
	    	$this->_objTpl->setVariable("TXT_FROM_DB",$tdm);	
	    }    	
    }
    
    
    
    function createFilesFromDB($themes, $fromDB)
    {
    	global $_CONFIG, $db, $_CORELANG;
    	
    	$themePages = array();
    	
    	$db->query("SELECT * FROM $this->oldTable WHERE id='$fromDB'");
		while($db->next_record())
		{																
			$themePages['index.html'] = stripslashes($db->f('indexpage'));
			$themePages['content.html'] =  stripslashes($db->f('content'));
			$themePages['home.html'] =  stripslashes($db->f('home'));
			$themePages['navbar.html'] =  stripslashes($db->f('navbar'));
			$themePages['subnavbar.html'] =  stripslashes($db->f('subnavbar'));
			$themePages['sidebar.html'] =  stripslashes($db->f('sidebar'));
			$themePages['shopnavbar.html'] =  stripslashes($db->f('shopnavbar'));
			$themePages['headlines.html'] =  stripslashes($db->f('headlines'));
			$themePages['javascript.js'] =  stripslashes($db->f('javascript'));
			$themePages['style.css'] =  stripslashes($db->f('style'));
		}
		
		for($x = 0; $x < count($this->filenames); $x++) {
            $fp = fopen ($this->path.$themes."/".$this->filenames[$x] ,"w");
			fwrite($fp,"");
			fclose($fp);
            
            $filename = $this->path.$themes."/".$this->filenames[$x];
            
			//check, if file exists and is writable
            if (is_writable($filename)) {
            	//open file
			   	if (!$handle = fopen($filename, "a")) {
			         $this->statusMessage = $_CORELANG['TXT_STATUS_CANNOT_OPEN'];
			   	}
			   	//write file
			   	if (!fwrite($handle, $themePages[$this->filenames[$x]])) {
			   	    $this->statusMessage =  $_CORELANG['TXT_STATUS_CANNOT_WRITE'];
			   	}
			   	fclose($handle);
			   	//$db->query("DELETE FROM $this->oldTable WHERE id = '$fromDB'");  
			   	$this->statusMessage = $_CORELANG['TXT_STATUS_SUCCESSFULLY_CREATE'];
			
			} else {
			    $this->statusMessage = $_CORELANG['TXT_STATUS_CANNOT_WRITE'];
			}
        }
   }
   
   
   
   /**
    * if now rows in table -> drop table 
    *
    * @access   public
    * @param    string   $table
    */
    function dropTable($table)
    {	
    	global $_CONFIG, $db, $_CORELANG;
    	                  
		$db->query("SELECT id FROM $this->oldTable ORDER BY id");
		$count = $db->num_rows();
		if($count == 0) {
			$db->query("DROP TABLE $this->table");
		}
    }
}
?>