<?php
/**
* Class Settings
*
* @copyright     ASTALAVISTA SECURE CMS - 2004 Astalavista Group GmbH          
* @module    	 settings
* @modulegroups  core                    
* @author        Ivan Schmid <ivan.schmid@astalavista.ch>           
* @version       $Id:  Exp $                                         
*/


require_once ASCMS_CORE_PATH.'/Tree.class.php';


class userManagement
{
    var $_objTpl;
	var $pageTitle="";
	var $statusMessage="";
		
	
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function userManagement()
    { 
    	global  $_CORELANG, $template, $objDb;
        
		$this->_objTpl = &new HTML_Template_Sigma(ASCMS_ADMIN_TEMPLATE_PATH);
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);	                    

	    $template->set_var("CONTENT_NAVIGATION",
	                       "<a href='?cmd=user'>[".$_CORELANG['TXT_USER_ADMINISTRATION']."]</a> 
                            <a href='?cmd=user&act=newuser'>[".$_CORELANG['TXT_ADD_USER']."]</a>  
                            <a href='?cmd=user&act=groups'>[".$_CORELANG['TXT_GROUPS']."]</a> 
                            <a href='?cmd=user&act=modgroup'>[".$_CORELANG['TXT_CREATE_BACKEND_GROUP']."]</a>
                            <a href='?cmd=user&act=modpubgroup'>[".$_CORELANG['TXT_CREATE_FRONTEND_GROUP']."]</a>");
	    
	    $objDb->query("OPTIMIZE TABLE ".DBPREFIX."users");
	    $objDb->query("OPTIMIZE TABLE ".DBPREFIX."user_groups");
	    $objDb->query("OPTIMIZE TABLE ".DBPREFIX."group_backend_permissions");     
    }

    
    
    /**
    * Gets the requested methods
    *   
    * @global	 array     $_CORELANG
    * @return    string    parsed content                                                                               
    */
    function getPage()
    {
    	global $_CORELANG, $template, $objPerm;
    	
    	if(!isset($_GET['act'])) {
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{
			case "groups":			     
			    $this->showGroupsOverview();        	
			break;				
			case "updateuser":
			    $objPerm->checkPerm(31);		     
			    $this->updateUser(); 
			    $this->userOverview();      	
			break;				
			case "edituser":	
			    $objPerm->checkPerm(31);	     
			    $this->showEditUser();       	
			break;				
			case "adduser":	
			    $objPerm->checkPerm(29);		     
			    $this->addUser();
			    $this->showNewUser();        	
			break;				
			case "newuser":
			    $objPerm->checkPerm(29);		     
			    $this->showNewUser();        	
			break;	
			case "modgroup":			     
			    $this->showModGroup();	           	
			break;						
			case "addgroup":
			    $objPerm->checkPerm(33);		     
			    $this->addGroup();			    
			    $this->showGroupsOverview();           	
			break;
			case "modpubgroup":			     
			    $this->showModPubGroup();	           	
			break;
			case "addpubgroup":
			    $objPerm->checkPerm(33);	     
			    $this->addPubGroup();			    
			    $this->showGroupsOverview();           	
			break;
			case "updatepubgroup":
			    $objPerm->checkPerm(33);	     
			    $this->updatePubGroup();			    
			    $this->showGroupsOverview();           	
			break;			
			case "updategroup":	
			    $objPerm->checkPerm(34);		     
			    $this->updateGroup();
			    $this->showGroupsOverview();			           	
			break;						
			case "deletegroup":
			    $objPerm->checkPerm(30);
			    $this->deleteGroup(); 
			    $this->showGroupsOverview();		         	
			break;																			
			case "deactivate":
			    $objPerm->checkPerm(28);			     
			    $this->deactivateUser();           
			    $this->userOverview();	        	
			break;
			case "activate":			     
			    $this->activateUser();           
			    $this->userOverview();	        	
			break;																	    								
			default:
			    $objPerm->checkPerm(18);           
			    $this->userOverview();       	     		        
		}
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		

		return $this->_objTpl->get(); 
    }



    
    
    
	function getGroupInfo($groupId)
	{
		$groupInfo=array();		
		$_db = &new astalavistaDB;	
		$_db->query("SELECT group_name,group_description,is_active,type 
		               FROM ".DBPREFIX."user_groups WHERE group_id=".$groupId);
		if($_db->next_record())
		{	
            $groupInfo= array(				
			'group_name'          => $_db->f('group_name'),
			'group_description'   => $_db->f('group_description'),
			'is_active'           => $_db->f('is_active'),				           
			'type'                => $_db->f('type'));
		} 		
		return $groupInfo;		
	}
	
	
	
	
	
	function getUserInfo($userId)
	{
		$groupInfo=array();		
		$_db = &new astalavistaDB;	
		$_db->query("SELECT * FROM ".DBPREFIX."users WHERE id=".$userId);	
		while($_db->next_record())
		{	
            $userInfo= array(				
			'is_admin'   => $_db->f('is_admin'),
			'username'   => $_db->f('username'),
			'password'   => $_db->f('password'),
			'regdate'    => $_db->f('regdate'),
			'email'      => $_db->f('email'),
			'firstname'  => $_db->f('firstname'),
			'lastname'   => $_db->f('lastname'),
			'lang'       => $_db->f('langId'),
			'active'     => $_db->f('active'),
			'groups'     => $_db->f('groups'));
		} 	
		return $userInfo;	
	}
	
	
	
	
	function getPermissionInfo($groupId)
	{
		$permInfo=array();		
		$_db = &new astalavistaDB;	
		$_db->query("SELECT id,group_id,area_ids 
		               FROM ".DBPREFIX."group_backend_permissions 
		              WHERE group_id=".$groupId);
		if($_db->next_record())
		{	
            $permInfo= array(				
			'id'          => $_db->f('id'),
			'group_id'    => $_db->f('group_id'),
			'area_ids'    => $_db->f('area_ids'));
		} 	
		return $permInfo;
	}	
	
	

    

	/**
	* Add a new user into the db
	* 
	* @global    array      $_CORELANG 
	* @global    object     $db
	* @return    bollean    result                                                                          
	*/
	function addUser()
	{
		global $db, $_CORELANG;
		
        if (is_array($_POST)) {
			foreach ($_POST as $key => $val) {
	            $_SESSION['users'][$key]=$val;
	        }
        }		

		if (
		    (strlen($_POST['password'])>=6) AND
		    ($_POST['password']==$_POST['password2']) AND 
			(!empty($_POST['username'])) AND 
			(!empty($_POST['firstname'])) AND 
			(!empty($_POST['lastname'])) AND
			(!empty($_POST['email']))			
		   )
		{
		    $_POST['password'] = md5($_POST['password']);
		    $groups = !empty($_POST['dest']) ? implode(",",$_POST['dest']) : 2; // add standard public group
            $is_admin = (isset($_POST['is_admin']) AND $_POST['is_admin']==1) ? 1 : 0;
	    
		    $query = "INSERT INTO ".DBPREFIX."users
				                    SET username='{$_POST['username']}',
		                                is_admin='$is_admin',
				                        password='{$_POST['password']}',
				                        email='{$_POST['email']}',
				                        firstname='{$_POST['firstname']}',
				                        lastname='{$_POST['lastname']}',
				                        langId=".intval($_POST['adminlang']).",
				                        regdate=CURDATE(),
		    							groups='$groups',
		                                active = 1";
			if($db->query($query)) {
			    unset($_SESSION['users']);
			    $this->statusMessage = $_CORELANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
			} else {			
				$this->statusMessage = $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			}
		} else { 			
		    $this->statusMessage = $_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
		}
	}	
	
	
	
	
	
    
	    
	/**
	* Shows the group
	*
	* @global    object     $db
	* @global    array      $_GET['userId']
	* @return    string     parsed content                                                                         
	*/
	
	function showGroupsOverview()
	{		
		global $db, $_CORELANG;
		
		$this->_objTpl->loadTemplateFile('user_group_overview.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_GROUPS']; 	
		
		// init variables
		$fromusers="";
		$i=1;		
			                   
	    $this->_objTpl->setCurrentBlock('groupRow');
	    $db->query("SELECT group_id,
	                       group_name,
	                       group_description,
	                       is_active,
	                       type
	                  FROM ".DBPREFIX."user_groups
	              ORDER BY group_id");
	    
	    while ($db->next_record())
		{		
			($i % 2) ? $class  = 'row1' : $class  = 'row2';
			($db->f('is_active') == 1) ? $status = 'green' : $status = 'red';
			
			$this->_objTpl->setVariable("USERS_ROWCLASS",$class);			
			$this->_objTpl->setVariable("GROUP_NAME",$db->f('group_name'));	
			$this->_objTpl->setVariable("GROUP_ID",$db->f('group_id'));				
			$this->_objTpl->setVariable("GROUP_DESCRIPTION",$db->f('group_description'));	
			$this->_objTpl->setVariable("GROUP_STATUS",$status);			
			$this->_objTpl->setVariable("GROUP_TYPE",$db->f('type'));
											
			$groupusers= $this->getUsersInGroup($db->f('group_id'));
			$grouppages = "-";
			$groupEditLink ="index.php?cmd=user&act=modgroup&groupId=".$db->f('group_id');
			
			if($db->f('type')=="frontend")
			{
	            $grouppages= count($this->getPagesInGroup($db->f('group_id')));
	            $groupEditLink ="index.php?cmd=user&act=modpubgroup&groupId=".$db->f('group_id');
			}
			$users = array();
	        foreach($groupusers AS $username) {
	        	$users[] = $username;
	        }
	        $groupusers=implode("<br />",$users);	        	      	            
	                
	        $this->_objTpl->setVariable("GROUP_EDIT_LINK",$groupEditLink);        				
	        $this->_objTpl->setVariable('GROUP_USERS',$groupusers);	
	        $this->_objTpl->setVariable('GROUP_PAGES',$grouppages);		                            	    
			$this->_objTpl->parseCurrentBlock();		       	
			$i++;
		}

		$this->_objTpl->setVariable(array(				
			'TXT_GROUP_NAME'               => $_CORELANG['TXT_GROUP_NAME'],
			'TXT_TYPE'                     => $_CORELANG['TXT_TYPE'],
			'TXT_GROUP_ID'                 => $_CORELANG['TXT_GROUP_ID'],				           
			'TXT_GROUPS'                   => $_CORELANG['TXT_GROUPS'],
			'TXT_USERS'                    => $_CORELANG['TXT_USER'],	         
			'TXT_PAGE'                     => $_CORELANG['TXT_PAGE'],
			'TXT_STATUS'                   => $_CORELANG['TXT_STATUS'],
			'TXT_STORE'                    => $_CORELANG['TXT_STORE'],
			'TXT_RESET'                    => $_CORELANG['TXT_RESET'],
			'TXT_DESCRIPTION'              => $_CORELANG['TXT_DESCRIPTION'],	    
			'TXT_ADD_GROUP'                => $_CORELANG['TXT_ADD_GROUP'],	        	            
			'TXT_NAME'                     => $_CORELANG['TXT_NAME'],	  
			'TXT_ACTION'                   => $_CORELANG['TXT_ACTION'],          	        	            
			'TXT_PERM_ADMIN'               => $_CORELANG['txtAdmin'],	//not  available
			'TXT_PERM_OPEN'                => $_CORELANG['TXT_EXTERNAL'],	 
			'TXT_PERM_BOTH'                => $_CORELANG['txtBoth'],	//not  available 
			'TXT_ALL_FIELDS_REQUIRED'      => $_CORELANG['TXT_ALL_FIELDS_REQUIRED'],
			'TXT_USERS_DEST'               => $_CORELANG['TXT_ADDED_USERS'],
			'TXT_SELECT_ALL'               => $_CORELANG['TXT_SELECT_ALL'],
			'TXT_DESELECT_ALL'             => $_CORELANG['TXT_DESELECT_ALL'],
			'TXT_CONFIRM_DELETE_DATA'      => $_CORELANG['TXT_CONFIRM_DELETE_DATA'],
			'TXT_ACTION_IS_IRREVERSIBLE'   => $_CORELANG['TXT_ACTION_IS_IRREVERSIBLE'],	
		));	 			  
	    $this->_objTpl->setVariable("GROUPS_EDIT_FROMUSER",$fromusers);
	}    
    

	
	
	
    
	function showNewUser()
	{
		global $db, $_CORELANG;	
		
		$options="";
		$is_admin_checkbox="";
		$i=0; 
		
		$this->_objTpl->loadTemplateFile('user_add.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_OVERVIEW']; 		
	     				
		$db->query("SELECT group_id,
		                   group_name,
		                   type 
		              FROM ".DBPREFIX."user_groups 
		          ORDER BY group_id");
				
		while($db->next_record())
		{			 
			$options.="<option value=\"".$db->f('group_id')."\"";
			if (!$i) $options.=" selected";		
			$options.=">".$db->f('group_name')." [ ".$db->f('type')." ]</option>\n";	
			$i++;
		} 
		
		if($_SESSION['auth']['is_admin']!=1)
        {
        	$is_admin_checkbox="disabled";
	    }
		
		if(isset($_SESSION['users']))
		{
			$this->_objTpl->setVariable("USERS_LOGINNAME", $_SESSION['users']['username']);
			$this->_objTpl->setVariable("USERS_FIRSTNAME", $_SESSION['users']['firstname']);
			$this->_objTpl->setVariable("USERS_LASTNAME", $_SESSION['users']['lastname']);
			$this->_objTpl->setVariable("USERS_EMAIL", $_SESSION['users']['email']);
			$this->_objTpl->setVariable("USERS_PASSWORD", $_SESSION['users']['password']);
			$this->_objTpl->setVariable("USERS_PASSWORD2", $_SESSION['users']['password2']);						
		}
				
		$this->_objTpl->setVariable(array(
		'USERS_ADMIN_CHECKBOX'             => $is_admin_checkbox,
		'TXT_FIRST_NAME'                   => $_CORELANG['TXT_FIRST_NAME'],
		'TXT_LAST_NAME'                    => $_CORELANG['TXT_LAST_NAME'],
		'TXT_EMAIL'                        => $_CORELANG['TXT_EMAIL'],
		'TXT_STATUS'                       => $_CORELANG['TXT_STATUS'],
		'TXT_LOGIN_NAME'                   => $_CORELANG['TXT_LOGIN_NAME'],
		'TXT_LOGIN_PASSWORD'               => $_CORELANG['TXT_LOGIN_PASSWORD'],
		'TXT_VERIFY_PASSWORD'              => $_CORELANG['TXT_VERIFY_PASSWORD'],
		'TXT_LANGUAGE'                     => $_CORELANG['TXT_LANGUAGE'],
		'TXT_PASSWORD_MINIMAL_CHARACTERS'  => $_CORELANG['TXT_PASSWORD_MINIMAL_CHARACTERS'],
		'TXT_ALL_FIELDS_REQUIRED'          => $_CORELANG['TXT_ALL_FIELDS_REQUIRED'],
		'TXT_PASSWORD_NOT_USERNAME_TEXT'   => $_CORELANG['TXT_PASSWORD_NOT_USERNAME_TEXT'],
		'TXT_ADDUSER'                      => $_CORELANG['TXT_ADD_USER'],
		'TXT_GROUPS'                       => $_CORELANG['TXT_GROUPS'],
		'TXT_GROUPS_DEST'                  => $_CORELANG['TXT_GROUPS_DEST'],
		'TXT_SELECT_ALL'                   => $_CORELANG['TXT_SELECT_ALL'],
		'TXT_DESELECT_ALL'                 => $_CORELANG['TXT_DESELECT_ALL'],	            	                     
		'TXT_ADMIN_STATUS'                 => $_CORELANG['TXT_ADMIN_STATUS'],
		'TXT_RELATEDNESS'                  => $_CORELANG['TXT_BACKEND_RELATEDNESS']			             
		));		
	                                                             	 
	    $this->_objTpl->setVariable("USERS_NEW_EDIT_GROUPS",$options);	                 
	    $this->_objTpl->setVariable("USERS_NEW_EDIT_LANGUAGE_DROPDOWNMENU",$this->languageMenu());
	}
    
        
    
    
    
	
	/**
	* Add a new group 
	*
	* @version   1.0        initial version 
	* @global    array      -
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function addGroup()
	{
	  	global $db, $_CORELANG;
	  	
		if (!empty($_POST['groupName']))
		{	
		    $status=intval($_POST['groupStatus']);		
		    
		    // add into user_groups table
		    $query = "INSERT INTO ".DBPREFIX."user_groups 
		                      SET group_name='{$_POST['groupName']}', 
		                          group_description='{$_POST['groupDescription']}',
		                          is_active=$status,
		                          type='backend'";
		    	    
		    if($db->query($query))
			{
				$groupId=$db->insert_id();								
				if(is_array($_POST['areaId']))
				{
                    $areaIds = implode(",", $_POST['areaId']);
				}								
				
				// add into user_permissions table
				//////////////////////////////////
			    $db->query("INSERT INTO ".DBPREFIX."group_backend_permissions 
			                        SET group_id=$groupId, 
			                            area_ids='$areaIds'");
		        
				// add into user table
				//////////////////////////////////
			    $db->query("SELECT id, groups FROM ".DBPREFIX."users"); 
                while($db->next_record())
                {
                    $arrUserGroups[$db->f('id')]=$db->f('groups');	
                }
                
                if(isset($_POST['selectedUsers']) AND is_array($_POST['selectedUsers']))
                {
	                foreach($_POST['selectedUsers'] AS $selectedUserId)
	                {
	                    $newgroup = $arrUserGroups[$selectedUserId].",".$groupId;
	                    $db->query("UPDATE ".DBPREFIX."users set groups='$newgroup' WHERE id=".$selectedUserId);	
	                }
                }
                	        
			    $this->statusMessage=$_CORELANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
			    return true;
			}
			else 
			{
				$this->statusMessage=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
				return false;
			}
		}
		else 
		{
			$this->statusMessage=$_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
			return false;
		}
	}     
    
    

	
    
	/**
	* gets the new user group page
	*
	* @version   1.0        initial version 
	* @global    object     $db     
	* @global    string     $_CORELANG    	                                                            
	*/
	function showModPubGroup()
	{
		global $db, $_CORELANG, $_LANGID;
		
		// init variables
		$unselectedUsers="";
		$selectedUsers="";
		$unselectedPages='';
		$groupId=0;
		$formAction ="index.php?cmd=user&act=addpubgroup";
		
		$this->_objTpl->loadTemplateFile('user_modpubgroup.html',true,true);
		$this->pageTitle = $_CORELANG['TXT_GROUPS']; 
		
		// create new ContentTree instance
		$contentTree = &new ContentTree();
		
		/////////////////////////////////////////
		// Modify modus
		/////////////////////////////////////////
		if(isset($_GET['groupId']) AND intval($_GET['groupId'])!=0)
		{
		    $groupId = intval($_GET['groupId']);
		    $this->pageTitle = $_CORELANG['TXT_EDIT_GROUP'];	
		    $formAction ="index.php?cmd=user&act=updatepubgroup";
		    $groupInfo = $this->getGroupInfo($groupId);	    
		    $permInfo = $this->getPermissionInfo($groupId);
		    $groupPermissionIds =explode(",",$permInfo['area_ids']);
		    
		    ($groupInfo['is_active']==1) ? $is_active="checked" : $is_active="";       
		    		    
			$this->_objTpl->setVariable(array(
				'USER_GROUP_NAME'              => $groupInfo['group_name'],
				'USER_GROUP_DESCRIPTION'       => $groupInfo['group_description'],								
				'USER_GROUP_STATUS'            => $is_active,										
			));	
            
			// check for users
			$db->query("SELECT id,username,groups FROM ".DBPREFIX."users WHERE active=1 ORDER BY id");
			while($db->next_record())
			{	
				$userList[$db->f('id')]=$db->f('username');
				$userGroups[$db->f('id')]=explode(",",$db->f('groups'));
			}
			foreach($userList AS $id => $username)
			{
			    if(in_array($groupId,$userGroups[$id]))
			        $selectedUsers.="<option value=\"".$id."\">".$username."</option>\n";
			    else 
			        $unselectedUsers.="<option value=\"".$id."\">".$username."</option>\n";	
			}
			
			// check for pages (content) 
			$spacer="->";			
			foreach ($contentTree->getTree() as $data) 
			{
                $spacer="";              
                /*
                echo "<pre>";
                print_r($data);
                echo "</pre>";
                */              
                $level=intval($data['level']);
                
                for ($i = 0; $i < $level; $i++) {$spacer .="&nbsp;&nbsp;";} 
				if(in_array($groupId, explode(",",$data['frontend_groups']) ))
				{					    	
				    $selectedPages.="<option value=\"".$data['catid']."\">".$spacer.$data['catname']." (".$data['catid'].") </option>\n";			
				}
				else
				{
                    $unselectedPages.="<option value=\"".$data['catid']."\">".$spacer.$data['catname']." (".$data['catid'].") </option>\n";			
				}
			}	  
		}
		/////////////////////////////////////////
		// Add modus
		/////////////////////////////////////////		
		else 
		{
			$db->query("SELECT id,username,groups FROM ".DBPREFIX."users WHERE active=1 ORDER BY id");	
			while($db->next_record())
			{	
				$unselectedUsers.="<option value=\"".$db->f('id')."\">".$db->f('username')."</option>\n";
			}
			
			$spacer="->";			
			foreach ($contentTree->getTree() as $data) 
			{
                  $spacer="";
                  $level=intval($data['level']);
                  for ($i = 0; $i < $level; $i++) {$spacer .="&nbsp;&nbsp;";}                 				
				  $unselectedPages.="<option value=\"".$data['catid']."\">".$spacer.$data['catname']." (".$data['catid'].") </option>\n";			
			}	
		}

		/////////////////////////////////////////
		// Add and modify modus
		/////////////////////////////////////////
		
		$this->_objTpl->setVariable(array(
		    'USER_GROUP_ID'                => $groupId,
			'USER_FORM_ACTION'             => $formAction,		
			'USER_UNSELECTED'              => $unselectedUsers,
			'USER_SELECTED'                => $selectedUsers,
			'PAGES_UNSELECTED'             => $unselectedPages,
			'PAGES_SELECTED'               => $selectedPages,												
			'TXT_ADD_GROUP'                => $_CORELANG['TXT_ADD_GROUP'],
			'TXT_NAME'                     => $_CORELANG['TXT_NAME'],	
			'TXT_DESCRIPTION'              => $_CORELANG['TXT_DESCRIPTION'],	
			'TXT_STORE'                    => $_CORELANG['TXT_STORE'],
			'TXT_RESET'                    => $_CORELANG['TXT_RESET'],
			'TXT_USERS_DEST'               => $_CORELANG['TXT_ADDED_USERS'],
			'TXT_SELECT_ALL'               => $_CORELANG['TXT_SELECT_ALL'],
			'TXT_DESELECT_ALL'             => $_CORELANG['TXT_DESELECT_ALL'],				
			'TXT_USERS'                    => $_CORELANG['TXT_USER'],
			'TXT_ACTIVATED'                => $_CORELANG['TXT_ACTIVATED'],	
			'TXT_ASSIGNED_USERS'           => $_CORELANG['TXT_ADDED_USERS'],	
			'TXT_EXISTING_USERS'           => $_CORELANG['TXT_EXISTING_USERS'],	
			'TXT_PROTECT_RANGES'           => $_CORELANG['TXT_PROTECT_EXISTING_RANGES'],
			'TXT_EXISTING_RANGES'          => $_CORELANG['TXT_EXISTING_RANGES'],	
			'TXT_ASSIGNED_RANGES'          => $_CORELANG['TXT_ASSIGNED_RANGES'],		
		));			
	}
	
	

	
	/**
	* Add a new group 
	*
	* @version   1.0        initial version 
	* @global    array      $_GET['delete']
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function addPubGroup()
	{
	  	global $db, $_CORELANG;
	  	
	  	$selectedPages='';
	  	
		if (!empty($_POST['groupName']))
		{	
		    $status=intval($_POST['groupStatus']);
		    
		    // add into user_groups table
		    $query = "INSERT INTO ".DBPREFIX."user_groups 
		                      SET group_name='{$_POST['groupName']}', 
		                          group_description='{$_POST['groupDescription']}',
		                          is_active='$status',
		                          type='frontend'";
		    	    
		    if($db->query($query))
			{
				$groupId=$db->insert_id();				
				//////////////////////////////////
				// update navigation table
				//////////////////////////////////												
				if(is_array($_POST['selectedPages']))
				{
                    // create new ContentTree instance
                    $contentTree = &new ContentTree();
                    //print_r($contentTree->getTree());
                    foreach($_POST['selectedPages'] AS $pageId)
                    {                       
						$groups=array();
						$nodeData=$contentTree->getThisNode($pageId);
						//print_r($nodeData);
                    	if (!empty($nodeData['frontend_groups']))
						{
							$groups=explode(",",$nodeData['frontend_groups']);
						} 
						array_push($groups, $groupId);
						$publicGroups=implode(",",$groups);
						
                    	$db->query("UPDATE ".DBPREFIX."content_navigation 
                    	               SET frontend_groups ='$publicGroups',
                    	                   protected=1 
                    	             WHERE catid=$pageId");
                    	
                    	unset($publicGroups); 
                    	unset($groups);             	
                    } 
				}
				//////////////////////////////////
				// update user table
				//////////////////////////////////
			    $db->query("SELECT id, groups FROM ".DBPREFIX."users"); 
                while($db->next_record())
                {
                    $arrUserGroups[$db->f('id')]=$db->f('groups');	
                }
                
                if(isset($_POST['selectedUsers']) AND is_array($_POST['selectedUsers']))
                {
	                foreach($_POST['selectedUsers'] AS $selectedUserId)
	                {
	                    $newgroup = $arrUserGroups[$selectedUserId].",".$groupId;
	                    $db->query("UPDATE ".DBPREFIX."users set groups='$newgroup' WHERE id=".$selectedUserId);	
	                }
                }
                	        
			    $this->statusMessage=$_CORELANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
			    return true;
			}
			else 
			{
				$this->statusMessage=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
				return false;
			}
		}
		else 
		{
			$this->statusMessage=$_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
			return false;
		}
	}     
    	

	
	
	
	/**
	* updates public groups 
	* 
	* @global    array      $_CORELANG
	* @global    object     $db
	* @return    boolean    true/false                                                                     
	*/
	function updatePubGroup()
	{
	  	global $db, $_CORELANG;
	  	
	  	$selectedPages='';	  	
	  	$groupId=intval($_POST['groupId']);		  	  	
	  	
		if (!empty($_POST['groupName']))
		{	
		    $status=intval($_POST['groupStatus']);
			$query = "UPDATE ".DBPREFIX."user_groups 
						   SET group_name='{$_POST['groupName']}',
							   group_description='{$_POST['groupDescription']}',
							   is_active='$status',
							   type='frontend' 
						 WHERE group_id=".$groupId;   	    
		    if($db->query($query))
			{
				//////////////////////////////////
				// update user table where groupId is index of groups
				//////////////////////////////////
			    $db->query("SELECT id, groups FROM ".DBPREFIX."users"); 
                while($db->next_record())
                {
                    $arrUserGroups[$db->f('id')]=$db->f('groups');
                }  
                if(isset($_POST['selectedUsers']) AND is_array($_POST['selectedUsers']))
                {               	              	
	                foreach($_POST['selectedUsers'] AS $userId)
	                {          				

                	    $testArray=explode(",",$arrUserGroups[$userId]);
	                	if (!in_array($groupId, $testArray))
						{
	                        array_push ($testArray, $groupId);
	                        $testGroups = implode(",",$testArray);
	                        $db->query("UPDATE ".DBPREFIX."users set groups='$testGroups' WHERE id=".$userId);
	                    }             	
	                }
                }              
                if(isset($_POST['notSelectedUsers']) AND is_array($_POST['notSelectedUsers']))
                {               	              	
	                foreach($_POST['notSelectedUsers'] AS $userId)
	                {
		                	// create array
		                	$testArray=explode(",",$arrUserGroups[$userId]);		                	
		                	if (in_array($groupId, $testArray))
							{
								unset($testArray[array_search($groupId, $testArray)]);		                        		                        
		                        $testGroups=implode(",",$testArray);	                        
		                        $db->query("UPDATE ".DBPREFIX."users set groups='$testGroups' WHERE id=".$userId);
		                    }           						                                       	
	                }
                }							
				//////////////////////////////////
				// update navigation table						
				if(is_array($_POST['selectedPages']))
				{
                    $contentTree = &new ContentTree();
                    foreach($_POST['selectedPages'] AS $pageId)
                    {                       
						$groups=array();
						$nodeData=$contentTree->getThisNode($pageId);
                    	if (!empty($nodeData['frontend_groups']))
						{
							$groups=explode(",",$nodeData['frontend_groups']);
						} 
						if (!in_array ($groupId, $groups)) 
						{
                            // add to groups array
                            array_push($groups, $groupId);
                        }								
						$publicGroups=implode(",",$groups);
                    	  
                      	$db->query("UPDATE ".DBPREFIX."content_navigation 
                    	               SET frontend_groups ='$publicGroups',
                    	                   protected=1 
                    	             WHERE catid=$pageId");                  	      	
                    } 
				}
				
				// delete unselected pages who where selected before
				if(is_array($_POST['notSelectedPages']))
				{
                    $contentTree = &new ContentTree();
                    foreach($_POST['notSelectedPages'] AS $pageId)
                    {                       
						$groups=array();
						$nodeData=$contentTree->getThisNode($pageId);
                    	if (!empty($nodeData['frontend_groups']))
						{
							$groups=explode(",",$nodeData['frontend_groups']);
						}						
						if (in_array ($groupId, $groups)) 
						{
                            // Delete from groups array
                            unset($groups[array_search($groupId, $groups)]);
                        }                      
						$publicGroups=implode(",",$groups);
						
						if(empty($publicGroups))
						{
							$protected=0;
						}
						else
						{
							$protected=1;
						}
																
                    	$query="UPDATE ".DBPREFIX."content_navigation 
                    	           SET frontend_groups ='$publicGroups',
                    	               protected=$protected 
                    	         WHERE catid=$pageId";    	
                    	
					    if(!$db->query($query))
						{             
							$this->statusMessage=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
							return false;
						}           	
                    } 
				}		    	        
			    $this->statusMessage=$_CORELANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
			    return true;
			}
			else 
			{
				$this->statusMessage=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
				return false;
			}
		}
		else 
		{
			$this->statusMessage=$_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
			return false;
		}
	}     
  	

    
	/**
	* gets the new user group page
	*
	* @global    object     $db     
	* @global    string     $_CORELANG    	                                                            
	*/
	function showModGroup()
	{
		global $db, $_CORELANG;
		
		// init variables
		$unselectedUsers="";
		$selectedUsers="";
		$groupId="";
		$is_backend="";
		$formAction ="index.php?cmd=user&act=addgroup";
		
		$this->_objTpl->loadTemplateFile('user_modgroup.html',true,true);
		$this->pageTitle = $_CORELANG['TXT_GROUPS']; 
		
		/////////////////////////////////////////
		// Modify modus
		/////////////////////////////////////////
		if(isset($_GET['groupId']) AND intval($_GET['groupId'])!=0){
		    $groupId = intval($_GET['groupId']);
		    $this->pageTitle = $_CORELANG['TXT_EDIT_GROUP'];	
		    $formAction ="index.php?cmd=user&act=updategroup";
		    $groupInfo = $this->getGroupInfo($groupId);
		    $permInfo = $this->getPermissionInfo($groupId);
		    $groupPermissionIds =explode(",",$permInfo['area_ids']);
		    
		    ($groupInfo['is_active']==1) ? $is_active="checked" : $is_active="";	       
		    		    
			$this->_objTpl->setVariable(array(
				'USER_GROUP_NAME'              => $groupInfo['group_name'],
				'USER_GROUP_DESCRIPTION'       => $groupInfo['group_description'],									
				'USER_GROUP_STATUS'            => $is_active,										
			));	

			$db->query("SELECT id,username,groups FROM ".DBPREFIX."users WHERE active=1 ORDER BY id");	
			while($db->next_record()){	
				$userList[$db->f('id')]=$db->f('username');
				$userGroups[$db->f('id')]=explode(",",$db->f('groups'));
			}
			foreach($userList AS $id => $username){
			    if(in_array($groupId,$userGroups[$id]))
			        $selectedUsers.="<option value=\"".$id."\">".$username."</option>\n";
			    else 
			        $unselectedUsers.="<option value=\"".$id."\">".$username."</option>\n";	
			}		    				  
		}
		/////////////////////////////////////////
		// Add modus
		/////////////////////////////////////////		
		else 
		{
			$db->query("SELECT id,username,groups FROM ".DBPREFIX."users WHERE active=1 ORDER BY id");	
			while($db->next_record()) {	
				$unselectedUsers.="<option value=\"".$db->f('id')."\">".$db->f('username')."</option>\n";
			}				
		}

		/////////////////////////////////////////
		// Add and modify modus
		/////////////////////////////////////////
		$db->query("SELECT * FROM ".DBPREFIX."backend_areas WHERE is_active=1 ORDER BY parent_area_id");					
		while($db->next_record()){
	        $checked="checked";
	        if(is_array($permInfo)) {
	        	$checked = in_array($db->f('area_id'), $groupPermissionIds) ? "checked" : ""; 
	        }	
			$arr[$db->f('area_id')]= array( 'name' => $db->f('area_name'),
	        	                            'status' => $db->f('is_active'),
	        	                            'type' => $db->f('type'),
	        	                            'group_id' => $db->f('parent_area_id'),
	        	                            'checked' => $checked);
		}
			
		foreach ($arr AS $group_id => $group_data ){				
			if($group_data['type']=="group"){
				$this->_objTpl->setVariable(array(
					'USER_AREA_GROUP_ID'            => $group_id,
					'USER_AREA_GROUP_NAME'          => $_CORELANG[$group_data['name']],
					'USER_AREA_GROUP_STATUS'        => "",
					'USER_AREA_GROUP_PERMISSION'    => $group_data['checked'],
					'USER_AREA_GROUP_ROWCLASS'     => "row3"					
				));			
				foreach ($arr AS $nav_id => $nav_data) {	
					if($group_id==$nav_data['group_id'] AND $nav_data['type']=="navigation"){
						$this->_objTpl->setCurrentBlock('areaPermissions');							
						$this->_objTpl->setVariable(array(						
							'USER_AREA_ID'             => $nav_id,
							'USER_AREA_NAME'           => $_CORELANG[$nav_data['name']],
							'USER_AREA_STATUS'         => "",
							'USER_AREA_PERMISSION'     => $nav_data['checked'],
					        'USER_AREA_ROWCLASS'      => "row1"						
						));						
						foreach ($arr AS $function_id => $function_data) {	
							if($nav_id==$function_data['group_id'] AND $function_data['type']=="function"){
								$this->_objTpl->setCurrentBlock('functionPermissions');									
								$this->_objTpl->setVariable(array(						
									'USER_AREA_FUNCTION_ID'             => $function_id,
									'USER_AREA_FUNCTION_NAME'           => $_CORELANG[$function_data['name']],
									'USER_AREA_FUNCTION_STATUS'         => "",
									'USER_AREA_FUNCTION_PERMISSION'     => $function_data['checked'],
							        'USER_AREA_FUNCTION_ROWCLASS'      => "row2"						
								));
								$this->_objTpl->parseCurrentBlock();
							}
						}																
						$this->_objTpl->parse('areaPermissions');
					}
				}
			}						
			$this->_objTpl->parse('groupPermissions');
		}
		
		$this->_objTpl->setVariable(array(
		    'USER_GROUP_ID'                => $groupId,
			'USER_FORM_ACTION'             => $formAction,		
			'USER_UNSELECTED'              => $unselectedUsers,
			'USER_SELECTED'                => $selectedUsers,								
			'TXT_ADD_GROUP'                => $_CORELANG['TXT_ADD_GROUP'],
			'TXT_NAME'                     => $_CORELANG['TXT_NAME'],	
			'TXT_DESCRIPTION'              => $_CORELANG['TXT_DESCRIPTION'],	
			'TXT_STORE'                    => $_CORELANG['TXT_STORE'],
			'TXT_RESET'                    => $_CORELANG['TXT_RESET'],
			'TXT_USERS_DEST'               => $_CORELANG['TXT_ADDED_USERS'],
			'TXT_SELECT_ALL'               => $_CORELANG['TXT_SELECT_ALL'],
			'TXT_DESELECT_ALL'             => $_CORELANG['TXT_DESELECT_ALL'],				
			'TXT_USERS'                    => $_CORELANG['TXT_USER'],
			'TXT_PERMISSIONS'              => $_CORELANG['TXT_PERMISSIONS'],
			'TXT_ALLOW'                    => $_CORELANG['TXT_ALLOW'],				
			'TXT_AREAS'                    => $_CORELANG['TXT_AREAS'],										
		));			
	}

	
	
	
	
	
	
	
	/**
	* Updates users into the db
	*
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function updateUser()
	{
		global $db, $_CORELANG;
		
		$groups="";
		$is_admin=0;	
		$redirectCode = "\n<script language='JavaScript' type='text/javascript'>\n<!-- \nwindow.setTimeout(\"location.href=('?cmd=user')\",1500); \n//-->\n</script>\n";	
		
		
		if ((!empty($_POST['userId'])) AND 
		    (!empty($_POST['username'])) AND 
		    (!empty($_POST['firstname'])) AND 
		    (!empty($_POST['lastname'])) AND 
		    (!empty($_POST['email'])) AND
		    (!empty($_POST['adminlang'])))
		{
			$userId=intval($_POST['userId']);			
					
			if (!empty($_POST['destuser'])) {
				$groups=implode(",",$_POST['destuser']);
			}
            // just admins can change the is_admin selection
			if (isset($_POST['is_admin']) AND $_POST['is_admin']==1 AND $_SESSION['auth']['is_admin']==1) {
				$is_admin=1;
			}					
			
			// set new password
			if(strlen($_POST['password'])>=6)
			{
			    $_POST['password']= md5($_POST['password']);
			    		    		 
				$query = "UPDATE ".DBPREFIX."users 
							   SET username='{$_POST['username']}',
								   password='{$_POST['password']}',
								   email='{$_POST['email']}',
								   firstname='{$_POST['firstname']}',
								   lastname='{$_POST['lastname']}', 
								   langId=".intval($_POST['adminlang']).",
				                   is_admin='$is_admin',
				                   groups='$groups' 
							 WHERE id='$userId'";	
				
				if( $db->query($query))
			    {
					if($_SESSION['auth']['userid']==$userId) {
				        $_SESSION['auth']['username']=$_POST['username'];
					    $_SESSION['auth']['password']=$_POST['password'];
					    $_SESSION['auth']['lang']=$_POST['adminlang'];	
					}
                    $this->statusMessage = $_CORELANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'].$redirectCode;
			    	return true;
			    } 

			}			
			// no new password is given
			else
			{
				$query= "UPDATE ".DBPREFIX."users    
				           SET username='{$_POST['username']}',
							   email='{$_POST['email']}',
							   firstname='{$_POST['firstname']}',
							   lastname='{$_POST['lastname']}', 
							   langId=".intval($_POST['adminlang']).",
				               is_admin='$is_admin',				
				               groups='$groups'
						 WHERE id='{$_POST['userId']}'";

				if($db->query($query))
		        {
					if($_SESSION['auth']['userid']==$userId)
					{
						$_SESSION['auth']['username']=$_POST['username'];
						$_SESSION['auth']['lang']=intval($_POST['adminlang']);
					}			        	
		        	$this->statusMessage = $_CORELANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'].$redirectCode;
		            return true;
		        }
			}
		}
		$this->statusMessage=$_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
		return false;
	}	
	
	
    
	/**
	* Shows the user edit page
	* 
	* @global    object     $db
	* @global    array      $_GET['userId']
	* @return    string     parsed content                                                                         
	*/
	
	function showEditUser()
	{
		global $db, $_CORELANG;
		
		$is_admin="";
		$notSelectedGroups ="";
		$selectedGroups ="";
		$is_admin_checkbox="";

		$db2=&new astalavistaDB;
		$userId = intval($_GET['userId']);
		
		$this->_objTpl->loadTemplateFile('user_edit.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_OVERVIEW']; 
		
		$this->_objTpl->setVariable(array(
			'TXT_USER_NAME'                    => $_CORELANG['TXT_USERNAME'],
			'TXT_USER'                         => $_CORELANG['TXT_USER'],
			'TXT_FIRST_NAME'                   => $_CORELANG['TXT_FIRST_NAME'],
			'TXT_LAST_NAME'                    => $_CORELANG['TXT_LAST_NAME'],
			'TXT_EMAIL'                        => $_CORELANG['TXT_EMAIL'],
			'TXT_ADMIN_STATUS'                 => $_CORELANG['TXT_ADMIN_STATUS'],
			'TXT_PASSWORD'                     => $_CORELANG['TXT_PASSWORD'],
			'TXT_LANGUAGE'                     => $_CORELANG['TXT_LANGUAGE'],
			'TXT_PASSWORD_MINIMAL_CHARACTERS'  => $_CORELANG['TXT_PASSWORD_MINIMAL_CHARACTERS'],
			'TXT_PASSWORD_FIELD_EMPTY'         => $_CORELANG['TXT_PASSWORD_FIELD_EMPTY'],
			'TXT_PASSWORD_MD5_ENCRYPTED'       => $_CORELANG['TXT_PASSWORD_MD5_ENCRYPTED'],
			'TXT_ACCEPT_CHANGES'               => $_CORELANG['TXT_ACCEPT_CHANGES'],	
			'TXT_SELECT_ALL'                   => $_CORELANG['TXT_SELECT_ALL'],
			'TXT_DESELECT_ALL'                 => $_CORELANG['TXT_DESELECT_ALL'],
			'TXT_GROUPS'                       => $_CORELANG['TXT_GROUPS'],
			'TXT_GROUPS_DEST'                  => $_CORELANG['TXT_GROUPS_DEST'],
			'TXT_USER_ADMIN_RIGHTS'            => $_CORELANG['TXT_USER_ADMIN_RIGHTS'],
		));					
		
		$db->query("SELECT langId, 
		                   id,
		                   username,
		                   email,
		                   firstname,
		                   lastname,
		                   groups,
		                   is_admin 
		             FROM ".DBPREFIX."users 
		            WHERE id=".$userId);
		
		if ($db->next_record())
		{		
			$arrUserGroups=explode(",", $db->f("groups"));
			
			$db2->query("SELECT group_id, 
			                    group_name,
			                    type 
			               FROM ".DBPREFIX."user_groups");
			
	    	while ($db2->next_record())
	    	{	    	
				$key = $db2->f('group_id');

				if (in_array($key, $arrUserGroups)) 
				{
				   $selectedGroups.="<option value=\"".$key."\">".$db2->f('group_name')." [".$db2->f('type')."]</option>\n";
				}
				else 
				{
				   $notSelectedGroups.="<option value=\"".$key."\">".$db2->f('group_name')." [".$db2->f('type')."]</option>\n";					
				}
	    	}		    	
	    	
	        if($db->f('is_admin')==1){
	        	$is_admin="checked";
		    }
		    elseif($_SESSION['auth']['is_admin']==1){
		    	$is_admin='';	
		    }
		    else {
	        	$is_admin="disabled";
	        }

			$this->_objTpl->setVariable("USERS_ADMIN_STATUS",$is_admin);	        
			$this->_objTpl->setVariable("TR_STATUS",$visible_tr);
			$this->_objTpl->setVariable("GROUPS_EDIT_FROMUSER", $notSelectedGroups);
			$this->_objTpl->setVariable("GROUPS_EDIT_DESTUSER", $selectedGroups);		
			$this->_objTpl->setVariable("USERS_ID",$db->f('id'));
			$this->_objTpl->setVariable("USERS_USERNAME",$db->f('username'));
			$this->_objTpl->setVariable("USERS_PASSWORD","");
			$this->_objTpl->setVariable("USERS_EMAIL",$db->f('email'));
			$this->_objTpl->setVariable("USERS_FIRSTNAME",$db->f('firstname'));
			$this->_objTpl->setVariable("USERS_LASTNAME",$db->f('lastname'));
			$this->_objTpl->setVariable("USERS_LASTNAME",$db->f('lastname'));
			$status= $db->f('status');
			$lang = $db->f('langId');
		}
	    $this->_objTpl->setVariable("USERS_LANGUAGE_MENU",$this->languageMenu($lang));
	}	
    
    

	
	/**
	* Edit a group 
	*
	* @global    object     $db

	* @return    boolean    result                                                                     
	*/
	function updateGroup()
	{
	  	global $db,$_CORELANG;
	  	
	  	// init variables
	  	$newGroups="";
	  	$selectedUsers = array(); 
  		  	
		if (!empty($_POST['groupName']) AND !empty($_POST['groupId']))
		{	
	        /////////////////////////////////
	        // update user_group table
	        /////////////////////////////////
			(intval($_POST['groupStatus'])==1)? $is_active=1 : $is_active=0;

			$type='backend';
			$groupId=intval($_POST['groupId']);	
			
			// standard backend group is write protected
			if(groupId==1)
			{
				$type="backend";
				$is_active=1;
			}
			
			// standard public group is write protected
			if(groupId==2)
			{
				$type="frontend";
				$is_active=1;
			}			
			
	 		$db->query("UPDATE ".DBPREFIX."user_groups
			             SET group_name='{$_POST['groupName']}',
		                     group_description='{$_POST['groupDescription']}',
		                     is_active='$is_active',
		                     type='$type'	 			 		
		               WHERE group_id=$groupId");
	 		
	 		
		    /////////////////////////////////
		    // update group_backend_permissions
		    /////////////////////////////////
		    $groupPermissionAreaIds = "";
			if(is_array($_POST['areaId']))
			{
                $groupPermissionAreaIds .= implode(",", $_POST['areaId']);
			}	    
		    
	 		$db->query("UPDATE ".DBPREFIX."group_backend_permissions
			               SET area_ids='$groupPermissionAreaIds' 			 		
		                 WHERE group_id=".$groupId);		 		
	 			
 		
			/////////////////////////////////
			// update users table
			/////////////////////////////////				
			if (isset($_POST['selectedUsers']) AND !empty($_POST['selectedUsers'])){
				$selectedUsers=$_POST['selectedUsers'];
			}

			$db->query("SELECT id, groups, is_admin FROM ".DBPREFIX."users");
			while($db->next_record())
			{
			    $users[$db->f('id')]=$db->f('groups');
			    $admins[$db->f('id')]=$db->f('is_admin');			    
			}
			foreach($users AS $id => $groupData)
			{
				$arrUserGroups=explode(",",$groupData);
				if(in_array($id, $selectedUsers))
				{
					// add new group
					if(!in_array($groupId, $arrUserGroups))
					{
						array_push($arrUserGroups, $groupId);
						$newGroups=implode(",",$arrUserGroups);
						$query="UPDATE ".DBPREFIX."users set groups='$newGroups' WHERE id=".$id;
						if(!$db->query($query))
						{
			        		$this->statusMessage.=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			        		return false;							
						}					
					} 				
				}
				else 
				{
					// delete group
					if(in_array($groupId, $arrUserGroups))
					{
                        unset($arrUserGroups[array_search($groupId, $arrUserGroups)]);
                        if(is_array($arrUserGroups))
                        {						
						    $newGroups=implode(",",$arrUserGroups);
                        }
                        // do not delete group no.1 if the user is admin
                        if($groupId==1 AND $admins[$id]==1)
                        {
			        		$this->statusMessage.=$_CORELANG['TXT_CANNOT_DELETE_ADMINS'];                         	
                        }
                        else 
                        {
							$query="UPDATE ".DBPREFIX."users set groups='$newGroups' WHERE id=".$id;
							if(!$db->query($query))
							{
				        		$this->statusMessage.=$_CORELANG['TXT_DATABASE_QUERY_ERROR'];
				        		return false;							
							}                      	
                        }					
					} 					
				}
			}
		    $this->statusMessage.=$_CORELANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
		    return true;			    
		}
		$this->statusMessage.=$_CORELANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];
		return false;
	}   
    
    
    
	/**
	* Delete a group 
	*
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function deleteGroup()
	{
	    global $db, $_CORELANG;
	    
		$id = intval($_GET['groupId']);
		
		// standard groups 1,2 are write protected!
		if ($id > 2)
		{
			// Delete user_groups entries
			$query="DELETE FROM ".DBPREFIX."user_groups WHERE group_id=$id";
		   	if($db->query($query))
		   	{	 
		   		// Delete users entries	
		   		$arrUsers=$this->getUsersInGroup($id);
		   		foreach ($arrUsers AS $key => $value)
		        {
		        	$db->query("SELECT groups FROM ".DBPREFIX."users WHERE id=".$key);
		        	if ($db->next_record())
		        	{
		        		$arrGroupId =explode(",",$db->f('groups'));	  	        		
		        		$newgrouparray= array();	        	
		        		foreach ($arrGroupId AS $value)
		        		{
		        			if ($value!=$id)
		        			{
		        				$newgrouparray[]=$value;
		        			}        			
		        		}	
		        		$newgroup=implode(",",$newgrouparray); 
		        		$query="UPDATE ".DBPREFIX."users set groups='$newgroup' WHERE id=".$key;
		        		$db->query($query);	
		        	}	        	
		        }  
		         
                // Delete group_backend_permissions entries
                $db->query("DELETE FROM ".DBPREFIX."group_backend_permissions WHERE group_id=".$id);		  	     
		        $this->statusMessage = $_CORELANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
		        return true;
		   	}
		    else 
	        {
	      		$this->statusMessage = $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
	      		return false;
	        }          	 	   
		}
	    else 
        {
      		$this->statusMessage = $_CORELANG['TXT_CANNOT_DELETE_STANDARD_GROUPS'];
      		return true;
        } 		
	} 
	
	
	/**
	* Returns the pages in a group
	*
	* @global    object     $db
	* @return    string     parsed content                                                                             
	*/
	
	function getPagesInGroup($group)
	{	
		$_db = &new astalavistaDB;	
		$_db->query("SELECT catid, frontend_groups FROM ".DBPREFIX."content_navigation");	
		$pages=array();
		while($_db->next_record())
		{	
			$groupscurr=explode(",", $_db->f("frontend_groups"));		 
			if (in_array($group, $groupscurr)) 
			{
			   array_push ($pages,$_db->f("catid"));
			}
		} 	
		return $pages;
	}
	
	
	/**
	* Returns the users in a group
	*
	* @global    object     $db
	* @return    string     parsed content                                                                             
	*/
	
	function getUsersInGroup($groupId)
	{	
		$arrUsers=array();
		$_db = &new astalavistaDB;	
		$_db->query("SELECT id,username,groups FROM ".DBPREFIX."users");		
		while($_db->next_record())
		{	
			$groupscurr=explode(",", $_db->f('groups'));		 
			if (in_array($groupId, $groupscurr)) 
			{
			   $arrUsers[$_db->f('id')]= $_db->f('username');
			}
		} 	
		return $arrUsers;
	}	
 
	
	

	function languageMenu($selectedOption="")
	{
		global $db;
		
		$strMenu = "";		
		$db->query("SELECT id,name FROM ".DBPREFIX."languages WHERE id<>0");
		while($db->next_record()){			
			$selected = ($selectedOption==$db->f('id')) ? "selected" : "";
			$strMenu .="<option value=\"".$db->f('id')."\" $selected>".$db->f('name')."</option>\n"; 
		}
		return $strMenu;
	}	

	
	
   
	/**
	* Deletes the selected user from the db
	*
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function activateUser()
	{
	    global $db, $_CORELANG;
	    
		$id = intval($_GET['userId']);
		
		if ($id>0)
		{
			if($db->query("UPDATE ".DBPREFIX."users SET active=1 WHERE id=$id"))
			{
				$this->statusMessage = $_CORELANG['TXT_USER_ACTIVATED'];
			}
			else 
			{
				$this->statusMessage = $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
			}
		}
	}   	
	
	
    
   
	/**
	* Deletes the selected user from the db
	*
	* @global    object     $db
	* @return    boolean    result                                                                     
	*/
	function deactivateUser()
	{
	    global $db, $_CORELANG;
	    
		$id = intval($_GET['userId']);
		
		if (($id>0) AND ($id<>$_SESSION['userid']))
		{
		   $query="SELECT id FROM ".DBPREFIX."users WHERE is_admin=1 AND active=1";
		   if($db->query($query))
		   {
		   	   //Is there any admin in the table?
		   	   if($db->num_rows() > 1)
		   	   {
		   	   	  if($db->query("UPDATE ".DBPREFIX."users SET active=0 WHERE id=$id"))
		          {
		   	            $this->statusMessage = $_CORELANG['TXT_USER_DEACTIVATED'];
		          }
		          else 
		          {
		          	    $this->statusMessage = $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
		          }
		   	   }
		   	   //no more admin in table, user cannot be deleted
		   	   else 
		   	   {
		   	   	    $this->statusMessage = $_CORELANG['TXT_USER_NOT_DELETED'];
		   	   } 	  
		   }
		   else 
		   {
		   	    $this->statusMessage = $_CORELANG['TXT_DATABASE_QUERY_ERROR'];
		   }	   
		}
   	    else 
   	    {
			$this->statusMessage = $_CORELANG['TXT_USER_NOT_DELETED'];
   	    } 		
	}   
    
    
    
    
    
    
    
    function userOverview()
    { 
		global $_CONFIG, $db, $_CORELANG;
		
	    // initialize variables
	    $paging="";
		$status=1;
		$pos=0;
		$i=0;
		
		$this->_objTpl->loadTemplateFile('user_overview.html',true,true); 
		$this->pageTitle = $_CORELANG['TXT_OVERVIEW']; 
		
		if(isset($_REQUEST['useract']) AND $_REQUEST['useract']=="inactive") {
			$status=0;
		}		
		
		$this->_objTpl->setVariable(array(
            'TXT_USER_NAME'        		=> $_CORELANG['TXT_USERNAME'],
            'TXT_USER_LIST'        		=> $_CORELANG['TXT_USER_LIST'],
            'TXT_FIRST_NAME'       		=> $_CORELANG['TXT_FIRST_NAME'],
            'TXT_LAST_NAME'        		=> $_CORELANG['TXT_LAST_NAME'],
            'TXT_EMAIL'            		=> $_CORELANG['TXT_EMAIL'],
            'TXT_LANGUAGE'         		=> $_CORELANG['TXT_LANGUAGE'],
            'TXT_ADMINISTRATOR'    		=> $_CORELANG['TXT_ADMIN_STATUS'],
            'TXT_ACTION'           	 	=> $_CORELANG['TXT_ACTION'],	 
            'TXT_USER_LINK_INACTIVE' 	=> $_CORELANG['TXT_USER_LINK_INACTIVE'],                       	             
        ));		
	
	    /** start paging **/
		$query="SELECT u.id AS id,
		                   u.is_admin AS is_admin,
		                   u.username As username,
		                   u.email AS email,
		                   u.firstname AS firstname,
		                   u.lastname AS lastname,
		                   u.groups AS groups, 
		                   l.name AS language
		              FROM ".DBPREFIX."users AS u,
		                   ".DBPREFIX."languages AS l
		             WHERE u.langId=l.id 
		               AND u.active=".$status." 
		         ORDER BY is_admin";
		
		$db->query($query);
		$count = $db->num_rows();
		if(isset($_GET['pos'])){
		    $pos = intval($_GET['pos']);
		}
		if ($count>intval($_CONFIG['corePagingLimit'])){
			$paging = getPaging($count, $pos, "&cmd=users", "<b>".$_CORELANG['TXT_USER']."</b>", true);
		}
		/** end paging **/
		
		$db->query($query." LIMIT $pos, {$_CONFIG['corePagingLimit']}");		
		
	    $this->_objTpl->setCurrentBlock('user_row');	
		while($db->next_record())
		{						
            ($i % 2) ? $class  = 'row1' : $class  = 'row2';				
				
			$arrGroups=explode(",", $db->f("groups"));				
		        	        
			$id=$db->f('id');
			if($db->f('is_admin')==1) {
			   // change this with an icons
			   $is_admin= "<img src='images/icons/admin.gif' border='0' alt='Administrator' />";
			} else {
			   // change this with an icons
			   $is_admin= "<img src='images/icons/no_admin.gif' border='0' alt='User' />";			
			}
			
			$this->_objTpl->setVariable('USERS_ROWCLASS',$class);					
			$this->_objTpl->setVariable('USERS_EDIT_ID',$id);
			$this->_objTpl->setVariable('USERS_ID',$id);
			$this->_objTpl->setVariable('USERS_USERNAME',$db->f('username'));
			$this->_objTpl->setVariable('USERS_EMAIL',$db->f('email'));
			$this->_objTpl->setVariable('USERS_FIRSTNAME',$db->f('firstname'));
			$this->_objTpl->setVariable('USERS_LASTNAME',$db->f('lastname'));
			$this->_objTpl->setVariable('USERS_LANGUAGE',$db->f('language'));
			$this->_objTpl->setVariable('USERS_ADMIN_STATUS',$is_admin);
			if($status==1) {
			    $this->_objTpl->parse('user_active');	
			} else {
                $this->_objTpl->parse('user_inactive');
			}		
			$this->_objTpl->parse('user_row');		
			$i++;
		}   		
		$this->_objTpl->setVariable("USERS_PAGING", $paging);	       	
    }    	 			
}
?>