<?PHP
/**
* Contact Module
*
* This module handles all FORMs with action to the contact section. 
* It sends the contact email(s) and uploads data (optional)
*
* @copyright   ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>
* @module      contact
* @modulegroup modules
* @version     1 / 29.06.04   
*/

// error_reporting (E_ALL);

class Contact
{  
		
	// CONSTRUCTOR
    function contact($pageContent)
    {
	    $this->pageContent = $pageContent;
		$this->objTemplate = &new HTML_Template_Sigma('.');
		$this->objTemplate->setErrorHandling(PEAR_ERROR_DIE);	    
	    $this->objTemplate->setTemplate($this->pageContent, true, true);	      
	}
	

    // GET PAGE
    function getContactPage()
    {
    	$this->sendMail();
    	$this->showContactPage();
    	return $this->objTemplate->get(); 
    }	
	
    
	function showContactPage()
	{		
		$this->objTemplate->parseCurrentBlock();
	}


	
	/**
	* Validates the contact form
	*
	* @global   array    $_CONFIG
	* @global   array    $_ARRAYLANG
	* @global   array    $_POST
	* @return   boolean  true or false
	*/
	function sendMail()
	{
		GLOBAL $_CONFIG, $_ARRAYLANG;
		if(!isset($_POST) OR empty($_POST)) {
			return false;
		}
				
		$formmsg = '';		
		if(isset($_FILES) AND is_array($_FILES)) {	
		    $formmsg = "Uploads:\n";
		    $uploadedFiles = $this->uploader();
			foreach ($uploadedFiles AS $name) {
				$formmsg .= "File : http://".$_SERVER['HTTP_HOST'].ASCMS_CONTENT_IMAGE_WEB_PATH.'/'.$name."\n";
			}
			foreach ($_POST AS $key => $value) {
				$formmsg .= "$key : ".htmlspecialchars($value)."\n";
			}			    
		}
		
		if(getenv("HTTP_X_FORWARDED_FOR"))	{$ipaddress = @getenv("HTTP_X_FORWARDED_FOR");}
		else								{$ipaddress = @getenv("REMOTE_ADDR");}	
		
		$host 		= @gethostbyaddr($ipaddress);
		$lang 		= @getenv("HTTP_ACCEPT_LANGUAGE");
		$browser 	= @getenv("HTTP_USER_AGENT");
		$to         = explode(",",$_CONFIG['contactFormEmail']);
		
		$subject 	= $_ARRAYLANG['TXT_CONTACT_FORM']." ".$_SERVER['HTTP_HOST'];
        $now 		= date(ASCMS_DATE_FORMAT);
	
	   // Email message
        $message  = $_ARRAYLANG['TXT_CONTACT_TRANSFERED_DATA_FROM']." ".$_SERVER['HTTP_HOST']."\n\n";
	    $message .= $_ARRAYLANG['TXT_CONTACT_DATE']." $now\n\n";
	    $message .= "$formmsg\n\n";
	    $message .= $_ARRAYLANG['TXT_CONTACT_HOSTNAME']." : $host\n";
	    $message .= $_ARRAYLANG['TXT_CONTACT_IP_ADDRESS']." : $ipaddress\n";
	    $message .= $_ARRAYLANG['TXT_CONTACT_BROWSER_LANGUAGE']." : $lang\n";
	    $message .= $_ARRAYLANG['TXT_CONTACT_BROWSER_VERSION']." : $browser\n";
	    $headers  = "From: $subject <$to>\n";
	    
	    foreach($to as $sendTo) {	
			$sendmail = @mail($sendTo,
			                  $subject,
			                  $message,
							  "From: ".$sendTo."\r\n" .
						      "Reply-To: ".$sendTo."\r\n" .
							   "X-Mailer: PHP/" . phpversion());	
	    }
	}
	
	
	/**
	* Format a file name to be safe
	*
	* @param    string $file   The string file name
	* @param    int    $maxlen Maximun permited string lenght
	* @return   string Formatted file name
	*/
	function cleanFileName($name, $maxlen=250)
	{
	    $noalpha = '@';
	    $alpha =   'aeiouaeiouaeiouAEIOUAEIOUAEIOUaeiouAEIOUncCa';
	    $name = substr ($name, 0, $maxlen);
	    $name = strtr ($name, $noalpha, $alpha);  
	    $mixChars = array('' => 'th', '' => 'th', '' => 'dh', '' => 'dh',
	                    '' => 'ss', '' => 'oe', '' => 'oe', '' => 'ae',
	                    '' => 'ae', '$' => 's',  '' => 'y');
	    $name = strtr($name, $mixChars);   
	    // not permitted chars are replaced with "_"
	    return ereg_replace ('[^a-zA-Z0-9,._\+\()\-]', '_', $name);
	}

	
	
	
	/**
	* uploads data
	*
	* @global   array $_FILES
	* @return   boolean false if error
	*/
	function uploader()
	{	
		$uploadedFiles=array();	
		$path = ASCMS_CONTENT_IMAGE_PATH . '/';
		if(isset($_FILES) AND is_array($_FILES)) {		
			$filesKeys = array_keys($_FILES);
			foreach ($filesKeys as $fileName) {			
				$fname	= $this->cleanFileName($_FILES[$fileName]['name']);
				$fsize	= $_FILES[$fileName]['size'];		
				$ftemp	= $_FILES[$fileName]['tmp_name'];
				if(!empty($ftemp)) {
					while(file_exists($path.$fname)) {
						$rand =time();
						$fname = $rand.$fname;
					}
					if(!eregi(".php",$fname) AND !eregi(".inc",$fname)) {
						if(move_uploaded_file($ftemp,$path.$fname))
						{
							$uploadedFiles[]=$fname;
						}
					}
				}						
			}	
		}
		return $uploadedFiles;
	}	
}
?>
