<?php
//Security-Check
if (eregi("admin.class.php",$_SERVER['PHP_SELF']))
{
    Header("Location: index.php");
    die();
}

require_once ASCMS_FRAMEWORK_PATH . '/NetToolsLib.class.php';

/**
* Class stats
*
* class with different methodes to get statistical information about
* webaccess
*
* @copyright     ASTALAVISTA SECURE CMS - 2005 Astalavista Group GmbH
* @module        stats
* @modulegroups  modules
* @author        Astalavista dev team <thun@astalvista.ch>
* @version       $Id: index.class.php,v 1.11 2003/05/05 10:10:32 hitsch Exp $
*/

class netTools extends NetToolsLib
{
	
	var $pageTitle;
	var $statusMessage;
	var $_objTpl;
	
	
    /**
    * constructor
    */
    function netTools(){
       $this->__construct();
    }
    
    /**
    * constructor
    *
    * global	object	$template
    * global	array	$_ARRAYLANG
    */
    function __construct(){
    	global $template, $_ARRAYLANG;
    	
    	$this->_objTpl = &new HTML_Template_Sigma(ASCMS_CORE_MODULE_PATH.'/nettools/template');
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
		
		$template->set_var("CONTENT_NAVIGATION","<a href='?cmd=nettools&amp;tpl=whois'>[".$_ARRAYLANG['TXT_WHOIS']."]</a>
												<a href='?cmd=nettools&amp;tpl=lookup'>[".$_ARRAYLANG['TXT_LOOKUP']."]</a>
												".(!ini_get("safe_mode") ? "<a href='?cmd=nettools&amp;tpl=ping'>[".$_ARRAYLANG['TXT_PING']."]</a>" : "")."
												<a href='?cmd=nettools&amp;tpl=port'>[".$_ARRAYLANG['TXT_CHECK_PORT']."]</a>");
    }
    
    /**
    * Get content
    *
    * Get the content of the requested page
    *
    * @access	public
    * @global	object	$template
    * @global 	object	$objPerm
    * @see	_showRequests(), _showMostViewedPages(), _showSpiders(), _showClients(), _showSearchTerms()
    * @return	mixed	Template content
    */
    function getContent(){
    	global $template;
    	
    	if(!isset($_REQUEST['tpl'])){
    		$_REQUEST['tpl'] = "";
    	}
    	
		switch ($_REQUEST['tpl']){
    		case 'whois': // show whois page
    			$this->_showWhois();
    			break;
    			
    		case 'lookup':
    			$this->_showLookup();
    			break;
    		
    		case 'ping':
    			$this->_showPing();
    			break;
    		
    		case 'port':
    			$this->_showPort();
    			break;
    			
    		default:
    			$this->_showWhois();
    			break;
    	}
    	    	
    	$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		
		return $this->_objTpl->get();
    }
    
    function _showWhois() {
    	global $_ARRAYLANG;
    	
    	$this->_objTpl->loadTemplateFile('module_nettools_whois.html',true,true);
    	$this->pageTitle = $_ARRAYLANG['TXT_WHOIS'];
    	
    	// set language variables	
    	$this->_objTpl->setVariable(array(
    		'TXT_WHOIS'					=> $_ARRAYLANG['TXT_WHOIS'],
    		'TXT_BACK'					=> $_ARRAYLANG['TXT_BACK'],
    		'TXT_WHOIS_TEXT'			=> $_ARRAYLANG['TXT_WHOIS_TEXT'],
    		'TXT_WHOIS_REQUEST'			=> $_ARRAYLANG['TXT_WHOIS_REQUEST']
    	));
    	
    	if (isset($_REQUEST['address']) && !empty($_REQUEST['address'])) {
    		$address = $_REQUEST['address'];
    		
	    	if ($this->IsIP($address)) {
	    		$whoisInfo = $this->WhoisIP($address);
	    	} else {
	    		$whoisInfo = $this->WhoisDomain($address);
	    	}
	    	
	    	if (empty($whoisInfo)) {
	    		$whoisInfo = $_ARRAYLANG['TXT_UNABLE_TO_WHOIS_TARGET'];
	    	}
	    	
	    	$this->_objTpl->setVariable(array(
		    	'NETTOOLS_WHOIS_INFO_TEXT'	=> "<pre>".$whoisInfo."</pre>",
		    	'NETTOOLS_WHOIS_ADDRESS'	=> $address,
		    	'NETTOOLS_WHOIS_BACK_LINK'		=> "<a href=\"javascript:history.back()\" alt=\"".$_ARRAYLANG['TXT_BACK']."\" title=\"".$_ARRAYLANG['TXT_BACK']."\">".$_ARRAYLANG['TXT_BACK']."</a>"
		    ));
		    $this->_objTpl->parse('whoisinfo');
    	} else {
    		$this->_objTpl->setVariable(array(
    			'NETTOOLS_WHOIS_ADDRESS'	=> $_SERVER['REMOTE_ADDR'],
    		));
    		$this->_objTpl->hideBlock('whoisinfo');
    	}
    }
    
    function _showLookup() {
    	global $_ARRAYLANG;
    	$this->_objTpl->loadTemplateFile('module_nettools_lookup.html',true,true);
    	$this->pageTitle = $_ARRAYLANG['TXT_LOOKUP'];
    	
    	$this->_objTpl->setVariable(array(
    		'TXT_LOOKUP'	=> $_ARRAYLANG['TXT_LOOKUP'],
    		'TXT_LOOKUP_REQUEST'	=> $_ARRAYLANG['TXT_LOOKUP_REQUEST'],
    		'TXT_LOOKUP_TEXT'	=> $_ARRAYLANG['TXT_LOOKUP_TEXT']
    	));
    	
    	if (isset($_REQUEST['address']) && !empty($_REQUEST['address'])) {
    		$address = $_REQUEST['address'];
    		if ($this->IsIP($address)) {
    			if ($this->LookupIP($address,$hostname)) {
    				$lookupResult = "".$_ARRAYLANG['TXT_HOSTNAME_OF']." $address: $hostname";
    			} else {
    				$lookupResult = $_ARRAYLANG['TXT_LOOKUP_FAILED'];
    			}
    		} else {
    			if ($this->LookupDomain($address,$ip)) {
    				$lookupResult = "".$_ARRAYLANG['TXT_IP_ADDRESS_OF']." $address: $ip";
    			} else {
    				$lookupResult = $_ARRAYLANG['TXT_LOOKUP_FAILED'];
    			}
    		}
    		
    		$this->_objTpl->setVariable(array(
    			'NETTOOLS_LOOKUP_ADDRESS'	=> $address,
    			'NETTOOLS_LOOKUP_RESULT'	=> $lookupResult
    		));
    		$this->_objTpl->parse('lookupinfo');
    	} else {
			$this->_objTpl->setVariable(array(
    			'NETTOOLS_LOOKUP_ADDRESS'	=> $_SERVER['REMOTE_ADDR'],
    		));
    		$this->_objTpl->hideBlock('lookupinfo');
    	}
    }
    
    function _showPing() {
    	global $_ARRAYLANG;
    	
    	$this->_objTpl->loadTemplateFile('module_nettools_ping.html',true,true);
    	$this->pageTitle = $_ARRAYLANG['TXT_PING'];
    	
    	$this->_objTpl->setVariable(array(
    		'TXT_PING'	=> $_ARRAYLANG['TXT_PING'],
    		'TXT_PING_REQUEST' => $_ARRAYLANG['TXT_PING_REQUEST'],
    		'TXT_PING_TEXT'		=> $_ARRAYLANG['TXT_PING_TEXT']
    	));
    	
    	if (isset($_REQUEST['address']) && !empty($_REQUEST['address'])) {
    		$address = $_REQUEST['address'];
    		$pingMsg = $this->PingHost($address,$err);
    		if ($err) {
    			$pingResult = $_ARRAYLANG['TXT_INVALID_TARGET'];
    		} else {
    			if (strlen($pingMsg) == 0) {
    				$pingResult = $_ARRAYLANG['TXT_NO_RESULT'];
    			} else {
    				$pingResult = "<pre>".$pingMsg."</pre>";
    			}
    		}
    		
		    $this->_objTpl->setVariable(array(
				'NETTOOLS_PING_ADDRESS'	=> $address,
				'NETTOOLS_PING_RESULT'	=> $pingResult
			));
			$this->_objTpl->parse('pinginfo');
    	} else {
    		$this->_objTpl->setVariable(array(
    			'NETTOOLS_PING_ADDRESS'	=> $_SERVER['REMOTE_ADDR'],
    		));
    		$this->_objTpl->hideBlock('pinginfo');
    	}
    }
    
    function _showPort() {
    	global $_ARRAYLANG;
    	
    	$this->_objTpl->loadTemplateFile('module_nettools_port.html',true,true);
    	$this->pageTitle = $_ARRAYLANG['TXT_CHECK_PORT'];
    	
    	$this->_objTpl->setVariable(array(
    		'TXT_CHECK_PORT'		=> $_ARRAYLANG['TXT_CHECK_PORT'],
    		'TXT_CHECK'				=> $_ARRAYLANG['TXT_CHECK'],
    		'TXT_CHECK_PORT_TEXT'	=> $_ARRAYLANG['TXT_CHECK_PORT_TEXT']
    	));
    	
		if (isset($_REQUEST['address']) && !empty($_REQUEST['address'])) {
			$address = substr($_REQUEST['address'],0, strpos($_REQUEST['address'],":"));
			$port = (int) substr($_REQUEST['address'],strpos($_REQUEST['address'],":")+1);
    		
    		$result = $this->ProbePort($address, $port, $banner, $err);
    		
    		if ($result === 0) {
    			$portResult = $_ARRAYLANG['TXT_PORT_IS_OPEN'];
    		} elseif ($result === -1) {
    			$portResult = $_ARRAYLANG['TXT_INVALID_PORT'].'!';
    		} else {
    			$portResult = $_ARRAYLANG['TXT_PORT_IS_CLOSED']." ($result)";
    		}
    		
		    $this->_objTpl->setVariable(array(
				'NETTOOLS_PORT_ADDRESS'	=> $_REQUEST['address'],
				'NETTOOLS_PORT_RESULT'	=> $portResult
			));
			$this->_objTpl->parse('portinfo');
    	} else {
    		$this->_objTpl->setVariable(array(
    			'NETTOOLS_PORT_ADDRESS'	=> $_SERVER['REMOTE_ADDR'].':80',
    		));
    		$this->_objTpl->hideBlock('portinfo');
    	}
    }
}
?>