<?php
/**
* Class News
*
* @copyright     ASTALAVISTA SECURE CMS - 2005 Astalavista Group GmbH          
* @module    	 themes
* @modulegroups  core                    
* @author        Ivan Schmid <ivan.schmid@astalavista.ch>
* @author        Christian Wehrli <christian.wehrli@astalavista.ch>              
* @version       $Id:  Exp $                                         
*/

require_once ASCMS_CORE_MODULE_PATH . '/news/xmlfeed.class.php';
require_once ASCMS_CORE_MODULE_PATH . '/news/newsLib.class.php';


class newsManager extends newsLibrary
{
    var $_objTpl;
	var $pageTitle;
	var $pageContent;
	var $statusMessage;
	var $_selectedLang;
	var $langId;
	var $arrSettings = array();

	
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function NewsManager()
    { 
    	global  $_ARRAYLANG, $objInit, $template;	
				
        $this->_objTpl = &new HTML_Template_Sigma(ASCMS_CORE_MODULE_PATH.'/news/template');
        $this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);
        
        $template->set_var("CONTENT_NAVIGATION","<a href='?cmd=news'>".$_ARRAYLANG['TXT_NEWS_MANAGER']."</a>&nbsp;&nbsp;
                           <a href='?cmd=news&amp;act=add'>".$_ARRAYLANG['TXT_CREATE_NEWS']."</a>&nbsp;&nbsp; 
                           <a href='?cmd=news&amp;act=newscat'>".$_ARRAYLANG['TXT_CATEGORY_MANAGER']."</a>&nbsp;&nbsp;
        				   <a href='?cmd=news&amp;act=settings'>".$_ARRAYLANG['TXT_NEWS_SETTINGS']."</a>" );

        $this->pageTitle = $_ARRAYLANG['TXT_NEWS_MANAGER'];
        $this->langId=$objInit->userFrontendLangId;
        $this->getSettings();
    }

    
    /**
    * Do the requested newsaction
    *  
    * @global	 object    $template 
    * @return    string    parsed content                                                                               
    */
    function getPage()
    {   	
    	global $template;
    	
    	if(!isset($_GET['act'])){
    	    $_GET['act']="";	
    	}
    	    	
        switch($_GET['act']){
			case "add":
		        $this->add();	
			break;
									    
			case "edit":
				$this->edit();
			break;
			
			case "delete":
			    $this->delete();
			    $this->overview();
			break;
			
			case "update":
			    $this->update();
			    $this->overview();
			break;
			
			case "newscat":
			    $this->manageCategories();
			    break;
			    
			case "delcat":
			    $this->deleteCat();
			    $this->manageCategories();
			    break;		

			case "changeStatus":
				$this->changeStatus();
				$this->overview();
				break;
						
			case "settings":
				$this->settings();
				break;
						   
			 case "rss":
			   $this->rss();
			   break;	 	
					
			default: 
			    (intval($this->arrSettings['news_settings_activated'])==0) ? $this->settings() : $this->overview();	
    	}
		
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		
		return $this->_objTpl->get(); 
    } 
    
    
    
    /**
    * List up the news for edit or delete 
    * 
    * @global	 object    $db    
    * @param     integer   $newsid
    * @param     string	   $what
    * @access  private                                                                               
    */
    function overview()
    {
    	global $db, $_ARRAYLANG, $_CONFIG;
    	
    	// initialize variables  	
    	$paging = "";
    	
    	$this->_objTpl->loadTemplateFile('module_news_overview.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_NEWS_MANAGER'];
    	
    	$this->_objTpl->setVariable(array(
    	    'TXT_EDIT_NEWS_MESSAGE'      => $_ARRAYLANG['TXT_EDIT_NEWS_MESSAGE'],
    	    'TXT_EDIT_NEWS_ID'           => $_ARRAYLANG['TXT_EDIT_NEWS_MESSAGE'],
    	    'TXT_ARCHIVE'                => $_ARRAYLANG['TXT_ARCHIVE'],
    	    'TXT_DATE'                   => $_ARRAYLANG['TXT_DATE'],
    	    'TXT_TITLE'                  => $_ARRAYLANG['TXT_TITLE'],
    	    'TXT_USER'                   => $_ARRAYLANG['TXT_USER'],
    	    'TXT_LAST_EDIT'              => $_ARRAYLANG['TXT_LAST_EDIT'],  	    
    	    'TXT_ACTION'                 => $_ARRAYLANG['TXT_ACTION'],
    	    'TXT_CATEGORY'               => $_ARRAYLANG['TXT_CATEGORY'],
            'TXT_CONFIRM_DELETE_DATA'    => $_ARRAYLANG['TXT_NEWS_DELETE_CONFIRM'],
            'TXT_ACTION_IS_IRREVERSIBLE' => $_ARRAYLANG['TXT_ACTION_IS_IRREVERSIBLE'],	
            'TXT_SELECT_ALL'             => $_ARRAYLANG['TXT_SELECT_ALL'],
            'TXT_REMOVE_SELECTION'       => $_ARRAYLANG['TXT_REMOVE_SELECTION'],   
            'TXT_EDIT'                   => $_ARRAYLANG['TXT_EDIT'],
            'TXT_DELETE'				 => $_ARRAYLANG['TXT_DELETE'],
            'TXT_DELETE_MARKED'          => $_ARRAYLANG['TXT_DELETE_MARKED'],      
            'TXT_MARKED'                 => $_ARRAYLANG['TXT_MARKED'], 
            'TXT_ACTIVATE'               => $_ARRAYLANG['TXT_ACTIVATE'],	
            'TXT_DEACTIVATE'             => $_ARRAYLANG['TXT_DEACTIVATE'],  
            'TXT_STATUS'                 => $_ARRAYLANG['TXT_STATUS'],                   	    
    	));
		
	  	/**************************************
		 	paging start
		 **************************************/
		$query = "SELECT n.id AS id,	
		                 n.date AS date, 	
		                 n.changelog AS changelog, 			
		                 n.title AS title,
		                 n.status AS status,
		                 l.name AS name,
		                 nc.name AS catname,
		                 u.username AS username 
		            FROM ".DBPREFIX."module_news_categories AS nc,
		                 ".DBPREFIX."module_news AS n, 
		                 ".DBPREFIX."languages AS l, 
				         ".DBPREFIX."users AS u
		           WHERE n.lang=l.id 
		             AND n.lang=".$this->langId." 
		             AND nc.catid=n.catid 
		             AND u.id=n.userid
		        ORDER BY n.id DESC";
		
		$db->query($query);
		$count = $db->num_rows();	
		$pos = (isset($_GET['pos'])) ? intval($_GET['pos']) : 0;	
		if($count>intval($_CONFIG['corePagingLimit']))
		{
		    $paging = getPaging($count, $pos, "&cmd=contact", $_ARRAYLANG['TXT_NEWS_MESSAGES'],true);
		}		
		$query = "$query LIMIT $pos, {$_CONFIG['corePagingLimit']}";			
		
		/**************************************
		 	paging end
		 **************************************/
		$db->query($query);
        
		if($count<1)
		{
		    $this->_objTpl->hideBlock('newstable');		
		}
		else 
		{
			$this->_objTpl->setCurrentBlock('newsrow');
			while($db->next_record())
			{
	            ($i % 2) ? $class = "row2" : $class = "row1";
	            $i++; 
	            
	            $statusPicture = "status_red.gif";
				if($db->f('status')==1)
				{
				    $statusPicture = "status_green.gif";
				}             
	                      
			    $this->_objTpl->setVariable(array(
	                'NEWS_ID'         =>$db->f('id'),
	                'NEWS_DATE'       =>date(ASCMS_DATE_FORMAT, $db->f('date')),                
	                'NEWS_TITLE'      =>$db->f('title'),
	                'NEWS_USER'       =>$db->f('username'),
	                'NEWS_CHANGELOG'  =>date(ASCMS_DATE_FORMAT, $db->f('changelog')), 
	                'NEWS_PARSING'    =>$paging,
	                'NEWS_CLASS'      =>$class,
	                'NEWS_CATEGORY'   =>$db->f('catname'),
	                'NEWS_STATUS'     =>$db->f('status'),
	                'NEWS_STATUS_PICTURE' => $statusPicture,                 
				));
				$this->_objTpl->parseCurrentBlock();
			}
		}
    }

    
  
    
    /**
    * adds a news entry
    *
    * @global	 object    $db    
    * @param     integer   $newsid -> the id of the news entry
    * @return    boolean   result                                                                              
    */
    function add()
    {
	    global $db, $_ARRAYLANG;

    	$this->_objTpl->loadTemplateFile('module_news_modify.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_CREATE_NEWS'];	        
	    
	    $this->_objTpl->setVariable(array(
	        'TXT_NEWS_MESSAGE'    	 => $_ARRAYLANG['TXT_NEWS_MESSAGE'],
	        'TXT_TITLE'           	 => $_ARRAYLANG['TXT_TITLE'],
	        'TXT_CATEGORY'        	 => $_ARRAYLANG['TXT_CATEGORY'],
	        'TXT_HYPERLINKS'      	 => $_ARRAYLANG['TXT_HYPERLINKS'],
	        'TXT_EXTERNAL_SOURCE' 	 => $_ARRAYLANG['TXT_EXTERNAL_SOURCE'],
	        'TXT_LINK'            	 => $_ARRAYLANG['TXT_LINK'],
	        'TXT_NEWS_CONTENT'    	 => $_ARRAYLANG['TXT_NEWS_CONTENT'],
	        'TXT_STORE'           	 => $_ARRAYLANG['TXT_STORE'],
	        'TXT_PUBLISHING'      	 => $_ARRAYLANG['TXT_PUBLISHING'],
	        'TXT_STARTDATE'       	 => $_ARRAYLANG['TXT_STARTDATE'],
	        'TXT_ENDDATE'         	 => $_ARRAYLANG['TXT_ENDDATE'],	
	        'TXT_OPTIONAL'           => $_ARRAYLANG['TXT_OPTIONAL'],	
	        'TXT_ACTIVE'             => $_ARRAYLANG['TXT_ACTIVE'],	        			        
			'NEWS_TEXT'           	 => get_wysiwyg_editor('newsText', '', 'active'),
			'NEWS_FORM_ACTION'       => "add",
			'NEWS_STORED_FORM_ACTION'=> "add",
			'NEWS_STATUS'         	 => "checked",			   		    
			'NEWS_ID'         		 => "",
			'NEWS_TOP_TITLE'         => $_ARRAYLANG['TXT_CREATE_NEWS'],
			'NEWS_CAT_MENU'          => $this->getCategoryMenu($this->langId),
			'NEWS_STARTDATE'         => "",
			'NEWS_ENDDATE'           => "",	
			'NEWS_DATE'              => date("Y-m-d"),			
		));
		
		if (isset($_POST['newsTitle']) AND !empty($_POST['newsTitle'])){
    	    $this->insert();
    	    $this->createRSS();
    	    $this->overview();       	               
        }  	        
    }     


    
    
    /**
    * Deletes a news entry
    *  
    * @global	 object    $db   
    * @global	 array     $_ARRAYLANG       
    * @return    -                                                                             
    */
    function delete()
    {
	    global $db, $_ARRAYLANG;
	    
	    $newsId = "";
	    if(isset($_GET['newsId'])){
	    	$newsId = intval($_GET['newsId']);			    
		    $delete = $db->query("DELETE FROM ".DBPREFIX."module_news WHERE id = $newsId");
		    if ($delete){
		    	$this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
		    	$this->createRSS();
		    } else {
		    	$this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
		    }	    
	    } 
	    			
		if(is_array($_POST['selectedNewsId'])){
			foreach ($_POST['selectedNewsId'] AS $value){
				if (!empty($value)){
				    $db->query("DELETE FROM ".DBPREFIX."module_news WHERE id = $value");
				    if($db) {
				    	$this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
				    	$this->createRSS();
				    } else {
			            $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
				    }				    																
				} 				 	
			}
		}	  	       
    }    

    
    
    
    /**
    * Edit the news
    *
    * @global    object     $db
    * @param     string     $pageContent                                                                             
    */
    function edit()
    { 	   	
    	global $db,$_ARRAYLANG;   
    	
		$status = "";	
		$startDate = "";
		$endDate = "";	    		
		
    	$this->_objTpl->loadTemplateFile('module_news_modify.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_EDIT_NEWS_CONTENT'];		
		
		$this->_objTpl->setVariable(array(
		    'TXT_NEWS_MESSAGE'    => $_ARRAYLANG['TXT_NEWS_MESSAGE'],
		    'TXT_TITLE'           => $_ARRAYLANG['TXT_TITLE'],
		    'TXT_CATEGORY'        => $_ARRAYLANG['TXT_CATEGORY'],
		    'TXT_HYPERLINKS'      => $_ARRAYLANG['TXT_HYPERLINKS'],
		    'TXT_EXTERNAL_SOURCE' => $_ARRAYLANG['TXT_EXTERNAL_SOURCE'],
		    'TXT_LINK'            => $_ARRAYLANG['TXT_LINK'],
		    'TXT_NEWS_CONTENT'    => $_ARRAYLANG['TXT_NEWS_CONTENT'],
		    'TXT_STORE'           => $_ARRAYLANG['TXT_STORE'],
	        'TXT_PUBLISHING'      => $_ARRAYLANG['TXT_PUBLISHING'],
	        'TXT_STARTDATE'       => $_ARRAYLANG['TXT_STARTDATE'],
	        'TXT_ENDDATE'         => $_ARRAYLANG['TXT_ENDDATE'],	
	        'TXT_OPTIONAL'        => $_ARRAYLANG['TXT_OPTIONAL'],	
	        'TXT_ACTIVE'          => $_ARRAYLANG['TXT_ACTIVE'],			    
		));
		
		$newsid = intval($_REQUEST['newsId']);		
		$db->query("SELECT catid,
						   lang,
						   id,
						   title,
						   text,
						   source,
						   url1,
						   url2,
						   startdate,
						   enddate,
						   status 
		              FROM ".DBPREFIX."module_news 
		             WHERE id = '$newsid' 
		             LIMIT 1");
		
		if($db->next_record())
		{
			$newsCat=$db->f('catid');
			$id = $db->f('id');
			$newsText = stripslashes($db->f('text'));
			
			if($db->f('status')==1){
				$status = "checked";
			}		         
			if($db->f('startdate')!="0000-00-00"){
				$startDate = $db->f('startdate');
			}			
			if($db->f('enddate')!="0000-00-00"){
				$endDate = $db->f('enddate');
			}			
			
			$this->_objTpl->setVariable(array(
				'NEWS_ID'		    => $id,
				'NEWS_STORED_ID'	=> $id,
				'NEWS_TITLE'		=> stripslashes($db->f('title')),
				'NEWS_TEXT'		    => get_wysiwyg_editor('newsText', $newsText, 'active'),			
				'NEWS_SOURCE'	    => $db->f('source'),
				'NEWS_URL1'		    => $db->f('url1'),
				'NEWS_URL2'		    => $db->f('url2'),
				'NEWS_STARTDATE'	=> $startDate,
				'NEWS_ENDDATE'		=> $endDate,
				'NEWS_STATUS'		=> $status,	
				'NEWS_DATE'         => date("Y-m-d"),			
			));
		}
	
		$this->_objTpl->setVariable("NEWS_CAT_MENU",$this->getCategoryMenu($this->langId, $newsCat));
		$this->_objTpl->setVariable("NEWS_FORM_ACTION","update");
	    $this->_objTpl->setVariable("NEWS_STORED_FORM_ACTION","update"); 
	    $this->_objTpl->setVariable("NEWS_TOP_TITLE",$_ARRAYLANG['TXT_EDIT_NEWS_CONTENT']);    
    }    
    
    

    /**
    * Update news
    * 
    * @global	 object    $db     
    * @global	 array     $_POST[*] 
    * @param     integer   $newsid
    * @return    boolean   result                                                                              
    */
    function update()
    {
	    global $db, $_ARRAYLANG, $_CONFIG;
			    
	    if (isset($_GET['newsId'])) {
	    	$id = intval($_GET['newsId']);
		    $userId = $_SESSION['auth']['userid'];	    	    
		    $changelog = mktime();
		    $date = date(ASCMS_DATE_FORMAT);
		    $title = addslashes($_POST['newsTitle']); 
		    $text = addslashes($_POST['newsText']); 
		    // $title= str_replace("","ss",$title); 
		    $text = $this->filterBodyTag($text);
		    // $text = str_replace("","ss",$text); 		
		    $source	= $_POST['newsSource']; 
		    $url1 = $_POST['newsUrl1']; 
		    $url2 = $_POST['newsUrl2']; 
		    $catId = intval($_POST['newsCat']);	
		        
		    $status = empty($_POST['status']) ? $status = 0 : $_POST['status'];		    

		    $startDate = $_POST['startDate'];	
		    $endDate = $_POST['endDate'];    
		    	    	    		    
		    // $finishednewstext = $newstext."<br>".$_ARRAYLANG['TXT_LAST_EDIT'].": ".$date;		    
		    $db->query("UPDATE ".DBPREFIX."module_news
					       SET title='$title', 
		                       text='$text', 
		                       source='$source', 
		                       url1='$url1', 
		                       url2='$url2', 
		                       catid='$catId', 
		                       lang='$this->langId',
		                       userid = '$userId',
		                       status = '$status',
		                       startdate = '$startDate',
		                       enddate = '$endDate',
		                       changelog = '$changelog'
	                     WHERE id = '$id'");
		   if(!$db){
		   	    $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
		   } else {
	            $this->createRSS();
	            $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
		   }
        }
    }


    
    
    
    
    /**
    * Update news
    *
    * @global	 object    $db      
    * @global	 array     $_POST[*] 
    * @param     integer   $newsid
    * @return    boolean   result                                                                              
    */
	function changeStatus()
	{
		global $db, $_ARRAYLANG, $_CONFIG;
		   	
		if(isset($_POST['deactivate']) AND !empty($_POST['deactivate'])){	
			$status = 0;
		}		
		if(isset($_POST['activate']) AND !empty($_POST['activate'])){	
			$status = 1;
		}		
		if(isset($status)){				
			if(is_array($_POST['selectedNewsId'])){
				foreach ($_POST['selectedNewsId'] as $value){
					if (!empty($value)){
					    $db->query("UPDATE ".DBPREFIX."module_news SET status = '$status' WHERE id = '$value'");																		
					} 
				    if(!$db){
				   	    $this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
				    } else{
			            $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
				    }				 	
				}
			}	
		}
    }    

    
    
    
    /**
    * Insert news
    *
    * @global	 object    $db   
    * @global	 array     $_POST[*]   
    * @return    boolean   result                                                                              
    */
    function insert()
    {
	    global $db, $_ARRAYLANG;

	    $date = mktime();
	    $newstitle = addslashes($_POST['newsTitle']); 
	    $newstext = addslashes($_POST['newsText']); 
	    // $newstitle = str_replace("","ss",$newstitle); 
	    // $newstext = str_replace("","ss",$newstext); 
	    $newstext = $this->filterBodyTag($newstext);
	    $newssource	=$_POST['newsSource']; 
	    $newsurl1 =$_POST['newsUrl1']; 
	    $newsurl2 =$_POST['newsUrl2']; 
	    $newscat = intval($_POST['newsCat']);
	    $userid = $_SESSION['auth']['userid'];
	    $startDate = $_POST['startDate'];
	    $endDate = $_POST['endDate'];	    
	    $status = $_POST['status'];
	    if(empty($status)) {
	        $status = 0;
	        $startDate = "";
	        $endDate = "";
	    }
	
	    $db->query("INSERT INTO ".DBPREFIX."module_news 
	                            ( id,
							      date,
							      title,
							      text,
							      source,
							      url1,
							      url2,
							      catid,
							      lang, 
								  startdate,
								  enddate,
								  status,
							      userid, 
							      changelog )
	                     VALUES ( '',
	                              '$date', 
								  '$newstitle', 
								  '$newstext', 
								  '$newssource', 
								  '$newsurl1', 
								  '$newsurl2', 
								  '$newscat',
								  '$this->langId',
	                              '$startDate',
	                              '$endDate',
	                              '$status',
								  '$userid',
								  '$date')");
	    
        if ($db){
    	    $this->statusMessage=$_ARRAYLANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
        } else{
        	$this->statusMessage=$_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
        }
    }   
    

    
    
    /**
    * Add or edit the news categories
    *
    * @global    object     $db
    * @global    array      $_ARRAYLANG[news*]
    * @param     string     $pageContent                                                                           
    */
    function manageCategories()
    {
    	global $db, $_ARRAYLANG;
    	
    	$this->_objTpl->loadTemplateFile('module_news_category.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_CATEGORY_MANAGER'];	    	
    	   	
    	$this->_objTpl->setVariable(array(
    	    'TXT_ADD_NEW_CATEGORY'                       => $_ARRAYLANG['TXT_ADD_NEW_CATEGORY'],
    	    'TXT_NAME'                                   => $_ARRAYLANG['TXT_NAME'],
    	    'TXT_ADD'                                    => $_ARRAYLANG['TXT_ADD'],
    	    'TXT_CATEGORY_LIST'                          => $_ARRAYLANG['TXT_CATEGORY_LIST'],
    	    'TXT_ID'                                     => $_ARRAYLANG['TXT_ID'],
    	    'TXT_ACTION'                                 => $_ARRAYLANG['TXT_ACTION'],
    	    'TXT_ACCEPT_CHANGES'                         => $_ARRAYLANG['TXT_ACCEPT_CHANGES'],
    	    'TXT_CONFIRM_DELETE_DATA'                    => $_ARRAYLANG['TXT_CONFIRM_DELETE_DATA'],
    	    'TXT_ACTION_IS_IRREVERSIBLE'                 => $_ARRAYLANG['TXT_ACTION_IS_IRREVERSIBLE'],
    	    'TXT_ATTENTION_SYSTEM_FUNCTIONALITY_AT_RISK' => $_ARRAYLANG['TXT_ATTENTION_SYSTEM_FUNCTIONALITY_AT_RISK']   	       	       	    
    	));
    	
    	$this->_objTpl->setGlobalVariable(array('TXT_DELETE' => $_ARRAYLANG['TXT_DELETE']));
    	
    	// Add a new category
    	if (isset($_POST['addCat']) AND ($_POST['addCat']==true)){
    		 $catName=mysql_escape_string($_POST['newCategorieName']);
    		 
    	     if($db->query("INSERT INTO ".DBPREFIX."module_news_categories (name,lang) 
    	                         VALUES ('$catName','$this->langId')"))
    	     {
    	     	$this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_ADDED_SUCCESSFUL'];
    	     } else {
    	     	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
    	     }
    		
    	}
    	
    	// Modify a new category
    	if (isset($_POST['modCat']) AND ($_POST['modCat']==true))
    	{
    		foreach ($_POST['newsCatName'] as $id => $name) 
		    {
				$name=mysql_escape_string($name);
				$id=intval($id);
				
			    if($db->query("UPDATE ".DBPREFIX."module_news_categories SET name='$name',lang=$this->langId WHERE catid=$id"))
			    {
			    	$this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
			    }
			    else 
			    {
			    	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];
			    }
		    }
    	} 
    			
		$db->query("SELECT catid, 
		                   name,
		                   lang
		              FROM ".DBPREFIX."module_news_categories 
		             WHERE lang=$this->langId
				  ORDER BY catid asc");
		
		$this->_objTpl->setCurrentBlock('newsRow');
		$i=0;
		
		while($db->next_record())
		{
			$cssStyle = (($i % 2) == 0) ? "row1" : "row2";
			$this->_objTpl->setVariable(array(
			    'NEWS_ROWCLASS'   => $cssStyle,
				'NEWS_CAT_ID'	  => $db->f('catid'),
				'NEWS_CAT_NAME'	  => $db->f('name')
			));
			$this->_objTpl->parseCurrentBlock();
			$i++;
		};		
    }



    
    
    /**
    * Delete the news categories
    *
    * @global    object     $db
    * @global    array      $_ARRAYLANG[news*]
    * @param     string     $pageContent                                                                           
    */
    function deleteCat()
    {
    	global $db, $_ARRAYLANG;

    	if(isset($_GET['catId'])) {
    	    $catId=intval($_GET['catId']);   	    
    	    $db->query("SELECT id FROM ".DBPREFIX."module_news WHERE catid=$catId");
    	    
    	    if ($db->next_record()){
    	         $this->statusMessage = $_ARRAYLANG['TXT_CATEGORY_NOT_DELETED_BECAUSE_IN_USE'];	
    	    }
    	    else {
    	        if($db->query("DELETE FROM ".DBPREFIX."module_news_categories WHERE catid=$catId")) {	
    	            $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];	
    	        } else {
    	        	$this->statusMessage = $_ARRAYLANG['TXT_DATABASE_QUERY_ERROR'];	
    	        }
    	    }
    	}
    }
        
    
    /**
    * Gets only the body content and deleted all the other tags
    *
    * @param     string     $fullContent      HTML-Content with more than BODY
    * @return    string     $content          HTML-Content between BODY-Tag                                                                
    */
    function filterBodyTag($fullContent)
    {
	    $res=false;
	    $posBody=0;
	    $posStartBodyContent=0;
	    $res=preg_match_all("/<body[^>]*>/i", $fullContent, $arrayMatches);
	    if($res==true)
	    {
            $bodyStartTag = $arrayMatches[0][0];
            // Position des Start-Tags holen
            $posBody = strpos($fullContent, $bodyStartTag, 0);
            // Beginn des Contents ohne Body-Tag berechnen 
            $posStartBodyContent = $posBody + strlen($bodyStartTag);
	    }
	    $posEndTag=strlen($fullContent);
	    $res=preg_match_all("/<\/body>/i",$fullContent, $arrayMatches);
	    if($res==true)
	    {
            $bodyEndTag=$arrayMatches[0][0];
            // Position des End-Tags holen
            $posEndTag = strpos($fullContent, $bodyEndTag, 0);
            // Content innerhalb der Body-Tags auslesen
	     }
	     $content = substr($fullContent, $posStartBodyContent, $posEndTag  - $posStartBodyContent);
         return $content;
    }
    
    
    
    /**
    * Create the RSS-Feed
    *                                                            
    */    
    function createRSS()
    {
		global $_CONFIG;
		
		$objRSS = &new rssFeed();
		if(intval($this->arrSettings['news_feed_status'])==1) {	    			
			$objRSS->channelTitle = $this->arrSettings['news_feed_title'];
			$objRSS->channelDescription = $this->arrSettings['news_feed_description'];
			$objRSS->channelWebmaster = $_CONFIG['coreAdminEmail'];
		
			$objRSS->xmlType = "headlines";
			$objRSS->create();
					
			$objRSS->xmlType = "fulltext";	
			$objRSS->create();
		} else {
			$objRSS->delete();	
		}
    }

    
    
    
    
       
    function settings()
    {
    	global $objDb, $_ARRAYLANG;
    	
    	$this->pageTitle = $_ARRAYLANG['TXT_NEWS_SETTINGS'];
    	$this->_objTpl->loadTemplateFile('module_news_settings.html',true,true);
    	  	
    	// Store settings
    	if(isset($_POST['store'])) {  		
		    $objDb->query("UPDATE ".DBPREFIX."module_news_settings 
		                      SET value='".addslashes($_POST['newsFeedTitle'])."' 
		                    WHERE name = 'news_feed_title'");
    		
		    $objDb->query("UPDATE ".DBPREFIX."module_news_settings 
		                      SET value='".intval($_POST['newsFeedStatus'])."' 
		                    WHERE name = 'news_feed_status'");
		    
		    $objDb->query("UPDATE ".DBPREFIX."module_news_settings 
		                      SET value='".addslashes($_POST['newsFeedDescription'])."' 
		                    WHERE name = 'news_feed_description'");

		    $objDb->query("UPDATE ".DBPREFIX."module_news_settings 
		                      SET value='".intval($_POST['headlinesLimit'])."' 
		                    WHERE name = 'news_headlines_limit'");
		    
		    $objDb->query("UPDATE ".DBPREFIX."module_news_settings SET value='1' WHERE name = 'news_settings_activated'");		    
    		
    		$this->statusMessage = $_ARRAYLANG['TXT_NEWS_SETTINGS_SAVED'];
    		// renew the settings values
    		$this->getSettings();
    		$this->createRSS();    			 	
    	}
    	    	 
    	 // Show settings   	
		$objDb->query("SELECT lang FROM ".DBPREFIX."languages WHERE id='$this->langId'");				
		$objDb->next_record();		   	
    	$newsFeedPath =  "http://".$_SERVER['SERVER_NAME'].ASCMS_FEED_WEB_PATH."/news_headlines_".$objDb->f('lang').".xml";

    	if(intval($this->arrSettings['news_feed_status'])==1){
    	    $status = "checked='checked'";
    		$icon = "<a href='".$newsFeedPath."' target='_blank'><img src='".ASCMS_CORE_MODULE_WEB_PATH."/news/images/rss.gif' border='0' title='".$newsFeedPath."' alt='".$newsFeedPath."'></a>";	
    	} else {
    		$status ="";
    		$icon ="";
    	}   	
    	
		$this->_objTpl->setVariable(array(
		    'NEWS_FEED_TITLE' => stripslashes($this->arrSettings['news_feed_title']),
		    'NEWS_FEED_STATUS' => $status,
		    'NEWS_FEED_ICON' => $icon,
		    'NEWS_FEED_DESCRIPTION' => stripslashes($this->arrSettings['news_feed_description']),
		    'NEWS_HEADLINES_LIMIT' =>(intval($this->arrSettings['news_headlines_limit'])),
		    'NEWS_FEED_PATH'    => $newsFeedPath,
		    'TXT_STORE'  => $_ARRAYLANG['TXT_STORE'],
		    'TXT_NAME'   => $_ARRAYLANG['TXT_NAME'],
		    'TXT_VALUE'  => $_ARRAYLANG['TXT_VALUE'],
		    'TXT_NEWS_SETTINGS'	=> $_ARRAYLANG['TXT_NEWS_SETTINGS'],
		    'TXT_NEWS_FEED_STATUS'=> $_ARRAYLANG['TXT_NEWS_FEED_STATUS'],
		    'TXT_NEWS_FEED_TITLE' => $_ARRAYLANG['TXT_NEWS_FEED_TITLE'],
		    'TXT_NEWS_FEED_DESCRIPTION' => $_ARRAYLANG['TXT_NEWS_FEED_DESCRIPTION'],
		    'TXT_NEWS_HEADLINES_LIMIT' => $_ARRAYLANG['TXT_NEWS_HEADLINES_LIMIT'],
		    'TXT_NEWS_SETTINGS_SAVED' => $_ARRAYLANG['TXT_NEWS_SETTINGS_SAVED']		    
		));  	
    }
}
?>