<?PHP
/**
* News Module
*
* This module will get all the news headlines
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>
* @module      news
* @modulegroup modules
* @version     $Id:  Exp $   
*/

class newsHeadlines
{  
    var $_pageContent;
    var $_objTemplate;
    var $dateFormat;
    var $arrSettings = array();

    
	// CONSTRUCTOR
    function newsHeadlines($pageContent){
    	$this->getSettings();
	    $this->_pageContent = $pageContent;
	    $this->_objTemplate = &new HTML_Template_Sigma('.');
	    $this->dateFormat = "d.m.Y";
	}
	
    function getSettings()
    {
    	global $objDb;   	
        $objDb->query("SELECT name, value FROM ".DBPREFIX."module_news_settings");        
	    while($objDb->next_record()){
		    $this->arrSettings[$objDb->f('name')] = $objDb->f('value');
	    }
    }  	
	
    	
	function getHomeHeadlines() {
		global $_CONFIG, $_ARRAYLANG, $db, $_LANGID;	
		
		$newsLimit = intval($this->arrSettings['news_headlines_limit']);
		if($newsLimit<1 OR $newsLimit>50){
			$newsLimit=10;
		}	
			   
		$this->_objTemplate->setTemplate($this->_pageContent,true,true);		
		$this->_objTemplate->setCurrentBlock('headlines_row');
		
		$db->query("SELECT id, 
		                   title,
		                   date
		              FROM ".DBPREFIX."module_news 
		             WHERE status = 1
		               AND lang=".$_LANGID."
		               AND (startdate<=CURDATE() OR startdate='0000-00-00')
		               AND (enddate>=CURDATE() OR enddate='0000-00-00') 		
		          ORDER BY id DESC 
		             LIMIT ".$newsLimit);
		
		if($db->num_rows()>=0){					
			while($db->next_record()){
			    $this->_objTemplate->setVariable("HEADLINE_DATE", date($this->dateFormat, $db->f('date')));
				$this->_objTemplate->setVariable("HEADLINE_LINK", "<a href=\"?section=news&amp;cmd=details&amp;newsid=".$db->f('id')."\" title=\"".stripslashes($db->f('title'))."\">".$db->f('title')."</a>");	
				$this->_objTemplate->parseCurrentBlock();		
			}
			$this->_objTemplate->setVariable("TXT_MORE_NEWS", $_ARRAYLANG['TXT_MORE_NEWS']);
		} else {
		    $this->_objTemplate->hideBlock('headlines_row');
		}					
		return $this->_objTemplate->get();
	}	
}
?>
