<?PHP
/**
* News Module
*
* This module will get all the news pages
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista Group GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>
* @module      news
* @modulegroup modules
* @version     $Id:  Exp $   
*/


require_once ASCMS_CORE_MODULE_PATH . '/news/newsLib.class.php';


class news extends newsLibrary
{  
    var $newsTitle;
    var $langId;
    var $dateFormat = 'd.m.Y';
    var $dateLongFormat = 'H:i:s d.m.Y';
    var $arrSettings = array(); 
    
    
    
	/**
    * Constructor
    *
    * @param  string  
    * @access public
    */   
    function news($pageContent)
    { 
    	$this->__construct($pageContent); 
    }    
    

    /**
     * PHP5 constructor
     * @param  string  $pageContent
     * @global string  $_LANGID      
     * @access public     
     */
    function __construct($pageContent)
    {  
	    global $_LANGID;
	    $this->getSettings();
	    $this->pageContent = $pageContent;
	    $this->langId = $_LANGID;
	    $this->objTemplate = &new Template();
	}	
	
	
	
    
	// GET PAGE
    function getNewsPage()
    {
    	if(!isset($_REQUEST['cmd'])){
    		$_REQUEST['cmd'] = '';
    	}
    	
    	switch($_REQUEST['cmd']){
    		case 'details':
		    	return $this->getDetails();
		    	break;
		    default:
		        return $this->getHeadlines();
		        break;
    	}
    }
    
    

	/**
	* Gets the news details
	*
	* @global	 array     $_CONFIG 
	* @global	 array     $_ARRAYLANG
	* @global	 object    $db    
	* @return    string    parsed content                                                                               
	*/
	function getDetails() 
	{
		global $_CONFIG, $db, $_ARRAYLANG;	
		
	    $this->objTemplate->set_var("CONTENT_OUTPUT", $this->pageContent);	    
	    $newsid = intval($_GET['newsid']);
	    
		if ($newsid!=0){
			$db->query("SELECT id,source,changelog,url1,url2,text,date,changelog,title 
			              FROM ".DBPREFIX."module_news 
			             WHERE status = 1
			               AND id = $newsid 
			               AND lang=".$this->langId." 
			               AND (startdate<=CURDATE() OR startdate='0000-00-00')
			               AND (enddate>=CURDATE() OR enddate='0000-00-00') 				
			             LIMIT 1");				
			
			while($db->next_record()){
				$lastUpdate	= $db->f('changelog');
				$source	    = $db->f('source');
				$url1 	    = $db->f('url1');
				$url2 	    = $db->f('url2');
				$newsUrl    = "";
				$newsSource = "";
				$newsLastUpdate = "";
			
				if (!empty($url1)){
					 $newsUrl = $_ARRAYLANG['TXT_IMPORTANT_HYPERLINKS']."<br /><a target='new' href='$url1'>$url1</a><br />";
				}
				if (!empty($url2)){
					 $newsUrl .= "<a target='new' href='$url2'>$url2</a><br />";
				}
				if (!empty($source)){
					 $newsSource = $_ARRAYLANG['TXT_NEWS_SOURCE']."<br /><a target='new' href='$source'>$source</a><br />";
				}
				if (!empty($lastUpdate)){
					 $newsLastUpdate = $_ARRAYLANG['TXT_LAST_UPDATE']."<br />".date(ASCMS_DATE_FORMAT,$db->f('changelog'));
				}				
				
				$newstitle = stripslashes($db->f('title'));
				$this->objTemplate->set_var(array(							   
						   'NEWS_DATE'   	 => date(ASCMS_DATE_FORMAT,$db->f('date')),
						   'NEWS_TITLE'		 => $newstitle,
						   'NEWS_TEXT'		 => stripslashes($db->f('text')),
						   'NEWS_LASTUPDATE' => $newsLastUpdate,
						   'NEWS_SOURCE' 	 => $newsSource,
						   'NEWS_URL'		 => $newsUrl));
			}		
		}else{
			header("Location: ?section=news");
			exit;
		}
		
		$this->newsTitle = strip_tags($newstitle);
		return $this->objTemplate->parse('OUT','CONTENT_OUTPUT');
	}


	
	/**
	* Gets the list with the headlines
	*
	* @global	 object    $db   
	* @param     integer   $pos
	* @param     string	   $page_content
	* @return    string    parsed content                                                                              
	*/
	
	function getHeadlines() 
	{
		global $_CONFIG, $db, $_ARRAYLANG;	
	   
		$selected = "";
		$newsfilter = "";
		$paging = "";
		$pos = 0;
		$i="";
		
		if(isset($_GET['pos'])){
			$pos = intval($_GET['pos']);
		}
		
		$this->objTemplate->set_var("CONTENT_OUTPUT", $this->pageContent);
		
		if(!empty($_REQUEST['category'])){
			$selected= intval($_REQUEST['category']);
			$newsfilter=" n.catid='$selected' AND ";
		}
		
		$this->objTemplate->set_var("NEWS_NO_CATEGORY", $_ARRAYLANG['TXT_CATEGORY']);
	    $this->objTemplate->set_var("NEWS_CAT_DROPDOWNMENU", $this->getCategoryMenu($this->langId, $selected));
	    $this->objTemplate->set_var("TXT_PERFORM", $_ARRAYLANG['TXT_PERFORM']);
	    $this->objTemplate->set_var("TXT_CATEGORY", $_ARRAYLANG['TXT_CATEGORY']);
	    $this->objTemplate->set_var("TXT_DATE", $_ARRAYLANG['TXT_DATE']);
	    $this->objTemplate->set_var("TXT_TITLE", $_ARRAYLANG['TXT_TITLE']);
	    
	    
		$query = "SELECT n.date AS newsdate,
		                 n.id AS newsid,
		                 n.title AS newstitle,
		                 nc.name AS name 
		            FROM ".DBPREFIX."module_news AS n,
		                 ".DBPREFIX."module_news_categories AS nc  
		           WHERE status = 1
		             AND n.lang=".$this->langId." 
		             AND $newsfilter n.catid=nc.catid
	                 AND (startdate<=CURDATE() OR startdate='0000-00-00')
	                 AND (enddate>=CURDATE() OR enddate='0000-00-00') 	
		        ORDER BY n.id DESC";
		
		/***start paging ****/
		
		$db->query($query);		
		$count = $db->num_rows();	
		if($count>intval($_CONFIG['corePagingLimit'])){
		    $paging = getPaging($count, $pos, "&section=news", $_ARRAYLANG['TXT_NEWS_MESSAGES'], true);
		}
		$this->objTemplate->set_var("NEWS_PAGING", $paging);
		$db->query("$query LIMIT $pos, {$_CONFIG['corePagingLimit']}");	
			
		/*** end paging ***/
		
		$this->objTemplate->set_block('CONTENT_OUTPUT','newsrow','handle');
		if($count>=1){		
			while($db->next_record()){
				($i % 2) ? $class  = 'row1' : $class  = 'row2';
				$this->objTemplate->set_var(array(
						   'NEWS_CSS'      => $class,							   
						   'NEWS_LONG_DATE'  => date($this->dateLongFormat,$db->f('newsdate')),
						   'NEWS_DATE'       => date($this->dateFormat,$db->f('newsdate')),						   						   						   
						   'NEWS_LINK'	   => "<a href=\"?section=news&amp;cmd=details&amp;newsid=".$db->f('newsid')."\">".stripslashes($db->f('newstitle'))."</a>",
						   'NEWS_CATEGORY' => $db->f('name'),
				        ));
				        
				$this->objTemplate->parse("handle","newsrow", true);
				$i++;
			}	
		} else {
			$this->objTemplate->set_var('NEWS_DATE', '');
			$this->objTemplate->set_var('NEWS_LINK', '');
			$this->objTemplate->set_var('NEWS_CATEGORY', $_ARRAYLANG['TXT_NO_NEWS_FOUND']);
			$this->objTemplate->parse("handle","newsrow", true);
		}			
	    return $this->objTemplate->parse('OUT','CONTENT_OUTPUT');
	}
	

	
	
	/**
	* Gets the global page title
	*
	* @param     string	   (optional)$pageTitle                                                                             
	*/	
	function getPageTitle($pageTitle="")
	{
	    if(empty($this->newsTitle)){
	        $this->newsTitle = strip_tags(stripslashes($pageTitle));
	    }		
	}
}
?>
