<?PHP
/**
* Modul Feed
*
* creates and deletes rss feeds!
*
* @copyright     ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering GmbH 
* @author        Astalavista Dev Team <thun@astalavista.ch>   
* @module        feed
* @modulegroup   modules 
* @version       $Id:     Exp $    
*/


class rssFeed
{
	var $xmlType;
	var $filePath;
	var $fileName = array();
	var $newsLimit;
	var $langId;
	
	var $channelTitle;
	var $channelLink;
	var $channelDescription;
	var $channelLanguage;
	var $channelCopyright;
	var $channelGenerator;
	var $channelWebmaster;
	var $itemLink;
 
	/**
    * Constructor
    *
	* @global	array		$_CONFIG
	* @global	string		$db	
    */
	function rssFeed()
	{
		global $_CONFIG, $objInit, $db;
		
		$this->langId=$objInit->userFrontendLangId; 

		$db->query("SELECT lang FROM ".DBPREFIX."languages WHERE id='$this->langId'");				
		$db->next_record();	
		
		$this->xmlType = "headlines";
		$this->filePath = ASCMS_FEED_PATH . '/';
		$this->channelLink = "http://".$_SERVER['SERVER_NAME'];
		$this->channelCopyright = "http://".$_SERVER['SERVER_NAME'];
		$this->channelGenerator = $_CONFIG['coreCmsName'];
		$this->channelLanguage  = $db->f('lang');
		$this->itemLink = "http://".$_SERVER['SERVER_NAME']."/?section=news&amp;cmd=details&amp;newsid=";
		$this->fileName[1] = 'news_headlines_'.$db->f('lang').'.xml';
		$this->fileName[2] = 'news_'.$db->f('lang').'.xml';			
		$this->newsLimit = 20;	
	}
	
	/**
    * checkPermissions: checks if the permissions on the feed-directory are correct
    *  
	* @return   boolean    
    */
	function checkPermissions()
	{
		if(is_writeable($this->filePath) AND is_dir($this->filePath)){
			return true;
		} else {
			return false;
		}
	}
	
	
	/**
    * deletes the rss news feed file
    *
    */		
	function delete()
	{		
		@unlink($this->filePath.$this->fileName[2]);
		@unlink($this->filePath.$this->fileName[1]);	
	}
	
	
	
	/**
    * creates the rss news feed file
    *
	* @global   array     	$_CONFIG 
	* @global	string		$db 
    */	       
    function create()
    {
    	global $_CONFIG, $_FRONTEND_LANGID, $db;
    	
    	if ($this->checkPermissions()){
		    $xmlOutput .= "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>\n";
			$xmlOutput .= "<rss version=\"2.0\">\n";
			$xmlOutput .= "<channel>\n";
			$xmlOutput .= "<title>".$this->channelTitle."</title>\n";
			$xmlOutput .= "<description>".$this->channelDescription."</description>\n";
			$xmlOutput .= "<link>".$this->channelLink."</link>\n";
			$xmlOutput .= "<copyright>".$this->channelCopyright."</copyright>\n";
			$xmlOutput .= "<webMaster>".$this->channelWebmaster."</webMaster>\n";
			$xmlOutput .= "<generator>".$this->channelGenerator."</generator>\n";
			$xmlOutput .= "<lastBuildDate>".date('r',time())."</lastBuildDate>\n";
			$xmlOutput .= "<language>".$this->channelLanguage."</language>\n";
		
			$db->query("SELECT n.id AS newsid, 
			                   n.date, 
			                   n.title, 
			                   n.text,
			                   n.source,
			                   u.firstname, 
			                   u.lastname,
			                   n.lang,
			                   n.userid, 
			                   u.id
						FROM ".DBPREFIX."module_news AS n,
			                 ".DBPREFIX."users AS u
						WHERE n.userid = u.id AND n.lang = ".$_FRONTEND_LANGID."
						ORDER BY n.id DESC 
						LIMIT ".$this->newsLimit);
					
			while ($db->next_record()){
				$xmlOutput .= "<item>\n";
				$xmlOutput .= "<title>".htmlspecialchars($db->f('title'))."</title>\n";
				if ($this->xmlType == 'fulltext'){
					$xmlOutput .= "<description>".htmlspecialchars($db->f('text'))."</description>\n";
					//$xmlOutput .= "<description>".$db->f('text')."</description>";
					$xmlOutput .= "<source>".htmlspecialchars($db->f('source'))."</source>\n";
				}
				$xmlOutput .= "<pubDate>".date('r',time())."</pubDate>\n";
				$xmlOutput .= "<link>".$this->itemLink.$db->f('newsid')."</link>\n";
				$xmlOutput .= "</item>\n";
			}
			$xmlOutput .= "</channel>\n";									
			$xmlOutput .= "</rss>";
						
			if ($this->xmlType == 'fulltext'){
				$fileHandle = @fopen($this->filePath.$this->fileName[2],"w+");
			}else {
				$fileHandle = @fopen($this->filePath.$this->fileName[1],"w+");
			}			
			if($fileHandle){
				@fwrite($fileHandle,$xmlOutput);
				@fclose($fileHandle);
			}
    	}
    }
}
?>