<?PHP
/**
* Modul Search
*
* Gets the Searching-Results from the DB
*
* @copyright     ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH 
* @author        Christian Wehrli <christian.wehrli@astalavista.ch>   
* @module        search
* @modulegroup   modules   
* @version       $Id: searchstats.class.php,v 1.6 2003/05/05 18:49:52 hitsch Exp $     
*/

//Security-Check
if (eregi("index.class.php",$_SERVER['PHP_SELF'])) {
    Header("Location: ?");
    die();
}

/**
* Gets the searchpage
*
* @global	 array     $_ARRAYLANG[search*] 
* @global	 array		$_CONFIG 
* @global	 array		$_GET['term']    
* @param     integer	$pos:  get the results from pos
* @param     string		$page_content: get the content from index.php
* @return    string		$tpl->parse(OUT, "CONTENT_OUTPUT" ): parsed page content                                                                                 
*/
function search_getSearchPage($pos, $page_content)
{
    global $_CONFIG, $_ARRAYLANG,$db;	
    $objTpl = &new Template();
    $objTpl->debug = 0;	
    $objTpl->set_var("CONTENT_OUTPUT", $page_content);
	$objTpl->set_var("TXT_SEARCH", $_ARRAYLANG['TXT_SEARCH']);
    
    $term = ""; //$_SERVER['HTTP_HOST'];
    if(isset($_REQUEST['term'])&& strlen($_REQUEST['term'])>=3){
		$term = mysql_escape_string(stripslashes(trim($_REQUEST['term'])));		
		$querynews=search_searchQuery("news",$term);
		$query=search_searchQuery("content",$term);
		$querydocsys = search_searchQuery("docsys",$term);
		$queryshop = search_searchQuery("shop",$term);
    }    
    
    //Prm: Query,Section,Cmd,PageVar
    $arrayContent=search_getResultArray($query,"","","page=",$term);
    $arrayNews=search_getResultArray($querynews,"news","details","newsid=",$term);
    $arrayDocsys = array();
    $arrayShopProducts = array();
    $db->query("SHOW tables like '".DBPREFIX."module_docsys'");
    if($db->next_record()){
    	$arrayDocsys=search_getResultArray($querydocsys,"docsys","details","id=",$term);
    }
    $db->query("SHOW tables like '".DBPREFIX."module_shop_products'");
    if($db->next_record()){
        $arrayShopProducts=search_getResultArray($queryshop,"shop","","productId=",$term);
    }
    //**************************************
	//paging start
    //**************************************

    $arraySearchResults=array_merge($arrayContent,$arrayNews,$arrayDocsys,$arrayShopProducts);
    if(is_array($arraySearchResults)){
        usort($arraySearchResults, "search_comparison");
    }
    $countResults=sizeof($arraySearchResults);	
		
    
    if(!is_numeric($pos)){
        $pos = 0;
    }
    
    $paging = getPaging($countResults, $pos, "&section=search&term=$term", "<b>".$_ARRAYLANG['TXT_SEARCH_RESULTS']."</b>", true);
    $objTpl->set_var("SEARCH_PAGING", "$paging");
    $term=stripslashes($term);
    $objTpl->set_var("SEARCH_TERM",$term);
			
    //**************************************
    //  paging end
    //************************************** 
    //*************************************
    //  parsing start
    //*************************************
    $objTpl->set_block("CONTENT_OUTPUT", "searchrow", "handle");
    
    if ($countResults > 0){
    	$searchComment=sprintf($_ARRAYLANG['TXT_SEARCH_RESULTS_ORDER_BY_RELEVANCE'],$term,$countResults);
        $objTpl->set_var("SEARCH_TITLE",$searchComment."<br />");
        $arraySearchOut=array_slice($arraySearchResults,$pos,$_CONFIG['corePagingLimit']);
         
        foreach($arraySearchOut as $kk=>$details){
            $objTpl->set_var("COUNT_MATCH",$_ARRAYLANG['TXT_RELEVANCE']." $details[Score]%");
            $objTpl->set_var("LINK", "<b><a href=\"".$details['Link']."\" title=\"".$details['Title']."\">".$details['Title']."</a></b>");
            $objTpl->set_var("SHORT_CONTENT", $details['Content']." ..<br />");
            $objTpl->parse("handle","searchrow", true);
        }
    }	
    else
    {
		$noresult= ($term <>'') ? sprintf($_ARRAYLANG['TXT_NO_SEARCH_RESULTS'],$term) : sprintf("Bitte geben Sie ein Suchwort ein",$term);
		$objTpl->set_var("LINK", $noresult);
		$objTpl->set_var("SHORT_CONTENT","");
		$objTpl->set_var("COUNT_MATCH", "");
		$objTpl->set_var("SEARCH_TITLE", "");
		$objTpl->parse("handle","searchrow", true);		
    }
    return $objTpl->parse('OUT', 'CONTENT_OUTPUT');
}




/**
* Get searchquery
*
* Gets the SQL-searching-string (for news or content search)
*
* @param  string	for search in news or content
* @param  string	replace the variable with the searching term
* @return string	SQL-Query with search term
*/
function search_searchQuery($section,$searchTerm)
{
    global $_LANGID;
    $query="";
    switch($section)
    {
        case "news":
            $query ="SELECT id AS id,
                            text AS content,
                            title AS title, 
                      MATCH (text,title) AGAINST ('%$searchTerm%') AS score
                       FROM ".DBPREFIX."module_news
                      WHERE text LIKE ('%$searchTerm%')
                         OR title LIKE ('%$searchTerm%')
		                    AND lang =".$_LANGID."
                        AND status = 1
                        AND (startdate<=CURDATE() OR startdate='0000-00-00')
                        AND (enddate>=CURDATE() OR enddate='0000-00-00')"; 				
        
			break;//
        case "content":
             $query="SELECT n.catid AS id, 
		                    m.name AS section, 
		                    n.cmd AS cmd, 
		                    c.id AS contentid, 
		                    c.content AS content, 
		                    c.title AS title, 
                      MATCH (content,title) AGAINST ('%$searchTerm%') AS score
                       FROM ".DBPREFIX."content AS c, 
                            ".DBPREFIX."content_navigation AS n,
                            ".DBPREFIX."modules AS m
                      WHERE MATCH (content,title) AGAINST ('%$searchTerm%')
                        AND n.displaystatus ='on'
                        AND n.module =m.id
                        AND n.catid = c.id
						AND n.lang=".$_LANGID;	
            break;
        case "docsys":
             $query="SELECT id, 
		                    text AS content, 
                            title AS title,
                      MATCH (text,title) AGAINST ('%$searchTerm%') AS score
                       FROM ".DBPREFIX."module_docsys
                      WHERE text LIKE ('%$searchTerm%')
                         OR title LIKE ('%$searchTerm%')
                        AND lang=".$_LANGID."
                        AND status =1";	
            break;
        case "shop":
             $query="SELECT id,
                            title, 
		                    description AS content,
                      MATCH (description,title) AGAINST ('%$searchTerm%') AS score
                       FROM ".DBPREFIX."module_shop_products
                      WHERE description LIKE ('%$searchTerm%')
                         OR title LIKE ('%$searchTerm%')             
                        AND status =1";	
            break;
        default:
            break;
    }
    return $query;
}


/**
* Get resultarray
*
* Gets the results in an array
*
* @author  Christian Wehrli <christian.wehrli@astalavista.ch> 
* @global object	$db
* @param  string	$query			the searching query
* @param  string	$section_var	needed for section
* @param  string	$cmd_var		needed for cmd
* @param  string	$pagevar
* @return string	$term			search term
*/
function search_getResultArray($query,$section_var,$cmd_var,$pagevar,$term)
{
    global $_CONFIG, $db;
    
    $arraySearchResults = array();
    $db->query($query);  
    $i=0;
    
    while($db->next_record()){
        $i++;
        $cmd=$db->f('cmd');
        $section=$db->f('section');
        
        
        if ($section=="" && $section_var<>""){
            $section=$section_var;
        }
        if ($cmd=="" && $cmd_var<>""){
            $cmd=$cmd_var;
        }

        $temp_section	= ( ($section=="") ? "" : "&section=$section" );
        $temp_cmd		= ( ($cmd=="") ? "" : "&cmd=$cmd" );
        
          
        if($section<>"" AND $section<>"news" AND $section <>"docsys" AND $section <> "shop") {	
             $temp_pagelink  = "?$temp_section$temp_cmd";
        } else {
        	$temp_pagelink  = "?$pagevar".$db->f('id')."$temp_section$temp_cmd";
        }
        
        
        $searchcontent = eregi_replace("\{[a-z0-9_]+\}","",strip_tags($db->f('content')));
        $searchcontent = stripslashes($searchcontent); 
        $shortcontent = substr(ltrim($searchcontent), 0,intval($_CONFIG['searchDescriptionLength']));
        $arrayShortContent = explode(" ",$shortcontent);
        $arrelem= array_pop($arrayShortContent);
        $shortcontent=str_replace("&nbsp;","",join(" ",$arrayShortContent));
        //$shortcontent = preg_replace("'$term'i","<b><i>\\0</i></b>",$shortcontent);
        $score=$db->f('score');
        $score>=1 ? $scorePercent=100 : $scorePercent=intval($score*100);
        //Muss noch gendert werden, sobald das Ranking bei News funktioniert!!!
        $score==0 ? $scorePercent=25 : $scorePercent=$scorePercent;
        $searchtitle=$db->f('title');
        $arraySearchResults[$i]=array("Score"=>$scorePercent,
                                      "Title"=>$searchtitle,
                                      "Content"=>$shortcontent,
                                      "Link"=>$temp_pagelink);
    }
    return $arraySearchResults;
}

/**
* order the result-arry by matching-percent
*
* @author  	Christian Wehrli <christian.wehrli@astalavista.ch> 
* @param  	string	$a
* @param  	string	$b
* @return 	boolean	
*/
function search_comparison($a,$b)
//Fr usort(Array)
{
    if ($a==$b){
        return 0;
    }
    elseif ($a>=$b){
        return -1;
    }else{
        return 1;
    }
}
?>
