<?php
/**
* Class Sitemapping 
*
* Class for the sitemap 
*
* @copyright   ASTALAVISTA SECURE CMS - 2003 Astalavista Group GmbH
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>              
* @module      shopmanager
* @modulegroup shop                                                                                     
* @version	   $Id: index.inc.php,v 1.00 $
*/

class sitemap
{
    var $pageContent;
    var $objTemplate;
    var $sitemapPageName = array();
    var $sitemapPageURL = array();
    var $sitemapPageLevel = array();      
    
    
    /**
    * Constructor
    *
    * @param  string  
    * @access public
    */
    function sitemap($pageContent)
    {
    	global $_ARRAYLANG, $db; 
		$this->pageContent = $pageContent;  	
		$this->objTemplate = &new Template();	
		$this->doSitemapArray();	
    }
    
    
    
    function getSitemapContent()
    {  	  	 	   	
        return $this->doSitemap();
    }  



	/*
	* Do shop categories menu
	*
    * @param    integer  $parcat
    * @param    integer  $level
    * @param    integer  $selectedid
    * @return   string   $result
    */
	function doSitemapArray($parcat=0,$level=0)
	{				
		global $corePathOffset, $db, $objInit;	
	  	  
		$langId = $objInit->getFrontendLangId(); 
		$query = "SELECT n.cmd AS cmd,
		                 n.catid AS catid,
		                 n.catname AS catname, 
		                 n.parcat AS parcat,
		                 n.displayorder AS displayorder,
		                 m.name AS section 
		            FROM ".DBPREFIX."content_navigation AS n,
		                 ".DBPREFIX."modules AS m 
		           WHERE (n.module=m.id AND n.displaystatus = 'on' AND n.lang='$langId') 
		             AND (n.protected=0)		  	             
		        ORDER BY n.parcat ASC, n.displayorder ASC";
		
		if(!$db->query($query)) { 
			return false;
		}
		while($db->next_record())
		{			
			$s=$db->f('section');
			$c=$db->f('cmd');
			$section = ( ($s=="") ? "" : "&amp;section=$s" ); 
			$cmd     = ( ($c=="") ? "" : "&amp;cmd=$c" ); 			
			if(!empty($s)){
			    $link = "?section=".$s.$cmd;					
			} else {
			    $link = "?page=".$db->f('catid').$section.$cmd;
			}								
			$arrName[$db->f('parcat')][$db->f('catid')]=stripslashes($db->f('catname'));
			$arrURL[$db->f('catid')]=$link;
		}	  					
		
		$list=$arrName[$parcat];
		 if(is_array($list)){
				while(list($key,$val)=each($list)){
					  $this->sitemapPageName[$key]= $val;
					  $this->sitemapPageURL[$key]= $arrURL[$key];
					  $this->sitemapPageLevel[$key]= $level; 				  
					  
		              if (isset($arrName[$key])){
							$this->doSitemapArray($key,$level+1);
					  }
				}
		 }
	}  
    
    
	/**
    * Do Sitemap rows
    *
    */      
    function doSitemap()
    {   
    	global $_CONFIG; 	
    	
    	$this->objTemplate->set_var("CONTENT",$this->pageContent);  	  	
    	if(is_array($this->sitemapPageName))
		{
		     $this->objTemplate->set_block("CONTENT","row","handle"); 	
		 	 while(list($key,$val)=each($this->sitemapPageName))
			 {
    		    $lvl = $this->sitemapPageLevel[$key]+1;
			 	$cssStyle = "sitemap_level_".$lvl;  		       		    		    
				if ($this->sitemapPageLevel[$key]!=0){
					$width=$this->sitemapPageLevel[$key]*25;
				} else {
					$width=1;
				}
				$spacer = "<img src='".ASCMS_MODULE_IMAGE_WEB_PATH."/sitemap/spacer.gif' width='$width' height='12' alt='' />"; 
							   
    		    $this->objTemplate->set_var(array(
    		        'STYLE' 	=> $cssStyle,
    		        'SPACER' 	=> $spacer,
    		        'NAME' 		=> $val,
    		        'URL' 	    => $this->sitemapPageURL[$key]
    		        ));
    		    $this->objTemplate->parse("handle","row",true);
    		}
    		return $this->objTemplate->parse("OUT","CONTENT");  		
    	} 
	}     
}  
?>