<?php
class statsLibrary
{
	var $totalVisitors = 0;
	var $totalRequests = 0;
	
	var $arrBrowsers = array();
	var $browserSum = 0;
	
	var $arrSupportJavaScript = array();
	var $supportJavaScriptSum = 0;
	
	var $arrOperatingSystems = array();
	var $operatingSystemsSum = 0;
	
	var $arrScreenResolutions = array();
	var $screenResolutionSum = 0;
	
	var $arrColourDepths = array();
	var $colourDepthSum = 0;
	
	var $arrMostViewedPages = array();
	var $mostViewedPagesSum = 0;
	
	var $arrIndexedPages = array();
	var $arrSpiders = array();
	
	var $arrVisitorsDetails = array();
	
	var $arrVisitors = array();
	var $arrRequests = array();
	
	var $arrLastReferer = array();
	var $arrTopReferer = array();
	
	var $arrHostnames = array();
	var $hostnamesSum = 0;
	var $arrCountries = array();
	var $countriesSum = 0;
	var $arrCountryNames = array();
	
	var $arrConfig = array();
	
	var $arrSearchTerms = array();
	
	var $pagingLimit = "";
	
	var $spiderAgent = false;
	
	
	function statsLibrary() {
		$this->__construct();
	}
	
	function __construct() {
		$this->_initConfiguration();
	}
	
	
	/**
    * Initialize configuration
    *
    * Initialize the configuration for the counter and statistics
    *
    * @global	object	$ojbDb
    */
    function _initConfiguration() {
    	global $objDb;
    	
    	$query = "SELECT name, value, `status` FROM ".DBPREFIX."stats_config";
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrConfig[$objDb->f('name')] = array('value' => $objDb->f('value'), 'status' => $objDb->f('status'));
    		}
    	}
    	
   		$this->pagingLimit = "LIMIT ".$this->arrConfig['paging_limit']['value']."";
    }
	
	
    /**
    * Get counter tag
    *
    * Creates the tag to call the counter
    *
    * @access	public
    * @global	integer	$pageId
    * @return	string	$counterTag	The counter tag
    */
    function getCounterTag() {
    	global $pageId;
    	
    	$searchTerm = "";
    	
    	if ($this->arrConfig['make_statistics']['status']) {
			if (isset($_REQUEST['term']) && !empty($_REQUEST['term']) && $_REQUEST['section'] == "search") {
				$searchTerm = "&searchTerm=\\'".$_REQUEST['term']."\\'' + '";
			}
			
			$referer = str_replace('?','[REF]',$_SERVER['HTTP_REFERER']);
			
			$counterTag = "<!-- Counter  START -->\n";
			$counterTag .= "<script language=\"JavaScript\" type=\"text/javascript\">\n";
			$counterTag .= "<!--\n";
			$counterTag .= "referer = (document.referrer) ? document.referrer : \"\";\n";
			$counterTag .= "v = navigator.appName;\n";
			$counterTag .= "c=0;\n";
			$counterTag .= "if (v != \"Netscape\")\n";
			$counterTag .= "	c = screen.colorDepth;\n";
			$counterTag .= "else\n";
			$counterTag .= "    c = screen.pixelDepth;\n";
			$url = '\'<script language="JavaScript" type="text/javascript" src="'.ASCMS_CORE_MODULE_WEB_PATH.'/stats/counter.php?mode=script&referer='.$referer.'&pageId=\' + '.$pageId.' + \'&screen=\' + screen.width + \'x\' + screen.height  +  \'&color_depth=\' + c + \''.$searchTerm.'" ><\/script>\'';
			$counterTag .= "document.write(".$url.");\n";
			$counterTag .= "// -->\n";
			$counterTag .= "</script>\n";
			$counterTag .= "<noscript><img src=\"".ASCMS_CORE_MODULE_WEB_PATH."/stats/counter.php?mode=noscript&amp;referer=".$_SERVER['HTTP_REFERER']."&amp;pageId=".$pageId."\" width=\"1\" height=\"1\" /></noscript>\n";
			$counterTag .= "<!-- Counter Code END -->\n";
    	}
    	return $counterTag;
    }
	
    /**
    * Check for spider
    *
    * Check if the user agent is a spider
    */
    function checkForSpider() {
    	if ($this->arrConfig['count_spiders']['status']) {
	    	require_once ASCMS_CORE_MODULE_PATH.'/stats/lib/spiders.inc.php';
	    	$useragent =  htmlspecialchars($_SERVER['HTTP_USER_AGENT']);
	    	 $spiderAgent = false;
	    	
	        foreach ($arrRobots as $spider) {
	            $spiderName = trim($spider);
	            if (preg_match("=".$spiderName."=",$useragent)) {
	                $spiderAgent = true;
	                break;
	            }
	        }
	        
	        if ($spiderAgent) {
	        	$this->_countSpider($useragent,$arrBannedWords);	
	        }
    	}
    }
    
	/**
    * count spider visits
    *
    * count every spider visit
    *
    * @global    object   $db
    * @retrun    boolean  result
    */
    function _countSpider($useragent,$arrBannedWords)
    {
        global $objDb, $pageId;
        
    	if (isset($_SERVER['HTTP_VIA']) && $_SERVER['HTTP_VIA']) { // spider does use a proxy
            if (isset($_SERVER['HTTP_X_FORWARDED_FOR']) && !empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
            	$spiderIp = $_SERVER['HTTP_X_FORWARDED_FOR'];
            } else {
            	if (isset($_SERVER['HTTP_CLIENT_IP']) && !empty($_SERVER['HTTP_CLIENT_IP'])) {
            		$spiderIp = $_SERVER['HTTP_CLIENT_IP'];
            	} else {
            		$spiderIp = $_SERVER['REMOTE_ADDR'];
            	}
            }
        } else { // spider does not use proxy
            $spiderIp = $_SERVER['REMOTE_ADDR'];
        }
        
        $spiderHost = @gethostbyaddr($spiderIp);
        if ($spiderHost == $spiderIp) {
           $spiderHost = '';
        }
        
        $requestedUrl = $this->_getRequestedUrl($arrBannedWords);
        
        // update statistics of the indexed page by spiders
		$query = "UPDATE `".DBPREFIX."stats_spiders`
				 Set `last_indexed` = '".time()."',
					 `count` = `count` + 1,
					 `spider_useragent` = '".$useragent."',
					 `spider_ip` = '".$spiderIp."',
					 `spider_host` = '".$spiderHost."'
				   WHERE `page` = '".$requestedUrl."'";
		$objDb->query($query);
		if ($objDb->affected_rows() == 0) {
    		$query = "INSERT INTO `".DBPREFIX."stats_spiders` (
    					`last_indexed`,
    					`page`,
    					`pageId`,
						`count`,
    					`spider_useragent`,
    					`spider_ip`,
    					`spider_host`
    					) VALUES (
    					'".time()."',
    					'".$requestedUrl."',
    					'".$pageId."',
						1,
    					'".$useragent."',
    					'".$spiderIp."',
    					'".$spiderHost."
    					')";
    		$objDb->query($query);
        }
        
        // update summery statistics of the spiders
		$query = "UPDATE `".DBPREFIX."stats_spiders_summary` SET `count` = `count` + 1, `timestamp` = '".time()."' WHERE `name` = '".substr($useragent,0,255)."'";
		$objDb->query($query);
		
		if ($objDb->affected_rows() == 0) {
       		$query = "INSERT INTO `".DBPREFIX."stats_spiders_summary` (`name`, `timestamp`, `count`) VALUES ('".substr($useragent,0,255)."', '".time()."', 1)";
        	$objDb->query($query);
        }
    }
    
	/**
    * Get requested page
    *
    * Get the requested page from the $_GET vars. If a session has started, this var will be blocked
    * and not in the uri
    *
	*/
    function _getRequestedUrl($arrBannedWords) {
        $uriString="";
        
        $completeUriString = substr(strstr($_SERVER['REQUEST_URI'], "?"),1);
        //creates an array for each GET-pair
        $arrUriGets = explode("&", $completeUriString);
        
        foreach ($arrUriGets AS $elem) {
            //check if Session-ID is traced by url (cookies are disabled)
            if (!preg_match("/PHPSESSID/",$elem)) {
            	if ($elem != "") {
                	$uriString .="&".$elem;
            	}
            }
        }

		foreach ($arrBannedWords as $blockElem) {
            $blockElem = trim($blockElem);
            //some blocked words in get-Vars?
            if (preg_match("=".$blockElem."=",$uriString) && ($blockElem <>"")) {
				$uriString = "";
            }
		}
		
		if ($uriString == "") { // only uninteresting vars in uri (faked?)
			return "/index.php";
		} else {
		    return "/index.php?".mysql_escape_string(stripslashes(substr($uriString,1)));
		}
    }
    
    /**
    * Remove outdated entries
    *
    * Remove outdated entries of the database
    *
    * @access	private
    * @global	object	$objDb
    */
	function _removeOutdatedEntries() {
		global $objDb;
		
		// remove outdated visitor entries
		$query = "DELETE FROM ".DBPREFIX."stats_visitors WHERE `timestamp` < '".(mktime(0,0,0,date('m'),date('d'),date('Y'))-($this->arrConfig['online_timeout']['status'] ? $this->arrConfig['online_timeout']['value'] : 0))."'";
		$objDb->query($query);
		
		// remove outdated request entries
		if ($this->arrConfig['remove_requests']['status']) {
			$query = "DELETE FROM ".DBPREFIX."stats_requests WHERE `timestamp` < '".$this->arrConfig['remove_requests']['value']."'";
			$objDb->query($query);
		}
		
		// delete outdated visitor summary entries
    	$query = "DELETE FROM `".DBPREFIX."stats_visitors_summary`
				   WHERE (`type` = 'hour' AND `timestamp` < '".mktime(0,0,0,date('m'),date('d'),date('Y'))."')
					  OR (`type` = 'day' AND `timestamp` < '".mktime(0,0,0,date('m'),1,date('Y'))."')
					  OR (`type` = 'month' AND `timestamp` < '".mktime(0,0,0,1,1,date('Y'))."')";
    	$objDb->query($query);
    	
    	// delete outdated requests summary entries
    	$query = "DELETE FROM `".DBPREFIX."stats_requests_summary`
				   WHERE (`type` = 'hour' AND `timestamp` < '".mktime(0,0,0,date('m'),date('d'),date('Y'))."')
					  OR (`type` = 'day' AND `timestamp` < '".mktime(0,0,0,date('m'),1,date('Y'))."')
					  OR (`type` = 'month' AND `timestamp` < '".mktime(0,0,0,1,1,date('Y'))."')";
    	$objDb->query($query);
	}
	
	/**
	* Initialize today statistics
	*
	* Initialize the visitor and request statistics from today
	*
	* @access	private
	* @global	object	$objDb
	* @see	_removeOutdatedEntries()
	*/
	function _initStatisticsToday() {
		global $objDb;
		
		// remove outdated visitor and request entries in the summary
		$this->_removeOutdatedEntries();
		
		// get statistics
		$query = "SELECT FROM_UNIXTIME(`tbl_r`.`timestamp`, '%k' ) AS `hour` , `tbl_r`.`count` AS requests, `tbl_v`.`count` AS visitors
					FROM `".DBPREFIX."stats_requests_summary` AS tbl_r
		 LEFT OUTER JOIN `".DBPREFIX."stats_visitors_summary` AS tbl_v
					  ON FROM_UNIXTIME(`tbl_r`.`timestamp`, '%H' ) = FROM_UNIXTIME(`tbl_v`.`timestamp`, '%H' ) AND `tbl_r`.type = `tbl_v`.type
				   WHERE `tbl_r`.`type` = 'hour'";
		$objDb->query($query);
		while ($objDb->next_record()) {
			$this->arrRequests[$objDb->f('hour')] = array(
				'visitors'	=> $objDb->f('visitors'),
				'requests'	=> $objDb->f('requests')
			);
			$this->totalVisitors += $objDb->f('visitors');
			$this->totalRequests += $objDb->f('requests');
		}
		
		$query = "SELECT client_ip, client_host, client_useragent, proxy_ip, proxy_host, proxy_useragent, FROM_UNIXTIME(`timestamp`,'%H:%i:%s') AS last_request
					FROM ".DBPREFIX."stats_visitors WHERE `timestamp` > '".mktime(0,0,0,date('m'),date('d'),date('Y'))."'
					ORDER BY `timestamp` DESC
					".$this->pagingLimit."";
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$arrVisitor = array(
									'client_ip' => $objDb->f('client_ip'),
									'client_host'	=> $objDb->f('client_host'),
									'client_useragent'	=> $objDb->f('client_useragent'),
									'proxy_ip'			=> $objDb->f('proxy_ip'),
									'proxy_host'		=> $objDb->f('proxy_host'),
									'proxy_useragent'	=> $objDb->f('proxy_useragent'),
									'last_request'		=> $objDb->f('last_request')
									);
				array_push($this->arrVisitorsDetails,$arrVisitor);
			}
		}
	}
	
	function _initStatisticsDays() {
		global $objDb;
		
		// remove outdated visitor and request entries in the summary
		$this->_removeOutdatedEntries();
		
		// get statistics
		$query = "SELECT FROM_UNIXTIME(`tbl_r`.`timestamp`, '%e' ) AS `day` , `tbl_r`.`count` AS requests, `tbl_v`.`count` AS visitors
					FROM `".DBPREFIX."stats_requests_summary` AS tbl_r
		 LEFT OUTER JOIN `".DBPREFIX."stats_visitors_summary` AS tbl_v
					  ON FROM_UNIXTIME(`tbl_r`.`timestamp`, '%d' ) = FROM_UNIXTIME(`tbl_v`.`timestamp`, '%d' ) AND `tbl_r`.type = `tbl_v`.type
				   WHERE `tbl_r`.`type` = 'day'";
		$objDb->query($query);
		while ($objDb->next_record()) {
			$this->arrRequests[$objDb->f('day')] = array(
				'visitors'	=> $objDb->f('visitors'),
				'requests'	=> $objDb->f('requests')
			);
			$this->totalVisitors += $objDb->f('visitors');
			$this->totalRequests += $objDb->f('requests');
		}
	}
	
	function _initStatisticsMonths() {
		global $objDb;
		
		// remove outdated visitor and request entries in the summary
		$this->_removeOutdatedEntries();
		
		// get statistics
		$query = "SELECT FROM_UNIXTIME(`tbl_r`.`timestamp`, '%c' ) AS `month` , `tbl_r`.`count` AS requests, `tbl_v`.`count` AS visitors
					FROM `".DBPREFIX."stats_requests_summary` AS tbl_r
		 LEFT OUTER JOIN `".DBPREFIX."stats_visitors_summary` AS tbl_v
					  ON FROM_UNIXTIME(`tbl_r`.`timestamp`, '%m' ) = FROM_UNIXTIME(`tbl_v`.`timestamp`, '%m' ) AND `tbl_r`.type = `tbl_v`.type
				   WHERE `tbl_r`.`type` = 'month'";
		$objDb->query($query);
		while ($objDb->next_record()) {
			$this->arrRequests[$objDb->f('month')] = array(
				'visitors'	=> $objDb->f('visitors'),
				'requests'	=> $objDb->f('requests')
			);
			$this->totalVisitors += $objDb->f('visitors');
			$this->totalRequests += $objDb->f('requests');
		}
	}
	
	function _initStatisticsYears() {
		global $objDb;
		
		// remove outdated visitor and request entries in the summary
		$this->_removeOutdatedEntries();
		
		// get statistics
		$query = "SELECT FROM_UNIXTIME(`tbl_r`.`timestamp`, '%Y' ) AS `year` , `tbl_r`.`count` AS requests, `tbl_v`.`count` AS visitors
					FROM `".DBPREFIX."stats_requests_summary` AS tbl_r
		 LEFT OUTER JOIN `".DBPREFIX."stats_visitors_summary` AS tbl_v
					  ON FROM_UNIXTIME(`tbl_r`.`timestamp`, '%Y' ) = FROM_UNIXTIME(`tbl_v`.`timestamp`, '%Y' ) AND `tbl_r`.type = `tbl_v`.type
				   WHERE `tbl_r`.`type` = 'year'
				ORDER BY `year`";
		$objDb->query($query);
		while ($objDb->next_record()) {
			$this->arrRequests[$objDb->f('year')] = array(
				'visitors'	=> $objDb->f('visitors'),
				'requests'	=> $objDb->f('requests')
			);
			$this->totalVisitors += $objDb->f('visitors');
			$this->totalRequests += $objDb->f('requests');
		}
	}
	
	function _initMostViewedPages() {
		global $objDb;
		
		$query = "SELECT `content`.`title`, `stats`.`page`, `stats`.`visits`, FROM_UNIXTIME(`stats`.`timestamp`,'%d-%m-%Y %H:%i:%s') AS `last_request`
					FROM `".DBPREFIX."stats_requests` AS `stats`
		 LEFT OUTER JOIN `".DBPREFIX."content` AS `content`
					  ON `stats`.`pageId` = `content`.`id`
				ORDER BY `visits` DESC, `last_request` DESC
						".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$arrPage = array(
					'title' => strlen($objDb->f('title'))>0 ? $objDb->f('title') : "No title",
					'page' => $objDb->f('page'),
					'requests' => $objDb->f('visits'),
					'last_request' => $objDb->f('last_request')
				);
				array_push($this->arrMostViewedPages, $arrPage);
				$this->mostViewedPagesSum += $objDb->f('visits');
			}
		}
		if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`visits`) AS `visits_sum` FROM `".DBPREFIX."stats_requests`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->mostViewedPagesSum = $objDb->f('visits_sum');
				}
			}
		}
	}
	
	function _initSpiders() {
		global $objDb;
		
		$query = "SELECT FROM_UNIXTIME(`stats`.`last_indexed`, '%d-%m-%Y %H:%i:%s') as `last_indexed`,
						 `stats`.`page`,
						 `content`.`title`,
						 `stats`.`count`,
						 `stats`.`spider_useragent`,
						 `stats`.`spider_ip`,
						 `stats`.`spider_host`
					FROM `".DBPREFIX."stats_spiders` AS `stats`
		 LEFT OUTER JOIN `".DBPREFIX."content` AS `content`
					  ON `stats`.`pageId` = `content`.`id`
				   ORDER BY last_indexed DESC
				   ".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$arrIndexedPage = array(
					'last_indexed'		=> $objDb->f('last_indexed'),
					'page'				=> $objDb->f('page'),
					'title'				=> strlen($objDb->f('title'))>0 ? $objDb->f('title') : "No title",
					'count'				=> $objDb->f('count'),
					'spider_useragent'	=> $objDb->f('spider_useragent'),
					'spider_ip'			=> $objDb->f('spider_ip'),
					'spider_host'		=> $objDb->f('spider_host')
				);
				array_push($this->arrIndexedPages, $arrIndexedPage);
			}
		}
		
		$query = "SELECT name, FROM_UNIXTIME(`timestamp`, '%d-%m-%Y %H:%i:%s') as last_indexed, `count`
					FROM ".DBPREFIX."stats_spiders_summary
				ORDER BY `count` DESC
				   ".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$arrSpider = array(
					'name'			=> $objDb->f('name'),
					'count'			=> $objDb->f('count'),
					'last_indexed'	=> $objDb->f('last_indexed')
				);
				array_push($this->arrSpiders, $arrSpider);
			}
		}
	}
	
	/**
	* Get online users
	*
	* Get the number of the online users
	*
	* @access	public
	* @global	object	$objDb
	* @return	integer	$onlineUsers
	*/
	function getOnlineUsers() {
		global $objDb;
		
		$onlineUsers = 0;
		
		if ($this->arrConfig['online_timeout']['status']) {
			$query = "SELECT SUM(1) AS `online_users` FROM `".DBPREFIX."stats_visitors` WHERE `timestamp` > '".(time()-$this->arrConfig['online_timeout']['value'])."'";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$onlineUsers = $objDb->f('online_users');
				}
			}
		}
		return $onlineUsers;
	}
	
	/**
    * return the image with the procentualy width or height
    *
    * @param	float	$maxWidth	width if the image is 100% in widht
    * @param	float	$maxHeight	height if the image is 100% in height
    * @param	float	$percWidth	procentualy width
    * @param	float	$percHeight	procentualy height
    * @param 	string	choose the image for the percentbar
    * @param	string	$title	title and alternative text
    * @return	string	the path to the image with procentualy width and height
    */
    function _makePercentBar($maxWidth, $maxHeight, $percWidth, $percHeight, $gif, $title = '')
    {
        $imgWidth = round((($maxWidth * $percWidth) / 100),0);
        $imgHeight = round((($maxHeight * $percHeight) / 100),0);
        
        $imgPath = ASCMS_MODULE_IMAGE_WEB_PATH .'/stats/'.($maxWidth > $maxHeight ? $gif : $gif.'_v').'.gif';
        return "<img src=\"$imgPath\" height=\"$imgHeight\" width=\"$imgWidth\" title=\"$title\" alt=\"$title\" />";
    }
	
    
    function _initSearchTerms() {
    	global $objDb;
    	
    	$query = "SELECT `name`, `count` FROM `".DBPREFIX."stats_search`
    			ORDER BY `count` DESC
    			  ".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
	    		$arrSearchTerm = array(
	    			'name'	=> stripslashes($objDb->f('name')),
	    			'count'	=> $objDb->f('count')
	    		);
	    		array_push($this->arrSearchTerms, $arrSearchTerm);
    		}
    	}
    }
	
	function _initClientStatistics() {
		global $objDb;
		
		// get browser statistics
		$query = "SELECT `name`, `count` FROM `".DBPREFIX."stats_browser`
				ORDER BY `count` DESC
				".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrBrowsers[$objDb->f('name')] = $objDb->f('count');
    			$this->browserSum += $objDb->f('count');
    		}
    	}
    	if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_browser`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->browserSum = $objDb->f('count_sum');
				}
			}
		}
    	
    	// get javascript statistics
    	$query = "SELECT `support`, `count` FROM `".DBPREFIX."stats_javascript`
    			   ".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrSupportJavaScript[$objDb->f('support')] = $objDb->f('count');
    			$this->supportJavaScriptSum += $objDb->f('count');
    		};
    	}
    	
    	// get operating system statistics
    	$query = "SELECT `name`, `count` FROM `".DBPREFIX."stats_operatingsystem`
				ORDER BY `count` DESC
				   ".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrOperatingSystems[$objDb->f('name')] = $objDb->f('count');
    			$this->operatingSystemsSum += $objDb->f('count');
    		}
    	}
    	if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_operatingsystem`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->operatingSystemsSum = $objDb->f('count_sum');
				}
			}
		}
		
    	// get screen resolution statistics
    	$query = "SELECT `resolution`, `count` FROM `".DBPREFIX."stats_screenresolution`
				ORDER BY `count` DESC
				   ".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrScreenResolutions[$objDb->f('resolution')] = $objDb->f('count');
    			$this->screenResolutionSum += $objDb->f('count');
    		}
    	}
    	 if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_screenresolution`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->screenResolutionSum = $objDb->f('count_sum');
				}
			}
		}
		
		// get colour depth statistics
    	$query = "SELECT `depth`, `count` FROM `".DBPREFIX."stats_colourdepth`
				ORDER BY `count` DESC
				   ".$this->pagingLimit;
    	if ($objDb->query($query)) {
    		while ($objDb->next_record()) {
    			$this->arrColourDepths[$objDb->f('depth')] = $objDb->f('count');
    			$this->colourDepthSum += $objDb->f('count');
    		}
    	}
    	if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_colourdepth`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->colourDepthSum = $objDb->f('count_sum');
				}
			}
		}
		
		// get hostname statistics
		$query = "SELECT `hostname`, `count` FROM `".DBPREFIX."stats_hostname`
				ORDER BY `count` DESC
					".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$this->arrHostnames[$objDb->f('hostname')] = $objDb->f('count');
				$this->hostnamesSum += $objDb->f('count');
			}
		}
    	if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_hostname`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->hostnamesSum = $objDb->f('count_sum');
				}
			}
		}
		
		// get coutry of origin statistics
		$query = "SELECT `country`, `count` FROM `".DBPREFIX."stats_country`
				ORDER BY `count` DESC
					".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$this->arrCountries[$objDb->f('country')] = $objDb->f('count');
				$this->countriesSum += $objDb->f('count');
			}
		}
    	if ($objDb->num_rows() == $this->arrConfig['paging_limit']['value']) {
			$query = "SELECT SUM(`count`) AS `count_sum` FROM `".DBPREFIX."stats_country`";
			if ($objDb->query($query)) {
				if ($objDb->next_record()) {
					$this->countriesSum = $objDb->f('count_sum');
				}
			}
		}
	}
	
	/**
	* Init referer
	*
	* Initialize the referer statistics
	*
	* @access	private
	* @global	object	$objDb
	*/
	function _initReferer() {
		global $objDb;
		
		$query = "SELECT `uri`, `timestamp` FROM `".DBPREFIX."stats_referer`
				ORDER BY `timestamp` DESC
					".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$lastRefer = array(
					'uri'		=> $objDb->f('uri'),
					'timestamp'	=> $objDb->f('timestamp')
				);
				array_push($this->arrLastReferer, $lastRefer);
			}
		}
		$query = "SELECT `uri`, `count` FROM `".DBPREFIX."stats_referer`
				ORDER BY `count` DESC, `uri` ASC
					".$this->pagingLimit;
		if ($objDb->query($query)) {
			while ($objDb->next_record()) {
				$topRefer = array(
					'uri'		=> $objDb->f('uri'),
					'count'		=> $objDb->f('count')
				);
				array_push($this->arrTopReferer, $topRefer);
			}
		}
	}
	
	/**
	* Save settings
	*
	* Save the statistic settings
	*
	* @access	private
	* @global	object	$objDb
	* @see	_initConfiguration()
	*/
	function _saveSettings() {
		global $objDb, $_ARRAYLANG;
		
		$statusMessage = "";
		
		$makeStatistics = (boolean) isset($_POST['options']['make_statistics']) ? $_POST['options']['make_statistics'] : 0;
		
		if ($makeStatistics) {
			$countRequests = (boolean) isset($_POST['options']['count_requests']) ? $_POST['options']['count_requests'] : 0;
			$removeRequestsStatus = (boolean) isset($_POST['options']['remove_requests_status']) ? $_POST['options']['remove_requests_status'] : 0;
			$removeRequests = (int) isset($_POST['options']['remove_requests']) ? $_POST['options']['remove_requests'] : $this->arrConfig['remove_requests']['value'];
			$countReferer = (boolean) isset($_POST['options']['count_referer']) ? $_POST['options']['count_referer'] : 0;
			$countHostname = (boolean) isset($_POST['options']['count_hostname']) ? $_POST['options']['count_hostname'] : 0;
			$countCountry = (boolean) isset($_POST['options']['count_country']) ? $_POST['options']['count_country'] : 0;
			$countBrowser = (boolean) isset($_POST['options']['count_browser']) ? $_POST['options']['count_browser'] : 0;
			$countOS = (boolean) isset($_POST['options']['count_operating_system']) ? $_POST['options']['count_operating_system'] : 0;
			$countSpiders = (boolean) isset($_POST['options']['count_spiders']) ? $_POST['options']['count_spiders'] : 0;
			$countSearchTerms = (boolean) isset($_POST['options']['count_search_terms']) ? $_POST['options']['count_search_terms'] : 0;
			$countResolution = (boolean) isset($_POST['options']['count_screen_resolution']) ? $_POST['options']['count_screen_resolution'] : 0;
			$countColour = (boolean) isset($_POST['options']['count_colour_depth']) ? $_POST['options']['count_colour_depth'] : 0;
			$countJavascript = (boolean) isset($_POST['options']['count_javascript']) ? $_POST['options']['count_javascript'] : 0;
			$onlineTimeoutStatus = (boolean) isset($_POST['options']['online_timeout_status']) ? $_POST['options']['online_timeout_status'] : 0;
			$onlineTimeout = (int) isset($_POST['options']['online_timeout']) ? $_POST['options']['online_timeout'] : $this->arrConfig['online_timeout']['value'];
			$reloadBlockTime = (int) isset($_POST['options']['reload_block_time']) ? $_POST['options']['reload_block_time'] : $this->arrConfig['reload_block_time']['value'];
			$pagingLimit = (int) isset($_POST['options']['paging_limit']) ? $_POST['options']['paging_limit'] : $this->arrConfig['paging_limit']['value'];
			
			if ($countRequests != $this->arrConfig['count_requests']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countRequests." WHERE `name` = 'count_requests'";
				$objDb->query($query);
			}
			
			if ($removeRequestsStatus != $this->arrConfig['remove_requests']['status']) {
				if (!$removeRequestsStatus) {
					$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = 0 WHERE `name` = 'remove_requests'";
					$objDb->query($query);
				} else {
					if ($removeRequests < 86400 || $removeRequests > 31536000) {
						$statusMessage .= $_ARRAYLANG['TXT_REMOVE_REQUESTS_TIMEOUT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
					} else {
						$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = 1, `value` = ".$removeRequests." WHERE `name` = 'remove_requests'";
						$objDb->query($query);
					}
				}
			} else {
				if ($removeRequests < 86400 || $removeRequests > 31536000) {
					$statusMessage .= $_ARRAYLANG['TXT_REMOVE_REQUESTS_TIMEOUT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
				} else {
					$query = "UPDATE `".DBPREFIX."stats_config` SET `value` = ".$removeRequests." WHERE `name` = 'remove_requests'";
					$objDb->query($query);
				}
			}
			
			if ($onlineTimeoutStatus != $this->arrConfig['online_timeout']['status']) {
				// status wurde gendert
				if (!$onlineTimeoutStatus) {
					// deaktiviert
					$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = 0 WHERE `name` = 'online_timeout'";
					$objDb->query($query);
				} else {
					// aktiviert
					if ($onlineTimeout < 60 || $onlineTimeout > 3600) {
						$statusMessage .= $_ARRAYLANG['TXT_ONLINE_TIMEOUT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
					} else {
						$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = 1, `value` = ".$onlineTimeout." WHERE `name` = 'online_timeout'";
						$objDb->query($query);
					}
				}
			} else {
				if ($onlineTimeout < 60 || $onlineTimeout > 3600) {
					$statusMessage .= $_ARRAYLANG['TXT_ONLINE_TIMEOUT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
				} else {
					$query = "UPDATE `".DBPREFIX."stats_config` SET `value` = ".$onlineTimeout." WHERE `name` = 'online_timeout'";
					$objDb->query($query);
				}
			}
			
			
			if ($pagingLimit != $this->arrConfig['paging_limit']['value']) {
				if ($pagingLimit < 1 || $pagingLimit > 100) {
					$statusMessage .= $_ARRAYLANG['TXT_PAGING_LIMIT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
				} else {
					$query = "UPDATE `".DBPREFIX."stats_config` SET `value` = ".$pagingLimit." WHERE `name` = 'paging_limit'";
				}
				$objDb->query($query);
			}
			
			if ($reloadBlockTime != $this->arrConfig['reload_block_time']['value']) {
				if ($reloadBlockTime < 3600 || $reloadBlockTime > 86400) {
					$statusMessage .= $_ARRAYLANG['TXT_RELOAD_BLOCK_TIMEOUT'].': '.$_ARRAYLANG['TXT_VALUE_IS_NOT_IN_RANGE'];
				} else {
					$query = "UPDATE `".DBPREFIX."stats_config` SET `value` = ".$reloadBlockTime." WHERE `name` = 'reload_block_time'";
					$objDb->query($query);
				}
			}
			
			
			if ($makeStatistics != $this->arrConfig['make_statistics']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$makeStatistics." WHERE `name` = 'make_statistics'";
				$objDb->query($query);
			}
			if ($countReferer != $this->arrConfig['count_referer']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countReferer." WHERE `name` = 'count_referer'";
				$objDb->query($query);
			}
			if ($countHostname != $this->arrConfig['count_hostname']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countHostname." WHERE `name` = 'count_hostname'";
				$objDb->query($query);
			}
			if ($countCountry != $this->arrConfig['count_country']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countCountry." WHERE `name` = 'count_country'";
				$objDb->query($query);
			}
			if ($countBrowser != $this->arrConfig['count_browser']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countBrowser." WHERE `name` = 'count_browser'";
				$objDb->query($query);
			}
			if ($countOS != $this->arrConfig['count_operating_system']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countOS." WHERE `name` = 'count_operating_system'";
				$objDb->query($query);
			}
			if ($countSpiders != $this->arrConfig['count_spiders']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countSpiders." WHERE `name` = 'count_spiders'";
				$objDb->query($query);
			}
			if ($countSearchTerms != $this->arrConfig['count_search_terms']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countSearchTerms." WHERE `name` = 'count_search_terms'";
				$objDb->query($query);
			}
			if ($countResolution != $this->arrConfig['count_screen_resolution']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countResolution." WHERE `name` = 'count_screen_resolution'";
				$objDb->query($query);
			}
			if ($countColour != $this->arrConfig['count_colour_depth']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countColour." WHERE `name` = 'count_colour_depth'";
				$objDb->query($query);
			}
			if ($countJavascript != $this->arrConfig['count_javascript']['status']) {
				$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = ".$countJavascript." WHERE `name` = 'count_javascript'";
				$objDb->query($query);
			}	
		} else {
			$query = "UPDATE `".DBPREFIX."stats_config` SET `status` = 0 WHERE `name` = 'make_statistics'";
			$objDb->query($query);
		}
		
		// reinitialize configuration
		$this->_initConfiguration();
		return $statusMessage;
	}
	
	function _deleteStatistics() {
		global $objDb, $objPerm, $_ARRAYLANG;
		
		$statusMessage = "";
		
		$objPerm->checkPerm(40);
		
		if (isset($_POST['statistics'])) {
			foreach ($_POST['statistics'] as $type) {
				switch ($type) {
					case 'requests':
						$query = "DELETE FROM `".DBPREFIX."stats_visitors_summary`";
						if ($objDb->query($query)) {
							$query = "DELETE FROM `".DBPREFIX."stats_requests_summary`";
							if ($objDb->query($query)) {
								
								$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_VISITORS_AND_PAGE_VIEWS']."<br />";
								break;
							}
						}
						$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_VISITORS_AND_PAGE_VIEWS']."<br />";
						break;
						
					case 'visitors':
						$query = "DELETE FROM `".DBPREFIX."stats_visitors`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_VISITOR_DETAIL_FROM_TODAY']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_VISITOR_DETAIL_FROM_TODAY']."<br />";
						}
						break;
					
					case 'hostname':
						$query = "DELETE FROM `".DBPREFIX."stats_hostname`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_DOMAIN']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_DOMAIN']."<br />";
						}
						break;

					case 'country':
						$query = "DELETE FROM `".DBPREFIX."stats_country`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_COUNTRIES_OF_ORIGIN']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_COUNTRIES_OF_ORIGIN']."<br />";
						}
						break;
						
					case 'mvp':
						$query = "DELETE FROM `".DBPREFIX."stats_requests`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_MOST_POPULAR_PAGES']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_MOST_POPULAR_PAGES']."<br />";
						}
						break;
						
					case 'referer':
						$query = "DELETE FROM `".DBPREFIX."stats_referer`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_REFERER']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_REFERER']."<br />";
						}
						break;
						
					case 'browsers':
						$query = "DELETE FROM `".DBPREFIX."stats_browser`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_BROWSERS']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_BROWSERS']."<br />";
						}
						break;
					
					case 'os':
						$query = "DELETE FROM `".DBPREFIX."stats_operatingsystem`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_OPERATING_SYSTEMS']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_OPERATING_SYSTEMS']."<br />";
						}
						break;
						
					case 'search':
						$query = "DELETE FROM `".DBPREFIX."stats_search`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_SEARCH_TERMS']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_SEARCH_TERMS']."<br />";
						}
						break;
						
					case 'spiders':
						$query = "DELETE FROM `".DBPREFIX."stats_spiders_summary`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_SEARCH_ENGINES']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_SEARCH_ENGINES']."<br />";
						}
						break;
					
					case 'indexedPages':
						$query = "DELETE FROM `".DBPREFIX."stats_spiders`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_INDEXED_PAGES']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_INDEXED_PAGES']."<br />";
						}
						break;
						
					case 'resolution':
						$query = "DELETE FROM `".DBPREFIX."stats_screenresolution`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_SCREEN_RESOLUTION']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_SCREEN_RESOLUTION']."<br />";
						}
						break;
						
					case 'colour':
						$query = "DELETE FROM `".DBPREFIX."stats_colourdepth`";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_COLOUR_DEPTH']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_COLOUR_DEPTH']."<br />";
						}
						break;
						
					case 'javascript':
						$query = "UPDATE `".DBPREFIX."stats_javascript` SET `count` = 0";
						if ($objDb->query($query)) {
							$statusMessage .= "".$_ARRAYLANG['TXT_STATISTIC_DELETED_SUCCESSFULLY']." ".$_ARRAYLANG['TXT_JAVASCRIPT_SUPPORT']."<br />";
						} else {
							$statusMessage .= "".$_ARRAYLANG['TXT_COULD_NOT_DELETE_STATISTIC']." ".$_ARRAYLANG['TXT_JAVASCRIPT_SUPPORT']."<br />";
						}
						break;
				}
			}
		}
		return $statusMessage;
	}
}
?>