<?php
/**
* CMS Main page
*
* The main page for the CMS
*
* @copyright     ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering GmbH 
* @author        ASTALAVISTA Development Team   
* @module        index
* @modulegroup   core   
* @version       $Id:     Exp $     
*/

//-------------------------------------------------------
// Set error reporting
//-------------------------------------------------------
error_reporting (E_ALL ^ E_NOTICE);

$starttime = gettimeofday();

require_once dirname(__FILE__).'/config/configuration.php';

//-------------------------------------------------------
// Check if system is installed
//-------------------------------------------------------
if (CONTEXX_INSTALLED === false) {
	header("Location: installer/index.php");
}


require_once dirname(__FILE__).'/core/API.php';

//-------------------------------------------------------
// Load settings and configuration
//-------------------------------------------------------

$objInit = &new InitCMS();
$_CONFIG = $objInit->loadConfiguration();
$_LANGID = $objInit->getFrontendLangId();

$_CORELANG = $objInit->loadLanguageData('core');
$_ARRAYLANG = $objInit->loadLanguageData();
$_ARRAYLANG = array_merge($_ARRAYLANG,$_CORELANG);

//-------------------------------------------------------
// Webapp Intrusion Detection System
//-------------------------------------------------------

if ($_CONFIG['coreIdsStatus']=='on') {
	$objSecurity = &new Security;
	$_GET = $objSecurity->detectIntrusion($_GET);	
	$_POST = $objSecurity->detectIntrusion($_POST);
	$_COOKIE = $objSecurity->detectIntrusion($_COOKIE); 
	$_REQUEST = $objSecurity->detectIntrusion($_REQUEST);   
}


//-------------------------------------------------------
// initialize objects
//-------------------------------------------------------

// OLD database link object will get removed a.s.a.p!
$db = &new astalavistaDB;

// new database link object
$objDb =&new astalavistaDB;

$template = &new Template();
$template->debug = 0;

$section = isset($_REQUEST['section']) ? $_REQUEST['section'] : "";
$command = isset($_REQUEST['cmd']) ? $_REQUEST['cmd'] : "";
$page = isset($_REQUEST['page']) ? intval($_GET['page']) : "";

$pageId	= $objInit->getPageID($page, $section, $command);
$is_home = $objInit->is_home;

$objNavbar  = &new Navigation($pageId);
$objCounter = &new statsLibrary();
$objCounter->checkForSpider();
$themesPages = $objInit->getTemplates();

$query="SELECT content, 
               title,
               redirect, 
               metadesc, 
               metakeys, 
               metarobots, 
               protected
          FROM ".DBPREFIX."content,
               ".DBPREFIX."content_navigation
         WHERE id = '$pageId' AND id= catid
           AND (startdate<=CURDATE() OR startdate='0000-00-00')
           AND (enddate>=CURDATE() OR enddate='0000-00-00') 
         LIMIT 1";

if(!$db->query($query)){
	header("Location: ?section=error&id=404");
	exit;
}

if ($db->next_record()){
	$page_content 		= stripslashes($db->f("content"));
	$page_title   		= stripslashes($db->f("title"));
	$page_keywords      = stripslashes($db->f("metakeys"));
	$page_robots        = stripslashes($db->f("metarobots"));
	$page_desc    		= stripslashes($db->f("metadesc"));
	$page_redirect 	 	= stripslashes($db->f("redirect"));
	$page_protected     = $db->f("protected");
	$page_template  	= $themesPages['content'];
}

if (!empty($page_redirect)){
	header("Location: " . $page_redirect);
	exit;
}


$template->set_var("SHOPNAVBAR_FILE", "");
$template->set_var("SUBNAV_FILE", "");
$template->set_var("NAVBAR_FILE", "");


//-------------------------------------------------------
// Login module
//-------------------------------------------------------
if ($section=="login") { 	
	$sessionObj=&new cmsSession();			   
	$template->set_var("CONTENT_TEXT", $page_content);		 	    
	$template->set_var(array(			
  		'TXT_USER_NAME'   => $_CORELANG['TXT_USER_NAME'],	  	   	
  		'TXT_PASSWORD'    => $_CORELANG['TXT_PASSWORD'],
	   	'TXT_LOGIN'       => $_CORELANG['TXT_LOGIN'],
	   	'LOGIN_ACTION'    => base64_decode($_REQUEST['redirect'])		
	)); 		
    $template->parse('OUT','CONTENT_TEXT');	  	
}

//-------------------------------------------------------
// authentification for protected pages
//-------------------------------------------------------
if ($page_protected)
{		
	$sessionObj=&new cmsSession();	
	$sessionObj->cmsSessionStatusUpdate($status="frontend");

	$objAuth = &new Auth($type='frontend');		
	if (!$objAuth->checkAuth()){
		$objPerm =&new Permission($type='frontend');
		if (!$objPerm->checkPerm($pageId)){                                           
			$link=base64_encode($_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']);		
			header ("Location: ?section=login&redirect=".$link);
			exit;	
		}
	}
	$loginStatus = $objAuth->status();
}


//-------------------------------------------------------
// start module switches
//-------------------------------------------------------
switch ($section)
{
//-------------------------------------------------------
// eCommerce Module
//-------------------------------------------------------
    case "shop":             
		$modulespath = "modules/shop/index.class.php";
		if (file_exists($modulespath)){
			require_once($modulespath);
			if (!is_object($sessionObj)) $sessionObj=&new cmsSession(); 
			$shopObj = &new Shop($page_content);		
			$template->set_var("CONTENT_TEXT", $shopObj->getShopPage());
			$template->set_var("SHOPNAVBAR_FILE", $shopObj->getShopNavbar($themesPages['shopnavbar']));							
		}
		else{
			die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		}             		     		
		break; 
   
//-------------------------------------------------------
// News module
//-------------------------------------------------------
    case "news":
        $modulespath = "core_modules/news/index.class.php";
        if (file_exists($modulespath)){
            require_once($modulespath);
			$newsObj= &new news($page_content);
			$template->set_var("CONTENT_TEXT", $newsObj->getNewsPage());       
			$newsObj->getPageTitle($page_title);       
			$page_title = $newsObj->newsTitle;             
        }
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);      
        break;  

	
//-------------------------------------------------------
// Guestbook
//-------------------------------------------------------
	case "guestbook":
		$modulespath = "modules/guestbook/index.class.php";
		if (file_exists($modulespath)) {
			require_once($modulespath);
			$objGuestbook = &new Guestbook($page_content);
            $template->set_var("CONTENT_TEXT", $objGuestbook->getPage()); 
		}
		else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
	    break;           		   
    
//-------------------------------------------------------
// DocumentSystem module
//-------------------------------------------------------
    case "docsys":
        $modulespath = "modules/docsys/index.class.php";
        if (file_exists($modulespath)) {
            include($modulespath);
        } else {
            die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		}
        $docSysObj= &new docSys($page_content);
        $template->set_var("CONTENT_TEXT", $docSysObj->getDocSysPage());
        $docSysObj->getPageTitle($page_title);       
        $page_title = $docSysObj->docSysTitle;
        break;
          
//-------------------------------------------------------
// Search Module
//-------------------------------------------------------
    case "search":
        $modulespath = "core_modules/search/index.class.php";
        if (file_exists($modulespath)) include($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);      
        $pos = (isset($_GET['pos'])) ? intval($_GET['pos']) : "";
        $template->set_var("CONTENT_TEXT", search_getSearchPage($pos, $page_content));
        unset($pos);        
        break;

//-------------------------------------------------------
// Contact Module
//-------------------------------------------------------
    case "contact":
        $modulespath = "core_modules/contact/index.class.php";
        if (file_exists($modulespath)) {
            include($modulespath);
        } else {
            die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		}
        $contactObj= &new Contact($page_content);
        $template->set_var("CONTENT_TEXT", $contactObj->getContactPage());
        break;        

//-------------------------------------------------------
// Stats Module
//-------------------------------------------------------
    case "stats":
	        $modulespath = "core_modules/stats/index.class.php";
            if (file_exists($modulespath)) include($modulespath);
            else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
	        $statistic= &new stats($page_content);
            $template->set_var("CONTENT_TEXT", $statistic->getContent());
            break;
            
//-------------------------------------------------------
// Sitemap Core
//-------------------------------------------------------
    case "ids":	
        $template->set_var('CONTENT_TEXT', $page_content);					
        $template->parse('OUT', 'CONTENT_TEXT');
        break;
        
//-------------------------------------------------------
// Sitemapping
//-------------------------------------------------------
  case "sitemap":                  
        $modulespath = "core_modules/sitemap/index.class.php";
        if (file_exists($modulespath))include_once($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
        $sitemap = &new sitemap($page_content);	      
        $template->set_var('CONTENT_TEXT', $sitemap->getSitemapContent());
        break;
                      
//-------------------------------------------------------
// media Core
//-------------------------------------------------------
	case "media":
	    if(!is_object($sessionObj)) $sessionObj = &new cmsSession(); 
		$modulespath = ASCMS_CORE_MODULE_PATH . '/media/index.class.php';
		if (file_exists($modulespath)) include_once($modulespath);
		else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']); 
		$objMedia = &new MediaManager($page_content);	       
		$template->set_var('CONTENT_TEXT', $objMedia->getMediaPage());
		break;  
        
//-------------------------------------------------------
// newsletter Module
//-------------------------------------------------------
  case "newsletter":                  
        $modulespath = "modules/newsletter/index.class.php";
        if (file_exists($modulespath))include_once($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
        $newsletter = &new newsletter($page_content);	        
        $template->set_var('CONTENT_TEXT', $newsletter->getPage());
        break;
        
//-------------------------------------------------------
// gallery Module
//-------------------------------------------------------
	case "gallery":
		$modulespath = "modules/gallery/index.class.php";	
        if (file_exists($modulespath)) {
        	require_once($modulespath);
        	$objGallery = &new Gallery($page_content);
        	$template->set_var("CONTENT_TEXT", $objGallery->getPage()); 
        } else { 
        	die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
        } 
	break;

//-------------------------------------------------------
// Voting
//-------------------------------------------------------
	case "voting":	
		$modulespath = "modules/voting/index.class.php";
		if (file_exists($modulespath)) include_once($modulespath);
		else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']); 		
		$template->set_var("CONTENT_TEXT", votingShowCurrent($page_content));	
	    break;

//-------------------------------------------------------
// News Feed Module
//-------------------------------------------------------
  case "feed":                
        $modulespath = "modules/feed/index.class.php";
        if (file_exists($modulespath)) include_once($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']); 
        $objFeed = &new feed($page_content);	       
        $template->set_var('CONTENT_TEXT', $objFeed->getFeedPage());
        break;  	        
	    
//-------------------------------------------------------
// Calendar Module
//-------------------------------------------------------
  case "calendar":                
        $modulespath = "modules/calendar/index.class.php";
        if (file_exists($modulespath)) include_once($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']); 
        $calendar = &new calendar($page_content);	       
        $template->set_var("CONTENT_TEXT", $calendar->getCalendarPage());
        break;  	        
	    
//-------------------------------------------------------
// Forum Module
//-------------------------------------------------------
  case "forum":   
  		$sessionObj=&new cmsSession();               
        $modulespath = "modules/forum/index.class.php";
        if (file_exists($modulespath))include_once($modulespath);
        else die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']); 
        $forum = &new forum($page_content);	   
        if ($_REQUEST['forumLogin']) {			
			if ($_SESSION['forum']['userstatus']!=1) {
				if (!$forum->checklogin()){                                                 
					$link=base64_encode($_SERVER['PHP_SELF'].'?'.$_SERVER['QUERY_STRING']);		
					header ("Location: ?section=login&redirect=".$link);	
				} else {																					
					$_SESSION['forum']['userstatus']=1;
				}
			}	
		}     
        $template->set_var("CONTENT_TEXT", $forum->getPage());
        break;   
        	    
//-------------------------------------------------------
// logout
//-------------------------------------------------------
	case "logout":	
		$sessionObj=&new cmsSession();	
	    $objAuth =&new Auth($type='public');
	    $objAuth->logout();
	    break;
	    
//-------------------------------------------------------
// error module
//-------------------------------------------------------
    case "error":
        $modulespath = "core/error.class.php";
        if (file_exists($modulespath)){
            require($modulespath);
        } else {
            die ($_CORELANG['TXT_THIS_MODULE_DOESNT_EXISTS']);
		}
        $errorObj= &new error($page_content);
        $template->set_var("CONTENT_TEXT", $errorObj->getErrorPage());
        break;	       

//-------------------------------------------------------
// default case
//-------------------------------------------------------       
    default:
        $template->set_var("CONTENT_TEXT", $page_content);
}


//-------------------------------------------------------
// Start page or default page for no section
//-------------------------------------------------------
if ($is_home){		
	$page_template  = $themesPages['home'];	
}

//-------------------------------------------------------
// Get Headlines
//-------------------------------------------------------
$modulespath = "core_modules/news/headlines.class.php";
if (file_exists($modulespath)) include_once($modulespath);
$newsHeadlinesObj= &new newsHeadlines($themesPages['headlines']); 
$template->set_var("HEADLINES_FILE", $newsHeadlinesObj->getHomeHeadlines());

//-------------------------------------------------------
// show shop navbar on each page
//-------------------------------------------------------
if(isset($_CONFIGURATION['custom']['shopnavbar']) AND $_CONFIGURATION['custom']['shopnavbar']== TRUE) {
	if (!is_object($shopObj)){
		$modulespath = "modules/shop/index.class.php";
		if (file_exists($modulespath)){
			require_once($modulespath);
			if (!is_object($sessionObj)) $sessionObj=&new cmsSession(); 
			$_ARRAYSHOPLANG = $objInit->loadLanguageData('shop');
			$_ARRAYLANG = array_merge($_ARRAYLANG, $_ARRAYSHOPLANG);
			$shopObj = &new Shop("");		
			$template->set_var("SHOPNAVBAR_FILE", $shopObj->getShopNavbar($themesPages['shopnavbar']));							
		}
	}
}


//-------------------------------------------------------
// set global template variables
//-------------------------------------------------------
if(!isset($loginStatus))$loginStatus='';

$template->set_var(array(
    'CHARSET'				=> $objInit->getFrontendLangCharset(),
    'TITLE'         		=> $page_title,
    'METAKEYS'	        	=> $page_keywords,
    'METADESC'	        	=> $page_desc,
    'METAROBOTS'            => $page_robots,
    'CONTENT_TITLE'		   	=> $page_title,
    'DATE'					=> showFormattedDate(),
    'NAVTREE'				=> $objNavbar->getTrail(),
    'SUBNAVBAR_FILE'  		=> $objNavbar->getNavigation($themesPages['subnavbar']), 
    'NAVBAR_FILE'  			=> $objNavbar->getNavigation($themesPages['navbar']), 
    'ONLINE_USERS'			=> $objCounter->getOnlineUsers(),
    'COUNTER'				=> $objCounter->getCounterTag(),
    'VERSION'			   	=> $_CONFIG['coreCmsName']." ".$_CONFIG['coreCmsVersion'],
    'LANGUAGE_NAVBAR'		=> $objNavbar->getFrontendLangNavigation(),
    'LOGGING_STATUS'        => $loginStatus,
    'RANDOM'                => md5(microtime()),
    'TXT_SEARCH'			=> $_CORELANG['TXT_SEARCH']
));

//-------------------------------------------------------
// parse system
//-------------------------------------------------------
$parsingtime = gettimeofday();
$time = round(($parsingtime['sec'] + $parsingtime['usec'] / 1000000) - ($starttime['sec'] + $starttime['usec'] / 1000000), 5);
$template->set_var('PARSING_TIME', $time);

$template->set_var(array(
	'INDEX' 	  => $themesPages['index'],
	'CONTENT'     => $page_template,
	'SIDEBAR'     => $themesPages['sidebar'],
	'JAVASCRIPT'  => $themesPages['javascript'],
	'STYLE'       => $themesPages['style'],
	'BUILDIN_STYLE'  => $themesPages['buildin_style']
));

$template->parse('CONTENT_FILE','CONTENT');
$template->parse('SIDEBAR_FILE','SIDEBAR');
$template->parse('JAVASCRIPT_FILE','JAVASCRIPT');
$template->parse('STYLE_FILE','STYLE');
$template->parse('BUILDIN_STYLE_FILE','BUILDIN_STYLE');
$template->pparse('OUT','INDEX');
?>