DROP TABLE IF EXISTS `contrexx_backend_areas`;
CREATE TABLE `contrexx_backend_areas` (
  `area_id` smallint(6) NOT NULL auto_increment,
  `parent_area_id` smallint(6) NOT NULL default '0',
  `type` enum('group','function','navigation') default 'navigation',
  `area_name` varchar(100) default NULL,
  `is_active` tinyint(4) NOT NULL default '1',
  `uri` varchar(255) NOT NULL default '',
  `target` varchar(50) NOT NULL default '_self',
  `module_id` smallint(6) NOT NULL default '0',
  `order_id` smallint(6) NOT NULL default '0',
  PRIMARY KEY  (`area_id`),
  KEY `area_name` (`area_name`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_backend_areas`
-- 

INSERT INTO `contrexx_backend_areas` VALUES (1, 0, 'group', 'TXT_CONTENT_MANAGEMENT', 1, '', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (2, 0, 'group', 'TXT_MODULE', 1, '', '_self', 1, 2);
INSERT INTO `contrexx_backend_areas` VALUES (3, 0, 'group', 'TXT_ADMINISTRATION', 1, '', '_self', 1, 3);
INSERT INTO `contrexx_backend_areas` VALUES (4, 0, 'group', 'TXT_SYSTEM_INFO', 1, '', '_new', 1, 4);
INSERT INTO `contrexx_backend_areas` VALUES (5, 1, 'navigation', 'TXT_NEW_PAGE', 1, 'index.php?cmd=content&act=new', '_self', 1, 1);
INSERT INTO `contrexx_backend_areas` VALUES (6, 1, 'navigation', 'TXT_CONTENT_MANAGER', 1, 'index.php?cmd=content', '_self', 1, 2);
INSERT INTO `contrexx_backend_areas` VALUES (7, 1, 'navigation', 'TXT_MEDIA_MANAGER', 1, 'index.php?cmd=media', '_self', 1, 3);
INSERT INTO `contrexx_backend_areas` VALUES (8, 1, 'navigation', 'TXT_SITE_PREVIEW', 1, '../index.php', '_blank', 1, 5);
INSERT INTO `contrexx_backend_areas` VALUES (10, 1, 'navigation', 'TXT_NEWS_MANAGER', 1, 'index.php?cmd=news', '_self', 8, 4);
INSERT INTO `contrexx_backend_areas` VALUES (9, 2, 'navigation', 'TXT_GUESTBOOK', 1, 'index.php?cmd=guestbook', '_self', 10, 0);
INSERT INTO `contrexx_backend_areas` VALUES (11, 2, 'navigation', 'TXT_DOC_SYS_MANAGER', 1, 'index.php?cmd=docsys', '_self', 19, 0);
INSERT INTO `contrexx_backend_areas` VALUES (12, 2, 'navigation', 'TXT_THUMBNAIL_GALLERY', 1, 'index.php?cmd=gallery', '_self', 3, 0);
INSERT INTO `contrexx_backend_areas` VALUES (13, 2, 'navigation', 'TXT_SHOP', 1, 'index.php?cmd=shop', '_self', 16, 0);
INSERT INTO `contrexx_backend_areas` VALUES (14, 2, 'navigation', 'TXT_VOTING', 1, 'index.php?cmd=voting', '_self', 17, 0);
INSERT INTO `contrexx_backend_areas` VALUES (15, 2, 'navigation', 'TXT_FORUM', 0, 'index.php?cmd=forum', '_self', 20, 0);
INSERT INTO `contrexx_backend_areas` VALUES (16, 2, 'navigation', 'TXT_CALENDAR', 1, 'index.php?cmd=calendar', '_self', 21, 0);
INSERT INTO `contrexx_backend_areas` VALUES (25, 2, 'navigation', 'TXT_NEWSLETTER', 1, 'index.php?cmd=newsletter', '_self', 4, 0);
INSERT INTO `contrexx_backend_areas` VALUES (27, 2, 'navigation', 'TXT_NEWS_SYNDICATION', 1, 'index.php?cmd=feed', '_self', 22, 0);
INSERT INTO `contrexx_backend_areas` VALUES (17, 3, 'navigation', 'TXT_SYSTEM_SETTINGS', 1, 'index.php?cmd=settings', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (18, 3, 'navigation', 'TXT_USER_ADMINISTRATION', 1, 'index.php?cmd=user', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (19, 3, 'navigation', 'TXT_STATS', 1, 'index.php?cmd=stats', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (20, 3, 'navigation', 'TXT_BACKUP', 1, 'index.php?cmd=backup', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (21, 3, 'navigation', 'TXT_DESIGN_MANAGEMENT', 1, 'index.php?cmd=skins', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (22, 3, 'navigation', 'TXT_LANGUAGE_SETTINGS', 1, 'index.php?cmd=language', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (23, 3, 'navigation', 'TXT_MODULE_MANAGER', 1, 'index.php?cmd=modulemanager', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (24, 4, 'navigation', 'TXT_SERVER_INFO', 1, 'index.php?cmd=server', '_self', 1, 0);
INSERT INTO `contrexx_backend_areas` VALUES (26, 6, 'function', 'TXT_DELETE_PAGES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (35, 6, 'function', 'TXT_EDIT_PAGES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (36, 6, 'function', 'TXT_ACCESS_CONTROL', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (37, 6, 'function', 'TXT_ADD_REPOSITORY', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (38, 7, 'function', 'TXT_MODIFY_MEDIA_FILES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (39, 7, 'function', 'TXT_UPLOAD_MEDIA_FILES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (28, 18, 'function', 'TXT_DELETE_USERS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (29, 18, 'function', 'TXT_ADD_USERS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (31, 18, 'function', 'TXT_EDIT_USERINFOS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (30, 18, 'function', 'TXT_DELETE_GROUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (33, 18, 'function', 'TXT_ADD_GROUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (34, 18, 'function', 'TXT_EDIT_GROUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (40, 19, 'function', 'TXT_RESET_STATS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (41, 20, 'function', 'TXT_CREATE_BACKUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (42, 20, 'function', 'TXT_RESTORE_BACKUP', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (43, 20, 'function', 'TXT_DELETE_BACKUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (44, 20, 'function', 'TXT_DOWNLOAD_BACKUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (45, 20, 'function', 'TXT_VIEW_BACKUPS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (46, 21, 'function', 'TXT_ACTIVATE_SKINS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (47, 21, 'function', 'TXT_EDIT_SKINS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (48, 22, 'function', 'TXT_EDIT_LANGUAGE_SETTINGS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (49, 22, 'function', 'TXT_DELETE_LANGUAGES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (50, 22, 'function', 'TXT_LANGUAGE_SETTINGS', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (51, 23, 'function', 'TXT_REGISTER_MODULES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (52, 23, 'function', 'TXT_INST_REMO_MODULES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (53, 6, 'function', 'TXT_COPY_DELETE_SITES', 1, '', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (54, 4, 'navigation', 'TXT_NETWORK_TOOLS', 1, 'index.php?cmd=nettools', '_self', 0, 0);
INSERT INTO `contrexx_backend_areas` VALUES (55, 0, 'group', 'TXT_HELP_SUPPORT', 1, '', '_self', 1, 5);
INSERT INTO `contrexx_backend_areas` VALUES (56, 55, 'navigation', 'TXT_SUPPORT_FORUM', 1, 'http://www.contrexx.com/forum/', '_blank', 1, 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_backups`
-- 

DROP TABLE IF EXISTS `contrexx_backups`;
CREATE TABLE `contrexx_backups` (
  `id` smallint(5) NOT NULL auto_increment,
  `date` varchar(14) NOT NULL default '',
  `description` varchar(100) NOT NULL default '',
  `usedtables` text NOT NULL,
  `size` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_backups`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_content`
-- 

DROP TABLE IF EXISTS `contrexx_content`;
CREATE TABLE `contrexx_content` (
  `id` smallint(6) unsigned NOT NULL default '0',
  `content` mediumtext NOT NULL,
  `title` varchar(250) NOT NULL default '',
  `metadesc` varchar(250) NOT NULL default '',
  `metakeys` varchar(250) NOT NULL default '',
  `metarobots` varchar(7) NOT NULL default 'index',
  `redirect` varchar(255) NOT NULL default '',
  `expertmode` set('y','n') NOT NULL default 'n',
  UNIQUE KEY `contentid` (`id`),
  FULLTEXT KEY `fulltextindex` (`title`,`content`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_content`
-- 

INSERT INTO `contrexx_content` VALUES (1, '<p>  Herzlich Willkommen auf der deutschsprachigen <strong>Contrexx&reg; Demo Website</strong>!    </p>\r\n<p>Contrexx&reg; erm&ouml;glicht  Ihnen individuelles, eigenh&auml;ndiges und einfaches Aktualisieren Ihrer Website,  Ihres Intranets oder Extranets. Weder HTML- noch  Programmierungskenntnisse sind notwendig, um Ihr Projekt auf dem neusten  Stand zu halten. Bearbeiten Sie Ihren Internet-Auftritt als w&uuml;rden Sie mit Word  arbeiten. Viele integrierte Module wie etwa (Newsletter, News, EShop usw.)  helfen Ihnen, das Maximum aus Ihrem Internet-Auftritt heraus zu holen.<br/>\r\n<br/>\r\n<strong>Unterhalten Sie Ihren Internetauftritt selbst.&nbsp; Schnell. Einfach. Sicher. <br/>\r\nOhne Software. Ohne Programmierkenntnisse.</strong></p>\r\n<table width=\\"100%\\" cellspacing=\\"1\\" cellpadding=\\"1\\" border=\\"0\\">\r\n    <tbody>\r\n        <tr>\r\n            <td onmouseout=\\"this.style.backgroundColor=\\''\\'';\\" style=\\"text-align: justify;\\" onmouseover=\\"this.style.backgroundColor=\\''#FFD966\\'';\\">&nbsp;Die wichtigsten Vorteile, welche Contrexx&reg; CMS&nbsp;auszeichnen:<br/>\r\n            &gt; Einfache und intuitive Bedienung<br/>\r\n            &gt; Modularer und flexibler Aufbau<br/>\r\n            &gt; Grosse Anzahl an optionalen Modulen<br/>\r\n            &gt; Komfortable Trennung von Design und Inhalt<br/>\r\n            &gt; Browserbasierende Administrationsanwendung<br/>\r\n            &gt; Dezentrale Pflege durch mehrere Benutzer<br/>\r\n            &gt; Bew&auml;hrte und zukunftssichere L&ouml;sung<br/>\r\n            &gt; Geringe Anschaffungs- und Betriebskosten</td>\r\n        </tr>\r\n    </tbody>\r\n</table>\r\n<p>Weitere Informationen zu diesem <a href=\\"http://www.contrexx.com/\\" target=\\"_blank\\">innovativen Web Content Management System</a>.</p>', 'Willkommen', 'Willkommen', 'Willkommen', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (5, '<form action="index.php" method="get">\r\n	<input name="term" value="{SEARCH_TERM}" size="30" maxlength="100" />\r\n	<input value="search" name="section" type="hidden" />\r\n	<input value="{TXT_SEARCH}" name="Submit" type="submit" />\r\n</form>\r\n<br />\r\n{SEARCH_TITLE}<br />\r\n<!-- BEGIN searchrow -->\r\n	{LINK} {COUNT_MATCH}<br />\r\n	{SHORT_CONTENT}<br />\r\n<!-- END searchrow -->\r\n<br />\r\n{SEARCH_PAGING}\r\n<br />\r\n<br />', 'Suchen', 'Suchen', 'Suchen', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (6, 'Ihre Adresse<br/>\r\nIhre Email Adresse\r\n<br/>\r\n<br/>\r\n<form enctype="multipart/form-data" method="post" action="index.php?section=contact&amp;cmd=thanks" name="ContactForm">\r\n<table width="80%" border="0">\r\n<tbody>\r\n<tr>\r\n<td><b>Name</b></td>\r\n<td><input type="text" name="Vorname" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Firmenname</td>\r\n<td><input type="text" name="Name" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Strasse</td>\r\n<td><input type="text" name="Strasse" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>PLZ</td>\r\n<td><input type="text" name="PLZ" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Ort</td>\r\n<td><input type="text" name="Ort" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Land</td>\r\n<td><input type="text" name="Land" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td><b>Telefon</b></td>\r\n<td><input type="text" name="Telefon" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Fax</td>\r\n<td><input type="text" name="Fax" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>E-Mail</td>\r\n<td><input type="text" name="EMail" size="35" style="width: 80%;"/> </td></tr>\r\n<tr>\r\n<td>Bemerkungen&nbsp;</td>\r\n<td><textarea cols="30" rows="7" name="Bemerkungen" style="width: 80%;"></textarea></td></tr>\r\n<tr>\r\n<td>Datei<br/></td>\r\n<td>\r\n<div align="left"><input type="file" name="file" style="width: 80%;"/> </div></td></tr>\r\n<tr>\r\n<td>&nbsp;</td>\r\n<td><input type="reset" name="Reset" value="Lschen"/> &nbsp;&nbsp;&nbsp; \r\n<input type="submit" name="Submit" value="Senden"/> \r\n</td></tr>\r\n</tbody>\r\n</table>\r\n</form>', 'Kontakt', 'Kontakt', 'Kontakt', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (7, 'Formulardaten erhalten', 'Formulardaten erhalten', 'Formulardaten erhalten', 'Formulardaten erhalten', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (8, '<form name=\\"formNews\\" action=\\"index.php?section=news\\" method=\\"post\\">\r\n    <select onchange=\\"this.form.submit()\\" name=\\"category\\">\r\n    <option value=\\"\\" selected=\\"selected\\">{NEWS_NO_CATEGORY}</option>\r\n    {NEWS_CAT_DROPDOWNMENU}</select>\r\n</form>\r\n<br/>\r\n<table id=\\"news\\" cellspacing=\\"0\\" cellpadding=\\"5\\" width=\\"100%\\" border=\\"0\\">\r\n    <tbody>\r\n        <tr>\r\n            <td nowrap=\\"nowrap\\" width=\\"15%\\">{TXT_DATE} </td>\r\n            <td nowrap=\\"nowrap\\" width=\\"70%\\">{TXT_TITLE} </td>\r\n            <td nowrap=\\"nowrap\\" width=\\"15%\\">{TXT_CATEGORY}</td>\r\n        </tr>\r\n        <!-- BEGIN newsrow -->\r\n        <tr>\r\n            <td nowrap=\\"nowrap\\" width=\\"15%\\">{NEWS_DATE}&nbsp;&nbsp;</td>\r\n            <td nowrap=\\"nowrap\\" width=\\"70%\\"><b>{NEWS_LINK}</b>&nbsp;&nbsp;</td>\r\n            <td nowrap=\\"nowrap\\" width=\\"15%\\">{NEWS_CATEGORY}</td>\r\n        </tr>\r\n        <!-- END newsrow -->\r\n    </tbody>\r\n</table>\r\n<br/>\r\n{NEWS_PAGING}<br/>\r\n<br/>', 'News', 'News', 'News', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (9, 'Verffentlicht am: {NEWS_DATE}\r\n<br /><br />\r\n{NEWS_TEXT} <br />\r\n{NEWS_SOURCE}<br />\r\n{NEWS_URL} \r\n<br />\r\n{NEWS_LASTUPDATE}<br />', 'Newsmeldung', 'Newsmeldung', 'Newsmeldung', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (10, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td>&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Downloads', 'Media Archiv, Downloads', 'Media Archiv, Downloads', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (11, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td >&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Media Archiv #2', 'Media Archiv #2', 'Media Archiv #2', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (12, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td>&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Media Archiv #3', 'Media Archiv #3', 'Media Archiv #3', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (13, '<b><a href="index.php?section=guestbook&amp;cmd=post" title="Eintragen">Eintragen</a></b><br />\r\n{GUESTBOOK_TOTAL_ENTRIES} Eintrge im Gstebuch.<br />\r\n{GUESTBOOK_PAGING}<br />\r\n{GUESTBOOK_STATUS}\r\n<table cellspacing="1" cellpadding="1" width="100%" border="0">\r\n	<!-- BEGIN guestbook_row -->\r\n		<tr class="{GUESTBOOK_ROWCLASS}"> \r\n			<td valign="top"><img alt="" hspace="0" src="images/modules/guestbook/post.gif"  border="0" />{GUESTBOOK_DATE} - <strong>{GUESTBOOK_NICK}</strong> {GUESTBOOK_GENDER} {GUESTBOOK_LOCATION}</td>\r\n			<td  valign="top" nowrap="nowrap"><div align="right">{GUESTBOOK_EMAIL} {GUESTBOOK_URL} </div></td>\r\n		</tr>\r\n		<tr class="{GUESTBOOK_ROWCLASS}"> \r\n			<td valign="top" colspan="2"><hr noshade="noshade" size="1" />{GUESTBOOK_COMMENT}<br /><br /></td>\r\n		</tr>\r\n	<!-- END guestbook_row -->\r\n</table>\r\n<br />', 'Gstebuch', 'Gstebuch', 'Gstebuch', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (14, '{GUESTBOOK_JAVASCRIPT}\r\nSie knnen sich hier ins Gstebuch eintragen. <br /> Damit der Eintrag klappt, sollten mindestens alle mit einem <font color="red">*</font> \r\nmarkierten Felder ausgefllt werden. \r\n<br />\r\n<form name="GuestbookForm" action="index.php?section=guestbook" method="post" onsubmit="return validate(this)">\r\n<br />\r\n<b>Name:</b><font color="red"> *</font> <br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="nickname" id="nickname" /> <br /><br /><b>Kommentar:</b><font color="red"> *</font> \r\n<br />\r\n<textarea style="width: 350px;" name="comment" id="comment" rows="6" cols="60"></textarea><br /><br /><b>Geschlecht: </b><font color="red">*</font>\r\n<br />\r\n<input type="radio" checked="checked" value="F" name="malefemale" /> Weiblich<br />\r\n<input type="radio" value="M" name="malefemale" /> Mnnlich<br /><br /><b>Wohnort:</b> <font color="red">*</font>\r\n<br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="location" id="location" /> <br /><b>E-mail:</b>&nbsp;<font color="#ff0000">*</font>\r\n<br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="email" id="email" /> <br /><b>Homepage:</b>\r\n<br />\r\n<input style="width: 350px;" name="url" value="http://" size="60" maxlength="255" /> \r\n<br />\r\n<br />\r\n<input type="reset" value="&nbsp;Reset&nbsp;" name="Submit" />&nbsp;&nbsp;\r\n<input type="submit" value="&nbsp;Speichern&nbsp;" name="Submit" /> \r\n</form>', 'Eintragen', 'Eintragen', 'Eintragen', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (15, '<table width="100%">\r\n<!-- BEGIN row -->\r\n<tr>\r\n<td id="{STYLE}">{SPACER}<a href="{URL}" title="{NAME}">{NAME}</a></td>\r\n</tr>\r\n<!-- END row -->\r\n</table>', 'Sitemap', 'Sitemap', 'Sitemap', 'index', '', 'y');
INSERT INTO `contrexx_content` VALUES (16, '<p>Ihre Eingabe wurde vom <b>ASTALAVISTA&reg; Angriffserkennungs System</b> als unzul&auml;ssig erkannt. <br/><br/>Einige besondere Zeichenfolgen werden vom Intrusion Detection System gefiltert und vom Intrusion Response System blockiert. Wenn Sie finden, dass diese Meldung unrechterweise erscheint, nehmen Sie doch bitte mit uns <a href="mailto:ivan.schmid%20AT%20astalavista%20DOT%20ch">Kontakt</a> auf.<br/><br/><i><b>Aktive Arbitrary Input Module:</b></i> \r\n</p><ul>\r\n<li>SQL Injection \r\n</li><li>Cross-Site Scripting \r\n</li><li>Session Hijacking<br/><br/></li></ul>', 'Alert System', 'Alert System', 'Alert System', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (17, '<table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n<tbody>\r\n<tr>\r\n<td scope="col">\r\n<div align="left">{ERROR_NUMBER} {ERROR_MESSAGE} <br /><br /><strong>Das gewnschte Dokument existiert nicht an dieser Stelle.</strong><br /><br />Das von Ihnen gesuchte Dokument wurde mglicherweise umbenannt, verschoben oder gelscht. Es existieren mehrere Mglichkeiten, um ein Dokument zu finden. Sie knnen auf die Homepage zurckkehren, das Dokument mit Stichworten suchen oder unsere Help Site konsultieren. Um von der letztbesuchten Seite aus weiterzufahren, klicken Sie bitte auf die Schaltflche ''Zurck'' Ihres Browsers. <br /><br />The document you requested does not exist at this location.<br />The document you are looking for may have been renamed, moved or deleted. There are several ways to locate a document. You can return to the Homepage, search for the document using keywords or consult our Help Site. To continue on from the last page you visited, please press the ''Back'' button of your browser. <br /></div></td></tr></tbody></table>', 'Fehlermeldung', 'Fehlermeldung', 'Fehlermeldung', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (31, '<form method="post" action="{LOGIN_ACTION}" name="loginForm"><br/>\r\n<table width="100%" cellspacing="0" cellpadding="2" border="0">\r\n<tbody>\r\n<tr>\r\n<td width="26%" nowrap="nowrap">&nbsp;</td>\r\n<td width="27%">&nbsp;</td>\r\n<td width="3%" rowspan="4">&nbsp;<img width="20" height="28" align="middle" src="/images/modules/login/login_key.gif" alt=""/></td>\r\n<td width="44%" rowspan="4"><br type="_moz"/></td></tr>\r\n<tr>\r\n<td width="26%" nowrap="nowrap">{TXT_USER_NAME}:</td>\r\n<td width="27%"><input name="USERNAME" value="" size="30"/> </td></tr>\r\n<tr>\r\n<td width="26%" nowrap="nowrap">{TXT_PASSWORD}:</td>\r\n<td width="27%"><input type="password" name="PASSWORD" value="" size="30"/> </td></tr>\r\n<tr>\r\n<td width="26%"><br type="_moz"/></td>\r\n<td width="27%"><input type="submit" name="submit" value="{TXT_LOGIN}" size="15" class="input"/> </td></tr></tbody></table></form><br/>', 'Login', 'Login', 'Login', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (37, 'Hier k&ouml;nnen Sie sich die Module anschauen.<br/>', 'Demo Module', 'Demo Module', 'Demo Module', 'index', '', 'n');
INSERT INTO `contrexx_content` VALUES (94, '<script language="JavaScript" type="text/javascript">\r\n<!--  \r\nfunction shopCopyText()  \r\n{\r\n	with (document.shop){\r\n			prefix2.value= prefix.value;\r\n			company2.value= company.value;\r\n			lastname2.value= lastname.value;\r\n			firstname2.value= firstname.value;\r\n			address2.value=address.value;\r\n			zip2.value= zip.value;\r\n			city2.value= city.value;\r\n			phone2.value= phone.value;				\r\n			return true;\r\n	}\r\n}\r\n-->\r\n</script>\r\n<form name="shop" action="{SHOP_ACCOUNT_ACTION}" method="post">\r\n<table cellspacing="2" cellpadding="1" width="100%" border="0">\r\n<tbody>\r\n<tr>\r\n<td colspan="2"><b>{TXT_SHIPPING_ADDRESS}</b></td>\r\n</tr>\r\n<tr>\r\n<td colspan="2"><font color="#ff0000">* </font>{TXT_REQUIRED_FIELDS}<br />\r\n  <table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n    <tbody>\r\n      <tr>\r\n        <td><b><font color="#ff0000">{SHOP_ACCOUNT_STATUS}</font></b></td>\r\n      </tr>\r\n    </tbody>\r\n  </table>\r\n  </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="nowrap">&nbsp;  </td>\r\n  </tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_COMPANY}</td>\r\n<td><input style="width: 70%;" size="30" value="{SHOP_ACCOUNT_COMPANY}" name="company" tabindex="1" /> </td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_GREETING}</td>\r\n<td><input style="width: 70%;" maxlength="50" size="30" value="{SHOP_ACCOUNT_PREFIX}" name="prefix" tabindex="2" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_SURNAME}</td>\r\n<td><input style="width: 70%;" size="30" value="{SHOP_ACCOUNT_LASTNAME}" name="lastname" tabindex="3" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_FIRSTNAME}&nbsp;&nbsp;</td>\r\n<td><input style="width: 70%;" size="30" value="{SHOP_ACCOUNT_FIRSTNAME}" name="firstname" tabindex="4" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_ADDRESS}</td>\r\n<td><input style="width: 70%;" size="30" value="{SHOP_ACCOUNT_ADDRESS}" name="address" tabindex="5" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_POSTALE_CODE}</td>\r\n  <td><input style="width: 70%;" size="6" value="{SHOP_ACCOUNT_ZIP}" name="zip" tabindex="6" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_CITY}</td>\r\n<td> <input style="width: 70%;" value="{SHOP_ACCOUNT_CITY}" name="city" tabindex="7" /> <b><font color="#ff0000">*</font></b> </td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_COUNTRY}</td>\r\n<td>{SHOP_ACCOUNT_COUNTRY}</td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_PHONE_NUMBER}&nbsp;&nbsp;</td>\r\n<td><input style="width: 70%;" value="{SHOP_ACCOUNT_PHONE}" name="phone" tabindex="8" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td width="10%" nowrap="NOWRAP">{TXT_FAX_NUMBER}</td>\r\n<td><input style="width: 70%;" value="{SHOP_ACCOUNT_FAX}" name="fax" tabindex="9" /> </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td width="10%" nowrap="NOWRAP">{TXT_EMAIL}</td>\r\n  <td><input style="width: 70%;" size="30" value="{SHOP_ACCOUNT_EMAIL}" name="email" tabindex="19" />\r\n      <b><font color="#ff0000">*</font></b> </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td width="10%" nowrap="NOWRAP">\r\n  <input type="hidden" size="30" value="" name="company2" tabindex="11" />\r\n    <input type="hidden" maxlength="50" size="30" value="" name="prefix2" tabindex="12" />\r\n    <input type="hidden" size="30" value="" name="lastname2" tabindex="13" />\r\n    <input type="hidden" size="30" value="" name="firstname2" tabindex="14" />\r\n    <input type="hidden" size="30" value="" name="address2" tabindex="15" />\r\n    <input type="hidden" size="6" value="" name="zip2" tabindex="16" />\r\n    <input type="hidden" value="" name="city2" tabindex="17" />\r\n    <input type="hidden" value="" name="phone2" tabindex="18" />\r\n    <input type="hidden" size="30" value="Kein Passwort erforderlich" name="password" tabindex="20" /></td>\r\n  <td>&nbsp;</td>\r\n</tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="NOWRAP"><input type="reset" value="{TXT_RESET}" name="reset" tabindex="21" />\r\n    <input type="submit" value="{TXT_NEXT}  >>" name="Submit" onClick="shopCopyText();" tabindex="22" /></td>\r\n  </tr>\r\n</tbody>\r\n</table>\r\n<br />\r\n</form>', 'Kontoangaben Kurzform', 'Kontoangaben Kurzform', 'Kontoangaben Kurzform', 'index', '', 'y');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_content_navigation`
-- 

DROP TABLE IF EXISTS `contrexx_content_navigation`;
CREATE TABLE `contrexx_content_navigation` (
  `catid` smallint(6) unsigned NOT NULL auto_increment,
  `parcat` smallint(6) unsigned NOT NULL default '0',
  `catname` varchar(100) NOT NULL default '',
  `target` varchar(10) NOT NULL default '',
  `displayorder` smallint(6) unsigned NOT NULL default '1000',
  `displaystatus` set('on','off') NOT NULL default 'on',
  `username` varchar(40) NOT NULL default '',
  `changelog` int(14) default NULL,
  `cmd` varchar(50) NOT NULL default '',
  `lang` tinyint(2) unsigned NOT NULL default '1',
  `module` tinyint(2) unsigned NOT NULL default '0',
  `startdate` date NOT NULL default '0000-00-00',
  `enddate` date NOT NULL default '0000-00-00',
  `protected` tinyint(4) NOT NULL default '0',
  `frontend_groups` varchar(250) NOT NULL default '',
  `backend_groups` varchar(250) NOT NULL default '',
  `themes_id` int(4) NOT NULL default '0',
  UNIQUE KEY `catid` (`catid`),
  KEY `parcat` (`parcat`),
  KEY `module` (`module`),
  KEY `catname` (`catname`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_content_navigation`
-- 

INSERT INTO `contrexx_content_navigation` VALUES (1, 0, 'Willkommen', '', 0, 'on', 'system', 1112163004, '', 1, 15, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (5, 0, 'Suchen', '', 110, 'off', 'system', 1108632241, '', 1, 5, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (6, 0, 'Kontakt', '', 3, 'on', 'system', 1109845804, '', 1, 6, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (7, 6, 'Formulardaten erhalten', '', 0, 'off', 'daeppen', 1108115497, 'thanks', 1, 6, '0000-00-00', '0000-00-00', 0, '', '', 127);
INSERT INTO `contrexx_content_navigation` VALUES (8, 37, 'News', '', 11, 'on', 'system', 1112795935, '', 1, 8, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (9, 8, 'Newsmeldung', '', 1, 'off', 'system', 1108115497, 'details', 1, 8, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (10, 37, 'Downloads', '', 12, 'on', 'system', 1108115872, '', 1, 9, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (11, 10, 'Media Archiv #2', '', 1, 'on', 'system', 1108115497, '2', 1, 9, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (12, 10, 'Media Archiv #3', '', 2, 'off', 'system', 1108571844, '3', 1, 9, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (13, 37, 'Gstebuch', '', 8, 'on', 'system', 1108115835, '', 1, 10, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (14, 13, 'Eintragen', '', 1, 'on', 'system', 1108115497, 'post', 1, 10, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (15, 0, 'Sitemap', '', 7, 'on', 'system', 1108115497, '', 1, 11, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (16, 0, 'Alert System', '', 111, 'off', 'system', 1108386244, '', 1, 13, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (17, 0, 'Fehlermeldung', '', 111, 'off', 'system', 1109357223, '', 1, 14, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (31, 0, 'Login', '', 130, 'off', 'system', 1108387085, '', 1, 18, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (37, 0, 'Demo Module', '_self', 1, 'on', 'system', 1108571876, '', 1, 0, '0000-00-00', '0000-00-00', 0, '', '', 0);
INSERT INTO `contrexx_content_navigation` VALUES (94, 18, 'Kontoangaben Kurzform', '', 4, 'off', 'system', 1109863728, '', 1, 0, '0000-00-00', '0000-00-00', 0, '', '', 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_group_backend_permissions`
-- 

DROP TABLE IF EXISTS `contrexx_group_backend_permissions`;
CREATE TABLE `contrexx_group_backend_permissions` (
  `id` smallint(6) NOT NULL auto_increment,
  `group_id` smallint(6) NOT NULL default '0',
  `area_ids` tinytext NOT NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_group_backend_permissions`
-- 

INSERT INTO `contrexx_group_backend_permissions` VALUES (1, 1, '1,10,8,7,38,39,6,53,37,36,35,26,5,2,27,25,16,14,13,12,11,9,3,23,51,52,22,48,49,50,21,46,47,20,41,45,44,43,42,19,40,18,34,33,30,31,29,28,17,4,24');
INSERT INTO `contrexx_group_backend_permissions` VALUES (12, 2, '');
INSERT INTO `contrexx_group_backend_permissions` VALUES (19, 20, '');
INSERT INTO `contrexx_group_backend_permissions` VALUES (20, 21, '');
INSERT INTO `contrexx_group_backend_permissions` VALUES (21, 22, '');
INSERT INTO `contrexx_group_backend_permissions` VALUES (22, 46, '1,10,8,7,6,35,26,5,2,27,25,16,14,13,12,11,9,3,23,22,21,18,4,24');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_ids`
-- 

DROP TABLE IF EXISTS `contrexx_ids`;
CREATE TABLE `contrexx_ids` (
  `id` smallint(11) NOT NULL auto_increment,
  `timestamp` int(14) default NULL,
  `type` varchar(100) NOT NULL default '',
  `remote_addr` varchar(15) default NULL,
  `http_x_forwarded_for` varchar(15) NOT NULL default '',
  `http_via` varchar(255) NOT NULL default '',
  `user` mediumtext,
  `gpcs` mediumtext NOT NULL,
  `file` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_ids`
-- 


-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_languages`
-- 

DROP TABLE IF EXISTS `contrexx_languages`;
CREATE TABLE `contrexx_languages` (
  `id` tinyint(2) unsigned NOT NULL auto_increment,
  `lang` varchar(5) NOT NULL default '',
  `name` varchar(250) NOT NULL default '',
  `charset` varchar(20) NOT NULL default 'iso-8859-1',
  `themesid` tinyint(2) unsigned NOT NULL default '1',
  `frontend` tinyint(1) unsigned NOT NULL default '0',
  `backend` tinyint(1) unsigned NOT NULL default '0',
  `is_default` set('true','false') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `lang` (`lang`),
  KEY `defaultstatus` (`is_default`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_languages`
-- 

INSERT INTO `contrexx_languages` VALUES (1, 'de', 'Deutsch', 'iso-8859-1', 1, 1, 1, 'true');
INSERT INTO `contrexx_languages` VALUES (2, 'en', 'English', 'en-iso-8859-1', 2, 0, 1, 'false');
INSERT INTO `contrexx_languages` VALUES (3, 'fr', 'French', 'fr-iso-8859-1', 1, 0, 0, 'false');
INSERT INTO `contrexx_languages` VALUES (4, 'it', 'Italian', 'it-iso-8859-1', 1, 0, 0, 'false');
INSERT INTO `contrexx_languages` VALUES (5, 'dk', 'Danish', 'da-iso-8859-1', 1, 0, 0, 'false');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_log`
-- 

DROP TABLE IF EXISTS `contrexx_log`;
CREATE TABLE `contrexx_log` (
  `id` smallint(6) NOT NULL auto_increment,
  `userid` smallint(6) default NULL,
  `datetime` datetime default '0000-00-00 00:00:00',
  `useragent` varchar(100) default NULL,
  `userlanguage` varchar(25) default NULL,
  `remote_addr` varchar(250) default NULL,
  `remote_host` varchar(250) default NULL,
  `http_via` varchar(250) NOT NULL default '',
  `http_client_ip` varchar(250) NOT NULL default '',
  `http_x_forwarded_for` varchar(250) NOT NULL default '',
  `referer` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_module_guestbook`;
CREATE TABLE `contrexx_module_guestbook` (
  `id` smallint(6) NOT NULL auto_increment,
  `nickname` tinytext NOT NULL,
  `gender` char(1) NOT NULL default '',
  `url` tinytext NOT NULL,
  `email` tinytext NOT NULL,
  `comment` text NOT NULL,
  `ip` varchar(15) NOT NULL default '',
  `location` tinytext NOT NULL,
  `lang_id` tinyint(2) NOT NULL default '1',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `comment` (`comment`)
) TYPE=MyISAM;



INSERT INTO `contrexx_module_guestbook` VALUES (31, 'Webmaster', 'M', 'http://www.astalavistacms.com/', 'muster@muster.com', 'Das Gstebuch ist erffnet. :-)', '62.167.135.249', 'Thun', 1, '2004-10-20 09:53:22');



DROP TABLE IF EXISTS `contrexx_module_news`;
CREATE TABLE `contrexx_module_news` (
  `id` smallint(6) unsigned NOT NULL auto_increment,
  `date` int(14) default NULL,
  `title` varchar(250) NOT NULL default '',
  `text` mediumtext NOT NULL,
  `source` varchar(250) NOT NULL default '',
  `url1` varchar(250) NOT NULL default '',
  `url2` varchar(250) NOT NULL default '',
  `catid` tinyint(2) NOT NULL default '0',
  `lang` tinyint(2) NOT NULL default '0',
  `userid` smallint(6) NOT NULL default '0',
  `startdate` date NOT NULL default '0000-00-00',
  `enddate` date NOT NULL default '0000-00-00',
  `status` tinyint(4) NOT NULL default '1',
  `changelog` int(14) NOT NULL default '0',
  KEY `ID` (`id`),
  FULLTEXT KEY `newsindex` (`text`,`title`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_module_news`
-- 

INSERT INTO `contrexx_module_news` VALUES (12, 1095078976, 'Intelligentes eBusiness ganz zu Ihrem Vorteil!', '<span style=\\"font-weight: bold;\\">Das System</span><br/>\r\nF&uuml;r selbstst&auml;ndige Aktualisierungen der Internetseiten ist ein Content Management System (CMS) die ideale L&ouml;sung. Ohne sich um das jeweilige Design k&uuml;mmern zu m&uuml;ssen, k&ouml;nnen Sie die Inhalte Ihrer Webseiten einfach, unkompliziert und professionell selber anpassen.<br/>\r\n<br/>\r\n<span style=\\"font-weight: bold;\\">Modulbasiert</span><br/>\r\nMit den vielen integrierten Modulen (Newsletter, News, EShop usw.) holen Sie das Maximum aus Ihrem Internetauftritt raus. Contrexx&reg; wird st&auml;ndig weiterentwickelt, damit Sie nicht den Anschluss verlieren.<br/>\r\n<br/>\r\n<span style=\\"font-weight: bold;\\">Einfache Bedienung</span><br/>\r\nAufgrund der einfachen Bedienung k&ouml;nnen Sie mit der ausgekl&uuml;gelten Benutzerverwaltung detaillierte Rechte an Ihre Mitarbeiter vergeben, welche dann Ihren Internetauftritt problemlos unterhalten. <br/>\r\n<br/>\r\n<span style=\\"font-weight: bold;\\">Investition in die Zukunft</span><br/>\r\nZudem lohnt es sich auch finanziell sich f&uuml;r eine CMS-L&ouml;sung zu entscheiden. Die Lebenszeitkosten bestehen aus 20% Einkaufskosten und 80% Nachfolgekosten (TCO Total Cost of Ownership, Unterhaltungsarbeiten). Mit Contrexx&reg; werden die Nachfolgekosten drastisch gesenkt:<br/>\r\n<br/>\r\n<span style=\\"font-weight: bold;\\">Standortunabh&auml;ngig</span><br/>\r\nPassen Sie Ihren Internetauftritt, aufgrund der browserbasierten Oberfl&auml;che, bequem von &uuml;berall dort an, wo Sie einen Internetanschluss zur Verf&uuml;gung haben.', 'http://www.contrexx.com/', '', '', 1, 1, 1, '0000-00-00', '0000-00-00', 1, 1112163141);
INSERT INTO `contrexx_module_news` VALUES (20, 1101890538, 'English Testnews', 'English Testnews<br />', '', '', '', 10, 2, 1, '0000-00-00', '0000-00-00', 1, 1103798134);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_module_news_categories`
-- 

DROP TABLE IF EXISTS `contrexx_module_news_categories`;
CREATE TABLE `contrexx_module_news_categories` (
  `catid` tinyint(2) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `lang` tinyint(2) unsigned NOT NULL default '1',
  PRIMARY KEY  (`catid`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_module_news_categories`
-- 

INSERT INTO `contrexx_module_news_categories` VALUES (1, 'Test', 1);
INSERT INTO `contrexx_module_news_categories` VALUES (10, 'Test', 2);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_module_news_settings`
-- 

DROP TABLE IF EXISTS `contrexx_module_news_settings`;
CREATE TABLE `contrexx_module_news_settings` (
  `name` varchar(50) NOT NULL default '',
  `value` varchar(250) NOT NULL default '',
  KEY `name` (`name`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_module_news_settings`
-- 

INSERT INTO `contrexx_module_news_settings` VALUES ('news_feed_description', 'Informationen rund um das Contrexx Open Source CMS');
INSERT INTO `contrexx_module_news_settings` VALUES ('news_feed_status', '0');
INSERT INTO `contrexx_module_news_settings` VALUES ('news_feed_title', 'Contrexx Open Source CMS');
INSERT INTO `contrexx_module_news_settings` VALUES ('news_headlines_limit', '10');
INSERT INTO `contrexx_module_news_settings` VALUES ('news_settings_activated', '0');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_module_repository`
-- 

DROP TABLE IF EXISTS `contrexx_module_repository`;
CREATE TABLE `contrexx_module_repository` (
  `id` smallint(6) unsigned NOT NULL auto_increment,
  `moduleid` smallint(5) unsigned NOT NULL default '0',
  `content` mediumtext NOT NULL,
  `title` varchar(250) NOT NULL default '',
  `cmd` varchar(20) NOT NULL default '',
  `expertmode` set('y','n') NOT NULL default 'n',
  `parid` smallint(5) NOT NULL default '0',
  `displaystatus` set('on','off') NOT NULL default 'on',
  `username` varchar(250) NOT NULL default '',
  `displayorder` smallint(6) NOT NULL default '100',
  `lang` varchar(5) NOT NULL default '',
  UNIQUE KEY `contentid` (`id`),
  FULLTEXT KEY `fulltextindex` (`title`,`content`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_module_repository`
-- 

INSERT INTO `contrexx_module_repository` VALUES (190, 14, '<table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n<tbody>\r\n<tr>\r\n<td scope="col">\r\n<div align="left">{ERROR_NUMBER} {ERROR_MESSAGE} <br /><br /><strong>Das gewnschte Dokument existiert nicht an dieser Stelle.</strong><br /><br />Das von Ihnen gesuchte Dokument wurde mglicherweise umbenannt, verschoben oder gelscht. Es existieren mehrere Mglichkeiten, um ein Dokument zu finden. Sie knnen auf die Homepage zurckkehren, das Dokument mit Stichworten suchen oder unsere Help Site konsultieren. Um von der letztbesuchten Seite aus weiterzufahren, klicken Sie bitte auf die Schaltflche ''Zurck'' Ihres Browsers. <br /><br />The document you requested does not exist at this location.<br />The document you are looking for may have been renamed, moved or deleted. There are several ways to locate a document. You can return to the Homepage, search for the document using keywords or consult our Help Site. To continue on from the last page you visited, please press the ''Back'' button of your browser. <br /></div></td></tr></tbody></table>', 'Fehlermeldung', '', 'y', 0, 'off', 'system', 99, '1');
INSERT INTO `contrexx_module_repository` VALUES (149, 13, '<P>Ihre Eingabe wurde vom <B>ASTALAVISTA Angriffserkennungs System</B> als unzulssig erkannt. <BR><BR>Einige besondere Zeichenfolgen werden vom Intrusion Detection System gefiltert und vom Intrusion Response System blockiert. Wenn Sie finden, dass diese Meldung unrechterweise erscheint, nehmen Sie doch bitte mit uns <A href="mailto:ivan.schmid%20AT%20astalavista%20DOT%20ch">Kontakt</A> auf.<BR><BR><I><B>Aktive Arbitrary Input Module:</B></I> \r\n<UL>\r\n<LI>SQL Injection \r\n<LI>Cross-Site Scripting \r\n<LI>Session Hijacking<BR><BR></LI></UL>', 'Alert System', '', 'y', 0, 'off', 'system', 99, '1');
INSERT INTO `contrexx_module_repository` VALUES (55, 18, '<form name="loginForm" action="{LOGIN_ACTION}" method="post"><br />\r\n<table cellspacing="0" cellpadding="2" width="100%" border="0">\r\n<tbody>\r\n<tr>\r\n<td nowrap="nowrap" width="26%">&nbsp;</td>\r\n<td width="27%">&nbsp;</td>\r\n<td width="3%" rowspan="4">&nbsp;<img height="28" alt="" src="/images/modules/login/login_key.gif" width="20" align="middle" /></td>\r\n<td width="44%" rowspan="4"></td></tr>\r\n<tr>\r\n<td nowrap="nowrap" width="26%">{TXT_USER_NAME}:</td>\r\n<td width="27%"><input size="30" value="" name="USERNAME" /> </td></tr>\r\n<tr>\r\n<td nowrap="nowrap" width="26%">{TXT_PASSWORD}:</td>\r\n<td width="27%"><input type="password" size="30" value="" name="PASSWORD" /> </td></tr>\r\n<tr>\r\n<td width="26%"></td>\r\n<td width="27%"><input class="input" type="submit" size="15" value="{TXT_LOGIN}" name="submit" /> </td></tr></tbody></table></form><br />', 'Login', '', 'n', 0, 'off', 'system', 11, '1');
INSERT INTO `contrexx_module_repository` VALUES (191, 5, '<form action="index.php" method="get">\r\n	<input name="term" value="{SEARCH_TERM}" size="30" maxlength="100" />\r\n	<input value="search" name="section" type="hidden" />\r\n	<input value="{TXT_SEARCH}" name="Submit" type="submit" />\r\n</form>\r\n<br />\r\n{SEARCH_TITLE}<br />\r\n<!-- BEGIN searchrow -->\r\n	{LINK} {COUNT_MATCH}<br />\r\n	{SHORT_CONTENT}<br />\r\n<!-- END searchrow -->\r\n<br />\r\n{SEARCH_PAGING}\r\n<br />\r\n<br />', 'Suchen', '', 'y', 0, 'off', 'system', 110, '1');
INSERT INTO `contrexx_module_repository` VALUES (242, 16, '<FORM name=shop action={SHOP_CHECKOUT_ACTION} method=post>\r\n  <TABLE class=text cellSpacing=2 cellPadding=1 width="100%" border=0>\r\n    <TBODY> \r\n    <TR> \r\n      <TD colSpan=2><B>Passwort Hilfe</B></TD>\r\n    </TR>\r\n    <TR> \r\n      <TD colSpan=2><B><FONT color=red>{SHOP_PASSWORD_STATUS}</FONT></B></TD>\r\n    </TR>\r\n    <tr> \r\n      <td noWrap colspan="2"><br>\r\n        Geben Sie die E-Mail-Adresse fr Ihr Konto bei Sat-com Multimedia \r\n        ein. </td>\r\n    </tr>\r\n    <TR> \r\n      <TD noWrap width="8%"> \r\n        <input size=50 value={SHOP_PASSWORD_EMAIL} name=email>\r\n      </TD>\r\n      <TD width="92%"> \r\n        <input type=submit value=Weiter name=pay>\r\n      </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD noWrap colspan="2"><br>\r\n        Nachdem Sie den "Weiter"-Knopf angeklickt haben, schicken wir \r\n        Ihnen eine Benachrichtigung per E-Mail mit einem neuen Passwort. <br>\r\n        <br>\r\n        <br>\r\n        <br>\r\n        <br>\r\n        Wenn Sie Ihr Passwort vergessen haben und sich Ihre alte E-Mail-Adresse \r\n        nicht weiter verwenden lsst, Sie aber kein neues Konto erffnen \r\n        wollen, dann knnen Sie sich telefonisch bei uns melden. </TD>\r\n    </TR>\r\n    </TBODY> \r\n  </TABLE>\r\n  <BR>\r\n<HR width="100%" color=black noShade SIZE=1>\r\n</FORM>', 'Passwort Hilfe', 'sendpass', 'y', 240, 'off', '', 0, '1');
INSERT INTO `contrexx_module_repository` VALUES (237, 16, '<font color="red"><b>{SHOP_STATUS}</b></font><br />', 'Transaktionsstatus', 'success', 'n', 231, 'off', 'system', 7, '1');
INSERT INTO `contrexx_module_repository` VALUES (238, 16, '{SHOP_JAVASCRIPT_CODE} \r\n{SHOP_MENU}<br />\r\n{SHOP_CART_INFO}<br />\r\n{SHOP_PRODUCT_PAGING}\r\n<table width="100%" cellspacing="4" cellpadding="0" border="0">\r\n<tr> \r\n<td width="100%" height="20" background="images/modules/shop/dotted_line.gif"><img width="1" height="20" border="0" alt="" src="images/modules/shop/pixel.gif" /></td>		\r\n</tr>\r\n</table>\r\n<!-- BEGIN shopProductRow -->\r\n<form method="post" action="index.php?section=shop&amp;cmd=cart" name="{SHOP_PRODUCT_FORM_NAME}" id="{SHOP_PRODUCT_FORM_NAME}">\r\n<input type="hidden" value="{SHOP_PRODUCT_ID}" name="productId" />\r\n<table width="100%" cellspacing="3" cellpadding="1" border="0">\r\n<tr> \r\n<td colspan="4"><strong>{SHOP_PRODUCT_TITLE}</strong></td>\r\n</tr>\r\n<tr>\r\n<td width="25%" style="vertical-align:top;"><a href="{SHOP_PRODUCT_THUMBNAIL_LINK}"><img border="0" alt="{TXT_SEE_LARGE_PICTURE}" src="{SHOP_PRODUCT_THUMBNAIL}" /></a></td>\r\n<td width="75%" colspan="3" valign="top"><small><i><strong>{TXT_PRODUCT_ID}:</strong> {SHOP_PRODUCT_ID}</i></small> <br />\r\n{SHOP_PRODUCT_DESCRIPTION}<br />{SHOP_PRODUCT_DETAILDESCRIPTION}\r\n<br />\r\n<!-- BEGIN shopProductOptionsRow -->\r\n<table width="100%" cellspacing="0" cellpadding="0" border="0">\r\n<tr>\r\n<td>\r\n<strong>{SHOP_PRODUCT_OPTIONS_TITLE}</strong><br><br >\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<div id="product_options_layer{SHOP_PRODUCT_ID}" style="display:none;">\r\n<table width="100%" cellspacing="0" cellpadding="0" border="0">\r\n<!-- BEGIN shopProductOptionsValuesRow -->\r\n<tr>\r\n<td width="150" style="vertical-align:top;">\r\n{SHOP_PRODUCT_OPTIONS_NAME}:\r\n</td>\r\n<td>{SHOP_PRODCUT_OPTION}</td>\r\n</tr>\r\n<!-- END shopProductOptionsValuesRow -->\r\n</table>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n<!-- END shopProductOptionsRow -->\r\n<br />{SHOP_PRODUCT_STOCK}<br />{SHOP_MANUFACTURER_LINK}</td>\r\n</tr>\r\n<tr>     \r\n<td colspan="4">{SHOP_PRODUCT_DETAILLINK}</td>\r\n</tr>\r\n<tr>   \r\n<td colspan="3"><b><font color="red">{SHOP_PRODUCT_DISCOUNTPRICE} {SHOP_PRODUCT_DISCOUNTPRICE_UNIT} </font> {SHOP_PRODUCT_PRICE} {SHOP_PRODUCT_PRICE_UNIT} </b>\r\n</td>   \r\n<td>\r\n<div align="right"><input type="submit" value="{TXT_ADD_TO_CARD}" name="{SHOP_PRODUCT_SUBMIT_NAME}" onclick="{SHOP_PRODUCT_SUBMIT_FUNCTION}" /></div></td>\r\n</td>\r\n</tr>\r\n<tr>   \r\n<td height="20" background="images/modules/shop/dotted_line.gif" colspan="4"><img width="1" height="20" border="0" alt="" src="images/modules/shop/pixel.gif" /></td>\r\n</tr>	\r\n</table>\r\n</form>\r\n<!-- END shopProductRow -->\r\n<p>{SHOP_PRODUCT_PAGING}', 'Detaillierte Produktedaten', 'details', 'y', 231, 'off', 'system', 97, '1');
INSERT INTO `contrexx_module_repository` VALUES (239, 16, 'Die Artikel, die Sie in diesem Shop bestellen, werden Ihnen in den nchsten drei \r\nTagen zugestellt. <br />', 'Allgemeinen Geschftsbedingungen', 'terms', 'n', 231, 'on', 'system', 98, '1');
INSERT INTO `contrexx_module_repository` VALUES (240, 16, '<TABLE cellSpacing="2" cellPadding="1" width="100%" border="0">\r\n  <TR> \r\n    <TD colSpan="2"><B>Eine Online-Bestellung ist einfach.</B></TD>\r\n  </TR>\r\n  <TR> \r\n    <TD align=right colSpan=2> \r\n      <DIV align=left><B><FONT color="red">{SHOP_LOGIN_STATUS}</FONT></B></DIV>\r\n    </TD>\r\n  </TR>\r\n  <TR>\r\n    <TD align="right" colSpan="2">\r\n      <hr width="100%" color="black" noShade size="1">\r\n    </TD>\r\n  </TR>\r\n</TABLE>\r\n  <TABLE cellSpacing="2" cellPadding="1" width="100%" border="0">\r\n<FORM name="shop" action="?section=shop&cmd=account" method="post">  \r\n    <TR> \r\n      <TD width="7%"> </TD>\r\n      <TD width="93%"> </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD colSpan=2><b>Ich bin ein neuer Kunde. </b></TD>\r\n    </TR>\r\n    <TR> \r\n      <TD colSpan=2>Durch Ihre Anmeldung bei uns sind Sie in der Lage schneller \r\n        zu bestellen, kennen jederzeit den Status Ihrer Bestellung und haben immer \r\n        eine aktuelle &Uuml;bersicht &uuml;ber Ihre bisherigen Bestellungen.<br>\r\n      </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD colSpan=2> <br>\r\n        <input type=submit value="Weiter &gt;&gt;" name="login">\r\n        <br><br>\r\n      </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD colSpan=2> \r\n        <hr width="100%" color=black noShade size=1>\r\n      </TD>\r\n    </TR>\r\n	</FORM>\r\n  </TABLE>\r\n  <TABLE class=text cellSpacing=2 cellPadding=1 width="100%" border=0>\r\n<FORM name=shop action="{SHOP_LOGIN_ACTION}" method=post>\r\n    <TR> \r\n      <TD colSpan=2><b>Ich bin bereits Kunde.</b></TD>\r\n    </TR>\r\n    <TR> \r\n      <TD width="7%" nowrap>E-Mail Adresse: </TD>\r\n      <TD width="93%"> \r\n        <INPUT maxLength=250 size=30 value="{SHOP_LOGIN_EMAIL}" name="username">\r\n      </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD width="7%">Passwort: </TD>\r\n      <TD width="93%"> \r\n        <INPUT type=password maxLength=50 size=30 name="password">\r\n      </TD>\r\n    </TR>\r\n    <TR> \r\n      <TD width="7%"> </TD>\r\n      <TD width="93%"> \r\n        <INPUT type=submit value="Anmleden &gt;&gt;" name=login>\r\n      </TD>\r\n    </TR>\r\n	</FORM>\r\n  </TABLE>', 'Mein Konto', 'login', 'y', 231, 'off', '', 99, '1');
INSERT INTO `contrexx_module_repository` VALUES (241, 16, '<table cellspacing=2 cellpadding=1 width="100%" border=0>\r\n  <tbody> \r\n  <tr> \r\n    <td colspan=2><b>Mein Konto</b></td>\r\n  </tr>\r\n  <tr> \r\n    <td colspan=2> Nutzen Sie das Konto um Ihre Bestellungen und Ihre Daten komfortabel \r\n      zu kontrollieren und zu verwalten.<br>\r\n    </td>\r\n  </tr>\r\n  <tr valign="top"> \r\n    <td noWrap rowspan="4" width="20%"><a href="?section=shop&cmd=logout">Log-Out</a><br>\r\n      <a href="?section=shop&cmd=delete">Konto lschen</a></td>\r\n    <td width="92%"> <a href="?section=shop&cmd=orders">Meine Bestellungen \r\n      ansehen</a></td>\r\n  </tr>\r\n  <tr valign="top"> \r\n    <td width="92%"> <a href="?section=shop&cmd=mod">Meine Konto-Daten ndern</a></td>\r\n  </tr>\r\n  <tr valign="top"> \r\n    <td width="92%"> <br>\r\n      <table width="100%" border="0" cellspacing="0" cellpadding="0">\r\n        <tr valign="top"> \r\n          <td colspan="2"><b>eMail-Adresse</b><font color="#C1C0D0"><br>\r\n            </font>{SHOP_EMAIL}</td>\r\n        </tr>\r\n        <tr valign="top"> \r\n          <td><b>Kundennummer</b><font color="#C1C0D0"><br>\r\n            </font>{SHOP_CUSTOMERID}<br>\r\n            <br>\r\n            Zahlungsart<br>\r\n            {SHOP_PAYMENT}</td>\r\n          <td width="61%"><b>Rechnungsadresse</b><font color="#C1C0D0"><br>\r\n            </font>{SHOP_SIGN}<br>\r\n            {SHOP_FIRSTNAME} {SHOP_LASTNAME}<br>\r\n            {SHOP_ADDRESS} <br>\r\n            {SHOP_ZIP}  {SHOP_CITY}<br>\r\n            {SHOP_COUNTRY} </td>\r\n        </tr>\r\n      </table>\r\n      <br>\r\n    </td>\r\n  </tr>\r\n  <tr valign="top"> \r\n    <td> <a href="?section=shop&cmd=modpass">Mein Passwort und </a><a href="?section=shop&cmd=modemail">eMail-Adresse ndern</a> </td>\r\n  </tr>\r\n  </tbody> \r\n</table>', 'Konto bersicht', 'development', 'y', 240, 'off', '', 0, '1');
INSERT INTO `contrexx_module_repository` VALUES (236, 16, '<b><font color="#ff0000">{SHOP_STATUS}</font></b>\r\n<!-- BEGIN shopConfirm -->\r\n<form action="index.php?section=shop&amp;cmd=confirm" name="shopForm" method="post">\r\n  <table cellspacing="1" cellpadding="2" width="100%" border="0">\r\n  <tr>\r\n    <td nowrap="nowrap" colspan="5"><b>{TXT_ORDER_INFOS}</b></td>\r\n  </tr>\r\n  <tr>\r\n    <td nowrap><b>{TXT_ID}</b></td>\r\n    <td><b>{TXT_PRODUCT}</b></td>\r\n    <td nowrap><b>{TXT_UNIT_PRICE}</b></td>\r\n    <td nowrap><b>{TXT_QUANTITY}</b></td>\r\n    <td nowrap><div align="right"><b>{TXT_TOTAL}</b></div></td>\r\n  </tr>\r\n  <tr>\r\n    <td colspan="5" nowrap><hr width="100%" color="#cccccc" noShade size="1" />\r\n    </td>\r\n  </tr>\r\n  <!-- BEGIN shopCartRow -->\r\n  <tr style="vertical-align:top;">\r\n    <td nowrap>{SHOP_PRODUCT_ID}</td>\r\n    <td>{SHOP_PRODUCT_TITLE}</td>\r\n    <td nowrap>{SHOP_PRODUCT_ITEMPRICE} {SHOP_UNIT}</td>\r\n    <td nowrap>{SHOP_PRODUCT_QUANTITY}</td>\r\n    <td nowrap><div align="right">{SHOP_PRODUCT_PRICE} {SHOP_UNIT}<br>\r\n    </div></td>\r\n  </tr>\r\n  <!-- END shopCartRow -->\r\n  <tr>\r\n    <td colspan="5"><hr width="100%" color="#cccccc" noShade size=1>\r\n    </td>\r\n  </tr>\r\n<tr>\r\n<td colspan="3" valign="top"><b>{TXT_INTER_TOTAL}</b>{SHOP_TAX_PRODUCTS_TXT}</td>\r\n<td valign="top" nowrap="nowrap">{SHOP_TOTALITEM} {TXT_PRODUCT_S}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right"><b>{SHOP_TOTALPRICE} {SHOP_UNIT}</b></div></td></tr>\r\n<tr>\r\n<td colspan="5">\r\n<hr width="100%" color="#cccccc" noshade="noshade" size="1" /></td></tr>\r\n<tr valign="top">\r\n<td colspan="4"><strong>{TXT_SHIPPING_METHOD}:</strong> {SHOP_SHIPMENT}\r\n</td>\r\n<td><div align="right">{SHOP_SHIPMENT_PRICE} {SHOP_UNIT}</div></td>\r\n</tr>\r\n<tr valign="top">\r\n<td colspan="4"><strong>{TXT_PAYMENT_TYPE}:</strong> {SHOP_PAYMENT}  \r\n</td>\r\n<td><div align="right"> {SHOP_PAYMENT_PRICE} {SHOP_UNIT}</div></td>\r\n</tr>\r\n<tr>\r\n<td colspan="4" valign="top" nowrap="nowrap">{TXT_PROCENTUAL_TAX_PART}: {SHOP_TAX_PROCENTUAL}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right">{TXT_TAX_PART} {SHOP_TAX_PRICE} {SHOP_UNIT}</div></td></tr>\r\n<tr>\r\n<td colspan="4" valign="top" nowrap="nowrap"><b>{TXT_TOTAL_PRICE}</b>{SHOP_TAX_GRAND_TXT}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right"><b>{SHOP_GRAND_TOTAL} {SHOP_UNIT}</b></div></td></tr>\r\n<tr>\r\n<td colspan="5">\r\n<hr width="100%" color="#000000" noshade="noshade" size="1" /></td></tr>\r\n<tr>\r\n  <td colspan="5">\r\n  <TABLE  cellSpacing=2 cellPadding=1 width="100%" border=0>\r\n      <TR>\r\n        <TD noWrap rowspan="2" width="49%"><b>{TXT_ADDRESS_CUSTOMER}</b></TD>\r\n        <TD rowspan="2" width="1%"></TD>\r\n      </TR>\r\n      <TR>\r\n        <TD width="50%"><b>{TXT_SHIPPING_ADDRESS}</b></TD>\r\n      </TR>\r\n      <TR valign="top">\r\n        <TD noWrap width="49%">{SHOP_COMPANY}<br>\r\n        {SHOP_PREFIX}<br>\r\n        {SHOP_LASTNAME}<br>\r\n        {SHOP_FIRSTNAME}<br>\r\n        {SHOP_ADDRESS}<br>\r\n        {SHOP_ZIP} {SHOP_CITY}<br>\r\n        {SHOP_COUNTRY}<br>\r\n        <br>\r\n        {SHOP_PHONE}<br>\r\n        {SHOP_FAX}<br>\r\n        {SHOP_EMAIL}</TD>\r\n        <TD width="1%"></TD>\r\n        <TD width="50%">{SHOP_COMPANY2}<br>\r\n        {SHOP_PREFIX2}<br>\r\n        {SHOP_LASTNAME2}<br>\r\n        {SHOP_FIRSTNAME2}<br>\r\n        {SHOP_ADDRESS2}<br>\r\n        {SHOP_ZIP2} {SHOP_CITY2}<br>\r\n        {SHOP_COUNTRY2}<br>\r\n        <br>\r\n        {SHOP_PHONE2}</TD>\r\n      </TR>\r\n      <TR>\r\n        <TD noWrap colspan="3"><hr width="100%" color="black" noShade size="1" />\r\n        </TD>\r\n      </TR>\r\n  </TABLE>\r\n  </td>\r\n</tr>\r\n<tr>\r\n  <td colspan="5"><b>{TXT_COMMENTS}</b></td>\r\n</tr>\r\n<tr>\r\n  <td colspan="4">{SHOP_CUSTOMERNOTE}</td>\r\n  <td>&nbsp;</td>\r\n</tr>\r\n<tr>\r\n  <td colspan="5"><hr width="100%" color="#000000" noshade="noshade" size="1" /></td>\r\n</tr>\r\n<tr>\r\n  <td colspan="5"><div align="right"><input type="submit" value="{TXT_ORDER_NOW}" name="process" /></div></td>\r\n</tr>\r\n</table>\r\n</form>\r\n<!-- END shopConfirm -->\r\n<!-- BEGIN shopProcess -->\r\n{TXT_ORDER_PREPARED} <br/>\r\n{SHOP_PAYMENT_PROCESSING}\r\n<!-- END shopProcess -->', 'Bestellen', 'confirm', 'y', 231, 'off', 'system', 6, '1');
INSERT INTO `contrexx_module_repository` VALUES (231, 16, '{SHOP_JAVASCRIPT_CODE} \r\n{SHOP_MENU}<br />\r\n{SHOP_CART_INFO}<br />\r\n{SHOP_PRODUCT_PAGING}\r\n<table width="100%" cellspacing="4" cellpadding="0" border="0">\r\n<tr> \r\n<td width="100%" height="20" background="images/modules/shop/dotted_line.gif"><img width="1" height="20" border="0" alt="" src="images/modules/shop/pixel.gif" /></td>		\r\n</tr>\r\n</table>\r\n<!-- BEGIN shopProductRow -->\r\n<form method="post" action="index.php?section=shop&amp;cmd=cart" name="{SHOP_PRODUCT_FORM_NAME}" id="{SHOP_PRODUCT_FORM_NAME}">\r\n<input type="hidden" value="{SHOP_PRODUCT_ID}" name="productId" />\r\n<table width="100%" cellspacing="3" cellpadding="1" border="0">\r\n<tr> \r\n<td colspan="4"><strong>{SHOP_PRODUCT_TITLE}</strong></td>\r\n</tr>\r\n<tr>\r\n<td width="25%" style="vertical-align:top;"><a href="{SHOP_PRODUCT_THUMBNAIL_LINK}"><img border="0" alt="{TXT_SEE_LARGE_PICTURE}" src="{SHOP_PRODUCT_THUMBNAIL}" /></a></td>\r\n<td width="75%" colspan="3" valign="top"><small><i><strong>{TXT_PRODUCT_ID}:</strong> {SHOP_PRODUCT_ID}</i></small> <br />\r\n{SHOP_PRODUCT_DESCRIPTION}<br />\r\n<br />\r\n<!-- BEGIN shopProductOptionsRow -->\r\n<table width="100%" cellspacing="0" cellpadding="0" border="0">\r\n<tr>\r\n<td>\r\n<strong>{SHOP_PRODUCT_OPTIONS_TITLE}</strong><br /><br />\r\n</td>\r\n</tr>\r\n<tr>\r\n<td>\r\n<div id="product_options_layer{SHOP_PRODUCT_ID}" style="display:none;">\r\n<table width="100%" cellspacing="0" cellpadding="0" border="0">\r\n<!-- BEGIN shopProductOptionsValuesRow -->\r\n<tr>\r\n<td width="150" style="vertical-align:top;">\r\n{SHOP_PRODUCT_OPTIONS_NAME}:\r\n</td>\r\n<td>{SHOP_PRODCUT_OPTION}</td>\r\n</tr>\r\n<!-- END shopProductOptionsValuesRow -->\r\n</table>\r\n</div>\r\n</td>\r\n</tr>\r\n</table>\r\n<!-- END shopProductOptionsRow -->\r\n<br />{SHOP_PRODUCT_STOCK}<br />{SHOP_MANUFACTURER_LINK}</td>\r\n</tr>\r\n<tr>     \r\n<td colspan="4">{SHOP_PRODUCT_DETAILLINK}</td>\r\n</tr>\r\n<tr>   \r\n<td colspan="3"><b><font color="red">{SHOP_PRODUCT_DISCOUNTPRICE} {SHOP_PRODUCT_DISCOUNTPRICE_UNIT} </font> {SHOP_PRODUCT_PRICE} {SHOP_PRODUCT_PRICE_UNIT} </b>\r\n</td>   \r\n<td>\r\n<div align="right"><input type="submit" value="{TXT_ADD_TO_CARD}" name="{SHOP_PRODUCT_SUBMIT_NAME}" onclick="{SHOP_PRODUCT_SUBMIT_FUNCTION}" /></div></td>\r\n</tr>\r\n<tr>   \r\n<td height="20" background="images/modules/shop/dotted_line.gif" colspan="4"><img width="1" height="20" border="0" alt="" src="images/modules/shop/pixel.gif" /></td>\r\n</tr>	\r\n</table>\r\n</form>\r\n<!-- END shopProductRow -->\r\n{SHOP_PRODUCT_PAGING}\r\n', 'Online Shop', '', 'y', 0, 'on', 'system', 2, '1');
INSERT INTO `contrexx_module_repository` VALUES (232, 16, '<!-- BEGIN shopProductRow1 -->\r\n<table border="0" width="100%">\r\n<tr valign="top"> \r\n<td border="0">\r\n<b>{SHOP_PRODUCT_TITLE}</b>\r\n<br>\r\n<a href="{SHOP_PRODUCT_DETAILLINK}"><img src="{SHOP_PRODUCT_THUMBNAIL}" border="0" alt="{SHOP_PRODUCT_TITLE}" /></a>\r\n<br />\r\n     {TXT_PRICE_NOW} {SHOP_PRODUCT_DISCOUNTPRICE} {SHOP_PRODUCT_DISCOUNTPRICE_UNIT} {TXT_INSTEAD_OF}\r\n      {SHOP_PRODUCT_PRICE} {SHOP_PRODUCT_PRICE_UNIT} <br>\r\n</td>\r\n<!-- BEGIN shopProductRow2 -->\r\n<td border="0" width="50%"><b>{SHOP_PRODUCT_TITLE}</b>\r\n<br>\r\n<a href="{SHOP_PRODUCT_DETAILLINK}"><img src="{SHOP_PRODUCT_THUMBNAIL}" border="0" alt="{SHOP_PRODUCT_TITLE}"></a>\r\n<br>\r\n      {TXT_PRICE_NOW} {SHOP_PRODUCT_DISCOUNTPRICE} {SHOP_PRODUCT_DISCOUNTPRICE_UNIT} {TXT_INSTEAD_OF} {SHOP_PRODUCT_PRICE} \r\n      {SHOP_PRODUCT_PRICE_UNIT} \r\n</td>\r\n<!-- END shopProductRow2 -->\r\n</tr>\r\n</table>\r\n<!-- END shopProductRow1 -->', 'Sonderangebote', 'discounts', 'y', 231, 'on', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (233, 16, '<!-- BEGIN shopCart -->\r\n<form action ="index.php?section=shop&amp;cmd=cart" name="shopForm" method ="post">\r\n  <table width="100%" cellpadding="0" cellspacing="0" border="0">\r\n    <tr valign="middle"> \r\n      <td align="center">\r\n        <table width="100%" border="0" cellpadding="2" cellspacing="1">\r\n          <tr> \r\n            <td colspan="5"> \r\n              <hr width="100%" noshade="noshade" color="black" size="1" />\r\n            </td>\r\n          </tr>\r\n          <tr valign="top"> \r\n            <td width="10%"><div align="left"><b>{TXT_PRODUCT_ID}</b></div></td>\r\n            <td width="45%"><div align="left"><b>{TXT_PRODUCT}</b></div></td>\r\n            <td width="15%"><div align="left"><b>{TXT_UNIT_PRICE}</b></div></td>\r\n            <td width="12%"><div align="left"><b>{TXT_QUANTITY}</b></div></td>\r\n            <td width="25%"><div align="right"><b>{TXT_TOTAL}</b></div></td>\r\n          </tr>\r\n          <tr> \r\n            <td colspan="5" valign="top"> \r\n              <hr width="100%" color="#cccccc" noshade="noshade" size="1" />\r\n            </td>\r\n          </tr>\r\n          <!-- BEGIN shopCartRow -->\r\n          <tr valign="top"> \r\n            <td><div align="left">{SHOP_PRODUCT_ID}</div></td>\r\n            <td><div align="left"><a href ="?section=shop&amp;cmd=details&amp;referer=cart&amp;productId={SHOP_PRODUCT_ID}">{SHOP_PRODUCT_TITLE}</a>{SHOP_PRODUCT_OPTIONS}</div></td>\r\n            <td><div align="left">{SHOP_PRODUCT_ITEMPRICE} {SHOP_PRODUCT_ITEMPRICE_UNIT}</div></td>\r\n            <td><div align="left"><input class="form" type="text" name="quantity[{SHOP_PRODUCT_ID}]" value="{SHOP_PRODUCT_QUANTITY}" size="3" />\r\n            </div></td>\r\n            <td width="25%"> \r\n              <div align="right">{SHOP_PRODUCT_PRICE} {SHOP_PRODUCT_PRICE_UNIT} </div>\r\n            </td>\r\n          </tr>\r\n          <!-- END shopCartRow -->\r\n          <tr> \r\n            <td colspan="5" valign="top"> \r\n              <hr width="100%" color="#cccccc" noshade="noshade" size="1" />\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td colspan="3" valign="top"><div align="left"><b>{TXT_INTER_TOTAL}</b></div></td>\r\n            <td width="17%" valign="top"><div align="left"><b>{SHOP_PRODUCT_TOTALITEM}</b></div></td>\r\n            <td width="25%" valign="top"> \r\n              <div align="right"><b>{SHOP_PRODUCT_TOTALPRICE} {SHOP_PRODUCT_TOTALPRICE_UNIT}<br />\r\n                </b> </div>\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td colspan="5" valign="top"> \r\n              <hr width="100%" color="black" noshade="noshade" size="1" />\r\n            </td>\r\n          </tr>\r\n          <tr> \r\n            <td valign="top"> \r\n              <strong>{TXT_SHIP_COUNTRY}</strong></td>\r\n            <td colspan="3" valign="top">{SHOP_COUNTRIES_MENU} </td>\r\n            <td valign="top"><div align="right">\r\n                <input type="submit" name="update" value="{TXT_UPDATE}" />\r\n            </div></td>\r\n          </tr>\r\n          <tr>\r\n            <td colspan="5" valign="top">&nbsp;</td>\r\n          </tr>\r\n          <tr>\r\n            <td colspan="5" valign="top"><div align="right">\r\n                <input type="submit" name="continue" value="{TXT_NEXT}  >>" />\r\n            </div></td>\r\n          </tr>\r\n        </table>\r\n      </td>\r\n  </tr>\r\n</table>\r\n</form>\r\n<!-- END shopCart -->\r\n<br />\r\n<b><a href="index.php?section=shop" title="{TXT_CONTINUE_SHOPPING}">{TXT_CONTINUE_SHOPPING}</a><br />\r\n<a href="index.php?section=shop&amp;act=destroy" title="{TXT_EMPTY_CART}">{TXT_EMPTY_CART}</a></b>\r\n<br />', 'Ihr Warenkorb', 'cart', 'y', 231, 'on', 'system', 2, '1');
INSERT INTO `contrexx_module_repository` VALUES (234, 16, '<script language="JavaScript" type="text/javascript">\r\n<!--  \r\nfunction shopCopyText()  \r\n{\r\n	with (document.shop){\r\n		if(equalAddress.checked) {\r\n			prefix2.value= prefix.value;\r\n			company2.value= company.value;\r\n			lastname2.value= lastname.value;\r\n			firstname2.value= firstname.value;\r\n			address2.value=address.value;\r\n			zip2.value= zip.value;\r\n			city2.value= city.value;\r\n			phone2.value= phone.value;				\r\n			return true;\r\n		} else {	\r\n			prefix2.value= "";\r\n			company2.value= "";\r\n			lastname2.value= "";\r\n			firstname2.value= "";\r\n			address2.value="";\r\n			zip2.value= "";\r\n			city2.value= "";\r\n			phone2.value= "";\r\n			return true;\r\n		}\r\n	}\r\n}\r\n-->\r\n</script>\r\n<form name="shop" action="{SHOP_ACCOUNT_ACTION}" method="post">\r\n<table cellspacing="2" cellpadding="1" width="100%" border="0">\r\n<tbody>\r\n<tr>\r\n<td colspan="2"><b>{TXT_CUSTOMER_ADDRESS}</b></td>\r\n</tr>\r\n<tr>\r\n<td colspan="2"><font color="#ff0000">* </font>{TXT_REQUIRED_FIELDS}<br />\r\n  <table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n    <tbody>\r\n      <tr>\r\n        <td><b><font color="#ff0000">{SHOP_ACCOUNT_STATUS}</font></b></td>\r\n      </tr>\r\n    </tbody>\r\n  </table>\r\n  </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="nowrap">&nbsp;  </td>\r\n  </tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_COMPANY}</td>\r\n<td><input size="30" value="{SHOP_ACCOUNT_COMPANY}" name="company" tabindex="1" /> </td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_GREETING}</td>\r\n<td><input maxlength="50" size="30" value="{SHOP_ACCOUNT_PREFIX}" name="prefix" tabindex="2" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_SURNAME}</td>\r\n<td><input size="30" value="{SHOP_ACCOUNT_LASTNAME}" name="lastname" tabindex="3" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_FIRSTNAME}&nbsp;&nbsp;</td>\r\n<td><input size="30" value="{SHOP_ACCOUNT_FIRSTNAME}" name="firstname" tabindex="4" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_ADDRESS}</td>\r\n<td><input size="30" value="{SHOP_ACCOUNT_ADDRESS}" name="address" tabindex="5" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_POSTALE_CODE}</td>\r\n<td><input size="6" value="{SHOP_ACCOUNT_ZIP}" name="zip" tabindex="6" /> <b><font color="#ff0000">*</font></b> {TXT_CITY} <input value="{SHOP_ACCOUNT_CITY}" name="city" tabindex="7" /> <b><font color="#ff0000">*</font></b> </td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_COUNTRY}</td>\r\n<td>{SHOP_ACCOUNT_COUNTRY}</td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_PHONE_NUMBER}</td>\r\n<td><input value="{SHOP_ACCOUNT_PHONE}" name="phone" tabindex="8" /> <b><font color="#ff0000">*</font></b></td>\r\n</tr>\r\n<tr valign="top">\r\n<td nowrap="nowrap">{TXT_FAX_NUMBER}</td>\r\n<td><input value="{SHOP_ACCOUNT_FAX}" name="fax" tabindex="9" /> </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="nowrap"><hr width="100%" color="#000000" noshade="noshade" size="1" /></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="nowrap"><b>{TXT_SHIPPING_ADDRESS}</b></td>\r\n  <td>&nbsp;</td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="nowrap">&nbsp;</td>\r\n  <td><input type="checkbox" value="checked" name="equalAddress" onClick="shopCopyText();" {SHOP_ACCOUNT_EQUAL_ADDRESS} tabindex="10" />\r\n{TXT_SAME_BILLING_ADDRESS}</td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_COMPANY}</td>\r\n  <td><input size="30" value="{SHOP_ACCOUNT_COMPANY2}" name="company2" tabindex="11" /></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_GREETING}</td>\r\n  <td><input maxlength="50" size="30" value="{SHOP_ACCOUNT_PREFIX2}" name="prefix2" tabindex="12" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_SURNAME}</td>\r\n  <td><input size="30" value="{SHOP_ACCOUNT_LASTNAME2}" name="lastname2" tabindex="13" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_FIRSTNAME}&nbsp;&nbsp; </td>\r\n  <td><input size="30" value="{SHOP_ACCOUNT_FIRSTNAME2}" name="firstname2" tabindex="14" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_ADDRESS}</td>\r\n  <td><input size="30" value="{SHOP_ACCOUNT_ADDRESS2}" name="address2" tabindex="15" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_POSTALE_CODE}</td>\r\n  <td><input size="6" value="{SHOP_ACCOUNT_ZIP2}" name="zip2" tabindex="16" />\r\n      <b><font color="#ff0000">*</font></b> {TXT_CITY}\r\n      <input value="{SHOP_ACCOUNT_CITY2}" name="city2" tabindex="17" />\r\n      <b><font color="#ff0000">*</font></b> </td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_COUNTRY}</td>\r\n  <td>{SHOP_ACCOUNT_COUNTRY2}</td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">{TXT_PHONE_NUMBER}</td>\r\n  <td><input value="{SHOP_ACCOUNT_PHONE2}" name="phone2" tabindex="18" />\r\n      <b><font color="#ff0000">*</font></b></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="NOWRAP"><hr width="100%" color="#000000" noshade="noshade" size="1" /></td>\r\n  </tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP"><b>{TXT_YOUR_ACCOUNT_DETAILS}</b></td>\r\n  <td>&nbsp;</td>\r\n</tr>\r\n<tr valign="top">\r\n  <td nowrap="nowrap">{TXT_EMAIL}</td>\r\n  <td><input size="30" value="{SHOP_ACCOUNT_EMAIL}" name="email" tabindex="19" />\r\n      <b><font color="#ff0000">*</font></b> </td>\r\n</tr>\r\n<tr valign="top">\r\n  <td nowrap="nowrap">{TXT_PASSWORD}</td>\r\n  <td><input type="password" size="30" value="" name="password" tabindex="20" />\r\n      <b><font color="#ff0000">*</font></b><br />\r\n    {TXT_PASSWORD_MIN_CHARS}</td>\r\n</tr>\r\n<tr valign="top">\r\n  <td nowrap="NOWRAP">&nbsp;</td>\r\n  <td>&nbsp;</td>\r\n</tr>\r\n<tr valign="top">\r\n  <td colspan="2" nowrap="NOWRAP"><input type="reset" value="{TXT_RESET}" name="reset" tabindex="21" />\r\n    <input type="submit" value="{TXT_NEXT}  >>" name="Submit" tabindex="22" /></td>\r\n  </tr>\r\n</tbody>\r\n</table>\r\n<br />\r\n</form>', 'Kontoangaben', 'account', 'y', 231, 'off', 'system', 4, '1');
INSERT INTO `contrexx_module_repository` VALUES (230, 11, '<table width="100%">\r\n<!-- BEGIN row -->\r\n<tr>\r\n<td id="{STYLE}">{SPACER}<a href="{URL}" title="{NAME}">{NAME}</a></td>\r\n</tr>\r\n<!-- END row -->\r\n</table>', 'Sitemap', '', 'y', 0, 'on', 'system', 7, '1');
INSERT INTO `contrexx_module_repository` VALUES (163, 6, 'Ihre Adresse<br>\r\nIhre Email Adresse\r\n<br />\r\n<br />\r\n<form name="ContactForm" action="index.php?section=contact&amp;cmd=thanks" method="post" enctype="multipart/form-data">\r\n<table width="80%" border="0">\r\n<tbody>\r\n<tr>\r\n<td><b>Name</b></td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Vorname" /> </td></tr>\r\n<tr>\r\n<td>Firmenname</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Name"  /> </td></tr>\r\n<tr>\r\n<td>Strasse</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Strasse" /> </td></tr>\r\n<tr>\r\n<td>PLZ</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="PLZ" /> </td></tr>\r\n<tr>\r\n<td>Ort</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Ort" /> </td></tr>\r\n<tr>\r\n<td>Land</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Land" /> </td></tr>\r\n<tr>\r\n<td><b>Telefon</b></td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Telefon" /> </td></tr>\r\n<tr>\r\n<td>Fax</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="Fax" /> </td></tr>\r\n<tr>\r\n<td>E-Mail</td>\r\n<td><input style="width: 80%"  type="text" size="35" name="EMail" /> </td></tr>\r\n<tr>\r\n<td>Bemerkungen&nbsp;</td>\r\n<td><textarea style="width: 80%"  name="Bemerkungen" rows="7" cols="30"></textarea></td></tr>\r\n<tr>\r\n<td>Datei<br /></td>\r\n<td>\r\n<div align="left"><input style="width: 80%"  type="file" name="file" /> </div></td></tr>\r\n<tr>\r\n<td>&nbsp;</td>\r\n<td><input type="reset" value="L&ouml;schen" name="Reset" /> &nbsp;&nbsp;&nbsp; \r\n<input type="submit" value="Senden" name="Submit" /> \r\n</td></tr>\r\n</tbody>\r\n</table>\r\n</form>', 'Kontakt', '', 'y', 0, 'on', 'system', 2, '1');
INSERT INTO `contrexx_module_repository` VALUES (173, 9, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td>&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Media Archiv', '', 'y', 0, 'on', 'system', 999, '1');
INSERT INTO `contrexx_module_repository` VALUES (174, 9, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td >&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Media Archiv #2', '2', 'y', 173, 'on', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (165, 10, '<b><a href="index.php?section=guestbook&amp;cmd=post" title="Eintragen">Eintragen</a></b><br />\r\n{GUESTBOOK_TOTAL_ENTRIES} Eintrge im Gstebuch.<br />\r\n{GUESTBOOK_PAGING}<br />\r\n{GUESTBOOK_STATUS}\r\n<table cellspacing="1" cellpadding="1" width="100%" border="0">\r\n	<!-- BEGIN guestbook_row -->\r\n		<tr class="{GUESTBOOK_ROWCLASS}"> \r\n			<td valign="top"><img alt="" hspace="0" src="images/modules/guestbook/post.gif"  border="0" />{GUESTBOOK_DATE} - <strong>{GUESTBOOK_NICK}</strong> {GUESTBOOK_GENDER} {GUESTBOOK_LOCATION}</td>\r\n			<td  valign="top" nowrap="nowrap"><div align="right">{GUESTBOOK_EMAIL} {GUESTBOOK_URL} </div></td>\r\n		</tr>\r\n		<tr class="{GUESTBOOK_ROWCLASS}"> \r\n			<td valign="top" colspan="2"><hr noshade="noshade" size="1" />{GUESTBOOK_COMMENT}<br /><br /></td>\r\n		</tr>\r\n	<!-- END guestbook_row -->\r\n</table>\r\n<br />', 'Gstebuch', '', 'y', 0, 'on', 'system', 6, '1');
INSERT INTO `contrexx_module_repository` VALUES (166, 10, '{GUESTBOOK_JAVASCRIPT}\r\nSie knnen sich hier ins Gstebuch eintragen. <br /> Damit der Eintrag klappt, sollten mindestens alle mit einem <font color="red">*</font> \r\nmarkierten Felder ausgefllt werden. \r\n<br />\r\n<form name="GuestbookForm" action="index.php?section=guestbook" method="post" onsubmit="return validate(this)">\r\n<br />\r\n<b>Name:</b><font color="red"> *</font> <br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="nickname" id="nickname" /> <br /><br /><b>Kommentar:</b><font color="red"> *</font> \r\n<br />\r\n<textarea style="width: 350px;" name="comment" id="comment" rows="6" cols="60"></textarea><br /><br /><b>Geschlecht: </b><font color="red">*</font>\r\n<br />\r\n<input type="radio" checked="checked" value="F" name="malefemale" /> Weiblich<br />\r\n<input type="radio" value="M" name="malefemale" /> Mnnlich<br /><br /><b>Wohnort:</b> <font color="red">*</font>\r\n<br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="location" id="location" /> <br /><b>E-mail:</b>&nbsp;<font color="#ff0000">*</font>\r\n<br />\r\n<input style="width: 350px;" maxlength="255" size="60" name="email" id="email" /> <br /><b>Homepage:</b>\r\n<br />\r\n<input style="width: 350px;" name="url" value="http://" size="60" maxlength="255" /> \r\n<br />\r\n<br />\r\n<input type="reset" value="&nbsp;Reset&nbsp;" name="Submit" />&nbsp;&nbsp;\r\n<input type="submit" value="&nbsp;Speichern&nbsp;" name="Submit" /> \r\n</form>', 'Eintragen', 'post', 'y', 165, 'on', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (235, 16, '<b><font color="#ff0000">{SHOP_STATUS}</font></b>\r\n<form action="index.php?section=shop&amp;cmd=payment" name="shopForm" method="post">\r\n<table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n<tr valign="middle">\r\n<td align="center">\r\n<table cellspacing="1" cellpadding="2" width="100%" border="0">\r\n<tr>\r\n<td nowrap="nowrap" colspan="2"><b>{TXT_PRODUCTS}</b></td></tr>\r\n<tr>\r\n<td nowrap="nowrap" colspan="2">\r\n<hr width="100%" color="#000000" noshade="noshade" size="1" /></td></tr>\r\n<tr>\r\n<td valign="top"><b>{TXT_TOTALLY_GOODS} </b>{SHOP_TAX_PRODUCTS_TXT}<b>&nbsp;&nbsp;&nbsp;&nbsp;</b>{SHOP_TOTALITEM} {TXT_PRODUCT_S}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right"><b>{SHOP_TOTALPRICE} {SHOP_UNIT}</b></div></td></tr>\r\n<tr>\r\n<td colspan="2">\r\n<hr width="100%" color="#cccccc" noshade="noshade" size="1" /></td></tr>\r\n<tr valign="top">\r\n<td><strong>{TXT_SHIPPING_METHODS}</strong><br />\r\n{SHOP_SHIPMENT_MENU}\r\n</td>\r\n<td><div align="right"><br>\r\n  {SHOP_SHIPMENT_PRICE} {SHOP_UNIT}</div></td>\r\n</tr>\r\n<tr valign="top">\r\n<td><strong>{TXT_PAYMENT_TYPES}</strong><br />\r\n{SHOP_PAYMENT_MENU}  \r\n</td>\r\n<td><div align="right"> <br>\r\n  {SHOP_PAYMENT_PRICE} {SHOP_UNIT}</div></td>\r\n</tr>\r\n<tr>\r\n<td valign="top" nowrap="nowrap">{TXT_PROCENTUAL_TAX_PART} {SHOP_TAX_PROCENTUAL}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right">{TXT_TAX_PART} {SHOP_TAX_PRICE} {SHOP_UNIT}</div></td></tr>\r\n<tr>\r\n<td valign="top" nowrap="nowrap"><b>{TXT_TOTAL_PRICE}</b>{SHOP_TAX_GRAND_TXT}</td>\r\n<td width="30%" colspan="-1" valign="top" nowrap="nowrap">\r\n<div align="right"><b>{SHOP_GRAND_TOTAL} {SHOP_UNIT}</b></div></td></tr>\r\n<tr>\r\n<td colspan="2">\r\n<hr width="100%" color="#000000" noshade="noshade" size="1" /></td></tr>\r\n<tr>\r\n<td colspan="2"><b>{TXT_COMMENTS}</b></td>\r\n</tr>\r\n<tr>\r\n<td colspan="2"><textarea name="customer_note" rows="4" cols="52">{SHOP_CUSTOMERNOTE}</textarea> \r\n</td></tr>\r\n<tr>\r\n<td colspan="2">\r\n<hr width="100%" color="#000000" noshade="noshade" size="1" /></td></tr>\r\n<tr>\r\n<td colspan="2"><b>{TXT_TAC}</b></td></tr>\r\n<tr>\r\n<td colspan="2">\r\n<input type="checkbox" value="checked" name="agb" {SHOP_AGB} /> <font color="#ff0000">&nbsp;</font>{TXT_ACCEPT_TAC}</td></tr>\r\n<tr>\r\n<td colspan="2">\r\n<input type="submit" value="{TXT_UPDATE}" name="refresh" /> \r\n<input type="submit" value="{TXT_NEXT}" name="check" /> \r\n</td>\r\n</tr>\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n</form>', 'Bezahlung und Versand', 'payment', 'y', 231, 'off', 'system', 5, '1');
INSERT INTO `contrexx_module_repository` VALUES (217, 21, '<!-- START calendar_show_note.html -->\r\n<table cellspacing="0" cellpadding="3" width="100%" border="0">\r\n	<tr>\r\n		<td class="title" nowrap="nowrap">\r\n			{TXT_CALENDAR_DATE}:\r\n		</td>\r\n		<td class="title" nowrap="nowrap">\r\n			<b>{CALENDAR_TITLE}</b>\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_CAT}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_CAT}\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_NAME}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_NAME}\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_PLACE}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_PLACE}\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_PRIORITY}:\r\n		</td>\r\n		<td>\r\n			<img src="images/modules/calendar/{CALENDAR_PRIORITY_GIF}.gif" align="absmiddle"> ({CALENDAR_PRIORITY})\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_START}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_START}\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100">\r\n			{TXT_CALENDAR_END}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_END}\r\n		</td>\r\n	</tr>\r\n	<tr>\r\n		<td width="100" valign="top">\r\n			{TXT_CALENDAR_COMMENT}:\r\n		</td>\r\n		<td>\r\n			{CALENDAR_COMMENT}\r\n		</td>\r\n	</tr>\r\n\r\n        <tr class="row1">\r\n        	<td width="100" valign="top"> {TXT_CALENDAR_INFO}: </td>\r\n        	<td>{CALENDAR_INFO_LINK}</td>\r\n        </tr>\r\n</table><br />\r\n<a href="javascript:history.back()">{TXT_CALENDAR_BACK}</a>\r\n<!-- END calendar_show_note.html -->', 'Veranstaltungs Information', 'note', 'y', 216, 'off', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (216, 21, '<!-- START calendar_show.html -->\r\n{JAVA_SCRIPT}\r\n<table width="100%" border="0" cellspacing="0" cellpadding="0">\r\n  <tr> \r\n    <td colspan="2">\r\n      <div align="center">{CALENDAR}</div><br />\r\n    </td>\r\n  </tr>\r\n  <tr> \r\n    <td align="right"> \r\n      <form name="selectCategory" style="margin: 0px;">\r\n          <select name="inputCategory" onchange="categories()">\r\n            <option value="0">- {TXT_CALENDAR_ALL_CAT}</option>\r\n            <!-- BEGIN calendar_cat -->\r\n            <option value="{CALENDAR_CAT_ID}"{CALENDAR_CAT_SELECT}>{CALENDAR_CAT_NAME}</option>\r\n            <!-- END calendar_cat -->\r\n          </select>&nbsp;\r\n      </form>\r\n</td>\r\n<td>\r\n      <form name="goToForm" style="margin: 0px;">\r\n          <select onchange="goTo()" name="goToMonth">\r\n            <!-- BEGIN months -->\r\n            <option value="{CALENDAR_GOTO_MONTH}"{CALENDAR_GOTO_MONTH_SELECT}>{CALENDAR_GOTO_MONTH_NAME}</option>\r\n            <!-- END months -->\r\n          </select>\r\n          <select onchange="goTo()" name="goToYear">\r\n            <!-- BEGIN years -->\r\n            <option value="{CALENDAR_GOTO_YEAR}"{CALENDAR_GOTO_YEAR_SELECT}>{CALENDAR_GOTO_YEAR}</option>\r\n            <!-- END years -->\r\n          </select>\r\n      </form>\r\n    </td>\r\n  </tr>\r\n</table>\r\n<br />\r\n<table cellspacing="0" cellpadding="3" width="100%" border="0">\r\n<tr>\r\n<td colspan="2" style="border-bottom: solid 1px #999999;" nowrap="nowrap"><b>{CALENDAR_DATE}</b><br />&nbsp;</td>\r\n</tr>\r\n<tr>\r\n<td valign="top">\r\n{START_EVENT}\r\n<!-- BEGIN event -->\r\n{CALENDAR_EVENT}<br /><br />\r\n<!-- END event -->\r\n{END_EVENT}\r\n<table cellspacing="0" cellpadding="2" width="100%" border="0">\r\n{START_ROWS}<!-- BEGIN rows -->\r\n<tr height="23">\r\n<td width="55" valign="top" style="border-bottom: solid 1px #cccccc;">\r\n{CALENDAR_TIME_X}\r\n</td>\r\n<td valign="top" style="border-bottom: solid 1px #cccccc;" width="500">\r\n{CALENDAR_TIME_X_ROW1}\r\n</td>\r\n<td width="55" valign="top" style="border-bottom: solid 1px #cccccc;">\r\n{CALENDAR_TIME_Y}\r\n</td>\r\n<td valign="top" style="border-bottom: solid 1px #cccccc;" width="500">\r\n{CALENDAR_TIME_Y_ROW1}\r\n</td>\r\n</tr>\r\n<tr>\r\n<td width="55" valign="top" style="border-bottom: solid 1px #999999;">&nbsp;\r\n\r\n</td>\r\n<td valign="top" style="border-bottom: solid 1px #999999;" width="500">\r\n{CALENDAR_TIME_X_ROW2}\r\n</td>\r\n<td width="55" valign="top" style="border-bottom: solid 1px #999999;">&nbsp;\r\n\r\n</td>\r\n<td valign="top" style="border-bottom: solid 1px #999999;" width="500">\r\n{CALENDAR_TIME_Y_ROW2}\r\n</td>\r\n</tr>\r\n<!-- END rows -->\r\n{END_ROWS}\r\n</table>\r\n<table cellspacing="0" cellpadding="2" width="100%" border="0">\r\n{START_ROWS2}\r\n<!-- BEGIN rows2 -->\r\n<tr class="{CALENDAR_CLASS}">\r\n<td width="40">\r\n<img src=''images/modules/calendar/notes.gif''border=''0'' alt="" />\r\n</td>\r\n<td width="80">\r\n<a href="{CALENDAR_LINK}">\r\n{CALENDAR_DATE}</a>\r\n</td>\r\n<td width="50">\r\n{CALENDAR_TIME}\r\n</td>\r\n<td>\r\n<a href="{CALENDAR_LINK2}">{CALENDAR_NAME}</a>\r\n</td>\r\n<td width="150">\r\n{CALENDAR_CAT}\r\n</td>\r\n</tr>\r\n<!-- END rows2 -->\r\n{END_ROWS2}\r\n</table>\r\n<table cellspacing="0" cellpadding="2" width="100%" border="0">\r\n{START_ROWS3}\r\n<!-- BEGIN rows3 -->\r\n<tr class="{CALENDAR_CLASS}">\r\n<td width="40">\r\n<img src=''images/modules/calendar/notes.gif'' border=''0''alt="" />\r\n</td>\r\n<td width="80">\r\n<a href="{CALENDAR_LINK}">\r\n{CALENDAR_DATE}</a>\r\n</td>\r\n<td width="50">\r\n{CALENDAR_TIME}\r\n</td>\r\n<td>\r\n<a href="{CALENDAR_LINK2}">{CALENDAR_NAME}</a>\r\n</td>\r\n<td width="150">\r\n{CALENDAR_CAT}\r\n</td>\r\n</tr>\r\n<!-- END rows3 -->\r\n{END_ROWS3}\r\n</table>\r\n</td>\r\n</tr>\r\n</table>\r\n<!-- END calendar_show.html -->', 'Kalender', '', 'y', 0, 'on', 'system', 4, '1');
INSERT INTO `contrexx_module_repository` VALUES (170, 3, '{GALLERY_JAVASCRIPT}\r\n<TABLE cellSpacing=1 cellPadding=0 width="100%" border=0>\r\n<TR>\r\n<TD colspan="3">{CATEGORYCOMMENT}<br /></TD>\r\n</TR>\r\n<TR>\r\n<TD colspan="3">Sie sind hier: {CATEGORYTREE}<br /><br /></TD>\r\n</TR>\r\n<!-- BEGIN showImages -->\r\n<TR>\r\n<TD width="33%" align="center" valign="bottom">\r\n{IMAGE1}<br />\r\n{IMAGELINK1}\r\n</TD>\r\n<TD width="33%" align="center" valign="bottom">\r\n{IMAGE2}<br />\r\n{IMAGELINK2}\r\n</TD>\r\n<TD width="33%" align="center" valign="bottom">\r\n{IMAGE3}<br />\r\n{IMAGELINK3}\r\n</TD>\r\n</TR>\r\n<!-- END showImages -->\r\n</TABLE>', 'Galerie anzeigen', 'showCat', 'y', 169, 'off', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (169, 3, '<table cellspacing="0" cellpadding="0" width="100%" border="0">\r\n<tr>\r\n<td colspan="3">Willkommen in der Bildergalerie.<br /></td>\r\n</tr>\r\n<tr>\r\n<td colspan="3">Sie sind hier: {CATEGORYTREE}<br /><br /></td>\r\n</tr>\r\n<!-- BEGIN showCategories -->\r\n{HIDE_S}\r\n<tr>\r\n<td width="33%" align="center" valign="bottom">\r\n{CATEGORY1}\r\n</td>\r\n<td width="33%" align="center" valign="bottom">\r\n{CATEGORY2}\r\n</td>\r\n<td width="33%" align="center" valign="bottom">\r\n{CATEGORY3}\r\n</td>\r\n</tr>\r\n{HIDE_E}\r\n<!-- END showCategories -->\r\n</table>', 'Bildergalerie', '', 'y', 0, 'on', 'system', 13, '1');
INSERT INTO `contrexx_module_repository` VALUES (171, 4, 'Newsletter abonnieren<br />\r\n<br />\r\n<b>{NEWSLETTER_STATUS}</b><br />\r\n<form action="?section=newsletter" method="post">\r\n<input name="e" onfocus="this.value=''" maxlength="250" style="width:40%" value="Ihre e-mail Adresse" /> \r\n<input type="hidden" name="listId" value="1" />\r\n<input type="submit" value="Eintragen" />\r\n</form>', 'Newsletter', '', 'y', 0, 'on', 'system', 14, '1');
INSERT INTO `contrexx_module_repository` VALUES (35, 17, '<br />\r\n<form name="VotingForm" action="?section=voting" method="post">\r\n<table width="100%" border="0">\r\n<tr> \r\n<td><b>{VOTING_TITLE}</b>{VOTING_DATE}</td>\r\n</tr>\r\n<tr> \r\n<td class="desc"> {VOTING_RESULTS_TEXT}<br />\r\n{VOTING_RESULTS_TOTAL_VOTES}{TXT_SUBMIT} </td>\r\n</tr>\r\n</table>\r\n</form>\r\n<table width="100%" border="0">\r\n<tr> \r\n<td valign="top" colspan="2" class="title"><b>{VOTING_OLDER_TITLE}</b></td>\r\n</tr>\r\n<tr> \r\n<td valign="top" nowrap="nowrap"><b>{TXT_DATE}</b></td>\r\n<td valign="top" nowrap="nowrap"><b>{TXT_TITLE}</b></td>\r\n</tr>\r\n<!-- BEGIN votingRow -->\r\n<tr class="{VOTING_LIST_CLASS}"> \r\n<td nowrap="nowrap">{VOTING_OLDER_DATE}</td>\r\n<td nowrap="nowrap">{VOTING_OLDER_TEXT}</td>\r\n</tr>\r\n<!-- END votingRow -->\r\n</table>\r\n<br />{VOTING_PAGING}', 'Voting', '', 'y', 0, 'on', 'system', 16, '1');
INSERT INTO `contrexx_module_repository` VALUES (172, 22, '<!-- START feed.html -->\r\n{FEED_NO_NEWSFEED}\r\n<!-- BEGIN feed_table -->\r\n<table cellspacing="0" cellpadding="0" border="0">\r\n  <tr> \r\n    <td valign="top" nowrap="nowrap"> \r\n      <!-- BEGIN feed_cat -->\r\n      <b>{FEED_CAT_NAME}</b><br />\r\n      <!-- BEGIN feed_news -->\r\n      &nbsp;&nbsp;&nbsp;&nbsp;<a href="{FEED_NEWS_LINK}">{FEED_NEWS_NAME}</a><br />\r\n      <!-- END feed_news -->\r\n      <!-- END feed_cat -->\r\n    </td>\r\n  </tr>\r\n  <tr> \r\n    <td valign="top" nowrap="nowrap">\r\n      <br />\r\n      <!-- BEGIN feed_show_news -->\r\n      <br /><b>{FEED_CAT}</b> &gt; <b>{FEED_PAGE}</b> ({FEED_TITLE})<br />\r\n      {FEED_IMAGE} {TXT_FEED_LAST_UPTDATE}: {FEED_TIME}<br />\r\n      <br />\r\n      <ul>\r\n      <!-- BEGIN feed_output_news -->      \r\n       <li><a href="{FEED_LINK}" target="_blank">{FEED_NAME}</a></li>     \r\n      <!-- END feed_output_news -->\r\n      </ul>\r\n      <!-- END feed_show_news -->\r\n    </td>\r\n  </tr>\r\n</table>\r\n<!-- END feed_table -->\r\n<!-- END feed.html -->', 'News-Syndication', '', 'y', 0, 'on', 'system', 17, '1');
INSERT INTO `contrexx_module_repository` VALUES (164, 6, 'Formulardaten erhalten', 'Formulardaten erhalten', 'thanks', 'y', 163, 'off', 'daeppen', 0, '1');
INSERT INTO `contrexx_module_repository` VALUES (175, 9, '{MEDIA_JAVASCRIPT}\r\n<table width="100%" cellspacing="0" cellpadding="5" border="0" id="media">\r\n<tr class="head"> \r\n<td width="16" align="center"><strong>#</strong></td>\r\n<td colspan="2">\r\n<a href="{MEDIA_NAME_HREF}" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_NAME}</strong></a>\r\n{MEDIA_NAME_ICON}</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_SIZE_HREF}" name="sort_size" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_SIZE}</strong></a>\r\n{MEDIA_SIZE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_TYPE_HREF}" name="sort_type" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_TYPE}</strong></a>\r\n{MEDIA_TYPE_ICON}\r\n</td>\r\n<td align="right" nowrap>\r\n<a href="{MEDIA_DATE_HREF}" name="sort_date" title="{TXT_MEDIA_SORT}"><strong>{TXT_MEDIA_FILE_DATE}</strong></a>\r\n{MEDIA_DATE_ICON}\r\n</td>\r\n</tr>\r\n<tr valign="middle" class="row2"> \r\n<td width="16" align="center">\r\n<img src="images/modules/media/_base.gif" width="16" height="16" alt="base" title="base" /> \r\n</td>\r\n<td colspan="5">\r\n<strong><a href="{MEDIA_TREE_NAV_MAIN_HREF}" title="{MEDIA_TREE_NAV_MAIN}">{MEDIA_TREE_NAV_MAIN}</a></strong>\r\n<!-- BEGIN mediaTreeNavigation -->\r\n<a href="{MEDIA_TREE_NAV_DIR_HREF}">&nbsp;{MEDIA_TREE_NAV_DIR} /</a>\r\n<!-- END mediaTreeNavigation -->\r\n</td>\r\n</tr>\r\n<!-- BEGIN mediaDirectoryTree -->\r\n<tr class="{MEDIA_DIR_TREE_ROW}" valign="middle">\r\n<td width="16">&nbsp;</td>\r\n<td width="16" align="center"><img src="{MEDIA_FILE_ICON}" width="16" height="16" alt="icon" title="icon" /></td>\r\n<td width="100%"><a href="{MEDIA_FILE_NAME_HREF}" title="{MEDIA_FILE_NAME}">{MEDIA_FILE_NAME}</a></td>\r\n<td align="right" nowrap>{MEDIA_FILE_SIZE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_TYPE}&nbsp;</td>\r\n<td align="right" nowrap>{MEDIA_FILE_DATE}&nbsp;</td>\r\n</tr>\r\n<!-- END mediaDirectoryTree -->\r\n<!-- BEGIN mediaEmptyDirectory -->\r\n<tr class="row1">\r\n<td>&nbsp;</td>\r\n<td colspan="5">{TXT_MEDIA_DIR_EMPTY}</td>\r\n</tr>\r\n<!-- END mediaEmptyDirectory -->\r\n</table>', 'Media Archiv #3', '3', 'y', 173, 'on', 'system', 2, '1');
INSERT INTO `contrexx_module_repository` VALUES (243, 19, '<form name=\\"docSys\\" action=\\"index.php?section=docsys\\" method=\\"post\\">\r\n    <select onchange=\\"javascript:this.form.submit()\\" name=\\"category\\">\r\n    <option value=\\"\\" selected=\\"selected\\">{DOCSYS_NO_CATEGORY}</option>\r\n    {DOCSYS_CAT_MENU}</select>\r\n</form>\r\n<br/>\r\n<table id=\\"docsys\\" cellspacing=\\"0\\" cellpadding=\\"2\\" width=\\"100%\\" border=\\"0\\">\r\n    <tbody>\r\n        <tr>\r\n            <td nowrap=\\"nowrap\\" width=\\"5%\\"><b>Datum</b></td>\r\n            <td width=\\"100%\\"><b>Titel</b></td>\r\n            <td nowrap=\\"nowrap\\"><b>Kategorie</b></td>\r\n        </tr>\r\n        <!-- BEGIN row -->\r\n        <tr>\r\n            <td nowrap=\\"nowrap\\">{DOCSYS_DATE}&nbsp;&nbsp;</td>\r\n            <td width=\\"100%\\"><b>{DOCSYS_LINK}</b>&nbsp;&nbsp;{DOCSYS_AUTHOR}</td>\r\n            <td nowrap=\\"nowrap\\">{DOCSYS_CATEGORY}</td>\r\n        </tr>\r\n        <!-- END row -->\r\n    </tbody>\r\n</table>\r\n<br/>\r\n{DOCSYS_PAGING}<br/>\r\n<br/>', 'Dokumenten System', '', 'n', 0, 'on', 'system', 5, '1');
INSERT INTO `contrexx_module_repository` VALUES (247, 8, '<form name=\\"formNews\\" action=\\"index.php?section=news\\" method=\\"post\\">\r\n    <select onchange=\\"this.form.submit()\\" name=\\"category\\">\r\n    <option value=\\"\\" selected=\\"selected\\">{NEWS_NO_CATEGORY}</option>\r\n{NEWS_CAT_DROPDOWNMENU}</select>\r\n</form>\r\n<br/>\r\n<table id=\\"news\\" cellspacing=\\"0\\" cellpadding=\\"5\\" width=\\"100%\\" border=\\"0\\">\r\n<tr>\r\n<td nowrap=\\"nowrap\\" width=\\"15%\\">{TXT_DATE}</th>\r\n<td nowrap=\\"nowrap\\" width=\\"70%\\">{TXT_TITLE}</th>\r\n<td nowrap=\\"nowrap\\" width=\\"15%\\">{TXT_CATEGORY}</th>\r\n</tr>\r\n<!-- BEGIN newsrow -->\r\n<tr>\r\n<td nowrap=\\"nowrap\\" width=\\"15%\\">{NEWS_DATE}&nbsp;&nbsp;</td>\r\n<td nowrap=\\"nowrap\\" width=\\"70%\\"><b>{NEWS_LINK}</b>&nbsp;&nbsp;</td>\r\n<td nowrap=\\"nowrap\\" width=\\"15%\\">{NEWS_CATEGORY}</td>\r\n</tr>\r\n<!-- END newsrow -->\r\n</table>\r\n<br/>\r\n{NEWS_PAGING}<br/>\r\n<br/>', 'News', '', 'y', 0, 'on', 'system', 11, '1');
INSERT INTO `contrexx_module_repository` VALUES (248, 8, 'Verffentlicht am: {NEWS_DATE}\r\n<br /><br />\r\n{NEWS_TEXT} <br />\r\n{NEWS_SOURCE}<br />\r\n{NEWS_URL} \r\n<br />\r\n{NEWS_LASTUPDATE}<br />', 'Newsmeldung', 'details', 'y', 247, 'off', 'system', 1, '1');
INSERT INTO `contrexx_module_repository` VALUES (244, 19, '{DOCSYS_TEXT} <br />\r\nVerffentlicht am {DOCSYS_DATE} unter dem Titel {DOCSYS_TITLE}\r\n{DOCSYS_AUTHOR} <br />\r\n{DOCSYS_SOURCE}<br />\r\n{DOCSYS_URL} \r\n<br />\r\n{DOCSYS_LASTUPDATE}<br />', 'Documents', 'details', 'y', 243, 'off', 'system', 0, '1');

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_modules`
-- 

DROP TABLE IF EXISTS `contrexx_modules`;
CREATE TABLE `contrexx_modules` (
  `id` tinyint(2) default NULL,
  `name` varchar(250) NOT NULL default '',
  `description_variable` varchar(50) NOT NULL default '',
  `status` set('y','n') NOT NULL default 'n',
  `is_required` tinyint(1) NOT NULL default '0',
  `is_core` tinyint(4) NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_modules`
-- 

INSERT INTO `contrexx_modules` VALUES (0, '', '', 'n', 0, 1);
INSERT INTO `contrexx_modules` VALUES (1, 'core', 'TXT_CORE_MODULE_DESCRIPTION', 'n', 1, 1);
INSERT INTO `contrexx_modules` VALUES (2, 'stats', 'TXT_STATS_MODULE_DESCRIPTION', 'n', 0, 1);
INSERT INTO `contrexx_modules` VALUES (3, 'gallery', 'TXT_GALLERY_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (4, 'newsletter', 'TXT_NEWSLETTER_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (5, 'search', 'TXT_SEARCH_MODULE_DESCRIPTION', 'y', 0, 1);
INSERT INTO `contrexx_modules` VALUES (6, 'contact', 'TXT_CONTACT_MODULE_DESCRIPTION', 'y', 0, 1);
INSERT INTO `contrexx_modules` VALUES (8, 'news', 'TXT_NEWS_MODULE_DESCRIPTION', 'y', 1, 1);
INSERT INTO `contrexx_modules` VALUES (9, 'media', 'TXT_MEDIA_MODULE_DESCRIPTION', 'y', 0, 1);
INSERT INTO `contrexx_modules` VALUES (10, 'guestbook', 'TXT_GUESTBOOK_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (11, 'sitemap', 'TXT_SITEMAP_MODULE_DESCRIPTION', 'y', 0, 1);
INSERT INTO `contrexx_modules` VALUES (12, 'links', 'TXT_LINKS_MODULE_DESCRIPTION', 'n', 0, 0);
INSERT INTO `contrexx_modules` VALUES (13, 'ids', 'TXT_IDS_MODULE_DESCRIPTION', 'y', 1, 1);
INSERT INTO `contrexx_modules` VALUES (14, 'error', 'TXT_ERROR_MODULE_DESCRIPTION', 'y', 1, 1);
INSERT INTO `contrexx_modules` VALUES (15, 'home', 'TXT_HOME_MODULE_DESCRIPTION', 'y', 1, 1);
INSERT INTO `contrexx_modules` VALUES (16, 'shop', 'TXT_SHOP_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (17, 'voting', 'TXT_VOTING_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (18, 'login', 'TXT_LOGIN_MODULE_DESCRIPTION', 'y', 1, 1);
INSERT INTO `contrexx_modules` VALUES (19, 'docsys', 'TXT_DOC_SYS_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (20, 'forum', 'TXT_FORUM_MODULE_DESCRIPTION', 'n', 0, 0);
INSERT INTO `contrexx_modules` VALUES (21, 'calendar', 'TXT_CALENDAR_MODULE_DESCRIPTION', 'y', 0, 0);
INSERT INTO `contrexx_modules` VALUES (22, 'feed', 'TXT_FEED_MODULE_DESCRIPTION', 'y', 0, 0);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_sessions`
-- 

DROP TABLE IF EXISTS `contrexx_sessions`;
CREATE TABLE `contrexx_sessions` (
  `sessionid` varchar(255) NOT NULL default '',
  `startdate` varchar(14) NOT NULL default '',
  `lastupdated` varchar(14) NOT NULL default '',
  `status` varchar(20) NOT NULL default '',
  `username` varchar(100) NOT NULL default '',
  `datavalue` text,
  PRIMARY KEY  (`sessionid`),
  KEY `LastUpdated` (`lastupdated`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_settings`;
CREATE TABLE `contrexx_settings` (
  `setid` smallint(6) NOT NULL auto_increment,
  `setname` varchar(250) NOT NULL default '',
  `setvalue` text NOT NULL,
  `setmodule` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`setid`)
) TYPE=MyISAM;


INSERT INTO `contrexx_settings` VALUES (11, 'coreAdminName', 'Ivan Schmid', 1);
INSERT INTO `contrexx_settings` VALUES (18, 'corePagingLimit', '30', 1);
INSERT INTO `contrexx_settings` VALUES (19, 'searchDescriptionLength', '150', 5);
INSERT INTO `contrexx_settings` VALUES (23, 'coreIdsStatus', 'on', 1);
INSERT INTO `contrexx_settings` VALUES (24, 'coreAdminEmail', 'support@contrexx.com', 1);
INSERT INTO `contrexx_settings` VALUES (29, 'contactFormEmail', 'support@contrexx.com', 6);
INSERT INTO `contrexx_settings` VALUES (34, 'sessionLifeTime', '3600', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_skins`
-- 

DROP TABLE IF EXISTS `contrexx_skins`;
CREATE TABLE `contrexx_skins` (
  `id` tinyint(2) unsigned NOT NULL auto_increment,
  `themesname` varchar(50) NOT NULL default '',
  `foldername` varchar(50) NOT NULL default '',
  `expert` int(1) NOT NULL default '1',
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;

-- 
-- Daten fr Tabelle `contrexx_skins`
-- 

INSERT INTO `contrexx_skins` VALUES (1, 'blue', 'blue', 1);
INSERT INTO `contrexx_skins` VALUES (2, 'silver', 'silver', 1);

-- --------------------------------------------------------

-- 
-- Tabellenstruktur fr Tabelle `contrexx_stats`
-- 

DROP TABLE IF EXISTS `contrexx_stats`;
CREATE TABLE `contrexx_stats` (
  `id` mediumint(9) unsigned NOT NULL auto_increment,
  `timestamp` int(14) default NULL,
  `page` varchar(100) default NULL,
  `refer` text,
  `useragent` varchar(100) default NULL,
  `userlanguage` varchar(16) default NULL,
  `clientip` varchar(200) default NULL,
  `clienthost` varchar(255) default NULL,
  `proxyhost` varchar(255) NOT NULL default '',
  `proxyip` varchar(50) NOT NULL default '',
  `sid` text NOT NULL,
  `proxyid` int(11) default NULL,
  `proxyuseragent` varchar(50) NOT NULL default '',
  `javascript_enabled` tinyint(4) NOT NULL default '0',
  `screen_resolution` varchar(10) NOT NULL default '',
  `color_depth` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_browser`;
CREATE TABLE `contrexx_stats_browser` (
  `id` smallint(6) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_colourdepth`;
CREATE TABLE `contrexx_stats_colourdepth` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `depth` tinyint(3) unsigned NOT NULL default '0',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_config`;
CREATE TABLE `contrexx_stats_config` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(64) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  `status` int(1) default '1',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `contrexx_stats_config` VALUES (1, 'reload_block_time', '86400', 1);
INSERT INTO `contrexx_stats_config` VALUES (2, 'online_timeout', '3000', 1);
INSERT INTO `contrexx_stats_config` VALUES (3, 'paging_limit', '100', 1);
INSERT INTO `contrexx_stats_config` VALUES (4, 'count_browser', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (5, 'count_operating_system', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (6, 'make_statistics', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (7, 'count_spiders', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (10, 'remove_requests', '86400', 0);
INSERT INTO `contrexx_stats_config` VALUES (9, 'count_requests', '', 0);
INSERT INTO `contrexx_stats_config` VALUES (11, 'count_search_terms', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (12, 'count_screen_resolution', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (13, 'count_colour_depth', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (14, 'count_javascript', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (15, 'count_referer', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (16, 'count_hostname', '', 1);
INSERT INTO `contrexx_stats_config` VALUES (17, 'count_country', '', 1);



DROP TABLE IF EXISTS `contrexx_stats_country`;
CREATE TABLE `contrexx_stats_country` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `country` varchar(100) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_hostname`;
CREATE TABLE `contrexx_stats_hostname` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `hostname` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_javascript`;
CREATE TABLE `contrexx_stats_javascript` (
  `id` tinyint(3) unsigned NOT NULL auto_increment,
  `support` enum('0','1') default '0',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_operatingsystem`;
CREATE TABLE `contrexx_stats_operatingsystem` (
  `id` smallint(6) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_referer`;
CREATE TABLE `contrexx_stats_referer` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `uri` varchar(255) NOT NULL default '',
  `timestamp` int(11) unsigned NOT NULL default '0',
  `count` mediumint(8) unsigned NOT NULL default '0',
  `sid` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_requests`;
CREATE TABLE `contrexx_stats_requests` (
  `id` mediumint(9) unsigned NOT NULL auto_increment,
  `timestamp` int(11) default '0',
  `pageId` smallint(6) unsigned NOT NULL default '0',
  `page` varchar(255) default NULL,
  `visits` mediumint(9) unsigned NOT NULL default '0',
  `sid` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_requests_summary`;
CREATE TABLE `contrexx_stats_requests_summary` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(10) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_screenresolution`;
CREATE TABLE `contrexx_stats_screenresolution` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `resolution` varchar(11) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_search`;
CREATE TABLE `contrexx_stats_search` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  `sid` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_spiders`;
CREATE TABLE `contrexx_stats_spiders` (
  `id` mediumint(9) unsigned NOT NULL auto_increment,
  `last_indexed` int(14) default NULL,
  `page` varchar(100) default NULL,
  `pageId` mediumint(6) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `spider_useragent` varchar(255) default NULL,
  `spider_ip` varchar(100) default NULL,
  `spider_host` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_spiders_summary`;
CREATE TABLE `contrexx_stats_spiders_summary` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_visitors`;
CREATE TABLE `contrexx_stats_visitors` (
  `id` mediumint(8) unsigned NOT NULL auto_increment,
  `sid` varchar(32) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `client_ip` varchar(100) default NULL,
  `client_host` varchar(255) default NULL,
  `client_useragent` varchar(255) default NULL,
  `proxy_ip` varchar(100) default NULL,
  `proxy_host` varchar(255) default NULL,
  `proxy_useragent` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_stats_visitors_summary`;
CREATE TABLE `contrexx_stats_visitors_summary` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(10) NOT NULL default '',
  `timestamp` int(11) NOT NULL default '0',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contrexx_user_groups`;
CREATE TABLE `contrexx_user_groups` (
  `group_id` smallint(6) NOT NULL auto_increment,
  `group_name` varchar(100) NOT NULL default '',
  `group_description` varchar(255) NOT NULL default '',
  `is_active` tinyint(4) NOT NULL default '1',
  `type` enum('frontend','backend') NOT NULL default 'frontend',
  PRIMARY KEY  (`group_id`)
) TYPE=MyISAM;


INSERT INTO `contrexx_user_groups` VALUES (1, 'Standard Administrator', '-', 1, 'backend');
INSERT INTO `contrexx_user_groups` VALUES (2, 'Developer', 'Update and develop the system', 1, 'backend');
INSERT INTO `contrexx_user_groups` VALUES (3, 'News Editor', 'Manages Guestbook, News and Document System', 1, 'backend');
INSERT INTO `contrexx_user_groups` VALUES (4, 'Content Editor', 'Manages the content', 1, 'backend');
INSERT INTO `contrexx_user_groups` VALUES (46, 'Demo', 'Demo Benutzergruppe ohne Schreibrechte', 1, 'backend');


DROP TABLE IF EXISTS `contrexx_users`;
CREATE TABLE `contrexx_users` (
  `id` smallint(5) unsigned NOT NULL auto_increment,
  `levelid` tinyint(2) unsigned NOT NULL default '1',
  `is_admin` tinyint(4) NOT NULL default '0',
  `username` varchar(40) default NULL,
  `password` varchar(32) default NULL,
  `regdate` date default '2003-00-00',
  `email` varchar(255) default NULL,
  `firstname` varchar(150) default NULL,
  `lastname` varchar(150) default NULL,
  `langId` smallint(2) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  `groups` varchar(50) NOT NULL default '0',
  `restore_key` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `username` (`username`)
) TYPE=MyISAM;

INSERT INTO `contrexx_users` VALUES (1, 6, 1, 'admin', 'e9a99ba1642e31bf38d8e55c717d20c2', '2005-04-06', 'support@contrexx.com', 'CMS', 'System Benutzer', 1, 1, '1', '');