<?php
/**
* Class csvCreator
*
* Creates a CSV file
*
* @copyright    ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering 
* @author       Thomas Dppen <thomas.daeppen@astalavista.ch>  
* @module       
* @modulegroup  
* @version      $Id:  Exp $  
*/
class CsvCreator
{
	/**
	* Contains the content of the file to create
	* @access private
	* @var string
	* @see sqlToOutput()
	*/
	var $content;
	
	/**
	* The filename of the file
	* @access private
	* @var string
	* @see send()
	*/
	var $filename;

	/**
	* The type of the content
	* @access private
	* @var string
	* @see createOutput()
	*/
	var $type;
	
	/**
	* Contains the final content to send
	* @access private
	* @var string
	* @see sqlToOutput
	*/
	var $output;
	
	/**
	* Database object
	* @access private
	* @var object
	*/
	//var $objDb;
	
	/**
	* SQL-Table head informations
	* @access private
	* @var array
	*/	
	var $objMetadata = array();
	
	/**
	* Constructor:
	*/	
	function CsvCreator($content,$filename, $type)
	{
		$this->__construct($content,$filename,$type);
	}
			
	function __construct($content,$filename, $type)
	{
		$this->content = $content;
		$this->filename = $filename;
		$this->type = $type;
		//$this->objDb =&new astalavistaDB;
	}
	
	/**
	* Sends the file
	*
	* Sends the HTTP-Header and the body of the file
	*
	* @access public
	*/
	function send()
	{
		header("Content-Type: text/comma-separated-values"); 
		header("Content-Disposition: attachment; filename=\"".$this->filename."\"");
		header("Pragma: no-cache");
		header("Expires: 0");
		header("Pragma: public");
		
		echo $this->output;
	}

	/**
	 * Select the creating method
	 *
	 * Selects the method to use for creating the body of the file
	 *
	 * @access public
	 * @see sqlToOutput, arrayToOutput
	 */
	function createOutput()
	{
		switch($this->type)
		{
			case "sql":
				$this->sqlToOutput();
				break;
			case "array":
				$this->arrayToOutput();
				break;
		}
	}
	
	/**
	* Creates the output
	*
	* Creates the output from an sql query
	*
	* @access public
	*/
	function sqlToOutput()
	{
		$objDb =&new astalavistaDB;
		$objDb->query($this->content);
		$this->objMetadata = $objDb->metadata();

		for ($i = 0; $i < count($this->objMetadata); $i++)
		{
			if ($i > 0)
			{
				$this->output .= ";";
			}
			$this->output .= '"'.$this->objMetadata[$i]['name'].'"';
		}
		$this->output .= "\r\n";
		
		while ($objDb->next_record())
		{
			for ($i = 0; $i < count($this->objMetadata); $i++)
			{
				if ($i > 0)
				{
					$this->output .= ";";
				}
				$this->output .= '"'.$objDb->f($this->objMetadata[$i]['name']).'"';
			}
			$this->output .= "\r\n";
		}
	}
	
	/**
	* Creates the output
	*
	* Creates the output from an array
	*
	* @access public
	*/
	function arrayToOutput()
	{
	}
}
?>