<?PHP
/**
* Modul Guestbook
*
* Library for the Guestbook 
*
* @copyright   ASTALAVISTA SECURE CMS - 2005 Astalavista IT Engineering GmbH 
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>   
* @module      guestbook
* @modulegroup modules
*/



class GuestbookLibrary
{
	/**
	* add URL hyperlinking function to a string
	*
	* Finds all possible protocols: http ftp https chrome irc etc...
	* Ignores links which come after a = or " so href=", href= and the like are not linked
	* Finds URLs beginning with www.
	* Accepts all URL special chars, even rarely used ones like | , # ( or )
	*
	* @param  string $string
	* @return string $string
	*/
	function addHyperlinking($string) 
	{
	    $string = preg_replace("/((http(s?):\/\/)|(www\.))([\S\.]+)\b/i","<a href=\"http$3://$4$5\" target=\"_blank\">$2$4$5</a>", $string);
		return $string;
	}


	
	function addHyperlinking2($string) 
	{
	    $contents = ereg_replace("[[:alpha:]]+://[^<>[:space:]]+[[:alnum:]/]", "<a href=\"\\0\" target=\"_blank\">\\0</a>", $contents);
		return $contents;
	}	
	
		
	
	/**
	* Validate the email
	*
	* @version 1.0
	* @param  string  $string
	* @return boolean result
	*/
	function isEmail($string) 
	{
		if( eregi( "^" . "[a-z0-9]+([_\\.-][a-z0-9]+)*" .	//user
			"@" . "([a-z0-9]+([\.-][a-z0-9]+)*)+" .			//domain
			"\\.[a-z]{2,4}" . 								//sld, tld
			"$", $string)
		) 
		{
	        return true;
		}
		else
		{
		    return false;
	    }
	}

	
	
	
	/**
	* Checks the url
	*
	* @param  string  $string
	* @return boolean result
	*/
	function isUrl($string) 
	{
		if( (strlen($string)<=10) OR (ereg('[!$%\'*+\\.><^_`{|}]$', $string)) )
		{
	        return false;
		}
		else
		{
		    return true;
	    }
	}	
	
	/**
	* get email validation javascript code
	*
	* @return 	string	$javascript
	*/
	function _getJavaScript(){
		global $_ARRAYLANG;
		$strJavascript = '
			<script language="JavaScript" type="text/javascript">
			<!--
			function validate() {
				var errorMsg = "";
				if(document.getElementById("nickname").value == ""){
					errorMsg += "\t- '.$_ARRAYLANG['TXT_NAME'].'\n";
				}
				if(document.getElementById("comment").value == ""){
					errorMsg += "\t- '.$_ARRAYLANG['TXT_COMMENT'].'\n";
				}
				if(document.getElementById("location").value == ""){
					errorMsg += "\t- '.$_ARRAYLANG['TXT_LOCATION'].'\n";
				}
				if(!document.getElementsByName("malefemale")[0].checked && !document.getElementsByName("malefemale")[1].checked){
					errorMsg += "\t- '.$_ARRAYLANG['TXT_SEX'].'\n";
				}
				if(document.getElementById("email").value == ""){
					errorMsg += "\t- '.$_ARRAYLANG['TXT_EMAIL'].'\n";
				} else {
					strAllowedChars = "^.+\\\@(\\\[?)[a-zA-Z0-9\\\\\\\\\\\\\\\]{ 1 }[a-zA-Z0-9\\\\\\\\\\\\\\\\\\-\\\.]+\\\.([a-zA-Z]{ 2,4 }|[0-9]{ 1,3 })(\\\]?)$";
					arrStrAllowedChars = strAllowedChars.split(" ");
					strAllowedChars = "";
					for (i=0;i<arrStrAllowedChars.length;i++){
						strAllowedChars += arrStrAllowedChars[i];
					}
					emailRegExp = new RegExp(strAllowedChars);
					email = document.getElementById("email").value;
					if (!emailRegExp.exec(email)){
						errorMsg += "\n'.$_ARRAYLANG['TXT_INVALID_EMAIL_ADDRESS'].'";
					}
				}
				if(errorMsg.length>0){
					errorMsg = "'.$_ARRAYLANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'].'\n\n" + errorMsg;
					alert(errorMsg);
					return false;
				} else {
					return true;
				}
			}
			//-->
			</script>';
		return $strJavascript;
	}
}
?>