<?PHP
/**
* Guestbook Module 
*
* This is the admin class to manage all the guestbook entries 
*
* @copyright   ASTALAVISTA SECURE CMS - 2004 Astalavista IT Engineering GmbH 
* @author      Ivan Schmid <ivan.schmid@astalavista.ch>   
* @module      guestbook
* @modulegroup modules
* @version	   $Id:    Exp $
*/


require_once ASCMS_MODULE_PATH . '/guestbook/Lib.class.php';


class GuestbookManager extends GuestbookLibrary
{
    var $_objTpl;
	var $pageTitle='';
	var $statusMessage='';
	var $imagePath;
	var $langId;

	
	/**
	* constructor                                                                             
	*/
	function GuestbookManager()
	{
    	global  $db, $_ARRAYLANG, $template, $objInit;	
    	
		$this->_objTpl = &new HTML_Template_Sigma(ASCMS_MODULE_PATH.'/guestbook/template');
		$this->_objTpl->setErrorHandling(PEAR_ERROR_DIE);    	
    	
    	$this->imagePath = ASCMS_MODULE_IMAGE_WEB_PATH;
    	$this->langId=$objInit->userFrontendLangId;

		$template->set_file("CONTENT_MASTER","content_master.html");
		$template->set_var("CONTENT_NAVIGATION","<a href='?cmd=guestbook'>[".$_ARRAYLANG['TXT_GUESTBOOK']."]</a> 
		                                         <a href='?cmd=guestbook&amp;act=add'>[".$_ARRAYLANG['TXT_ADD_GUESTBOOK_ENTRY']."]</a>");
		    	
	    $db->query("OPTIMIZE TABLE ".DBPREFIX."module_guestbook");			
	}	

	
		
    /**
    * Gets the requested methods
    *
    * @global   array     $_ARRAYLANG
    * @global   array     $_CONFIG
    * @global   object    $template
    * @global   object    $objPerm
    * @return   string    parsed content                                                                                  
    */	
	function getPage()
    {
    	global $_ARRAYLANG, $_CONFIG, $template, $objPerm;
    	
    	if(!isset($_GET['act']))
    	{
    	    $_GET['act']="";	
    	}
    	
        switch($_GET['act'])
		{			
			case "delete":				        
			    $this->_delete();
				$this->_overview(); 	         	
			break;
			case "update":				        
			    $this->_update();
			    $this->_overview();         	
			break;			
			case "store":				        
			    $this->_store();
			    $this->_overview();         	
			break;			
			case "add":				        
			    $this->_showAdd();         	
			break;				
			case "edit":				        
			    $this->_showEdit();         	
			break;																									    								
			default:
			    $this->_overview();                	     		        
		}
		$template->set_var("CONTENT_TITLE",$this->pageTitle); 		
		$template->set_var("CONTENT_STATUS_MESSAGE",$this->statusMessage); 		
		return $this->_objTpl->get(); 
    } 

    
    
	/**
	* shows the edit page
	*
	* @global  array    $_CONFIG
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	* @access private
	*/
		
	function _showAdd()
	{
		global $db, $_ARRAYLANG;
	    
		$this->_objTpl->loadTemplateFile('module_guestbook_add.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_ADD_GUESTBOOK_ENTRY'];    
		
		$javascript = $this->_getJavaScript();
		
        $this->_objTpl->setVariable(array(
            'TXT_ADD_ENTRY'     => $_ARRAYLANG['TXT_ADD_ENTRY'],
            'TXT_NAME'          => $_ARRAYLANG['TXT_NAME'],
            'TXT_COMMENT'       => $_ARRAYLANG['TXT_COMMENT'],
            'TXT_LOCATION'      => $_ARRAYLANG['TXT_LOCATION'],
            'TXT_SEX'           => $_ARRAYLANG['TXT_SEX'],
            'TXT_MALE'          => $_ARRAYLANG['TXT_MALE'],
            'TXT_FEMALE'        => $_ARRAYLANG['TXT_FEMALE'],
            'TXT_EMAIL'         => $_ARRAYLANG['TXT_EMAIL'],
            'TXT_HOMEPAGE'      => $_ARRAYLANG['TXT_HOMEPAGE'],
            'TXT_IP_ADDRESS'    => $_ARRAYLANG['TXT_IP_ADDRESS'],
            'TXT_STORE'         => $_ARRAYLANG['TXT_STORE'],
            'TXT_RESET'         => $_ARRAYLANG['TXT_RESET'],
            'TXT_BACK_TO_INDEX' => $_ARRAYLANG['txtBackToIndex'], // N/A
            'GUESTBOOK_JAVASCRIPT'	=> $javascript
        ));		
		// $this->_store();		
	}		   

	
	
	
	/**
	* Save an entry
	*
	* @global  array    $_POST
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	* @return  string   $status
	*/
	function _store()
	{
		global $db, $_ARRAYLANG;

		$error = "";
		
		if(!empty($_POST['nickname']) AND !empty($_POST['comment']))
		{
			$nick  = htmlspecialchars($_POST['nickname']);
			$gender  = htmlspecialchars($_POST['malefemale']);
			$mail = (isset($_POST['email'])&& strlen($_POST['email'])>7) ?  htmlspecialchars($_POST['email']) : ""; 
			$url = (isset($_POST['url'])&& strlen($_POST['url'])>7) ?  htmlspecialchars($_POST['url']) : ""; 
			$comment = nl2br($this->addHyperlinking(htmlspecialchars($_POST['comment'])));
			$location = htmlspecialchars($_POST['location']);
			$ip = empty($_POST['ip']) ? $_SERVER['REMOTE_ADDR'] : htmlspecialchars($_POST['ip']);
			$datetime = time();
			
			if(!empty($url)) { 
				if (!$this->isUrl($url)) {
					$error.= $_ARRAYLANG['TXT_INVALID_INTERNET_ADDRESS']."<br />"; 
				}
			}
			if(!empty($mail)){
				if(!$this->isEmail($mail)) {
					$error.= $_ARRAYLANG['TXT_INVALID_EMAIL_ADDRESS']."<br />";
				}
			}
			if(empty($error)) {
			    $db->query("INSERT INTO ".DBPREFIX."module_guestbook 
			                           (id,		                            
									    nickname,
									    gender,
									    url,
									    datetime,
									    email,
									    comment,
									    ip,
									    location,
									    lang_id)
					            VALUES ('',
			                            '$nick', 
									    '$gender', 
									    '$url', 
									    NOW(),
									    '$mail', 
									    '$comment', 
									    '$ip', 
									    '$location', 
									    '$this->langId')");		    
			    
			    $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_STORED_SUCCESSFUL'];
			}
			else
			{
			    $this->statusMessage = $error;	


			}
		}
		else
		{
		    $this->statusMessage = $_ARRAYLANG['TXT_FILL_OUT_ALL_REQUIRED_FIELDS'];	
		}
	}
	
    
    
    
    
    
	/**
	* shows the edit page
	*
	* @global  array    $_CONFIG
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	* @access private
	*/
		
	function _showEdit()
	{
		global $db, $_ARRAYLANG;
	    
		$this->_objTpl->loadTemplateFile('module_guestbook_edit.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_EDIT_GUESTBOOK'];    

		$javascript = $this->_getJavaScript();
		
        $this->_objTpl->setVariable(array(
            'TXT_EDIT_ENTRY' => $_ARRAYLANG['TXT_EDIT_ENTRY'],
            'TXT_NAME'       => $_ARRAYLANG['TXT_NAME'],
            'TXT_COMMENT'    => $_ARRAYLANG['TXT_COMMENT'],
            'TXT_LOCATION'   => $_ARRAYLANG['TXT_LOCATION'],
            'TXT_SEX'        => $_ARRAYLANG['TXT_SEX'],
            'TXT_MALE'       => $_ARRAYLANG['TXT_MALE'],
            'TXT_FEMALE'     => $_ARRAYLANG['TXT_FEMALE'],
            'TXT_EMAIL'      => $_ARRAYLANG['TXT_EMAIL'],
            'TXT_HOMEPAGE'   => $_ARRAYLANG['TXT_HOMEPAGE'],
            'TXT_IP_ADDRESS' => $_ARRAYLANG['TXT_IP_ADDRESS'],
            'TXT_DATE'       => $_ARRAYLANG['TXT_DATE'],
            'TXT_STORE'      => $_ARRAYLANG['TXT_STORE'],
            'TXT_RESET'      => $_ARRAYLANG['TXT_RESET'],
            'GUESTBOOK_JAVASCRIPT'	=> $javascript
        ));
		
		if(!empty($_GET['id']))
		{
			$db->query("SELECT nickname,
			                   id,
			                   gender,
			                   url,
							   location,
							   email,
							   comment,
			                   ip,
							   datetime
			              FROM ".DBPREFIX."module_guestbook 
			             WHERE id = ".intval($_GET['id'])."
			             LIMIT 1");
			
			while($db->next_record())
			{
				switch($db->f("gender"))
				{
					case "M" : $gender_m = "checked"; break;
					case "F" : $gender_f = "checked"; break;
					default	 : $gender_m = ""; $gender_f = ""; break;
				}
				$this->_objTpl->setVariable(array(
					   'GUESTBOOK_NICK'      => $db->f("nickname"),
					   'GUESTBOOK_CHECKED_M' => $gender_m,
					   'GUESTBOOK_CHECKED_F' => $gender_f,
					   'GUESTBOOK_URL'       => $db->f("url"),
					   'GUESTBOOK_LOCATION'  => $db->f("location"),
					   'GUESTBOOK_MAIL'      => $db->f("email"),
					   'GUESTBOOK_COMMENT'   => $db->f("comment"),
					   'GUESTBOOK_IP'		 => $db->f("ip"),
					   'GUESTBOOK_DATE'	     => $db->f("datetime"),
					   'GUESTBOOK_ID'        => $db->f("id"),
					));
			}	
		}
	}			    
    
    
    
    
	/**
	* Deletes the selected guestbook entry
	*
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	* @return  string   status message
	*/
	function _delete()
	{
		global $db, $_ARRAYLANG;
		
		if($db->query("DELETE FROM ".DBPREFIX."module_guestbook WHERE id =".intval($_GET['id']))){
	        $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_DELETED_SUCCESSFUL'];
		} else {
		    $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_DELETE_ERROR'];
	    }
	}    
    
    
	
	/**
	* default guestbook entries list
	*
	* @global  array    $_CONFIG
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	*/
		
	function _overview()
	{
		global $db, $_CONFIG, $_ARRAYLANG;
	    
		$this->_objTpl->loadTemplateFile('module_guestbook_show.html',true,true);
		$this->pageTitle = $_ARRAYLANG['TXT_GUESTBOOK'];
		
        $this->_objTpl->setVariable(array(
            'TXT_MANAGE_ENTRIES'         => $_ARRAYLANG['TXT_MANAGE_ENTRIES'],
            'TXT_NAME'                   => $_ARRAYLANG['TXT_NAME'],
            'TXT_COMMENT'                => $_ARRAYLANG['TXT_COMMENT'],
            'TXT_LOCATION'               => $_ARRAYLANG['TXT_LOCATION'],
            'TXT_CONFIRM_DELETE_DATA'    => $_ARRAYLANG['TXT_CONFIRM_DELETE_DATA'],
            'TXT_ACTION_IS_IRREVERSIBLE' => $_ARRAYLANG['TXT_ACTION_IS_IRREVERSIBLE'],
        ));		
				
		$pos = intval($_GET['pos']); 
	    	
		/** start paging **/
		$db->query("SELECT * 
		              FROM ".DBPREFIX."module_guestbook 
		             WHERE lang_id='$this->langId'
		          ORDER BY id DESC");
		
		$count = $db->num_rows();
		$paging = getPaging($count, $pos, "&amp;cmd=guestbook", "<b>".$_ARRAYLANG['TXT_GUESTBOOK_ENTRIES']."</b>", true);
		/** end paging **/
		
		$this->_objTpl->setVariable("GUESTBOOK_PAGING", $paging);
		
		$db->query("SELECT * 
		              FROM ".DBPREFIX."module_guestbook 
		             WHERE lang_id='$this->langId'
		          ORDER BY id DESC 
		             LIMIT $pos, {$_CONFIG['corePagingLimit']}");
		
		$this->_objTpl->setCurrentBlock('guestbook_row');
		
		$i=0;
		while($db->next_record())
		{			
			$gender = ($db->f("gender")=="M") ? $_ARRAYLANG['guestbookGenderMale'] : $_ARRAYLANG['guestbookGenderFemale']; // N/A
			
			$url = "";
			$mail = "";
			if ($db->f('url')!="") {
				$url = "<a href='".$db->f('url')."' target='_blank'><img alt=\"www\" src=\"" . $this->imagePath . "/guestbook/www.gif\" border='0' /></a>";
			}
			if ($db->f('email')!="") {
				$mail = "<a href=\"mailto:".$db->f("email")."\"><img alt=\"Email\" src=\"" . $this->imagePath . "/guestbook/email.gif\" border='0' /></a>";
			}
			
			$this->_objTpl->setVariable(array(
					   'GUESTBOOK_ROWCLASS' => ($i % 2) ? 'row1' : 'row2',
					   'GUESTBOOK_NICK'	    => $db->f("nickname"),
					   'GUESTBOOK_GENDER'	=> $gender,
					   'GUESTBOOK_URL'		=> $url,
					   'GUESTBOOK_LOCATION'	=> $db->f("location"),
					   'GUESTBOOK_DATE'		=> $db->f("datetime"),
					   'GUESTBOOK_MAIL'		=> $mail,
					   'GUESTBOOK_COMMENT'	=> $db->f("comment"),
					   'GUESTBOOK_ID'		=> $db->f("id"),
					   'GUESTBOOK_IP'		=> "<a href='?cmd=nettools&amp;tpl=whois&amp;address=".$db->f("ip")."' alt='".$_ARRAYLANG['TXT_SHOW_DETAILS']."' title='".$_ARRAYLANG['TXT_SHOW_DETAILS']."'>".$db->f("ip")."</a>"
			));
			$this->_objTpl->parseCurrentBlock('guestbook_row');
			$i++;
		}	
	}	
	
	
	
	
	/**
	* Update guestbook
	*
	* @global  array    $_ARRAYLANG
	* @global  object   $db
	*/
	function _update()
	{
		global $db, $_ARRAYLANG;
		$guestbookId = intval($_GET['id']);
		$error = "";	
	
		if (!empty($guestbookId))
		{
			$nick	  = htmlspecialchars($_POST['nickname']);
			$gender   = htmlspecialchars($_POST['malefemale']);
			$mail = (isset($_POST['email'])&& strlen($_POST['email'])>7) ?  htmlspecialchars($_POST['email']) : ""; 
			$url = (isset($_POST['url'])&& strlen($_POST['url'])>7) ?  htmlspecialchars($_POST['url']) : ""; 
			$comment  = $_POST['comment'];
			$location = htmlspecialchars($_POST['location']);
			$ip 	  = htmlspecialchars($_POST['ip']);
			$date     = htmlspecialchars($_POST['datetime']);
	
			if(!empty($url)) 
			{ 
			    if (!$this->isUrl($url)) 
				{
				    $error.= $_ARRAYLANG['TXT_INVALID_INTERNET_ADDRESS']."<br />"; 
				}
			}
			if(!$this->isEmail($mail)) 
			{
			    $error.= $_ARRAYLANG['TXT_INVALID_EMAIL_ADDRESS']."<br />";
			}
			if(!empty($nick) && !empty($comment) && empty($error))
			{
				$db->query("UPDATE ".DBPREFIX."module_guestbook 
							   SET nickname='$nick', 
								   gender='$gender', 
								   email='$mail', 
								   url='$url', 
								   comment='$comment', 
								   location='$location', 
								   ip='$ip', 
								   datetime=NOW(), 
				                   lang_id='$this->langId'
							 WHERE id=$guestbookId");
			}
		}
		if (empty($error))
		{	
		    $this->statusMessage = $_ARRAYLANG['TXT_DATA_RECORD_UPDATED_SUCCESSFUL'];
		}
		else
		{
		    $this->statusMessage = $error;	
		}
	}
}
?>